diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 8549560..eb8d61f 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -10,10695 +10,10324 @@ initially derived with permission from Nelson Beebe's collection.
 The second section contains references from Axiom to the literature.
 The third section sorts papers by topic.
 \chapter{The Bibliography}
-\section{Axiom Citations in the Literature}
-
-\subsection{A} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{ignore}
-\bibitem[ACM 89]{ACM89} ACM, editor
-Proceedings of the ACM-SIGSAM 1989 International
-Symposium on Symbolic and Algebraic Computation, ISSAC '89 ACM Press, 
-New York, NY 10036, USA, 1989, , LCCN QA76.95.I59 
-  year = "1989",
-  isbn = "0-89791-325-6",
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[ACM 94]{ACM94} ACM, editor
-ISSAC '94. Proceedings of the International
-Symposium on Symbolic and Algebraic Computation. ACM Press, New York, NY,
-10036, USA, 1994, . LCCN QA76.95.I59 
-  year = "1994",
-  isbn = "0-89791-638-7",
-  keywords = "axiomref",
+\section{Special Topics} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\end{chunk}
+\subsection{Solving Systems of Equations} %%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{axiom.bib}
-@article{Augo91,
-  author = "Augot, D. and  Charpin, P. and Sendrier, N.",
-  title = "The miniumum distance of some binary codes via the Newton's identities",
-  journal = "Cohen and Charping [CC91]",
-  year = "1991",
-  pages = "65-73",
-  isbn = "0-387-54303-1",
-  misc = "3-540-54303-1 (Berlin). LCCN QA268.E95 1990",
-  keywords = "axiomref",
-  paper = "Augo91.pdf"
+@inproceedings{Bro86,
+  author = "Bronstein, Manuel",
+  title = "Gsolve: a faster algorithm for solving systems of algebraic 
+           equations",
+  booktitle = "Proc of 5th ACM SYMSAC",
+  year = "1986",
+  pages = "247-249",
+  isbn = "0-89791-199-7",
+  abstract = "
+    We apply the elimination property of Gr{\"o}bner bases with respect to
+    pure lexicographic ordering to solve systems of algebraic equations.
+    We suggest reasons for this approach to be faster than the resultant
+    technique, and give examples and timings that show that it is indeed
+    faster and more correct, than MACSYMA's solve."
 }
 
 \end{chunk}
 
+\subsection{Numerical Algorithms} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Adams 94]{AL94} 
-  author = "Adams, William W. and Loustaunau, Philippe",
-  title = "An Introduction to Gr\"obner Bases",
-  year = "1994",
-American Mathematical Society (1994) 
-  isbn = "0-8218-3804-0",
-  keywords = "axiomref",
+{Bro99,
+  author = "Bronstein, Manuel",
+  title = "Fast Deterministic Computation of Determinants of Dense Matrices",
+  url = "http://www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html",
+  paper = "Bro99.pdf",
+  abstract = "
+    In this paper we consider deterministic computation of the exact
+    determinant of a dense matrix $M$ of integers. We present a new
+    algorithm with worst case complexity
+    \[O(n^4(log n+ log \verb?||M||?)+x^3 log^2 \verb?||M||?)\], 
+    where $n$ is the dimension of the matrix
+    and \verb?||M||? is a bound on the entries in $M$, but with 
+    average expected complexity 
+    \[O(n^4+m^3(log n + log \verb?||M||?)^2)\],
+    assuming some plausible properties about the distribution of $M$.
+    We will also describe a practical version of the algorithm and include
+    timing data to compare this algorithm with existing ones. Our result
+    does not depend on ``fast'' integer or matrix techniques."
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Andrews 84]{And84} 
-  author = "Andrews, George E.",
-  title = "Ramanujan and SCRATCHPAD",
-  year = "1984",
-  pages = "383-??",
-  keywords = "axiomref",
-In Golden and Hussain [GH84]
+{Kel00,
+  author = "Kelsey, Tom",
+  title = "Exact Numerical Computation via Symbolic Computation",
+  url = "http://tom.host.cs.st-andrews.ac.uk/pub/ccapaper.pdf",
+  paper = "Kel00.pdf",
+  abstract = "
+    We provide a method for converting any symbolic algebraic expression
+    that can be converted into a floating point number into an exact
+    numeric representation. We use this method to demonstrate a suite of
+    procedures for the representation of, and arithmetic over, exact real
+    numbers in the Maple computer algebra system. Exact reals are
+    represented by potentially infinite lists of binary digits, and
+    interpreted as sums of negative powers of the golden ratio."
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Andrews 88]{And88} 
-  author = "Andrews, G. E.",
-  title = "Application of Scratchpad to problems in special functions and combinatorics",
-  year = "1988"
-  pages = "158-??",
-  isbn = "3-540-18928-9",
-  keywords = "axiomref",
-In Janssen [Jan88], pages 158-?? ISBN 
-0-387-18928-9 LCCN QA155.7.E4T74 
+{Yang14,
+  author ="Yang, Xiang and Mittal, Rajat",
+  title = "Acceleration of the Jacobi iterative method by factors exceeding 100
+           using scheduled relation",
+  url = 
+"http://engineering.jhu.edu/fsag/wp-content/uploads/sites/23/2013/10/JCP_revised_WebPost.pdf",
+  paper = "Yang14.pdf"
+}
 
 \end{chunk}
 
+\subsection{Special Functions} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Anon 91]{Ano91} 
-  author = "Anonymous",
-  year = "1991,
-  keywords = "axiomref",
-Proceedings 1991 Annual Conference, American Society for
-Engineering Education. Challenges of a Changing World. ASEE, Washington, DC
- 2 vol.
+{Corl0,
+  author = "Corless, Robert M. and Jeffrey, David J. and Watt, Stephen M.
+            and  Bradford, Russell and Davenport, James H.",
+  title = "Reasoning about the elementary functions of complex analysis",
+  url = "http://www.csd.uwo.ca/~watt/pub/reprints/2002-amai-reasoning.pdf",
+  paper = "Corl05.pdf",
+  abstract = "
+    There are many problems with the simplification of elementary
+    functions, particularly over the complex plane. Systems tend to make
+    ``howlers'' or not to simplify enough. In this paper we outline the
+    ``unwinding number'' approach to such problems, and show how it can be
+    used to prevent errors and to systematise such simplification, even
+    though we have not yet reduced the simplification process to a
+    complete algorithm.  The unsolved problems are probably more amenable
+    to the techniques of artificial intelligence and theorem proving than
+    the original problem of complex-variable analysis."
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Anon 92]{Ano92} 
-  author = "Anonymous",
-  year = "1992",
-  keywords = "axiomref",
-Programming environments for high-level scientific problem solving.
-IFIP TC2/WG 2.5 working conference. IFIP Transactions. A Computer Science 
-and Technology, A-2:??, CODEN ITATEC. ISSN 0926-5473
+{Ng68,
+  author = "Ng, Edward W. and Geller, Murray",
+  title = "A Table of Integrals of the Error functions",
+  url = "http://nvlpubs.nist.gov/nistpubs/jres/73B/jresv73Bn1p1_A1b.pdf",
+  paper = "Ng68.pdf",
+  abstract = "
+    This is a compendium of indefinite and definite integrals of products
+    of the Error functions with elementary and transcendental functions."
+}
 
 \end{chunk}
 
+\subsection{Exponential Integral $E_1(x)$} %%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Anono 95]{Ano95} 
-  author =Anonymous
-  keywords = "axiomref",
-  year = "1995",
-GAMM 94 annual meeting. Zeitschrift fur Angewandte Mathematik und
-Physik, 75 (suppl. 2), CODEN ZAMMAX, ISSN 0044-2267
+{Gell69,
+  author = "Geller, Murray and Ng, Edward W.",
+  title = "A Table of Integrals of the Exponential Integral",
+  url = "http://nvlpubs.nist.gov/nistpubs/jres/73B/jresv73Bn3p191_A1b.pdf",
+  paper = "Gell69.pdf",
+  abstract = "
+    This is a compendium of indefinite and definite integrals of products
+    of the Exponential Integral with elementary or transcendental functions."
+}
 
 \end{chunk}
 
-\subsection{B} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{axiom.bib}
-@article{Bacl14,
-  author = "Baclawski, Krystian",
-  title = "SPAD language type checker",
-  journal = "unknown",
-  year = "2014",
-  url = "http://github.com/cahirwpz/phd",
-  keywords = "axiomref"
+@techreport{Segl98,
+  author = "Segletes, S.B.",
+  title = "A compact analytical fit to the exponential integral $E_1(x)$",
+  year = "1998",
+  institution = "U.S. Army Ballistic Research Laboratory, 
+                 Aberdeen Proving Ground, MD",
+  type = "Technical Report",
+  number = "ARL-TR-1758",
+  paper = "Segl98.pdf",
+  abstract = "
+    A four-parameter fit is developed for the class of integrals known as
+    the exponential integral (real branch). Unlike other fits that are
+    piecewise in nature, the current fit to the exponential integral is
+    valid over the complete domain of the function (compact) and is
+    everywhere accurate to within $\pm 0.0052\%$ when evaluating the first
+    exponential integral, $E_1$. To achieve this result, a methodology
+    that makes use of analytically known limiting behaviors at either
+    extreme of the domain is employed. Because the fit accurately captures
+    limiting behaviors of the $E_1$ function, more accuracy is retained
+    when the fit is used as part of the scheme to evaluate higher-order
+    exponential integrals, $E_n$, as compared with the use of brute-force
+    fits to $E_1$, which fail to accurately model limiting
+    behaviors. Furthermore, because the fit is compact, no special
+    accommodations are required (as in the case of spliced piecewise fits)
+    to smooth the value, slope, and higher derivatives in the transition
+    region between two piecewise domains. The general methodology employed
+    to develop this fit is outlined, since it may be used for other
+    problems as well."
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@techreport{Se09,
+  author = "Segletes, S.B.",
+  title = "Improved fits for $E_1(x)$ {\sl vis-\'a-vis} those presented 
+           in ARL-TR-1758",
+  type = "Technical Report",
+  number = "ARL-TR-1758",
+  institution ="U.S. Army Ballistic Research Laboratory,
+                Aberdeen Proving Ground, MD",
+  year = "1998",
+  month = "September",
+  paper = "Se09.pdf",
+  abstract = "
+    This is a writeup detailing the more accurate fits to $E_1(x)$,
+    relative to those presented in ARL-TR-1758.  My actual fits are to
+    \[F1 =[x\ exp(x) E_1(x)]\] which spans a functional range from 0 to 1.
+    The best accuracy I have been yet able to achieve, defined by limiting
+    the value of \[[(F1)_{fit} - F1]/F1\] over the domain, is
+    approximately 3.1E-07 with a 12-parameter fit, which unfortunately
+    isn't quite to 32-bit floating-point accuracy.  Nonetheless, the fit
+    is not a piecewise fit, but rather a single continuous function over
+    the domain of nonnegative x, which avoids some of the problems
+    associated with piecewise domain splicing."
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The project aims to deliver a new type checker for SPAD language.
-Several improvements over current type checker are planned.
-\begin{itemize}
-\item introduce better type inference
-\item introduce modern language constructs
-\item produce understandable diagnostic messages
-\item eliminate well known bugs in the type system
-\item find new type errors
-\end{itemize}
-\end{adjustwidth}
+\subsection{Polynomial GCD} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Blair 70]{BGJ70} 
-  author = "Blair, Fred W and Griesmer, James H. and Jenks, Richard D.",
-  title = "An interactive facility for symbolic mathematics",
-  year = "1970",
-  pages = "394-419",
-  keywords = "axiomref",
-Proc. International Computing Symposium, Bonn, Germany, 
+\bibitem[Knuth 71]{ST-PGCD-Knu71} Knuth, Donald
+``The Art of Computer Programming''
+2nd edition Vol. 2 (Seminumerical Algorithms) 1st edition, 2nd printing,
+Addison-Wesley 1971, section 4.6 pp399-505
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Blair 70a]{BJ70} 
-  author = "Blair, Fred W. and Jenks, Richard D.",
-  title = "LPL: LISP programming language",
-  year = "1970",
-  keywords = "axiomref",
-IBM Research Report, RC3062 Sept 
+\bibitem[Ma 90]{ST-PGCD-Ma90} Ma, Keju; Gathen, Joachim von zur
+``Analysis of Euclidean Algorithms for Polynomials over Finite Fields''
+J. Symbolic Computation (1990) Vol 9 pp429-455\hfill{}
+\verb|www.researchgate.net/publication/220161718_Analysis_of_Euclidean_|
+\verb|Algorithms_for_Polynomials_over_Finite_Fields/file/|
+\verb|60b7d52b326a1058e4.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Ma90.pdf|
+  abstract = "
+    This paper analyzes the Euclidean algorithm and some variants of it 
+    for computing the greatest common divisor of two univariate polynomials
+    over a finite field. The minimum, maximum, and average number of
+    arithmetic operations both on polynomials and in the ground field
+    are derived."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Broadbery 95]{BGDW95} 
-  author = "Broadbery, P. A. and G{\'o}mez-D{\'\i}az, T. and Watt, S. M.",
-  title = "On the Implementation of Dynamic Evaluation",
-  year = "1995",
-  pages = "77-84",
-  keywords = "axiomref",
-  isbn = "0-89791-699-9",
-  url = "http://pdf.aminer.org/000/449/014/on_the_implementation_of_dynamic_evaluation.pdf",
-  paper = "BGDW95.pdf"
-In Levelt [Lev95] 0-89791-699-9 LCCN QA76.95 I59 1995
-ACM order number 505950
+\bibitem[Naylor 00a]{N00} Naylor, Bill
+``Polynomial GCD Using Straight Line Program Representation''
+PhD. Thesis, University of Bath, 2000
+\verb|www.sci.csd.uwo.ca/~bill/thesis.ps|
+%\verb|axiom-developer.org/axiom-website/papers/N00.pdf|
+  abstract = "
+    This thesis is concerned with calculating polynomial greatest common
+    divisors using straight line program representation.
+
+    In the Introduction chapter, we introduce the problem and describe
+    some of the traditional representations for polynomials, we then talk
+    about some of the general subjects central to the thesis, terminating
+    with a synopsis of the category theory which is central to the Axiom
+    computer algebra system used during this research.
+
+    The second chapter is devoted to describing category theory. We follow
+    with a chapter detailing the important sections of computer code
+    written in order to investigate the straight line program subject.
+    The following chapter on evalution strategies and algorithms which are
+    dependant on these follows, the major algorith which is dependant on
+    evaluation and which is central to our theis being that of equality
+    checking. This is indeed central to many mathematical problems.
+    Interpolation, that is the determination of coefficients of a
+    polynomial is the subject of the next chapter. This is very important
+    for many straight line program algorithms, as their non-canonical
+    structure implies that it is relatively difficult to determine
+    coefficients, these being the basic objects that many algorithms work
+    on. We talk about three separate interpolation techniques and compare
+    their advantages and disadvantages. The final two chapters describe
+    some of the results we have obtained from this research and finally
+    conclusions we have drawn as to the viability of the straight line
+    program approach and possible extensions.
+
+    Finally we terminate with a number of appendices discussing side
+    subjects encountered during the thesis."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Dynamic evaluation is a technique for producing multiple results
-according to a decision tree which evolves with program execution.
-Sometimes it is desired to produce results for all possible branches
-in the decision tree, while on other occasions, it may be sufficient
-to compute a single result which satisfies certain properties. This
-techinique finds use in computer algebra where computing the correct
-result depends on recognizing and properly handling special cases of
-parameters. In previous work, programs using dynamic evaluation have
-explored all branches of decision trees by repeating the computations
-prior to decision points.
-
-This paper presents two new implementations of dynamic evaluation
-which avoid recomputing intermediate results. The first approach uses
-Scheme ``continuations'' to record state for resuming program
-execution. The second implementation uses the Unix ``fork'' operation
-to form new processes to explore alternative branches in parallel.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Boehm 89]{Boe89} 
-  author = "Boehm, Hans-J.",
-  title = "Type Inference in the Presence of Type Abstraction",
-  year = "1989",
-  pages = "192-206",
-  keywords = "axiomref",
-  url = "http://www.acm.org/pubs/citations/proceedings/pldi/73141/p192-boehm",
-  paper = "Boe89.pdf",
-ACM SIGPLAN Notices, 24(7) pp July CODEN SINODQ ISSN 0362-1340
+\bibitem[Shoup 93]{ST-PGCD-Sh93} Shoup, Victor
+``Factoring Polynomials over Finite Fields: Asymptotic Complexity vs
+Reality*''
+Proc. IMACS Symposium, Lille, France, (1993)
+\verb|www.shoup.net/papers/lille.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Sh93.pdf|
+  abstract = "
+    This paper compares the algorithms by Berlekamp, Cantor and
+    Zassenhaus, and Gathen and Shoup to conclude that (a) if large
+    polynomials are factored the FFT should be used for polynomial
+    multiplication and division, (b) Gathen and Shoup should be used if
+    the number of irreducible factors of $f$ is small.  (c) if nothing is
+    know about the degrees of the factors then Berlekamp's algorithm
+    should be used."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A number of recent programming language designs incorporate a type
-checking system based on the Girard-Reynolds polymorphic
-$\lambda$-calculus.  This allows the construction of general purpose,
-reusable software without sacrificing compile-time type checking. A
-major factor constraining the implementation of these languages is the
-difficulty of automatically inferring the lengthy type information
-that is otherwise required if full use is made of these
-languages. There is no known algorithm to solve any natural and fully
-general formulation of the ``type inference'' problem. One very
-reasonable formulation of the problem is known to be undecidable.
-
-Here we define a restricted version of the type inference problem and
-present an efficient algorithm for its solution. We argue that the
-restriction is sufficiently weak to be unobtrusive in practice.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Boulton 04]{BHGM04} 
-  author = "Boulton, Richard and Hardy, Ruth and Gottliebsen, Hanne and Martin, Ursula",
-  title = "Design verification for control engineering",
-  year = "2004",
-  month = "April",
-Proc Fourth International Conference on Integrated Formal Methods,
-  keywords = "axiomref",
+\bibitem[Gathen 01]{ST-PGCD-Ga01} Gathen, Joachim von zur; Panario, Daniel
+``Factoring Polynomials Over Finite Fields: A Survey''
+J. Symbolic Computation (2001) Vol 31, pp3-17\hfill{}
+\verb|people.csail.mit.edu/dmoshdov/courses/codes/poly-factorization.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Ga01.pdf|
+ keywords = "survey",
+  abstract = "
+    This survey reviews several algorithms for the factorization of
+    univariate polynomials over finite fields. We emphasize the main ideas
+    of the methods and provide and up-to-date bibliography of the problem.
+    This paper gives algorithms for {\sl squarefree factorization},
+    {\sl distinct-degree factorization}, and {\sl equal-degree factorization}.
+    The first and second algorithms are deterministic, the third is
+    probabilistic."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We introduce control engineering as a new domain of application for
-formal methods. We discuss design verification, drawing attention to
-the role played by diagrammatic evaluation criteria involving numeric
-plots of a design, such as Nichols and Bode plots. We show that
-symbolic computation and computational logic can be used to discharge
-these criteria and provide symbolic, automated, and very general
-alternatives to these standard numeric tests. We illustrate our work
-with reference to a standard reference model drawn from military
-avionics.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Boulanger 91]{Bou91} 
-  author = "Boulanger, Jean-Louis",
-  title = "Etude de la compilation de scratchpad 2",
-  year = "1991",
-  month = "September",
-Rapport de DEA Universite dl lille 1
-  keywords = "axiomref",
+\bibitem[van Hoeij]{Hoeij04} Hoeij, Mark van; Monagen, Michael
+``Algorithms for Polynomial GCD Computation over Algebraic Function Fields''
+\verb|www.cecm.sfu.ca/personal/mmonagan/papers/AFGCD.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Hoeij04.pdf|
+  abstract = "
+    Let $L$ be an algebraic function field in $k \ge 0$ parameters
+    $t_1,\ldots,t)k$. Let $f_1$, $f_2$ be non-zero polynomials in
+    $L[x]$. We give two algorithms for computing their gcd. The first, a
+    modular GCD algorithm, is an extension of the modular GCD algorithm
+    for Brown for {\bf Z}$[x_1,\ldots,x_n]$ and Encarnacion for {\bf
+    Q}$(\alpha[x])$ to function fields. The second, a fraction-free
+    algorithm, is a modification of the Moreno Maza and Rioboo algorithm
+    for computing gcds over triangular sets. The modification reduces
+    coefficient grownth in $L$ to be linear.  We give an empirical
+    comparison of the two algorithms using implementations in Maple."
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Bou93a,
-  author = "Boulanger, Jean-Louis",
-  title = "Axiom, language fonctionnel \`a d\'evelopement objet",
-  year = "1993",
-  month = "October",
-  paper = "Bou93a.pdf",
-  keywords = "axiomref"
-}
+\begin{chunk}{ignore}
+\bibitem[Wang 78]{Wang78} Wang, Paul S.
+``An Improved Multivariate Polynomial Factoring Algorithm''
+Mathematics of Computation, Vol 32, No 144 Oct 1978, pp1215-1231
+\verb|www.ams.org/journals/mcom/1978-32-144/S0025-5718-1978-0568284-3/|
+\verb|S0025-5718-1978-0568284-3.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Wang78.pdf|
+  abstract = "
+    A new algorithm for factoring multivariate polynomials over the
+    integers based on an algorithm by Wang and Rothschild is described.
+    The new algorithm has improved strategies for dealing with the known
+    problems of the original algorithm, namely, the leading coefficient
+    problem, the bad-zero problem and the occurence of extraneous factors.
+    It has an algorithm for correctly predetermining leading coefficients
+    of the factors. A new and efficient p-adic algorith named EEZ is
+    described. Basically it is a linearly convergent variable-by-variable
+    parallel construction. The improved algorithm is generally faster and
+    requires less store than the original algorithm. Machine examples with
+    comparative timing are included."
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Bou93b,
-  author = "Boulanger, Jean-Louis",
-  title = "AXIOM, A Functional Language with Object Oriented Development",
-  year = "1993",
-  paper = "Bou93b.pdf",
-  keywords = "axiomref"
-}
+\begin{chunk}{ignore}
+\bibitem[Wiki 4]{Wiki4}.
+``Polynomial greatest common divisor''
+\verb|en.wikipedia.org/wiki/Polynomial_greatest_common_divisor|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present in this paper, a study about the computer algebra system
-Axiom, which gives us many very interesting Software engineering
-concepts.  This language is a functional language with an Object
-Oriented Development.  This feature is very important for modeling the
-mathematical world (Hierarchy) and provides a running with
-mathematical sense. (All objects are functions). We present many
-problems of running and development in Axiom. We can note that Aiom is
-the only system of this category.
-\end{adjustwidth}
+\subsection{Category Theory} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Boulanger 94]{Bou94} 
-  author = "Boulanger, J.L.",
-  title = "Object Oriented Method for Axiom",
-  year = "1995",
-  month = "February",
-  pages = "33-41",
-  paper = "Bou94.pdf",
-ACM SIGPLAN Notices, 30(2) CODEN SINODQ ISSN 0362-1340
-  keywords = "axiomref",
+\bibitem[Baez 09]{Baez09} Baez, John C.; Stay, Mike
+``Physics, Topology, Logic and Computation: A Rosetta Stone''
+\verb|arxiv.org/pdf/0903.0340v3.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Baez09.pdf|
+  abstract = "
+    In physics, Feynman diagrams are used to reason about quantum
+    processes.  In the 1980s, it became clear that underlying these
+    diagrams is a powerful analogy between quantum physics and
+    topology. Namely, a linear operator behaves very much like a
+    ``cobordism'': a manifold representing spacetime, going between two
+    manifolds representing space.  But this was just the beginning: simiar
+    diagrams can be used to reason about logic, where they represent
+    proofs, and computation, where they represent programs. With the rise
+    of interest in quantum cryptography and quantum computation, it became
+    clear that there is an extensive network of analogies between physics,
+    topology, logic and computation. In this expository paper, we make
+    some of these analogies precise using the concept of ``closed
+    symmetric monodial category''. We assume no prior knowledge of
+    category theory, proof theory or computer science."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Axiom is a very powerful computer algebra system which combines two
-language paradigms (functional and OOP). Mathematical world is complex
-and mathematicians use abstraction to design it. This paper presents
-some aspects of the object oriented development in Axiom. The Axiom
-programming is based on several new tools for object oriented
-development, it uses two levels of class and some operations such that
-{\sl coerce}, {\sl retract}, or {\sl convert} which permit the type
-evolution. These notions introduce the concept of multi-view.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Bronstein 87]{Bro87} 
-  author = "Bronstein, Manuel",
-  title = "Integration of Algebraic and Mixed Functions",
-  year = "1987",
-in [Wit87], p18
-  keywords = "axiomref",
+\bibitem[Meijer 91]{Meij91} Meijer, Erik; Fokkinga, Maarten; Paterson, Ross
+``Functional Programming with Bananas, Lenses, Envelopes and Barbed Wire''
+\verb|eprints.eemcs.utwente.nl/7281/01/db-utwente-40501F46.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Meij91.pdf|
+  abstract = "
+    We develop a calculus for lazy functional programming based on
+    recursion operators associated with data type definitions. For these
+    operators we derive various algebraic laws that are useful in deriving
+    and manipulating programs. We shall show that all example functions in
+    Bird and Wadler's ``Introduction to Functional Programming'' can be
+    expressed using these operators."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 89]{Bro89} 
-  author= "Bronstein, M.",
-  title = "Simplification of real elementary functions",
-  year = "1989",
-  pages = "207-211",
-  isbn = "0-89791-325-6",
-ACM [ACM89] pages   LCCN QA76.95.I59 1989
-  keywords = "axiomref",
+\bibitem[Youssef 04]{You04} Youssef, Saul
+``Prospects for Category Theory in Aldor''
+October 2004
+%\verb|axiom-developer.org/axiom-website/papers/You04.pdf|
+  abstract = "
+    Ways of encorporating category theory constructions and results into
+    the Aldor language are discussed. The main features of Aldor which
+    make this possible are identified, examples of categorical
+    constructions are provided and a suggestion is made for a foundation
+    for rigorous results."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe an algorithm, based on Risch's real structure theorem, that
-determines explicitly all the algebraic relations among a given set of
-real elementary functions. We also provide examples from its
-implementation that illustrate the advantages over the use of complex
-logarithms and exponentials.
-\end{adjustwidth}
+\subsection{Proving Axiom Correct} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{axiom.bib}
-\bibitem[Bronstein 91a]{Bro91a} 
-@inproceedings{Bron91a,
-  author = "Bronstein, M.",
-  title = "The Risch Differential Equation on an Algebraic Curve",
-  booktitle = "Proc. 1991 Int. Symp. on Symbolic and Algebraic Computation",
-  series = "ISSAC'91",
-  year = "1991",
-  pages = "241-246",
-  isbn = "0-89791-437-6",
-  publisher = "ACM, NY",
-  keywords = "axiomref",
-  paper = "Bro91a.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Adams 99]{Adam99} Adams, A.A.; Gottlieben, H.; Linton, S.A.; 
+Martin, U.
+``Automated theorem proving in support of computer algebra:''
+`` symbolic definite integration as a case study''
+%\verb|axiom-developer.org/axiom-website/papers/Adam99.pdf|
+  abstract = "
+    We assess the current state of research in the application of computer
+    aided formal reasoning to computer algebra, and argue that embedded
+    verification support allows users to enjoy its benefits without
+    wrestling with technicalities. We illustrate this claim by considering
+    symbolic definite integration, and present a verifiable symbolic
+    definite integral table look up: a system which matches a query
+    comprising a definite integral with parameters and side conditions,
+    against an entry in a verifiable table and uses a call to a library of
+    lemmas about the reals in the theorem prover PVS to aid in the
+    transformation of the table entry into an answer. We present the full
+    model of such a system as well as a description of our prototype
+    implementation showing the efficacy of such a system: for example, the
+    prototype is able to obtain correct answers in cases where computer
+    algebra systems [CAS] do not. We extend upon Fateman's web-based table
+    by including parametric limits of integration and queries with side
+    conditions."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present a new rational algorithm for solving Risch differential
-equations over algebraic curves. This algorithm can also be used to
-solve $n^{th}$-order linear ordinary differential equations with
-coefficients in an algebraic extension of the rational functions. In
-the general ("mixed function") case, this algorithm finds the
-denominator of any solution of the equation.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Bronstein 91c]{Bro91c} 
-  author = "Bronstein, Manuel",
-  title = "Computer Algebra and Indefinite Integrals",
-  year = "1991",
-  paper = "Bro91c.pdf",
-in Computer Aided Proofs in Analysis, K.R. Meyers et al. (eds) 
-Springer-Verlag, NY (1991)
-  keywords = "axiomref",
+\bibitem[Adams 01]{Adam01} Adams, Andrew; Dunstan, Martin; Gottliebsen, Hanne;
+Kelsey, Tom; Martin, Ursula; Owre, Sam
+``Computer Algebra Meets Automated Theorem Proving: Integrating Maple and PVS''
+\verb|www.csl.sri.com/~owre/papers/tphols01/tphols01.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Adam01.pdf|
+  abstract = "
+    We describe an interface between version 6 of the Maple computer
+    algebra system with the PVS automated theorem prover. The interface is
+    designed to allow Maple users access to the robust and checkable proof
+    environment of PVS. We also extend this environment by the provision
+    of a library of proof strategies for use in real analysis. We
+    demonstrate examples using the interface and the real analysis
+    library. These examples provide proofs which are both illustrative and
+    applicable to genuine symbolic computation problems."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We give an overview, from an analytical point of view, of decision
-procedures for determining whether an elementary function has an
-elementary function has an elementary antiderivative. We give examples
-of algebraic functions which are integrable and non-integrable in
-closed form, and mention the current implementation of various computer
-algebra systems.
-\end{adjustwidth}
+\begin{chunk}{axiom.bib}
+@article{Mahb06,
+  author = "Mahboubi, Assia",
+  title = "Proving Formally the Implementation of an Efficient gcd 
+           Algorithm for Polynomials",
+  journal = "Lecture Notes in Computer Science",
+  volume = "4130",
+  year = "2006",
+  pages = "438-452",
+  paper = "Mahb06.pdf",
+  abstract = "
+    We describe here a formal proof in the Coq system of the structure
+    theorem for subresultants which allows to prove formally the
+    correctness of our implementation of the subresultants algorithm.
+    Up to our knowledge it is the first mechanized proof of this result."
+}
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 92]{Bro92} 
-  author = "Bronstein, M.",
-  title = "Linear Ordinary Differential Equations: Breaking Through the Order 2 Barrier",
-  year = "1992",
-  url = "http://www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac92.ps.gz",
-  paper = "Bro92.pdf",
-  keywords = "axiomref",
+\bibitem[Ballarin 99]{Ball99} Ballarin, Clemens; Paulson, Lawrence C.
+``A Pragmatic Approach to Extending Provers by Computer Algebra -- 
+  with Applications to Coding Theory''
+\verb|www.cl.cam.ac.uk/~lp15/papers/Isabelle/coding.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Ball99.pdf|
+  abstract = "
+    The use of computer algebra is usually considered beneficial for
+    mechanised reasoning in mathematical domains. We present a case study,
+    in the application domain of coding theory, that supports this claim:
+    the mechanised proofs depend on non-trivial algorithms from computer
+    algebra and increase the reasoning power of the theorem prover.
+
+    The unsoundness of computer algebra systems is a major problem in
+    interfacing them to theorem provers. Our approach to obtaining a sound
+    overall system is not blanket distrust but based on the distinction
+    between algorithms we call sound and {\sl ad hoc} respectively. This
+    distinction is blurred in most computer algebra systems. Our
+    experimental interface therefore uses a computer algebra library. It
+    is based on formal specifications for the algorithms, and links the
+    computer algebra library Sumit to the prover Isabelle.
+
+    We give details of the interface, the use of the computer algebra
+    system on the tactic-level of Isabelle and its integration into proof
+    procedures."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A major subproblem for algorithms that either factor ordinary linear
-differential equations or compute their closed form solutions is to
-find their solutions $y$ which satisfy $y^{'}/y \in \overline{K}(x)$
-where $K$ is the constant field for the coefficients of the equation.
-While a decision procedure for this subproblem was known in the
-$19^{th}$ century, it requires factoring polynomials over
-$\overline{K}$ and has not been implemented in full generality. We
-present here an efficient algorithm for this subproblem, which has
-been implemented in the AXIOM computer algebra system for equations of
-arbitrary order over arbitrary fields of characteristic 0. This
-algorithm never needs to compute with the individual complex
-singularities of the equation, and algebraic numbers are added only
-when they appear in the potential solutions.  Implementation of the
-complete Singer algorithm for $n=2,3$ based on this building block is
-in progress.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Bertot 04]{Bert04} Bertot, Yves; Cast\'eran, Pierre
+``Interactive Theorem Proving and Program Development''
+Springer ISBN 3-540-20854-2
+  abstract = "
+    Coq is an interactive proof assistant for the development of
+    mathematical theories and formally certified software. It is based on
+    a theory called the calculus of inductive constructions, a variant of
+    type theory.
+
+    This book provides a pragmatic introduction to the development of
+    proofs and certified programs using Coq. With its large collection of
+    examples and exercies it is an invaluable tool for researchers,
+    students, and engineers interested in formal methods and the
+    development of zero-fault software."
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 93]{Bro93} 
-  author = "Bronstein, Manuel (ed)",
-  year = "1993",
-  month = "July"
-  isbn = "0-89791-604-2",
-ISSAC'93: proceedings of the 1993 International Symposium on Symbolic 
-and Algebraic Computation, Kiev, Ukraine,
-ACM Press New York, NY 10036, USA, ISBN 
-LCCN QA76.95 I59 1993 ACM order number 505930
-  keywords = "axiomref",
+\bibitem[Boulme 00]{BHR00} Boulm\'e, S.; Hardin, T.; Rioboo, R.
+``Polymorphic Data Types, Objects, Modules and Functors,: is it too much?''
+%\verb|axiom-developer.org/axiom-website/papers/BHR00.pdf|
+  abstract = "
+    Abstraction is a powerful tool for developers and it is offered by
+    numerous features such as polymorphism, classes, modules, and
+    functors, $\ldots$ A working programmer may be confused by this
+    abundance. We develop a computer algebra library which is being
+    certificed. Reporting this experience made with a language (Ocaml)
+    offering all these features, we argue that the are all needed
+    together. We compare several ways of using classes to represent
+    algebraic concepts, trying to follow as close as possible mathematical
+    specification. Thenwe show how to combine classes and modules to
+    produce code having very strong typing properties.  Currently, this
+    library is made of one hundred units of functional code and behaves
+    faster than analogous ones such as Axiom."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Brunelli 08]{Brun08} 
-  author = "Brunelli, J.C.",
-  title = "Streams and Lazy Evaluation Applied to Integrable Models",
-  year = "2008",
-  url = "http://arxiv.org/PS_cache/nlin/pdf/0408/0408058v1.pdf",
-  paper = "Brun08.pdf",
-  keywords = "axiomref",
+\bibitem[Boulme 01]{BHHMR01}
+Boulm\'e, S.; Hardin, T.; Hirschkoff, D.; M\'enissier-Morain, V.; Rioboo, R.
+``On the way to certify Computer Algebra Systems''
+Calculemus-2001
+%\verb|axiom-developer.org/axiom-website/papers/BHHMR01.pdf|
+  abstract = "
+    The FOC project aims at supporting, within a coherent software system,
+    the entire process of mathematical computation, starting with proved
+    theories, ending with certified implementations of algorithms. In this
+    paper, we explain our design requirements for the implementation,
+    using polynomials as a running example. Indeed, proving correctness of
+    implementations depends heavily on the way this design allows
+    mathematical properties to be truly handled at the programming level.
+
+    The FOC project, started at the fall of 1997, is aimed to build a
+    programming environment for the development of certified symbolic
+    computation. The working languages are Coq and Ocaml. In this paper,
+    we present first the motivations of the project. We then explain why
+    and how our concern for proving properties of programs has led us to
+    certain implementation choices in Ocaml. This way, the sources express
+    exactly the mathematical dependencies between different structures.
+    This may ease the achievement of proofs."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Computer algebra procedures to manipulate pseudo-differential
-operators are implemented to perform calculations with integrable
-models. We use lazy evaluation and streams to represent and operate
-with pseudo-differential operators. No order of truncation is needed
-since terms are produced on demand. We give a series of concrete
-examples using the computer algebra language MAPLE.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Daly 10]{Daly10} Daly, Timothy
+``Intel Instruction Semantics Generator''
+\verb|daly.axiom-developer.org/TimothyDaly_files/publications/sei/intel/intel.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Daly10.pdf|
+  abstract = "
+    Given an Intel x86 binary, extract the semantics of the instruction
+    stream as Conditional Concurrent Assignments (CCAs). These CCAs 
+    represent the semantics of each individual instruction. They can be
+    composed to represent higher level semantics."
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 93]{BS93} 
-  author = "Bronstein, Manuel and Salvy, Bruno",
-  title = "Full Partial Fraction Decomposition of Rational Functions",
-  year = "1993",
-  pages = "157-160",
-  isbn = "0-89791-604-2",
-In Bronstein [Bro93]   LCCN QA76.95 I59 1993
-  keywords = "axiomref",
+\bibitem[Danielsson 06]{Dani06} Danielsson, Nils Anders; Hughes, John;
+Jansson, Patrik; Gibbons, Jeremy
+``Fast and Loose Reasoning is Morally Correct''
+ACM POPL'06 January 2005, Charleston, South Carolina, USA
+%\verb|axiom-developer.org/axiom-website/papers/Dani06.pdf|
+  abstract = "
+    Functional programmers often reason about programs as if they were
+    written in a total language, expecting the results to carry over to
+    non-toal (partial) languages. We justify such reasoning.
+
+    Two languages are defined, one total and one partial, with identical
+    syntax. The semantics of the partial language includes partial and
+    infinite values, and all types are lifted, including the function
+    spaces. A partial equivalence relation (PER) is then defined, the
+    domain of which is the total subset of the partial language. For types
+    not containing function spaces the PER relates equal values, and
+    functions are related if they map related values to related values.
+
+    It is proved that if two closed terms have the same semantics in the
+    total language, then they have related semantics in the partial
+    language. It is also shown that the PER gives rise to a bicartesian
+    closed category which can be used to reason about values in the domain
+    of the relation."
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Bro92a,
-  author = "Bronstein, Manuel",
-  title = "Integration and Differential Equations in Computer Algebra",
-  year = "1992",
-  url = "http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.42.576",
-  paper = "Bro92a.pdf",
-  keywords = "axiomref"
-}
+\begin{chunk}{ignore}
+\bibitem[Davenport 12]{Davenp12} Davenport, James H.; Bradford, Russell;
+England, Matthew; Wilson, David
+``Program Verification in the presence of complex numbers, functions with
+branch cuts etc.''
+\verb|arxiv.org/pdf/1212.5417.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Davenp12.pdf|
+  abstract = "
+    In considering the reliability of numerical programs, it is normal to
+    ``limit our study to the semantics dealing with numerical precision''.
+    On the other hand, there is a great deal of work on the reliability of
+    programs that essentially ignores the numerics. The thesis of this
+    paper is that there is a class of problems that fall between these
+    two, which could be described as ``does the low-level arithmetic
+    implement the high-level mathematics''. Many of these problems arise
+    because mathematics, particularly the mathematics of the complex
+    numbers, is more difficult than expected: for example the complex
+    function log is not continuous, writing down a program to compute an
+    inverse function is more complicated than just solving an equation,
+    and many algebraic simplification rules are not universally valid.
+
+    The good news is that these problems are {\sl theoretically} capable
+    of being solved, and are {\sl practically} close to being solved, but
+    not yet solved, in several real-world examples. However, there is
+    still a long way to go before implementations match the theoretical
+    possibilities."
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dolzmann 97]{Dolz97} Dolzmann, Andreas; Sturm, Thomas
+``Guarded Expressions in Practice''
+\verb|redlog.dolzmann.de/papers/pdf/MIP-9702.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Dolz97.pdf|
+  abstract = "
+    Computer algebra systems typically drop some degenerate cases when
+    evaluating expressions, e.g. $x/x$ becomes 1 dropping the case
+    $x=0$. We claim that it is feasible in practice to compute also the
+    degenerate cases yielding {\sl guarded expressions}. We work over real
+    closed fields but our ideas about handling guarded expressions can be
+    easily transferred to other situations. Using formulas as guards
+    provides a powerful tool for heuristically reducing the combinatorial
+    explosion of cases: equivalent, redundant, tautological, and
+    contradictive cases can be detected by simplification and quantifier
+    elimination. Our approach allows to simplify the expressions on the
+    basis of simplification knowledge on the logical side. The method
+    described in this paper is implemented in the REDUCE package GUARDIAN,
+    which is freely available on the WWW."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe in this paper how the problems of computing indefinite
-integrals and solving linear ordinary differential equations in closed
-form are now solved by computer algebra systems. After a brief review
-of the mathematical history of those problems, we outline the two
-major algorithms for them (respectively the Risch and Singer
-algorithms) and the recent improvements on those algorithms which has
-allowed them to be implemented.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Dos Reis 11]{DR11} Dos Reis, Gabriel; Matthews, David; Li, Yue
+``Retargeting OpenAxiom to Poly/ML: Towards an Integrated Proof Assistants
+and Computer Algebra System Framework''
+Calculemus (2011) Springer
+\verb|paradise.caltech.edu/~yli/paper/oa-polyml.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/DR11.pdf|
+  abstract = "
+    This paper presents an ongoing effort to integrate the Axiom family of
+    computer algebra systems with Poly/ML-based proof assistants in the
+    same framework. A long term goal is to make a large set of efficient
+    implementations of algebraic algorithms available to popular proof
+    assistants, and also to bring the power of mechanized formal
+    verification to a family of strongly typed computer algebra systems at
+    a modest cost. Our approach is based on retargeting the code generator
+    of the OpenAxiom compiler to the Poly/ML abstract machine."
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Beneke 94]{BS94} 
-  author = "Beneke, T. and Schwippert, W.",
-  title = "Double-track into the future: MathCAD will gain new users with Standard and Plus versions",
-  year = "1994",
-  month = "July",
-  pages = "107-110",
-  keywords = "axiomref",
-Elektronik, 43(15) CODEN EKRKAR ISSN 0013-5658
+\bibitem[Dunstan 00a]{Dun00a} Dunstan, Martin N.
+``Adding Larch/Aldor Specifications to Aldor''
+%\verb|axiom-developer.org/axiom-website/papers/Dunxx.pdf|
+  abstract = "
+    We describe a proposal to add Larch-style annotations to the Aldor
+    programming language, based on our PhD research. The annotations
+    are intended to be machine-checkable and may be used for a variety
+    of purposes ranging from compiler optimizations to verification
+    condition (VC) generation. In this report we highlight the options
+    available and describe the changes which would need to be made to
+    the compiler to make use of this technology."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 97a]{Bro97a} 
-  author = "Bronstein, Manuel and Weil, Jacques-Arthur",
-  title = "On Symmetric Powers of Differential Operators",
-  year = "1997",
-  pages = "156-163",
-  keywords = "axiomref",
-  url = "http://www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html"
-  paper = "Bro97a.pdf",
-  publisher = "ACM, NY",
-ISSAC'97 
+\bibitem[Dunstan 98]{Dun98} Dunstan, Martin; Kelsey, Tom; Linton, Steve;
+Martin, Ursula
+``Lightweight Formal Methods For Computer Algebra Systems''
+\verb|www.cs.st-andrews.ac.uk/~tom/pub/issac98.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Dun98.pdf|
+  abstract = "
+    Demonstrates the use of formal methods tools to provide a semantics
+    for the type hierarchy of the Axiom computer algebra system, and a
+    methodology for Aldor program analysis and verification. There are
+    examples of abstract specifications of Axiom primitives."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present alternative algorithms for computing symmetric powers of
-linear ordinary differential operators. Our algorithms are applicable
-to operators with coefficients in arbitrary integral domains and
-become faster than the traditional methods for symmetric powers of
-sufficiently large order, or over sufficiently complicated coefficient
-domains. The basic ideas are also applicable to other computations
-involving cyclic vector techniques, such as exterior powers of
-differential or difference operators.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Dunstan 99a]{Dun99a} Dunstan, MN
+``Larch/Aldor - A Larch BISL for AXIOM and Aldor''
+PhD Thesis, 1999
+\verb|www.cs.st-andrews.uk/files/publications/Dun99.php|
+%\verb|axiom-developer.org/axiom-website/papers/Dun99a.pdf|
+  abstract = "
+    In this thesis we investigate the use of lightweight formal methods
+    and verification conditions (VCs) to help improve the reliability of
+    components constructed within a computer algebra system. We follow the
+    Larch approach to formal methods and have designed a new behavioural
+    interface specification language (BISL) for use with Aldor: the
+    compiled extension language of Axiom and a fully-featured programming
+    language in its own right. We describe our idea of lightweight formal
+    methods, present a design for a lightweight verification condition
+    generator and review our implementation of a prototype verification
+    condition generator for Larch/Aldor."
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Borwein 00]{Bor00} 
-  author = "Borwein, Jonathan",
-  title = "Multimedia tools for communicating mathematics",
-  year = "2000",
-  pages = "58",
-  isbn = "3-540-42450-4",
-  publisher = "Springer-Verlag",
-  keywords = "axiomref"
+\bibitem[Dunstan 00]{Dun00} Dunstan, Martin; Kelsey, Tom; Martin, Ursula;
+Linton, Steve
+``Formal Methods for Extensions to CAS''
+FME'99, Toulouse, France, Sept 20-24, 1999, pp 1758-1777
+\verb|tom.host.cs.st-andrews.ac.uk/pub/fm99.ps|
+%\verb|axiom-developer.org/axiom-website/papers/Dun00.pdf|
+  abstract = "
+    We demonstrate the use of formal methods tools to provide a semantics
+    for the type hierarchy of the AXIOM computer algebra system, and a
+    methodology for Aldor program analysis and verification. We give a
+    case study of abstract specifications of AXIOM primitives, and provide
+    an interface between these abstractions and Aldor code."
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@article{BT94,
-  author = "Brown, R. and Tonks, A.",
-  title = "Calculations with simplicial and cubical groups in AXIOM",
-  journal = "Journal of Symbolic Computation",
-  volume =  "17",
-  number = "2",
-  pages = "159-179",
-  year = "1994",
-  month = "February",
-  misc = "CODEN JSYCEH ISSN 0747-7171",
-  keywords = "axiomref"
+@misc{Hard13,
+  author = "Hardin, David S. and McClurg, Jedidiah R. and Davis, Jennifer A.",
+  title = "Creating Formally Verified Components for Layered Assurance with an LLVM to ACL2 Translator",
+  url = "http://www.jrmcclurg.com/papers/law_2013_paper.pdf",
+  paper = "Hard13.pdf",
+  abstract = "
+    This paper describes an effort to create a library of formally
+    verified software component models from code that have been compiled
+    using the Low-Level Virtual Machine (LLVM) intermediate form. The idea
+    is to build a translator from LLVM to the applicative subset of Common
+    Lisp accepted by the ACL2 theorem prover. They perform verification of
+    the component model using ACL2's automated reasoning capabilities."
 }
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@misc{Brow95,
-  author = "Brown, Ronald and Dreckmann, Winfried",
-  title = "Domains of data and domains of terms in AXIOM",
-  year = "1995",
-  keywords = "axiomref",
-  paper = "DB95.pdf"
+@misc{Hard14,
+  author = "Hardin, David S. and Davis, Jennifer A. and Greve, David A. and 
+            McClurg, Jedidiah R.",
+  title = "Development of a Translator from LLVM to ACL2",
+  url = "http://arxiv.org/pdf/1406.1566",
+  paper = "Hard14.pdf",
+  abstract = "
+    In our current work a library of formally verified software components
+    is to be created, and assembled, using the Low-Level Virtual Machine
+    (LLVM) intermediate form, into subsystems whose top-level assurance
+    relies on the assurance of the individual components. We have thus
+    undertaken a project to build a translator from LLVM to the
+    applicative subset of Common Lisp accepted by the ACL2 theorem
+    prover. Our translator produces executable ACL2 formal models,
+    allowing us to both prove theorems about the translated models as well
+    as validate those models by testing.  The resulting models can be
+    translated and certified without user intervention, even for code with
+    loops, thanks to the use of the def::ung macro which allows us to
+    defer the question of termination. Initial measurements of concrete
+    execution for translated LLVM functions indicate that performance is
+    nearly 2.4 million LLVM instructions per second on a typical laptop
+    computer. In this paper we overview the translation process and
+    illustrate the translator's capabilities by way of a concrete example,
+    including both a functional correctness theorem as well as a
+    validation test for that example."
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The main new concept we wish to illustrate in this paper is a
-distinction between ``domains of data'' and ``domains of terms'', and
-its use in the programming of certain mathematical structures.
-Although this distinction is implicit in much of the programming work
-that has gone into the construction of Axiom categories and domains,
-we believe that a formalisation of this is new, that standards and
-conventions are necessary and will be useful in various other
-contexts. We shall show how this concept may be used for the coding of
-free categories and groupoids on directed graphs.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Lamport 02]{Lamp02} Lamport, Leslie
+``Specifying Systems''
+\verb|research.microsoft.com/en-us/um/people/lamport/tla/book-02-08-08.pdf|
+Addison-Wesley ISBN 0-321-14306-X
+%\verb|axiom-developer.org/axiom-website/papers/Lamp02.pdf|
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Buchberger 85]{BC85}  Buchberger, Bruno and Caviness, Bob F. (eds)
-EUROCAL '85: European Conference on Computer Algebra, Linz, Austria, 
-LLCN QA155.7.E4 E86 
-  isbn = "0-387-15983-5, 0-387-15984-3",
-  year = "1985",
-  month = "April",
-  publisher = "Springer-Verlag, Berlin, Germany",
-  keywords = "axiomref",
-  misc = "Lecture Notes in Computer Science, Vol 204",
+\bibitem[Martin 97]{Mart97} Martin, U.; Shand, D.
+``Investigating some Embedded Verification Techniques for Computer 
+  Algebra Systems''
+\verb|www.risc.jku.at/conferences/Theorema/papers/shand.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Mart97.ps|
+  abstract = "
+    This paper reports some preliminary ideas on a collaborative project
+    between St. Andrews University in the UK and NAG Ltd. The project aims
+    to use embedded verification techniques to improve the reliability and
+    mathematical soundness of computer algebra systems. We give some
+    history of attempts to integrate computer algebra systems and
+    automated theorem provers and discuss possible advantages and
+    disadvantages of these approaches. We also discuss some possible case
+    studies."
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@misc{Buh05, 
-  author = "Buhl, Soren L.",
-  title = "Some Reflections on Integrating a Computer Algebra System in R",
-  year = "2005",
-  keywords = "axiomref"
+@book{Maso86,
+  author = "Mason, Ian A.",
+  title = "The Semantics of Destructive Lisp",
+  publisher = "Center for the Study of Language and Information",
+  year = "1986",
+  isbn = "0-937073-06-7",
+  abstract = "
+    Our basic premise is that the ability to construct and modify programs
+    will not improve without a new and comprehensive look at the entire
+    programming process. Past theoretical research, say, in the logic of
+    programs, has tended to focus on methods for reasoning about
+    individual programs; little has been done, it seems to us, to develop
+    a sound understanding of the process of programming -- the process by
+    which programs evolve in concept and in practice. At present, we lack
+    the means to describe the techniques of program construction and
+    improvement in ways that properly link verification, documentation and
+    adaptability."
 }
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Burge 91]{Burg91} 
-  author = "Burge, W.H.",
-  title = "Scratchpad and the Rogers-Ramanujan identities",
-  year = "1991",
-  pages = "189-190",
-  isbn = "0-89791-437-6",
-  keywords = "axiomref",
-In Watt [Wat91],   LCCN QA76.95.I59
+\bibitem[Newcombe 13]{Newc13} Newcombe, Chris; Rath, Tim; Zhang, Fan;
+Munteanu, Bogdan; Brooker, Marc; Deardeuff, Michael
+``Use of Formal Methods at Amazon Web Services''
+\verb|research.microsoft.com/en-us/um/people/lamport/tla/|
+\verb|formal-methods-amazon.pdf|
+  abstract = "
+    In order to find subtle bugs in a system design, it is necessary to
+    have a precise description of that design. There are at least two
+    major benefits to writing a precise design; the author is forced to
+    think more clearly, which helps eliminate ``plausible hand-waving'',
+    and tools can be applied to check for errors in the design, even while
+    it is being written. In contrast, conventional design documents
+    consist of prose, static diagrams, and perhaps pseudo-code in an ad
+    hoc untestable language. Such descriptions are far from precise; they
+    are often ambiguous, or omit critical aspects such as partial failure
+    or the granularity of concurrency (i.e. which constructs are assumed
+    to be atomic). At the other end of the spectrum, the final executable
+    code is unambiguous, but contains an overwhelming amount of detail. We
+    needed to be able to capture the essence of a design in a few hundred
+    lines of precise description. As our designs are unavoidably complex,
+    we need a highly-expressive language, far above the level of code, but
+    with precise semantics. That expressivity must cover real-world
+    concurrency and fault-tolerance. And, as we wish to build services
+    quickly, we wanted a language that is simple to learn and apply,
+    avoiding esoteric concepts. We also very much wanted an existing
+    ecosystem of tools.  We found what we were looking for in TLA+, a
+    formal specification language."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This note sketches the part played by Scratchpad in obtaining new
-proofs of Euler's theorem and the Rogers-Ramanujan Identities.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@techreport{BW87,
-  author = "Burge, W. and Watt, S.",
-  title = "Infinite structures in SCRATCHPAD II",
-  year = "1987",
-  institution = "IBM Research",
-  type = "Technical Report",
-  number = "RC 12794",
-  keywords = "axiomref"
-}
+\begin{chunk}{ignore}
+\bibitem[Poll 99a]{P99a} Poll, Erik
+``The Type System of Axiom''
+\verb|www.cs.ru.nl/E.Poll/talks/axiom.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/P99a.pdf|
+  abstract = "
+    This is a slide deck from a talk on the correspondence between
+    Axiom/Aldor types and Logic."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Burge 87a]{BWM87} 
-  author = "Burge, William H. and Watt, Stephen M. and Morrison, Scott C.",
-  title = "Streams and Power Series",
-  year = "1987",
-  pages = "9-12",
-  keywords = "axiomref",
-in [Wit87], pp9-12
+\bibitem[Poll 99]{PT99} Poll, Erik; Thompson, Simon
+``The Type System of Aldor''
+\verb|www.cs.kent.ac.uk/pubs/1999/874/content.ps|
+%\verb|axiom-developer.org/axiom-website/papers/PT99.pdf|
+  abstract = "
+    This paper gives a formal description of -- at least a part of --
+    the type system of Aldor, the extension language of the Axiom.
+    In the process of doing this a critique of the design of the system
+    emerges."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Burge 89]{BW89} 
-  author = "Burge, W. H. and Watt, S. M.",
-  title = "Infinite structures in Scratchpad II",
-  year = "1989",
-  pages = "138-148",
-  isbn = "3-540-51517-8",
-  keywords = "axiomref",
-in Davenport [Dav89], LCCN QA155.7.E4E86 1987
-
-\end{chunk}
+\bibitem[Poll (a)]{PTxx} Poll, Erik; Thompson, Simon
+``Adding the axioms to Axiom. Toward a system of automated reasoning in
+Aldor''
+\verb|citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.7.1457&rep=rep1&type=ps|
+%\verb|axiom-developer.org/axiom-website/papers/PTxx.pdf|
+  abstract = "
+    This paper examines the proposal of using the type system of Axiom to
+    represent a logic, and thus to use the constructions of Axiom to
+    handle the logic and represent proofs and propositions, in the same
+    way as is done in theorem provers based on type theory such as Nuprl
+    or Coq.
 
-\subsection{C} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+    The paper shows an interesting way to decorate Axiom with pre- and
+    post-conditions.
 
-\begin{chunk}{ignore}
-\bibitem[Calmet 94]{Cal94} Calmet, J. (ed)
-Rhine Workshop on Computer Algebra, Proceedings.
-Universit{\"a}t Karsruhe, Karlsruhe, Germany 1994
-  keywords = "axiomref",
+    The Curry-Howard correspondence used is
+    \begin{verbatim}
+    PROGRAMMING                           LOGIC
+    Type                                  Formula
+    Program                               Proof
+    Product/record type     (...,...)     Conjunction
+    Sum/union type          \/            Disjunction
+    Function type           ->            Implication
+    Dependent function type (x:A) -> B(x) Universal quantifier
+    Dependent product type  (x:A,B(x))    Existential quantifier
+    Empty type              Exit          Contradictory proposition
+    One element type        Triv          True proposition
+    \end{verbatim}"
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Camion 92]{CCM92} 
-  author = "Camion, Paul and Courteau, Bernard and Montpetit, Andre",
-  title = "A combinatorial problem in Hamming Graphs and its solution in Scratchpad",
-  year = "1992",
-  month = "January",
-  keywords = "axiomref",
-Rapports de recherche 1586, Institut National de Recherche en
-Informatique et en Automatique, Le Chesnay, France, 12pp
+\bibitem[Poll 00]{PT00} Poll, Erik; Thompson, Simon
+``Integrating Computer Algebra and Reasoning through the Type System
+of Aldor''
+%\verb|axiom-developer.org/axiom-website/papers/PT00.pdf|
+  abstract = "
+    A number of combinations of reasoning and computer algebra systems
+    have been proposed; in this paper we describe another, namely a way to
+    incorporate a logic in the computer algebra system Axiom. We examine
+    the type system of Aldor -- the Axiom Library Compiler -- and show
+    that with some modifications we can use the dependent types of the
+    system to model a logic, under the Curry-Howeard isomorphism. We give
+    a number of example applications of the logi we construct and explain
+    a prototype implementation of a modified type-checking system written
+    in Haskell."
 
 \end{chunk}
 
+\subsection{Interval Arithmetic} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Caprotti 00]{CCR00} 
-  author = "Caprotti, Olga and Cohen, Arjeh M. and Riem, Manfred",
-  title = "Java Phrasebooks for Computer Algebra and Automated Deduction",
-  url = "http://www.sigsam.org/bulletin/articles/132/paper8.pdf",
-  paper = "CCR00.pdf",
-  keywords = "axiomref",
+\bibitem[Boehm 86]{Boe86} Boehm, Hans-J.; Cartwright, Robert; Riggle, Mark;
+O'Donnell, Michael J.
+``Exact Real Arithmetic: A Case Study in Higher Order Programming''
+\verb|dev.acm.org/pubs/citations/proceedings/lfp/319838/p162-boehm|
+%\verb|axiom-developer.org/axiom-website/papers/Boe86.pdf|
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{CC99,
-  author = "Capriotti, O. and Carlisle, D.",
-  title = "OpenMath and MathML: Semantic Mark Up for Mathematics",
-  year = "1999",
-  url = "http://www.acm.org/crossroads/xrds6-2/openmath.html",
-  keywords = "axiomref"
-}
+\begin{chunk}{ignore}
+\bibitem[Briggs 04]{Bri04} Briggs, Keith
+``Exact real arithmetic''
+\verb|keithbriggs.info/documents/xr-kent-talk-pp.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Bri04.pdf|
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Capr99,
-  author = "Capriotti, Olga and Cohen, Arjeh M. and Cuypers, Hans and Sterk, Hans",
-  title = "OpenMath Technology for Interactive Mathematical Documents",
-  year = "2002",
-  pages = "51-66",
-  publisher = "Springer-Verlag, Berlin, Germany",
-  url = "http://www.win.tue.nl/~hansc/lisbon.pdf",
-  paper = "Capr99.pdf",
-  misc = "in Multimedia Tools for Communicating Mathematics",
-  keywords = "axiomref"
-}
+\begin{chunk}{ignore}
+\bibitem[Fateman 94]{Fat94} Fateman, Richard J.; Yan, Tak W.
+``Computation with the Extended Rational Numbers and an Application to 
+Interval Arithmetic''
+\verb|www.cs.berkeley.edu/~fateman/papers/extrat.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Fat94.pdf|
+  abstract = "
+    Programming languages such as Common Lisp, and virtually every
+    computer algebra system (CAS), support exact arbitrary-precision
+    integer arithmetic as well as exect rational number computation.
+    Several CAS include interval arithmetic directly, but not in the
+    extended form indicated here. We explain why changes to the usual
+    rational number system to include infinity and ``not-a-number'' may be
+    useful, especially to support robust interval computation. We describe
+    techniques for implementing these changes."
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@misc{Carp04,
-  author = "Carpent, Quentin and Conil, Christophe",
-  title = "Utilisation de logiciels libres pour la r\'ealisation de TP MT26",
-  year = "2004",
-  paper = "Carp04.pdf",
-  keywords = "axiomref"
+@incollection{Lamb06,
+  author = "Lambov, Branimir",
+  title = "Interval Arithmetic Using SSE-2",
+  booktitle = "Lecture Notes in Computer Science",
+  publisher = "Springer-Verlag",
+  year = "2006",
+  isbn = "978-3-540-85520-0",
+  pages = "102-113"
 }
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Chu85,
-  author = "Chudnovsky, D.V and Chudnovsky, G.V.",
-  title = "Elliptic Curve Calculations in Scratchpad II",
-  year = "1985",
-  institution = "Mathematics Dept., IBM Research",
-  type = "Scratchpad II Newsletter 1 (1)",
-  keywords = "axiomref"
-}
+\subsection{Numerics} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\begin{chunk}{ignore}
+\bibitem[Atkinson 09]{Atk09} Atkinson, Kendall; Han, Welmin; Stewear, David
+``Numerical Solution of Ordinary Differential Equations''
+\verb|homepage.math.uiowa.edu/~atkinson/papers/NAODE_Book.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Atk09.pdf|
+  abstract = "
+    This book is an expanded version of supplementary notes that we used
+    for a course on ordinary differential equations for upper-division
+    undergraduate students and beginning graduate students in mathematics,
+    engineering, and sciences. The book introduces the numerical analysis
+    of differential equations, describing the mathematical background for
+    understanding numerical methods and giving information on what to
+    expect when using them. As a reason for studying numerical methods as
+    a part of a more general course on differential equations, many of the
+    basic ideas of the numerical analysis of differential equations are
+    tied closely to theoretical behavior associated with the problem being
+    solved. For example, the criteria for the stability of a numerical
+    method is closely connected to the stability of the differential
+    equation problem being solved."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Chudnovsky 87]{Chu87} 
-  author = "Chudnovsky, D.V and Chudnovsky, G.V.",
-  title = "New Analytic Methods of Polynomial Root Finding",
-  year = "1987",
-  pages = "2",
-  keywords = "axiomref",
-in [Wit87]
+\bibitem[Crank 96]{Cran96} Crank, J.; Nicolson, P.
+``A practical method for numerical evaluations of solutions of partial 
+  differential equations of heat-conduction type''
+Advances in Computational Mathematics Vol 6 pp207-226 (1996)
+\verb|www.acms.arizona.edu/FemtoTheory/MK_personal/opti547/literature/|
+\verb|CNMethod-original.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Cran96.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Chudnovsky 89]{Chu89}
-  author = "Chudnovsky, D.V. and Chudnovsky, G.V.",
-  title = "The computation of classical constants",
-  year = "1989",
-  month = "November",
-  pages = "8178-8182",
-  keywords = "axiomref",
-Proc. Natl. Acad. Sci. USA Vol 86 
+\bibitem[Lef\'evre 06]{Lef06} Lef\'evre, Vincent; Stehl\'e, Damien;
+Zimmermann, Paul
+``Worst Cases for the Exponential Function 
+in the IEEE-754r decimal64 Format''
+in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
+(2006) pp114-125
+  abstract = "
+    We searched for the worst cases for correct rounding of the 
+    exponential function in the IEEE 754r decimal64 format, and computed
+    all the bad cases whose distance from a breakpoint (for all rounding 
+    modes) is less than $10^{-15}$ ulp, and we give the worst ones. In
+    particular, the worst case for 
+    $\vert{}x\vert{} \ge 3 x 10^{-11}$ is
+    \[
+    exp(9.407822313572878x10^{-2} = 
+    1.09864568206633850000000000000000278\ldots
+    \]
+    This work can be extended to other elementary functions in the decimal64
+    format and allows the design of reasonably fast routines that will
+    evaluate these functions with correct rounding, at least in some 
+    situations."
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@proceedings{CJ86,
-  editor = "Chudnovsky, David and Jenks, Richard",
-  title = "Computers in Mathematics",
-  year = "1986",
-  month = "July",
-  isbn = "0-8247-8341-7",
-  note = "International Conference on Computers and Mathematics",
-  publisher = "Marcel Dekker, Inc",
-  keywords = "axiomref"
+@book{Hamm62,
+  author = "Hamming R W.",
+  title = "Numerical Methods for Scientists and Engineers",
+  publisher = "Dover",
+  year = "1973",
+  isbn = "0-486-65241-6"
 }
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Cohe03,
-  author = "Cohen, Arjeh and Cuypers, M. and Barreiro, Hans and Reinaldo, Ernesto and Sterk, Hans",
-  title = "Interactive Mathematical Documents on the Web",
-  year = "2003",
-  pages = "289-306",
-  editor = "Joswig, M. and Takayma, N.",
-  publisher = "Springer-Verlag, Berlin, Germany",
-  keywords = "axiomref",
-  misc = "in Algebra, Geometry and Software Systems"
-}
+\subsection{Advanced Documentation} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\begin{chunk}{ignore}
+\bibitem [Bostock 14]{Bos14} Bostock, Mike
+``Visualizing Algorithms''
+\verb|bost.ocks.org/mike/algorithms|
+  abstract = "
+    This website hosts various ways of visualizing algorithms. The hope is
+    that these kind of techniques can be applied to Axiom."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Cohen 91]{CC91} Cohen, G.; Charpin, P.; (ed) 
-EUROCODE '90 International Symposium on
-Coding Theory and Applications Proceedings. Springer-Verlag, Berlin, Germany
-/ Heidelberg, Germany / London, UK / etc., 1991 ISBN 0-387-54303-1 
-(New York), 3-540-54303-1 (Berlin), LCCN QA268.E95 1990
-  keywords = "axiomref",
+\bibitem[Leeuwen]{Leexx} van Leeuwen, Andr\'e M.A.
+``Representation of mathematical object in interactive books''
+%\verb|axiom-developer.org/axiom-website/papers/Leexx.pdf|
+  abstract = "
+    We present a model for the representation of mathematical objects in
+    structured electronic documents, in a way that allows for interaction
+    with applications such as computer algebra systems and proof checkers.
+    Using a representation that reflects only the intrinsic information of
+    an object, and storing application-dependent information in so-called
+    {\sl application descriptions}, it is shown how the translation from
+    the internal to an external representation and {\sl vice versa} can be
+    achieved. Hereby a formalisation of the concept of {\sl context} is
+    introduced. The proposed scheme allows for a high degree of
+    application integration, e.g., parallel evaluation of subexpressions
+    (by different computer algebra systems), or a proof checker using a
+    computer algebra system to verify an equation involving a symbolic
+    computation."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Conrad (a)]{CFMPxxa} 
-  author = "Conrad, Marc and French, Tim and Maple, Carsten and Pott, Sandra",
-  title = "Approaching Inheritance from a Natural Mathematical Perspective and from a Java Driven Viewpoint: a Comparative Review",
-  keywords = "axiomref",
-  paper = "CFMPxxa.pdf",
+\bibitem[Soiffer 91]{Soif91} Soiffer, Neil Morrell
+``The Design of a User Interface for Computer Algebra Systems''
+\verb|www.eecs.berkeley.edu/Pubs/TechRpts/1991/CSD-91-626.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Soif91.pdf|
+  abstract = "
+    This thesis discusses the design and implementation of natural user
+    interfaces for Computer Algebra Systems. Such an interface must not
+    only display expressions generated by the Computer Algebra System in
+    standard mathematical notation, but must also allow easy manipulation
+    and entry of expressions in that notation. The user interface should
+    also assist in understanding of large expressions that are generated
+    by Computer Algebra Systems and should be able to accommodate new
+    notational forms."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-It is well-known that few object-oriented programming languages allow
-objects to change their nature at run-time. There have been a number
-of reasons presented for this, but it appears that there is a real
-need for matters to change. In this paper we discuss the need for
-object-oriented programming languages to reflect the dynamic nature of
-problems, particularly those arising in a mathematical context. It is
-from this context that we present a framework that realistically
-represents the dynamic and evolving characteristic of problems and
-algorithms.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@misc{CFMPxxb,
-  author = "Conrad, Marc and French, Tim and Maple, Carsten and Pott, Sandra",
-  title = "Mathematical Use Cases lead naturally to non-standard Inheritance Relationships: How to make them accessible in a mainstream language?",
-  paper = "CFMPxxb.pdf",
-  keywords = "axiomref"
-}
+\begin{chunk}{ignore}
+\bibitem[Victor 11]{Vict11} Victor, Bret
+``Up and Down the Ladder of Abstraction''
+\verb|worrydream.com/LadderOfAbstraction|
+  abstract = "
+    This interactive essay presents the ladder of abstraction, a technique for
+    thinking explicitly about these levels, so a designer can move among
+    them consciously and confidently. "
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Conceptually there is a strong correspondence between Mathematical
-Reasoning and Object-Oriented techniques. We investigate how the ideas
-of Method Renaming, Dynamic Inheritance and Interclassing can be used
-to strengthen this relationship. A discussion is initiated concerning
-the feasibility of each of these features.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@misc{Cuyp10,
-  author = "Cuypers, Hans and Hendriks, Maxim and Knopper, Jan Willem",
-  title = "Interactive Geometry inside MathDox",
-  year = "2010",
-  url = "http://www.win.tue.nl/~hansc/MathDox_and_InterGeo_paper.pdf",
-  paper = "Cuyp10",
-  keywords = "axiomref"
-}
+\begin{chunk}{ignore}
+\bibitem[Victor 12]{Vict12} Victor, Bret
+``Inventing on Principle''
+\verb|www.youtube.com/watch?v=PUv66718DII|
+  abstract = "
+    This video raises the level of discussion about human-computer
+    interaction from a technical question to a question of effectively
+    capturing ideas.  In particular, this applies well to Axiom's focus on
+    literate programming."
 
 \end{chunk}
 
-\subsection{D} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\subsection{Differential Equations} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{axiom.bib}
-@inproceedings{Dalm97,
-  author = {Dalmas, St\'ephane and Ga\"etano, Marc and Watt, Stephen},
-  title = "An OpenMath 1.0 Implementation",
-  booktitle = "Proc. 1997 Int. Symp. on Symbolic and Algebraic Computation",
-  series = "ISSAC'97",
-  year = "1997",
-  isbn = "0-89791-875-4",
-  location = "Kihei, Maui, Hawaii, USA",
-  pages = "241-248",
-  numpages = "8",
-  url = "http://doi.acm.org/10.1145/258726.258794",
-  doi = "10.1145/258726.258794",
-  acmid = "258794",
-  publisher = "ACM, New York, NY USA",
-  keywords = "axiomref"
-}
+\begin{chunk}{ignore}
+\bibitem[Abramov 95]{Abra95} Abramov, Sergei A.; Bronstein, Manuel; 
+Petkovsek, Marko
+``On Polynomial Solutions of Linear Operator Equations''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Abra95.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dalmas 92]{Dal92} Dalmas, S.
-``A polymorphic functional language applied to symbolic computation''
-In Wang [Wan92] pp369-375 ISBN 0-89791-489-9 (soft cover) 0-89791-490-2 
-(hard cover) LCCN QA76.95.I59 1992
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{axiom.bib}
-@misc{Daly88,
-  author = "Daly, Timothy",
-  title = "Axiom in an Educational Setting, Axiom course slide deck",
-  year = "1988",
-  month = "January",
-  keywords = "axiomref"
-}
+\bibitem[Abramov 01]{Abra01} Abramov, Sergei; Bronstein, Manuel
+``On Solutions of Linear Functional Systems''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Abra01.pdf|
+  abstract = "
+    We describe a new direct algorithm for transforming a linear system of
+    recurrences into an equivalent one with nonsingular leading or
+    trailing matrix. Our algorithm, which is an improvement to the EG
+    elimination method, uses only elementary linear algebra operations
+    (ranks, kernels, and determinants) to produce an equation satisfied by
+    the degress of the solutions with finite support. As a consequence, we
+    can boudn and compute the polynomial and rational solutions of very
+    general linear functional systems such as systems of differential or
+    ($q$)-difference equations."
 
 \end{chunk}
 
-\begin{chunk}{ignore}TPDHERE
-\bibitem[Daly 02]{Dal02} Daly, Timothy
-``Axiom as open source''
-SIGSAM Bulletin (ACM Special Interest Group
-on Symbolic and Algebraic Manipulation) 36(1) pp28-?? March 2002
-CODEN SIGSBZ ISSN 0163-5824
-  keywords = "axiomref",
+\begin{chunk}{ignore}
+\bibitem[Bronstein 96b]{Bro96b} Bronstein, Manuel
+``On the Factorization of Linear Ordinary Differential Operators''
+Mathematics and Computers in Simulation 42 pp 387-389 (1996)
+%\verb|axiom-developer.org/axiom-website/papers/Bro96b.pdf|
+  abstract = "
+    After reviewing the arithmetic of linear ordinary differential
+    operators, we describe the current status of the factorisation
+    algorithm, specially with respect to factoring over non-algebraically
+    closed constant fields. We also describe recent results from Singer
+    and Ulmer that reduce determining the differential Galois group of an
+    operator to factoring."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Daly 03]{Dal03} Daly, Timothy
-``The Axiom Wiki Website''
-\verb|axiom.axiom-developer.org|
-  keywords = "axiomref",
+\bibitem[Bronstein 96a]{Bro96a} Bronstein, Manuel; Petkovsek, Marko
+``An introduction to pseudo-linear algebra''
+Theoretical Computer Science V157 pp3-33 (1966)
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Bro96a.pdf|
+  abstract = "
+    Pseudo-linear algebra is the study of common properties of linear
+    differential and difference operators. We introduce in this paper its
+    basic objects (pseudo-derivations, skew polynomials, and pseudo-linear
+    operators) and describe several recent algorithms on them, which, when
+    applied in the differential and difference cases, yield algorithms for
+    uncoupling and solving systems of linear differential and difference
+    equations in closed form."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Daly 06]{Dal06} Daly, Timothy
-``Axiom Volume 1: Tutorial''
-Lulu, Inc. 860 Aviation Parkway,
-Suite 300, Morrisville, NC 27560 USA, 2006 ISBN 141166597X 287pp
-\verb|www.lulu.com/content/190827|
-  keywords = "axiomref",
+\bibitem[Bronstein xb]{Broxb} Bronstein, Manuel
+``Computer Algebra Algorithms for Linear Ordinary Differential and
+Difference equations''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/ecm3.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Broxb.pdf|
+  abstract = "
+    Galois theory has now produced algorithms for solving linear ordinary
+    differential and difference equations in closed form. In addition,
+    recent algorithmic advances have made those algorithms effective and
+    implementable in computer algebra systems. After introducing the
+    relevant parts of the theory, we describe the latest algorithms for
+    solving such equations."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Daly 09]{Dal09} Daly, Timothy
-``The Axiom Literate Documentation''
-\verb|axiom-developer.org/axiom-website/documentation.html|
-  keywords = "axiomref",
+\bibitem[Bronstein 94]{Bro94} Bronstein, Manuel
+``An improved algorithm for factoring linear ordinary differential
+operators''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+  abstract = "
+    We describe an efficient algorithm for computing the associated
+    equations appearing in the Beke-Schlesinger factorisation method for
+    linear ordinary differential operators. This algorithm, which is based
+    on elementary operations with sets of integers, can be easily
+    implemented for operators of any order, produces several possible
+    associated equations, of which only the simplest can be selected for
+    solving, and often avoids the degenerate case, where the order of the
+    associated equation is less than in the generic case. We conclude with
+    some fast heuristics that can produce some factorizations while using
+    only linear computations."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Daly 13]{Dal13} Daly, Timothy
-``Literate Programming in the Large'' 
-April 8-9, 2013 Portland Oregon
-\verb|conf.writethedocs.org|
-\verb|daly.axiom-developer.org|
-\verb|www.youtube.com/watch?v=Av0PQDVTP4A|
-  keywords = "axiomref",
+\bibitem[Bronstein 90]{Bro90} Bronstein, Manuel
+``On Solutions of Linear Ordinary Differential Equations in their 
+Coefficient Field''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Bro90.pdf|
+  abstract = "
+    We describe a rational algorithm for finding the denominator of any
+    solution of a linear ordinary differential equation in its coefficient
+    field. As a consequence, there is now a rational algorithm for finding
+    all such solutions when the coefficients can be built up from the
+    rational functions by finitely many algebraic and primitive
+    adjunctions. This also eliminates one of the computational bottlenecks
+    in algorithms that either factor or search for Liouvillian solutions
+    of such equations with Liouvillian coefficients."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 79a]{Dav79a} Davenport, J.H.
-``What can SCRATCHPAD/370 do?''
-VM/370 SPAD.SCRIPTS August 24, 1979 SPAD.SCRIPT
-  keywords = "axiomref",
+\bibitem[Bronstein 96]{Bro96} Bronstein, Manuel
+``$\sum^{IT}$ -- A strongly-typed embeddable computer algebra library''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Bro96.pdf|
+  abstract = "
+    We describe the new computer algebra library $\sum^{IT}$ and its
+    underlying design. The development of $\sum^{IT}$ is motivated by the
+    need to provide highly efficient implementations of key algorithms for
+    linear ordinary differential and ($q$)-difference equations to
+    scientific programmers and to computer algebra users, regardless of
+    the programming language or interactive system they use. As such,
+    $\sum^{IT}$ is not a computer algebra system per se, but a library (or
+    substrate) which is designed to be ``plugged'' with minimal efforts
+    into different types of client applications."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 80]{Dav80} Davenport, J.H.; Jenks, R.D.
-``MODLISP -- an Introduction''
-Proc LISP80, 1980, and IBM RC8357 Oct 1980
-  keywords = "axiomref",
+\bibitem[Bronstein 99a]{Bro99a} Bronstein, Manuel
+``Solving linear ordinary differential equations over 
+$C(x,e^{\int{f(x)dx}})$
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Bro99a.pdf|
+  abstract = "
+    We describe a new algorithm for computing the solutions in
+    \[F=C(x,e^{\int{f(x)dx}})\] of linear ordinary differential equations
+    with coefficients in $F$. Compared to the general algorithm, our
+    algorithm avoids the computation of exponential solutions of equations
+    with coefficients in $C(x)$, as well as the solving of linear
+    differential systems over $C(x)$. Our method is effective and has been
+    implemented."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 84]{DGJ84} Davenport, J.; Gianni, P.; Jenks, R.;
-Miller, V.; Morrison, S.; Rothstein, M.; Sundaresan, C.; Sutor, R.; 
-Trager, B.
-``Scratchpad''
-Mathematical Sciences Department, IBM Thomas Watson Research Center 1984
-  keywords = "axiomref",
+\bibitem[Bronstein 00]{Bro00} Bronstein, Manuel
+``On Solutions of Linear Ordinary Differential Equations in their 
+  Coefficient Field''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Bro00.pdf|
+  abstract = "
+    We extend the notion of monomial extensions of differential fields,
+    i.e. simple transcendental extensions in which the polynomials are
+    closed under differentiation, to difference fields. The structure of
+    such extensions provides an algebraic framework for solving
+    generalized linear difference equations with coefficients in such
+    fields. We then describe algorithms for finding the denominator of any
+    solution of those equations in an important subclass of monomial
+    extensions that includes transcendental indefinite sums and
+    products. This reduces the general problem of finding the solutions of
+    such equations in their coefficient fields to bounding their
+    degrees. In the base case, this yields in particular a new algorithm
+    for computing the rational solutions of $q$-difference equations with
+    polynomial coefficients."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 84a]{Dav84a} Davenport, James H.
-``A New Algebra System''
-%\verb|axiom-developer.org/axiom-website/papers/Dav84a.pdf|
-  keywords = "axiomref",
+\bibitem[Bronstein 02]{Bro02} Bronstein, Manuel; Lafaille, S\'ebastien
+``Solutions of linear ordinary differential equations in terms of 
+special functions''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac2002.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Bro02.pdf|
+  abstract = "
+    We describe a new algorithm for computing special function solutions
+    of the form $y(x) = m(x)F(\eta(x))$ of second order linear ordinary
+    differential equations, where $m(x)$ is an arbitrary Liouvillian
+    function, $\eta(x)$ is an arbitrary rational function, and $F$
+    satisfies a given second order linear ordinary differential
+    equations. Our algorithm, which is base on finding an appropriate
+    point transformation between the equation defining $F$ and the one to
+    solve, is able to find all rational transformations for a large class
+    of functions $F$, in particular (but not only) the $_0F_1$ and $_1F_1$
+    special functions of mathematical physics, such as Airy, Bessel,
+    Kummer and Whittaker functions. It is also able to identify the values
+    of the parameters entering those special functions, and can be
+    generalized to equations of higher order."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 85]{Dav85} Davenport, James H.
-``The LISP/VM Foundation of Scratchpad II''
-The Scratchpad II Newsletter, Volume 1, Number 1, September 1, 1985
-IBM Corporation, Yorktown Heights, NY
-  keywords = "axiomref",
+\bibitem[Bronstein 03]{Bro03} Bronstein, Manuel; Trager, Barry M.
+``A Reduction for Regular Differential Systems''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mega2003.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Bro03.pdf|
+  abstract = "
+    We propose a definition of regularity of a linear differential system
+    with coefficients in a monomial extension of a differential field, as
+    well as a global and truly rational (i.e. factorisation-free)
+    iteration that transforms a system with regular finite singularites
+    into an equivalent one with simple finite poles. We then apply our
+    iteration to systems satisfied by bases of algebraic function fields,
+    obtaining algorithms for computing the number of irreducible
+    components and the genus of algebraic curves."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 88]{DST88} Davenport, J.H.; Siret, Y.; Tournier, E.
-Computer Algebra: Systems and Algorithms for Algebraic Computation. 
-Academic Press, New York, NY, USA, 1988, ISBN 0-12-204232-9
-\verb|staff.bath.ac.uk/masjhd/masternew.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/DST88.pdf|
-  keywords = "axiomref",
+\bibitem[Bronstein 03a]{Bro03a} Bronstein, Manuel; Sol\'e, Patrick
+``Linear recurrences with polynomial coefficients''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Bro03a.pdf|
+  abstract = "
+    We relate sequences generated by recurrences with polynomial
+    coefficients to interleaving and multiplexing of sequences generated
+    by recurrences with constant coefficients. In the special case of
+    finite fields, we show that such sequences are periodic and provide
+    linear complexity estimates for all three constructions."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 14]{Dav14} Davenport, James H.
-``Computer Algebra textbook''
-\verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Dav14.pdf|
-  keywords = "axiomref",
+\bibitem[Bronstein 05]{Bro05} Bronstein, Manuel; Li, Ziming; Wu, Min
+``Picard-Vessiot Extensions for Linear Functional Systems''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac2005.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Bro05.pdf|
+  abstract = "
+    Picard-Vessiot extensions for ordinary differential and difference
+    equations are well known and are at the core of the associated Galois
+    theories. In this paper, we construct fundamental matrices and
+    Picard-Vessiot extensions for systems of linear partial functional
+    equations having finite linear dimension. We then use those extensions
+    to show that all the solutions of a factor of such a system can be
+    completed to solutions of the original system."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 89]{Dav89} Davenport, J.H. (ed)
-EUROCAL '87 European Conference on Computer Algebra Proceedings 
-Springer-Verlag, Berlin, Germany / Heidelberg, Germany / London,
-UK / etc., 1989 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
-  keywords = "axiomref",
+\bibitem[Davenport 86]{Dav86} Davenport, J.H.
+``The Risch Differential Equation Problem''
+SIAM J. COMPUT. Vol 15, No. 4 1986
+%\verb|axiom-developer.org/axiom-website/papers/Dav86.pdf|
+  abstract = "
+    We propose a new algorithm, similar to Hermite's method for the
+    integration of rational functions, for the resolution of Risch
+    differential equations in closed form, or proving that they have no
+    resolution. By requiring more of the presentation of our differential
+    fields (in particular that the exponentials be weakly normalized), we
+    can avoid the introduction of arbitrary constants which have to be
+    solved for later.
+
+    We also define a class of fields known as exponentially reduced, and
+    show that solutions of Risch differential equations which arise from
+    integrating in these fields satisfy the ``natural'' degree constraints
+    in their main variables, and we conjecture (after Risch and Norman)
+    that this is true in all variables."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 90]{DT90} Davenport, J. H.; Trager, B. M.
-``Scratchpad's view of algebra I: Basic commutative algebra''
-In Miola [Mio90], pp40-54. ISBN 0-387-52531-9 (New York),
-3-540-52531-9 (Berlin). LCCN QA76.9.S88I576 1990 also in AXIOM Technical
-Report, ATR/1, NAG Ltd., Oxford, 1992
-  keywords = "axiomref",
+\bibitem[Singer 9]{Sing91.pdf} singer, Michael F.
+``Liouvillian Solutions of Linear Differential Equations with Liouvillian 
+  Coefficients''
+J. Symbolic Computation V11 No 3 pp251-273 (1991)
+\verb|www.sciencedirect.com/science/article/pii/S074771710880048X|
+%\verb|axiom-developer.org/axiom-website/papers/Sing91.pdf|
+  abstract = "
+    Let $L(y)=b$ be a linear differential equation with coefficients in a
+    differential field $K$. We discuss the problem of deciding if such an
+    equation has a non-zero solution in $K$ and give a decision procedure
+    in case $K$ is an elementary extension of the field of rational
+    functions or is an algebraic extension of a transcendental liouvillian
+    extension of the field of rational functions We show how one can use
+    this result to give a procedure to find a basis for the space of
+    solutions, liouvillian over $K$, of $L(y)=0$ where $K$ is such a field
+    and $L(y)$ has coefficients in $K$."
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@inproceedings{Dave91,
- author = "Davenport, J. H. and Gianni, P. and Trager, B. M.",
- title = "Scratchpad's View of Algebra II: A Categorical View of Factorization",
- booktitle = "Proc. 1991 International Symposium on Symbolic and Algebraic Computation",
- series = "ISSAC '91",
- year = "1991",
- isbn = "0-89791-437-6",
- location = "Bonn, West Germany",
- pages = "32--38",
- numpages = "7",
- url = "http://doi.acm.org/10.1145/120694.120699",
- doi = "10.1145/120694.120699",
- acmid = "120699",
- publisher = "ACM",
- address = "New York, NY, USA",
- keywords = "axiomref",
- paper = "Dave91.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Von Mohrenschildt 94]{Mohr94} Von Mohrenschildt, Martin
+``Symbolic Solutions of Discontinuous Differential Equations''
+\verb|e-collection.library.ethz.ch/eserv/eth:39463/eth-39463-01.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mohr94.pdf|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper explains how Scratchpad solves the problem of presenting a
-categorical view of factorization in unique factorization domains, i.e.
-a view which can be propagated by functors such as SparseUnivariatePolynomial
-or Fraction. This is not easy, as the constructive version of the classical
-concept of UniqueFactorizationDomain cannot be so propagated. The solution
-adopted is based largely on Seidenberg's conditions (F) and (P), but there
-are several additional points that have to be borne in mind to produce
-reasonably efficient algorithms in the required generality.
-
-The consequence of the algorithms and interfaces presented in this
-paper is that Scratchpad can factorize in any extension of the
-integers or finite fields by any combination of polynomial, fraction
-and algebraic extensions: a capability far more general than any other
-computer algebra system possesses. The solution is not perfect: for
-example we cannot use these general constructions to factorize
-polyinmoals in $\overline{Z[\sqrt{-5}]}[x]$ since the domain
-$Z[\sqrt{-5}]$ is not a unique factorization domain, even though
-$\overline{Z[\sqrt{-5}]}$ is, since it is a field. Of course, we can
-factor polynomials in $\overline{Z}[\sqrt{-5}][x]$
-\end{adjustwidth}
-
-
 \begin{chunk}{ignore}
-\bibitem[Davenport 92]{DGT92} Davenport, J. H.;, Gianni, P.; Trager, B. M.
-``Scratchpad's view of algebra II: A categorical view of factorization''
-Technical Report TR4/92 (ATR/2) (NP2491), Numerical Algorithms Group, Inc., 
-Downer's Grove, IL, USA and Oxford, UK, December 1992
-\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
-  keywords = "axiomref",
+\bibitem[Von Mohrenschildt 98]{Mohr98} Von Mohrenschildt, Martin
+``A Normal Form for Function Rings of Piecewise Functions''
+J. Symbolic Computation (1998) Vol 26 pp607-619
+\verb|www.cas.mcmaster.ca/~mohrens/JSC.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mohr98.pdf|
+  abstract = "
+    Computer algebra systems often have to deal with piecewise continuous
+    functions. These are, for example, the absolute value function,
+    signum, piecewise defined functions but also functions that are the
+    supremum or infimum of two functions. We present a new algebraic
+    approach to these types of problems. This paper presents a normal form
+    for a function ring containing piecewise polynomial functions of an
+    expression. The main result is that this normal form can be used to
+    decide extensional equality of two piecewise functions. Also we define
+    supremum and infimum for piecewise functions; in fact, we show that
+    the function ring forms a lattice. Additionally, a method to solve
+    equalities and inequalities in this function ring is
+    presented. Finally, we give a ``user interface'' to the algebraic
+    representation of the piecewise functions."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 92a]{Dav92a} Davenport, J. H.
-``The AXIOM system''
-AXIOM Technical Report TR5/92 (ATR/3)
-(NP2492) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
-Oxford, UK, December 1992 
-\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
-  keywords = "axiomref",
+\bibitem[Weber 06]{Webe06} Weber, Andreas
+``Quantifier Elimination on Real Closed Fields and Differential Equations''
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber2006a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe06.pdf|
+ keywords = "survey",
+  abstract = "
+    This paper surveys some recent applications of quantifier elimination
+    on real closed fields in the context of differential
+    equations. Although polynomial vector fields give rise to solutions
+    involving the exponential and other transcendental functions in
+    general, many questions can be settled within the real closed field
+    without referring to the real exponential field. The technique of
+    quantifier elimination on real closed fields is not only of
+    theoretical interest, but due to recent advances on the algorithmic
+    side including algorithms for the simplification of quantifier-free
+    formulae the method has gained practical applications, e.g. in the
+    context of computing threshold conditions in epidemic modeling."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 92b]{Dav92b} Davenport, J. H.
-``How does one program in the AXIOM system?''
-AXIOM Technical Report TR6/92 (ATR/4)(NP2493) 
-Numerical Algorithms Group, Inc., Downer's
-Grove, IL, USA and Oxford, UK December 1992
-\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
-%\verb|axiom-developer.org/axiom-website/papers/Dav92b.pdf|
-  keywords = "axiomref",
+\bibitem[Ulmer 03]{Ulm03} Ulmer, Felix
+``Liouvillian solutions of third order differential equations''
+J. Symbolic COmputations 36 pp 855-889 (2003)
+\verb|www.sciencedirect.com/science/article/pii/S0747717103000658|
+%\verb|axiom-developer.org/axiom-website/papers/Ulm03.pdf|
+  abstract = "
+    The Kovacic algorithm and its improvements give explicit formulae for
+    the Liouvillian solutions of second order linear differential
+    equations. Algorithms for third order differential equations also
+    exist, but the tools they use are more sophisticated and the
+    computations more involved. In this paper we refine parts of the
+    algorithm to find Liouvillian solutions of third order equations. We
+    show that,except for four finite groups and a reduction to the second
+    order case, it is possible to give a formula in the imprimitve
+    case. We also give necessary conditions and several simplifications
+    for the computation of the minimal polynomial for the remaining finite
+    set of finite groups (or any known finite group) by extracting
+    ramification information from the character table. Several examples
+    have been constructed, illustrating the possibilities and limitations."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Axiom is a computer algebra system superficially like many others, but
-fundamentally different in its internal construction, and therefore in
-the possibilities it offers to its users and programmers. In these
-lecture notes, we will explain, by example, the methodology that the
-author uses for programming substantial bits of mathematics in Axiom.
-\end{adjustwidth}
+\subsection{Expression Simplification} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 92c]{DT92} Davenport, J. H.; Trager, B. M.
-``Scratchpad's view of algebra I: Basic commutative algebra''
-DISCO 90 Capri, Italy April 1990 ISBN 0-387-52531-9 pp40-54
-Technical Report TR3/92 (ATR/1)(NP2490), Numerical
-Algorithms Group, Inc., Downer's Grove, IL, USA and Oxford, UK, 
-December 1992. 
-\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
-  keywords = "axiomref",
+\bibitem[Carette 04]{Car04} Carette, Jacques
+``Understanding Expression Simplification''
+\verb|www.cas.mcmaster.ca/~carette/publications/simplification.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Car04.pdf|
+  abstract = "
+    We give the first formal definition of the concept of {\sl
+    simplification} for general expressions in the context of Computer
+    Algebra Systems. The main mathematical tool is an adaptation of the
+    theory of Minimum Description Length, which is closely related to
+    various theories of complexity, such as Kolmogorov Complexity and
+    Algorithmic Information Theory. In particular, we show how this theory
+    can justify the use of various ``magic constants'' for deciding
+    between some equivalent representations of an expression, as found in
+    implementations of simplification routines."
 
 \end{chunk}
 
+\subsection{Integration} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Davenport 93]{Dav93} Davenport, J. H.
-``Primality testing revisited''
-Technical Report TR2/93 (ATR/6)(NP2556) Numerical Algorithms Group, Inc., 
-Downer's Grove, IL, USA and Oxford, UK, August 1993
-\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
-  keywords = "axiomref",
+\bibitem[Adamchik xx]{Adamxx} Adamchik, Victor
+``Definite Integration''
+\verb|www.cs.cmu.edu/~adamchik/articles/integr/mj.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Adamxx.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport (a)]{DFxx} Davenport, James; Faure, Christ\'ele
-``The Unknown in Computer Algebra''
-\verb|axiom-wiki.newsynthesis.org/public/refs/TheUnknownInComputerAlgebra.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/DFxx.pdf|
-  keywords = "axiomref",
+\bibitem[Adamchik 97]{Adam97} Adamchik, Victor
+``A Class of Logarithmic Integrals''
+\verb|www.cs.cmu.edu/~adamchik/articles/issac/issac97.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Adam97.pdf|
+  abstract = "
+    A class of definite integrals involving cyclotomic polynomials and
+    nested logarithms is considered. The results are given in terms of
+    derivatives of the Hurwitz Zeta function. Some special cases for which
+    such derivatives can be expressed in closed form are also considered."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Computer algebra systems have to deal with the confusion between
-``programming variables'' and ``mathematical symbols''. We claim that
-they should also deal with ``unknowns'', i.e. elements whose values
-are unknown, but whose type is known. For examples $x^p \ne x$ if $x$
-is a symbol, but $x^p = x$ if $x \in GF(p)$. We show how we have
-extended Axiom to deal with this concept.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Davenport 00]{Dav00} Davenport, James
-``13th OpenMath Meeting''
-James H. Davenport
-``A New Algebra System''
-May 1984
-\verb|xml.coverpages.org/openmath13.html|
-%\verb|axiom-developer.org/axiom-website/papers/Dav00.pdf|
-  keywords = "axiomref",
+\bibitem[Avgoustis 77]{Avgo77} Avgoustis, Ioannis Dimitrios
+``Definite Integration using the Generalized Hypergeometric Functions''
+\verb|dspace.mit.edu/handle/1721.1/16269|
+%\verb|axiom-developer.org/axiom-websitep/papers/Avgo77.pdf|
+  abstract = "
+    A design for the definite integration of approximately fifty Special
+    Functions is described. The Generalized Hypergeometric Functions are
+    utilized as a basis for the representation of the members of the above
+    set of Special Functions. Only a relatively small number of formulas
+    that generally involve Generalized Hypergeometric Functions are
+    utilized for the integration stage.  A last and crucial stage is
+    required for the integration process: the reduction of the Generalized
+    Hypergeometric Function to Elementary and/or Special Functions.
+
+    The result of an early implementation which involves Laplace
+    transforms are given and some actual examples with their corresponding
+    timing are provided."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 12]{Dav12} Davenport, J.H.
-``Computer Algebra''
-\verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf|
-  keywords = "axiomref",
+\bibitem[Baddoura 89]{Bad89} Baddoura, Jamil
+``A Dilogarithmic Extension of Liouville's Theorem on Integration in Finite 
+  Terms''
+\verb|www.dtic.mil/dtic/tr/fulltext/u2/a206681.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Bad89.pdf|
+  abstract = "
+    The result obtained generalizes Liouville's Theorem by allowing, in
+    addition to the elementary functions, dilogarithms to appear in the
+    integral of an elementary function. The basic conclusion is that an
+    associated function to the dilogarihm, if dilogarithms appear in the
+    integral, appears linearly, with logarithms appearing in a non-linear
+    way."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport (b)]{DSTxx} Davenport, J. H.; Siret; Tournier
-``Computer Algebra''  \hfill
-\verb|staff.bath.ac.uk/masjhd/masternew.pdf|
-  keywords = "axiomref",
+\bibitem[Baddoura 94]{Bad94} Baddoura, Mohamed Jamil
+``Integration in Finite Terms with Elementary Functions and Dilogarithms''
+\verb|dspace.mit.edu/bitstream/handle/1721.1/26864/30757785.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Bad94.pdf|
+  abstract = "
+    In this thesis, we report on a new theorem that generalizes
+    Liouville's theorem on integration in finite terms. The new theorem
+    allows dilogarithms to occur in the integral in addition to elementary
+    functions. The proof is base on two identities for the dilogarithm,
+    that characterize all the possible algebraic relations among
+    dilogarithms of functions that are built up from the rational
+    functions by taking transcendental exponentials, dilogarithms, and
+    logarithms."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dewar 94]{Dew94} Dewar, M. C.
-``Manipulating Fortran Code in AXIOM and the AXIOM-NAG Link''
-Proceedings of the Workshop on Symbolic and Numeric Computing, ed by Apiola, H.
-and Laine, M. and Valkeila, E. pp1-12 University of Helsinki, Finland (1994)
-  keywords = "axiomref",
+\bibitem[Baddoura 10]{Bad10} Baddoura, Jamil
+``A Note on Symbolic Integration with Polylogarithms''
+J. Math Vol 8 pp229-241 (2011)
+%\verb|axiom-developer.org/axiom-website/papers/Bad10.pdf|
+  abstract = "
+    We generalize partially Liouville's theorem on integration in finite
+    terms to allow polylogarithms of any order to occur in the integral in
+    addition to elementary functions. The result is a partial
+    generalization of a theorem proved by the author for the
+    dilogarithm. It is also a partial proof of a conjecture postulated by
+    the author in 1994. The basic conclusion is that an associated
+    function to the nth polylogarithm appears linearly with logarithms
+    appearing possibly in a polynomial way with non-constant coefficients."
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Dewa,
- author = "Dewar, Mike",
- title = "OpenMath: An Overview",
- url = "http://www.sigsam.org/bulletin/articles/132/paper1.pdf",
- paper = "Dewa.pdf",
- keywords = "axiomref"
-}
+\begin{chunk}{ignore}
+\bibitem[Bajpai 70]{Bajp70} Bajpai, S.D.
+``A contour integral involving legendre polynomial and Meijer's G-function''
+\verb|link.springer.com/article/10.1007/BF03049565|
+%\verb|axiom-developer.org/axiom-website/papers/Bajp70.pdf|
+  abstract = "
+    In this paper a countour integral involving Legendre polynomial and
+    Meijer's G-function is evaluated. the integral is of general character
+    and it is a generalization of results recently given by Meijer,
+    MacRobert and others.  An integral involving regular radial Coulomb
+    wave function is also obtained as a particular case."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dicrescenzo 89]{DD89} Dicrescenzo, C.; Duval, D.
-``Algebraic extensions and algebraic closure in Scratchpad II''
-In Gianni [Gia89], pp440-446 ISBN 3-540-51084-2
-LCCN QA76.95.I57 1998 Conference held jointly with AAECC-6
-  keywords = "axiomref",
+\bibitem[Bronstein 89]{Bro89a} Bronstein, M. 
+``An Algorithm for the Integration of Elementary Functions''
+Lecture Notes in Computer Science Vol 378 pp491-497 (1989)
+%\verb|axiom-developer.org/axiom-website/papers/Bro89a.pdf|
+  abstract = "
+    Trager (1984) recently gave a new algorithm for the indefinite
+    integration of algebraic functions. His approach was ``rational'' in
+    the sense that the only algebraic extension computed in the smallest
+    one necessary to express the answer. We outline a generalization of
+    this approach that allows us to integrate mixed elementary
+    functions. Using only rational techniques, we are able to normalize
+    the integrand, and to check a necessary condition for elementary
+    integrability."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dingle 94]{Din94} Dingle, Adam; Fateman, Richard
-``Branch Cuts in Computer Algebra''
-1994 ISSAC, Oxford (UK), July 1994
-\verb|www.cs.berkeley.edu/~fateman/papers/ding.ps|
-%\verb|axiom-developer.org/axiom-website/papers/Din94.pdf|
-  keywords = "axiomref",
+\bibitem[Bronstein 90a]{Bro90a} Bronstein, Manuel
+``Integration of Elementary Functions''
+J. Symbolic Computation (1990) 9, pp117-173 September 1988
+%\verb|axiom-developer.org/axiom-website/papers/Bro90a.pdf|
+  abstract = "
+    We extend a recent algorithm of Trager to a decision procedure for the
+    indefinite integration of elementary functions. We can express the
+    integral as an elementary function or prove that it is not
+    elementary. We show that if the problem of integration in finite terms
+    is solvable on a given elementary function field $k$, then it is
+    solvable in any algebraic extension of $k(\theta)$, where $\theta$ is
+    a logarithm or exponential of an element of $k$. Our proof considers
+    an element of such an extension field to be an algebraic function of
+    one variable over $k$.
+
+    In his algorithm for the integration of algebraic functions, Trager
+    describes a Hermite-type reduction to reduce the problem to an
+    integrand with only simple finite poles on the associated Riemann
+    surface. We generalize that technique to curves over liouvillian
+    ground fields, and use it to simplify our integrands.  Once the
+    multipe finite poles have been removed, we use the Puiseux expansions
+    of the integrand at infinity and a generalization of the residues to
+    compute the integral. We also generalize a result of Rothstein that
+    gives us a necessary condition for elementary integrability, and
+    provide examples of its use."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Many standard functions, such as the logarithms and square root
-functions, cannot be defined continuously on the complex
-plane. Mistaken assumptions about the properties of these functions
-lead computer algebra systems into various conundrums. We discuss how
-they can manipulate such functions in a useful fashion.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[DLMF]{DLMF}.
-``Digital Library of Mathematical Functions''
-\verb|dlmf.nist.gov/software/#T1|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Bron90c,
+  author = "Bronstein, Manuel",
+  title = "On the integration of elementary functions",
+  journal = "Journal of Symbolic Computation",
+  volume = "9",
+  number = "2",
+  pages = "117-173",
+  year = "1990",
+  month = "February"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dooley 99]{Doo99} Dooley, Sam editor.
-ISSAC 99: July 29-31, 1999, Simon Fraser University,
-Vancouver, BC, Canada: proceedings of the 1999 International Symposium on
-Symbolic and Algebraic Computation. ACM Press, New York, NY 10036, USA, 1999.
-ISBN 1-58113-073-2 LCCN QA76.95.I57 1999
-  keywords = "axiomref",
+\bibitem[Bronstein 93]{REF-BS93} Bronstein, Manuel; Salvy, Bruno
+``Full partial fraction decomposition of rational functions''
+In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993
+\verb|www.acm.org/pubs/citations/proceedings/issac/164081/|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dos Reis 12]{DR12} Dos Reis, Gabriel
-``A System for Axiomatic Programming''
-Proc. Conf. on Intelligent Computer Mathematics, Springer (2012)
-\verb|www.axiomatics.org/~gdr/liz/cicm-2012.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/DR12.pdf|
-  keywords = "axiomref",
+\bibitem[Bronstein 90]{Bro90b} Bronstein, Manuel
+``A Unification of Liouvillian Extensions''
+%\verb|axiom-developer.org/axiom-website/papers/Bro90b.pdf|
+  abstract = "
+    We generalize Liouville's theory of elementary functions to a larger
+    class of differential extensions. Elementary, Liouvillian and
+    trigonometric extensions are all special cases of our extensions. In
+    the transcendental case, we show how the rational techniques of
+    integration theory can be applied to our extensions, and we give a
+    unified presentation which does not require separate cases for
+    different monomials."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present the design and implementation of a system for axiomatic
-programming, and its application to mathematical software
-construction. Key novelties include a direct support for user-defined
-axioms establishing local equality between types, and overload
-resolution based on equational theories and user-defined local
-axioms. We illustrate uses of axioms, and their organization into
-concepts, in structured generic programming as practiced in
-computational mathematical systems.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Doye 97]{Doy97} Doye, Nicolas James
-``Order Sorted Computer Algebra and Coercions''
-Ph.D. Thesis University of Bath 1997
-%\verb|axiom-developer.org/axiom-website/papers/Doy97.pdf|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@book{Bron97,
+  author = "Bronstein, Manuel",
+  title = "Symbolic Integration I--Transcendental Functions",
+  publisher = "Springer, Heidelberg",
+  year = "1997",
+  isbn = "3-540-21493-3",
+  url = "http://evil-wire.org/arrrXiv/Mathematics/Bronstein,_Symbolic_Integration_I,1997.pdf",
+  paper = "Bron97.pdf"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Computer algebra systems are large collections of routines for solving
-mathematical problems algorithmically, efficiently and above all,
-symbolically. The more advanced and rigorous computer algebra systems
-(for example, Axiom) use the concept of strong types based on
-order-sorted algebra and category theory to ensure that operations are
-only applied to expressions when they ``make sense''.
-
-In cases where Axiom uses notions which are not covered by current
-mathematics we shall present new mathematics which will allow us to
-prove that all such cases are reducible to cases covered by the
-current theory. On the other hand, we shall also point out all the
-cases where Axiom deviates undesirably from the mathematical ideal.
-Furthermore we shall propose solutions to these deviations.
+\begin{chunk}{ignore}
+\bibitem[Bronstein 05a]{Bro05a} Bronstein, Manuel
+``The Poor Man's Integrator, a parallel integration heuristic''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/pmint/pmint.txt|
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/pmint/examples|
+%\verb|axiom-developer.org/axiom-website/papers/Bro05a.txt|
 
-Strongly typed systems (especially of mathematics) become unusable
-unless the system can change the type in a way a user expects. We wish
-any change expected by a user to be automated, ``natural'', and
-unique. ``Coercions'' are normally viewed as ``natural type changing
-maps''. This thesis shall rigorously define the word ``coercion'' in
-the context of computer algebra systems.
+\end{chunk}
 
-We shall list some assumptions so that we may prove new results so
-that all coercions are unique. This concept is called ``coherence''.
+\begin{chunk}{axiom.bib}
+@article{Bron06,
+  author = "Bronstein, M.",
+  title = "Parallel integration",
+  journal = "Programming and Computer Software",
+  year = "2006",
+  issn = "0361-7688",
+  volume = "32",
+  number = "1",
+  doi = "10.1134/S0361768806010075",
+  url = "http://dx.doi.org/10.1134/S0361768806010075",
+  publisher = "Nauka/Interperiodica",
+  pages = "59-60",
+  paper = "Bron06.pdf",
+  abstract = "
+    Parallel integration is an alternative method for symbolic
+    integration.  While also based on Liouville's theorem, it handles all
+    the generators of the differential field containing the integrand ``in
+    parallel'', i.e.  all at once rather than considering only the topmost
+    one in a recursive fasion. Although it still contains heuristic
+    aspects, its ease of implementation, speed, high rate of success, and
+    ability to integrate functions that cannot be handled by the Risch
+    algorithm make it an attractive alternative."
+}
 
-We shall give an algorithm for automatically creating all coercions in
-type system which adheres to a set of assumptions. We shall prove that
-this is an algorithm and that it always returns a coercion when one
-exists. Finally, we present a demonstration implementation of this
-automated coerion algorithm in Axiom.
-\end{adjustwidth}
+\end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Doye 99]{Doy99} Doye, Nicolas J.
-``Automated coercion for Axiom''
-In Dooley [Doo99], pp229-235
-ISBN 1-58113-073-2 LCCN QA76.95.I57 1999 ACM Press
-\verb|www.acm.org/citation.cfm?id=309944|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Bron07,
+  author = "Bronstein, Manuel",
+  title = "Structure theorems for parallel integration",
+  journal = "Journal of Symbolic Computation",
+  volume = "42",
+  number = "7",
+  pages = "757-769",
+  year = "2007",
+  month = "July",
+  paper = "Bron07.pdf",
+  abstract = "
+    We introduce structure theorems that refine Liouville's Theorem on
+    integration in closed form for general derivations on multivariate
+    rational function fields. By predicting the arguments of the new
+    logarithms that an appear in integrals, as well as the denominator of
+    the rational part, those theorems provide theoretical backing for the
+    Risch-Norman integration method.  They also generalize its applicability 
+    to non-monomial extensions, for example the Lambert W function."
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dominguez 01]{DR01} Dom\'inguez, C\'esar; Rubio, Julio
-``Modeling Inheritance as Coercion in a Symbolic Computation System''
-ISSAC 2001 ACM  1-58113-417-7/01/0007
-%\verb|axiom-developer.org/axiom-website/papers/DR01.pdf|
-  keywords = "axiomref",
+\bibitem[Charlwood 07]{Charl07} Charlwood, Kevin
+``Integration on Computer Algebra Systems''
+The Electronic J of Math. and Tech. Vol 2, No 3, ISSN 1933-2823
+\verb|12000.org/my_notes/ten_hard_integrals/paper.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Charl07.pdf|
+  abstract = "
+    In this article, we consider ten indefinite integrals and the ability
+    of three computer algebra systems (CAS) to evaluate them in
+    closed-form, appealing only to the class of real, elementary
+    functions. Although these systems have been widely available for many
+    years and have undergone major enhancements in new versions, it is
+    interesting to note that there are still indefinite integrals that
+    escape the capacity of these systems to provide antiderivatves. When
+    this occurs, we consider what a user may do to find a solution with
+    the aid of a CAS."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this paper the analysis of the data structures used in a symbolic
-computation system, called Kenzo, is undertaken. We deal with the
-specification of the inheritance relationship since Kenzo is an
-object-oriented system, written in CLOS, the Common Lisp Object
-System. We focus on a particular case, namely the relationship between
-simplicial sets and chain complexes, showing how the order-sorted
-algebraic specifications formalisms can be adapted, through the
-``inheritance as coercion'' metaphor, in order to model this Kenzo
-fragment.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Dunstan 97]{Dun97} Dunstan, Martin and Ursula, Martin and Linton, Steve
-``Embedded Verification Techniques for Computer Algebra Systems''
-Grant citation GR/L48256 Nov 1, 1997-Feb 28, 2001
-\verb|www.cs.st-andrews.ac.uk/research/output/detail?output=ML97.php|
-  keywords = "axiomref",
+\bibitem[Charlwood 08]{Charl08} Charlwood, Kevin
+``Symbolic Integration Problems''
+\verb|www.apmaths.uwo.ca/~arich/IndependentTestResults/CharlwoodIntegrationProblems.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Charl08.pdf|
+  abstract = "
+    A list of the 50 example integration problems from Kevin Charlwood's 2008
+    article ``Integration on Computer Algebra Systems''. Each integral along
+    with its optimal antiderivative (that is, the best antiderivative found
+    so far) is shown."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Adams 01]{DGKM01} Adams, Andrew; Dunstan, Martin; Gottliebsen, Hanne;
-Kelsey, Tom; Martin, Ursula; Owre, Sam
-``Computer Algebra meets Automated Theorem Proving: Integrating Maple and PVS''
-TPHOLS 2001, Edinburgh
-\verb|www.csl.sri.com/~owre/papers/tphols01/tphols01.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/DGKM01.pdf|
-  keywords = "axiomref",
+\bibitem[Cherry 84]{Che84} Cherry, G.W.
+``Integration in Finite Terms with Special Functions: The Error Function''
+J. Symbolic Computation (1985) Vol 1 pp283-302
+%\verb|axiom-developer.org/axiom-website/papers/Che84.pdf|
+  abstract = "
+    A decision procedure for integrating a class of transcendental
+    elementary functions in terms of elementary functions and error
+    functions is described. The procedure consists of three mutually
+    exclusive cases. In the first two cases a generalised procedure for
+    completing squares is used to limit the error functions which can
+    appear in the integral of a finite number.  This reduces the problem
+    to the solution of a differential equation and we use a result of
+    Risch (1969) to solve it.  The third case can be reduced to the
+    determination of what we have termed $\sum$-decompositions. The resutl
+    presented here is the key procuedure to a more general algorithm which
+    is described fully in Cherry (1983)."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe an interface between version 6 of the Maple computer
-algebra system with the PVS automated theorem prover. The interface is
-designed to allow Maple users access to the robust and checkable proof
-environment of PVS. We also extend this environment by the provision
-of a library of proof strategies for use in real analysis. We
-demonstrate examples using the interface and the real analysis
-library. These examples provide proofs which are both illustrative and
-applicable to genuine symbolic computation problems.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Duval 92]{DJ92} Duval D.; Jung, F.
-``Examples of problem solving using computer algebra''
-IFIP Transactions. A. Computer Science and Technology, A-2 pp133-141, 143 1992
-CODEN ITATEC. ISSN 0926-5473
-  keywords = "axiomref",
+\bibitem[Cherry 86]{Che86} Cherry, G.W.
+``Integration in Finite Terms with Special Functions: 
+The Logarithmic Integral''
+SIAM J. Comput. Vol 15 pp1-21 February 1986
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Duval 94]{Duv94} Duval, Dominique
-``Symbolic or algebraic computation?''
-Madrid Spain, NAG conference (private copy of paper)
-  keywords = "axiomref",
+\bibitem[Cherry 89]{Che89} Cherry, G.W.
+``An Analysis of the Rational Exponential Integral''
+SIAM J. Computing Vol 18 pp 893-905 (1989)
+%\verb|axiom-developer.org/axiom-website/papers/Che89.pdf|
+  abstract = "
+    In this paper an algorithm is presented for integrating expressions of
+    the form $\int{ge^f~dx}$, where $f$ and $g$ are rational functions of
+    $x$, in terms of a class of special functions called the special
+    incomplete $\Gamma$ functions. This class of special functions
+    includes the exponential integral, the error functions, the sine and
+    cosing integrals, and the Fresnel integrals. The algorithm presented
+    here is an improvement over those published previously for integrating
+    with special functions in the following ways: (i) This algorithm
+    combines all the above special functions into one algorithm, whereas
+    previously they were treated separately, (ii) Previous algorithms
+    require that the underlying field of constants be algebraically
+    closed. This algorithm, however, works over any field of
+    characteristic zero in which the basic field operations can be carried
+    out. (iii) This algorithm does not rely on Risch's solution of the
+    differential equation $y^\prime + fy = g$. Instead, a more direct
+    method of undetermined coefficients is used."
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Duva95,
-  author = "Duval, D.",
-  title = "Evaluation dynamique et cl\^oture alg\'ebrique en Axiom",
-  journal = "Journal of Pure and Applied Algebra",
-  volume = "99",
-  year = "1995",
-  pages = "267--295.",
-  keywords = "axiomref"
-}
+\begin{chunk}{ignore}
+\bibitem[Churchill 06]{Chur06} Churchill, R.C.
+``Liouville's Theorem on Integration Terms of Elementary Functions''
+\verb|www.sci.ccny.cuny.edu/~ksda/PostedPapers/liouv06.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Chur06.pdf|
+  abstract = "
+    This talk should be regarded as an elementary introduction to
+    differential algebra. It culminates in a purely algebraic proof, due
+    to M. Rosenlicht, of an 1835 theorem of Liouville on the existence of
+    ``elementary'' integrals of ``elementary'' functions. The precise
+    meaning of elementary will be specified. As an application of that
+    theorem we prove that the indefinite integral $\int{e^{x^2}}~dx$
+    cannot be expressed in terms of elementary functions.
+    \begin{itemize}
+    \item Preliminaries on Meromorphic Functions
+    \item Basic (Ordinary) Differential Algebra
+    \item Differential Ring Extensions with No New Constants
+    \item Extending Derivations
+    \item Integration in Finite Terms
+    \end{itemize}"
 
 \end{chunk}
 
-\subsection{E} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Erocal 10]{ES10} Er\"ocal, Burcin; Stein, William
-``The Sage Project''
-\verb|wstein.org/papers/icms/icms_2010.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/ES10.pdf|
-  keywords = "axiomref",
+\bibitem[Davenport 79b]{Dav79b} Davenport, James Harold
+``On the Integration of Algebraic Functions''
+Springer-Verlag Lecture Notes in Computer Science 102
+ISBN 0-387-10290-6
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Sage is a free, open source, self-contained distribution of
-mathematical software, including a large library that provides a
-unified interface to the components of this distribution. This library
-also builds on the components of Sage to implement novel algorithms
-covering a broad range of mathematical functionality from algebraic
-combinatorics to number theory and arithmetic geometry.
-\end{adjustwidth}
-
-\subsection{F} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Fateman 90]{Fat90} Fateman, R. J.
-``Advances and trends in the design and construction of algebraic 
-manipulation systems''
-In Watanabe and Nagata [WN90], pp60-67 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
-  keywords = "axiomref",
+\bibitem[Davenport 79c]{Dav79c} Davenport, J. H.
+``Algorithms for the Integration of Algebraic Functions''
+Lecture Notes in Computer Science V 72 pp415-425 (1979)
+%\verb|axiom-developer.org/axiom-website/papers/Dav79c.pdf|
+  abstract = "
+    The problem of finding elementary integrals of algebraic functions has
+    long been recognized as difficult, and has sometimes been thought
+    insoluble. Risch stated a theorem characterising the integrands with
+    elementary integrals, and we can use the language of algebraic
+    geometry and the techniques of Davenport to yield an algorithm that will
+    always produce the integral if it exists. We explain the difficulty in
+    the way of extending this algorithm, and outline some ways of solving
+    it. Using work of Manin we are able to solve the problem in all cases
+    where the algebraic expressions depend on a parameter as well as on
+    the variable of integration."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Fateman 05]{Fat05} Fateman, R. J.
-``An incremental approach to building a mathematical expert out of software''
-4/19/2005\hfill
-\verb|www.cs.berkeley.edu/~fateman/papers/axiom.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Fat05.pdf|
-  keywords = "axiomref",
+\bibitem[Davenport 82a]{Dav82a} Davenport, J.H.
+``The Parallel Risch Algorithm (I)
+%\verb|axiom-developer.org/axiom-website/papers/Dav82a.pdf|
+  abstract = "
+    In this paper we review the so-called ``parallel Risch'' algorithm for
+    the integration of transcendental functions, and explain what the
+    problems with it are. We prove a positive result in the case of
+    logarithmic integrands."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Fateman 06]{Fat06} Fateman, R. J.
-``Building Algebra Systems by Overloading Lisp''
-\verb|www.cs.berkeley.edu/~fateman/generic/overload-small.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Fat06.pdf|
-  keywords = "axiomref",
+\bibitem[Davenport 82]{Dav82} Davenport, J.H.
+``On the Parallel Risch Algorithm (III): Use of Tangents''
+SIGSAM V16 no. 3 pp3-6 August 1982
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Some of the earliest computer algebra systems (CAS) looked like
-overloaded languages of the same era. FORMAC, PL/I FORMAC, Formula
-Algol, and others each took advantage of a pre-existing language base
-and expanded the notion of a numeric value to include mathematical
-expressions. Much more recently, perhaps encouraged by the growth in
-popularity of C++, we have seen a renewal of the use of overloading to
-implement a CAS.
-
-This paper makes three points. 1. It is easy to do overloading in
-Common Lisp, and show how to do it in detail. 2. Overloading per se
-provides an easy solution to some simple programming problems. We show
-how it can be used for a ``demonstration'' CAS. Other simple and
-plausible overloadings interact nicely with this basic system. 3. Not
-all goes so smoothly: we can view overloading as a case study and
-perhaps an object lesson since it fails to solve a number of
-fairly-well articulated and difficult design issues in CAS for which
-other approaches are preferable.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Faure 00a]{FDN00a} Faure, Christ\'ele; Davenport, James
-``Parameters in Computer Algebra''
-  keywords = "axiomref",
+\bibitem[Davenport 03]{Dav03} Davenport, James H.
+``The Difficulties of Definite Integration''
+\verb|www.researchgate.net/publication/|
+\verb|247837653_The_Diculties_of_Definite_Integration/file/72e7e52a9b1f06e196.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Dav03.pdf|
+  abstract = "
+    Indefinite integration is the inverse operation to differentiation,
+    and, before we can understand what we mean by indefinite integration,
+    we need to understand what we mean by differentiation."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Faure 00b]{FDN00b} Faure, Christ\'ele; Davenport, James; 
-Naciri, Hanane
-``Multi-values Computer Algebra''
-ISSN 0249-6399 Institut National De Recherche en Informatique et en
-Automatique Sept. 2000 No. 4001
-\verb|hal.inria.fr/inria-00072643/PDF/RR-4401.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/FDN00b.pdf|
-  keywords = "axiomref",
+\bibitem[Fateman 02]{Fat02} Fateman, Richard
+``Symbolic Integration''
+\verb|inst.eecs.berkeley.edu/~cs282/sp02/lects/14.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Fat02.pdf|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-One of the main strengths of computer algebra is being able to solve a
-family of problems with one computation. In order to express not only
-one problem but a family of problems, one introduces some symbols
-which are in fact the parameters common to all the problems of the
-family.
+\begin{chunk}{axiom.bib}
+@inproceedings{Gedd89,
+  author = "Geddes, K. O. and Stefanus, L. Y.",
+  title = "On the Risch-norman Integration Method and Its Implementation 
+           in MAPLE",
+  booktitle = "Proc. of the ACM-SIGSAM 1989 Int. Symp. on Symbolic and 
+               Algebraic Computation",
+  series = "ISSAC '89",
+  year = "1989",
+  isbn = "0-89791-325-6",
+  location = "Portland, Oregon, USA",
+  pages = "212--217",
+  numpages = "6",
+  url = "http://doi.acm.org/10.1145/74540.74567",
+  doi = "10.1145/74540.74567",
+  acmid = "74567",
+  publisher = "ACM",
+  address = "New York, NY, USA",
+  paper = "Gedd89.pdf",
+  abstract = "
+    Unlike the Recursive Risch Algorithm for the integration of
+    transcendental elementary functions, the Risch-Norman Method processes
+    the tower of field extensions directly in one step. In addition to
+    logarithmic and exponential field extensions, this method can handle
+    extentions in terms of tangents. Consequently, it allows trigonometric
+    functions to be treated without converting them to complex exponential
+    form. We review this method and describe its implementation in
+    MAPLE. A heuristic enhancement to this method is also presented."
+}
 
-The user must be able to understand in which way these parameters
-affect the result when he looks at the answer. Otherwise it may lead
-to completely wrong calculations, which when used for numerical
-applications bring nonsensical answers. This is the case in most
-current Computer Algebra Systems we know because the form of the
-answer is never explicitly conditioned by the values of the
-parameters. The user is not even informed that the given answer may be
-wrong in some cases then computer algebra systems can not be entirely
-trustworthy. We have introduced multi-valued expressions called {\sl
-conditional} expressions, in which each potential value is associated
-with a condition on some parameters. This is used, in particular, to
-capture the situation in integration, where the form of the answer can
-depend on whether certain quantities are positive, negative or
-zero. We show that it is also necessary when solving modular linear
-equations or deducing congruence conditions from complex expressions.
-\end{adjustwidth}
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Fitch 84]{Fit84} Fitch, J. P. (ed)
-EUROSAM '84: International Symposium on Symbolic and
-Algebraic Computation, Cambridge, England, July 9-11, 1984, volume 174 of
-Lecture Notes in Computer Science. Springer-Verlag, Berlin, Germany /
-Heildelberg, Germany / London, UK / etc., 1984 ISBN 0-387-13350-X
-LCCN QA155.7.E4 I57 1984
-  keywords = "axiomref",
+\bibitem[Geddes 92a]{GCL92a} Geddes, K.O.; Czapor, S.R.; Labahn, G.
+``The Risch Integration Algorithm''
+Algorithms for Computer Algebra, Ch 12 pp511-573 (1992)
+%\verb|axiom-developer.org/axiom-website/papers/GCL92a.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Fitch 93]{Fit93} Fitch, J. (ed)
-Design and Implementation of Symbolic Computation Systems
-International Symposium DISCO '92 Proceedings. Springer-Verlag, Berlin, 
-Germany / Heildelberg, Germany / London, UK / etc., 1993. ISBN 0-387-57272-4
-(New York), 3-540-57272-4 (Berlin). LCCN QA76.9.S88I576 1992
-  keywords = "axiomref",
+\bibitem[Hardy 1916]{Hard16} Hardy, G.H.
+``The Integration of Functions of a Single Variable''
+Cambridge Unversity Press, Cambridge, 1916
+% REF:00002
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Fogus 11]{Fog11} Fogus, Michael
-``UnConj''
-\verb|clojure.com/blog/2011/11/22/unconj.html|
-  keywords = "axiomref",
+\bibitem[Harrington 78]{Harr87} Harrington, S.J.
+``A new symbolic integration system in reduce''
+\verb|comjnl.oxfordjournals.or/content/22/2/127.full.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Harr87.pdf|
+  abstract = "
+    A new integration system, employing both algorithmic and pattern match
+    integration schemes is presented. The organization of the system
+    differs from that of earlier programs in its emphasis on the
+    algorithmic approach to integration, its modularity and its ease of
+    revision. The new Norman-Rish algorithm and its implementation at the
+    University of Cambridge are employed, supplemented by a powerful
+    collection of simplification and transformation rules. The facility
+    for user defined integrals and functions is also included. The program
+    is both fast and powerful, and can be easily modified to incorporate
+    anticipated developments in symbolic integration."
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Fortenbacher 90]{For90} Fortenbacher, A.
-``Efficient type inference and coercion in computer algebra''
-In Miola [Mio90], pp56-60. ISBN 0-387-52531-9 (New York), 3-540-52531-9
-(Berlin). LCCN QA76.9.S88I576 1990
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@misc{Herm1872,
+  author = "Hermite, E.",
+  title = "Sur l'int\'{e}gration des fractions rationelles",
+  journal = "Nouvelles Annales de Math\'{e}matiques",
+  volume = "11",
+  pages = "145-148",
+  year = "1872"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Fouche 90]{Fou90} Fouche, Francois
-``Une implantation de l'algorithme de Kovacic en Scratchpad''
-Technical report, Institut de Recherche Math{\'{e}}matique Avanc{\'{e}}e''
-Strasbourg, France, 1990 31pp
-  keywords = "axiomref",
+\bibitem[Horowitz 71]{Horo71} Horowitz, Ellis
+``Algorithms for Partial Fraction Decomposition and Rational Function 
+  Integration''
+SYMSAC '71 Proc. ACM Symp. on Symbolic and Algebraic Manipulation (1971) 
+pp441-457
+%\verb|axiom-developer.org/axiom-website/papers/Horo71.pdf| REF:00018
+  abstract = "
+    Algorithms for symbolic partial fraction decomposition and indefinite
+    integration of rational functions are described. Two types of
+    partial fraction decomposition are investigated, square-free and
+    complete square-free. A method is derived, based on the solution of
+    a linear system, which produces the square-free decomposition of any
+    rational function, say A/B. The computing time is show to be 
+    $O(n^4(ln nf)^2)$ where ${\rm deg}(A) < {\rm\ deg}(B) = n$ and $f$
+    is a number which is closely related to the size of the coefficients
+    which occur in A and B. The complete square-free partical fraction
+    decomposition can then be directly obtained and it is shown that the
+    computing time for this process is also bounded by $O(n^4(ln nf)^2)$."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[FSF 14]{FSF14} FSF
-``Free Software Directory''
-\verb|directory.fsf.org/wiki/Axiom|
-  keywords = "axiomref",
+\bibitem[Jeffrey 97]{Jeff97} Jeffrey, D.J.; Rich, A.D.
+``Recursive integration of piecewise-continuous functions''
+\verb|www.cybertester.com/data/recint.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Jeff97.pdf|
+  abstract = "
+    An algorithm is given for the integration of a class of
+    piecewise-continuous functions. The integration is with respect to a
+    real variable, because the functions considered do not in general
+    allow integration in the complex plane to be defined. The class of
+    integrands includes commonly occurring waveforms, such as square
+    waves, triangular waves, and the floor function; it also includes the
+    signum function.  The algorithm can be implemented recursively, and it
+    has the property of ensuring that integrals are continuous on domains
+    of maximum extent."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Frisco ]{Fris} Frisco
-``Objectives and Results''
-\verb|www.nag.co.uk/projects/frisco/frisco/node3.htm|
-  keywords = "axiomref",
+\bibitem[Jeffrey 99]{Jeff99} Jeffrey, D.J.; Labahn, G.; Mohrenschildt, M.v.;
+Rich, A.D.
+``Integration of the signum, piecewise and related functions''
+\verb|cs.uwaterloo.ca/~glabahn/Papers/issac99-2.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Jeff99.pdf|
+  abstract = "
+    When a computer algebra system has an assumption facility, it is
+    possible to distinguish between integration problems with respect to a
+    real variable, and those with respect to a complex variable.  Here, a
+    class of integration problems is defined in which the integrand
+    consists of compositions of continuous functions and signum functions,
+    and integration is with respect to a real variable.  Algorithms are
+    given for evaluating such integrals."
 
 \end{chunk}
 
-\subsection{G} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Gebauer 86]{GM86} Gebauer, R{\"u}diger; M{\"o}ller, H. Michael
-``Buchberger's algorithm and staggered linear bases''
-In Bruce W. Char, editor. Proceedings of the 1986
-Symposium on Symbolic and Algebraic Computation: SYMSAC '86, July 21-23, 1986
-Waterloo, Ontario, pp218-221 ACM Press, New York, NY 10036, USA, 1986.
-ISBN 0-89791-199-7 LCCN QA155.7.E4 A281 1986 ACM order number 505860
-  keywords = "axiomref",
+\bibitem[Kiymaz 04]{Kiym04} Kiymaz, Onur; Mirasyedioglu, Seref
+``A new symbolic computation for formal integration with exact power series''
+%\verb|axiom-developer.org/axiom-website/Kiym04.pdf|
+  abstract = "
+    This paper describes a new symbolic algorithm for formal integration
+    of a class of functions in the context of exact power series by using
+    generalized hypergeometric series and computer algebraic technique."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gebauer 88]{GM88} Gebauer, R.; M{\"o}ller, H. M.
-``On an installation of Buchberger's algorithm''
-Journal of Symbolic Computation, 6(2-3) pp275-286 1988
-CODEN JSYCEH ISSN 0747-7171
-\verb|www.sciencedirect.com/science/article/pii/S0747717188800488/pdf|
-\verb|?md5=f6ccf63002ef3bc58aaa92e12ef18980&|
-\verb|pid=1-s2.0-S0747717188800488-main.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/GM88.pdf|
-  keywords = "axiomref",
+\bibitem[Knowles 93]{Know93} Knowles, P.
+``Integration of a class of transcendental liouvillian
+functions with error-functions i''
+Journal of Symbolic Computation Vol 13 pp525-543 (1993)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Buchberger's algorithm calculates Groebner bases of polynomial
-ideals. Its efficiency depends strongly on practical criteria for
-detecting superfluous reductions. Buchberger recommends two
-criteria. The more important one is interpreted in this paper as a
-criterion for detecting redundant elements in a basis of a module of
-syzygies. We present a method for obtaining a reduced, nearly minimal
-basis of that module. The simple procedure for detecting (redundant
-syzygies and )superfluous reductions is incorporated now in our
-installation of Buchberger's algorithm in SCRATCHPAD II and REDUCE
-3.3. The paper concludes with statistics stressing the good
-computational properties of these installations.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Knowles 95]{Know95} Knowles, P.
+``Integration of a class of transcendental liouvillian
+functions with error-functions ii''
+Journal of Symbolic Computation Vol 16 pp227-241 (1995)
+
+\end{chunk}
 
 \begin{chunk}{axiom.bib}
-@book{Gedd92,
-  author = "Geddes, Keith and Czapor, O. and Stephen R. and Labahn, George",
-  title = "Algorithms For Computer Algebra",
-  publisher = "Kluwer Academic Publishers",
-  isbn = "0-7923-9259-0",
-  month = "September",
-  year = "1992",
-  keywords = "axiomref"
+@article{Krag09,
+  author = "Kragler, R.",
+  title = "On Mathematica Program for Poor Man's Integrator Algorithm",
+  journal = "Programming and Computer Software",
+  volume = "35",
+  number = "2",
+  pages = "63-78",
+  year = "2009",
+  issn = "0361-7688",
+  paper = "Krag09.pdf",
+  abstract = "
+    In this paper by means of computer experiment we study advantages and
+    disadvantages of the heuristical method of ``parallel integrator''. For
+    this purpose we describe and use implementation of the method in
+    Mathematica. In some cases we compare this implementation with the original
+    one in Maple."
 }
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gianni 87]{Gia87} Gianni, Patrizia
-``Primary Decomposition of Ideals''
-in [Wit87], pp12-13
-  keywords = "axiomref",
+\bibitem[Lang 93]{Lang93} Lang, S.
+``Algebra''
+Addison-Wesly, New York, 3rd edition 1993
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gianni 88]{Gia88} Gianni, Patrizia.; Trager, Barry.; 
-Zacharias, Gail.
-``Gr\"obner Bases and Primary Decomposition of Polynomial Ideals''
-J. Symbolic Computation 6, 149-167 (1988)
-\verb|www.sciencedirect.com/science/article/pii/S0747717188800403/pdf|
-\verb|?md5=40c29b67947035884904fd4597ddf710&|
-\verb|pid=1-s2.0-S0747717188800403-main.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Gia88.pdf|
-  keywords = "axiomref",
+\bibitem[Leerawat 02]{Leer02} Leerawat, Utsanee; Laohakosol, Vichian
+``A Generalization of Liouville's Theorem on Integration in Finite Terms''
+\verb|www.mathnet.or.kr/mathnet/kms_tex/113666.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Leer02.pdf|
+  abstract = "
+    A generalization of Liouville's theorem on integration in finite
+    terms, by enlarging the class of fields to an extension called
+    Ei-Gamma extension is established. This extension includes the
+    $\mathcal{E}\mathcal{L}$-elementary extensions of Singer, Saunders and
+    Caviness and contains the Gamma function."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gianni 89a]{Gia89} Gianni, P. (Patrizia) (ed) 
-Symbolic and Algebraic Computation. 
-International Symposium ISSAC '88, Rome, Italy, July 4-8, 1988. Proceedings,
-volume 358 of Lecture Notes in Computer Science. Springer-Verlag, Berlin, 
-Germany / Heildelberg, Germany / London, UK / etc., 1989. ISBN 3-540-51084-2
-LCCN QA76.95.I57 1988 Conference held jointly with AAECC-6
-  keywords = "axiomref",
+\bibitem[Leslie 09]{Lesl09} Leslie, Martin
+``Why you can't integrate exp($x^2$)''
+\verb|math.arizona.edu/~mleslie/files/integrationtalk.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Lesl09.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gianni 89b]{GM89} Gianni, P.; Mora, T.
-``Algebraic solution of systems of polynomial equations using 
-Gr{\"o}bner bases.''
-In Huguet and Poli [HP89], pp247-257 ISBN 3-540-51082-6 LCCN QA268.A35 1987
-  keywords = "axiomref",
+\bibitem[Lichtblau 11]{Lich11} Lichtblau, Daniel
+``Symbolic definite (and indefinite) integration: methods and open issues''
+ACM Comm. in Computer Algebra Issue 175, Vol 45, No.1 (2011)
+\verb|www.sigsam.org/bulletin/articles/175/issue175.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Lich11.pdf|
+  abstract = "
+    The computation of definite integrals presents one with a variety of
+    choices. There are various methods such as Newton-Leibniz or Slater's
+    convolution method. There are questions such as whether to split or
+    merge sums, how to search for singularities on the path of
+    integration, when to issue conditional results, how to assess
+    (possibly conditional) convergence, and more. These various
+    considerations moreover interact with one another in a multitude of
+    ways. Herein we discuss these various issues and illustrate with examples."
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Gil 92]{Gil92} Gil, I. 
-``Computation of the Jordan canonical form of a square matrix (using
-the Axiom programming language)''
-In Wang [Wan92], pp138-145. 
-ISBN 0-89791-489-9 (soft cover), 0-89791-490-2 (hard cover)
-LCCN QA76.95.I59 1992
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Liou1833a,
+  author = "Liouville, Joseph",
+  title = "Premier m\'{e}moire sur la d\'{e}termination des int\'{e}grales 
+           dont la valeur est alg\'{e}brique",
+  journal = "Journal de l'Ecole Polytechnique",
+  volume = "14",
+  pages = "124-128",
+  year = "1833"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Gomez-Diaz 92]{Gom92} G\'omez-D'iaz, Teresa
-``Quelques applications de l`\'evaluation dynamique''
-Ph.D. Thesis L'Universite De Limoges March 1992
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Liou1833b,
+  author = "Liouville, Joseph",
+  title = "Second m\'{e}moire sur la d\'{e}termination des int\'{e}grales 
+           dont la valeur est alg\'{e}brique",
+  journal = "Journal de l'Ecole Polytechnique",
+  volume = "14",
+  pages = "149-193",
+  year = "1833"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gomez-Diaz 93]{Gom93} G\'omez-D\'iaz, Teresa
-``Examples of using Dynamic Constructible Closure''
-IMACS Symposium SC-1993
-%\verb|axiom-developer.org/axiom-website/papers/Gom93.pdf|
-  keywords = "axiomref",
+\bibitem[Liouville 1833c]{Lio1833c} Liouville, Joseph
+``Note sur la determination des int\'egrales dont la
+valeur est alg\'ebrique''
+Journal f\"ur die Reine und Angewandte Mathematik,
+Vol 10 pp 247-259, (1833)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present here some examples of using the ``Dynamic Constructible
-Closure'' program, which performs automatic case distinction in
-computations involving parameters over a base field $K$. This program
-is an application of the ``Dynamic Evaluation'' principle, which
-generalizes traditional evaluation and was first used to deal with
-algebraic numbers.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Goodwin 91]{GBL91} Goodwin, B. M.; Buonopane, R. A.; Lee, A.
-``Using MathCAD in teaching material and energy balance concepts''
-In Anonymous [Ano91], pp345-349 (vol. 1) 2 vols.
-  keywords = "axiomref",
+\bibitem[Liouville 1833d]{Lio1833d} Liouville, Joseph
+``Sur la determination des int\'egrales dont la valeur est
+alg\'ebrique''
+{\sl Journal de l'Ecole Polytechnique}, 14:124-193, 1833
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Golden 4]{GH84} Golden, V. Ellen; Hussain, M. A. (eds)
-Proceedings of the 1984 MACSYMA Users' Conference: 
-Schenectady, New York, July 23-25, 1984, General Electric,
-Schenectady, NY, USA, 1984
-  keywords = "axiomref",
+\bibitem[Liouville 1835]{Lio1835} Liouville, Joseph
+``M\'emoire sur l'int\'gration d'une classe de fonctions
+transcendentes''
+Journal f\"ur die Reine und Angewandte Mathematik,
+Vol 13(2) pp 93-118, (1835)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gonnet 96]{Gon96} Gonnet, Gaston H.
-``Official verion 1.0 of the Meta Content Dictionary''
-\verb|www.inf.ethz.ch/personal/gonnet/ContDict/Meta|
-  keywords = "axiomref",
+\bibitem[Marc 94]{Marc94} Marchisotto, Elena Anne; Zakeri, Gholem-All
+``An Invitation to Integration in Finite Terms''
+College Mathematics Journal Vol 25 No 4 (1994) pp295-308
+\verb|www.rangevoting.org/MarchisottoZint.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Marc94.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Goodloe 93]{GL93} Goodloe, A.; Loustaunau, P.
-``An abstract data type development of graded rings'' 
-In Fitch [Fit93], pp193-202. ISBN 0-387-57272-4 (New York),
-3-540-57272-4 (Berlin). LCCN QA76.9.S88I576 1992
-  keywords = "axiomref",
+\bibitem[Marik 91]{Mari91} Marik, Jan
+``A note on integration of rational functions''
+\verb|dml.cz/bitstream/handle/10338.dmlcz/126024/MathBohem_116-1991-4_9.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mari91.pdf|
+  abstract = "
+    Let $P$ and $Q$ be polynomials in one variable with complex coefficients
+    and let $n$ be a natural number. Suppose that $Q$ is not constant and
+    has only simple roots. Then there is a rational function $\varphi$
+    with $\varphi^\prime=P/Q^{n+1}$ if and only if the Wronskian of the
+    functions $Q^\prime$, $(Q^2)^\prime,\ldots\,(Q^n)^\prime$,$P$ is 
+    divisible by $Q$."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gottliebsen 05]{GKM05} Gottliebsen, Hanne; Kelsey, Tom; 
-Martin, Ursula
-``Hidden verification for computational mathematics''
-Journal of Symbolic Computation, Vol39, Num 5, pp539-567 (2005)
-\verb|www.sciencedirect.com/science/article/pii/S0747717105000295|
-%\verb|axiom-developer.org/axiom-website/papers/GKM05.pdf|
-  keywords = "axiomref",
+\bibitem[Moses 76]{Mos76} Moses, Joel
+``An introduction to the Risch Integration Algorithm''
+ACM Proc. 1976 annual conference pp425-428
+%\verb|axiom-developer.org/axiom-website/papers/Mos76.pdf| REF:00048 
+  abstract = "
+    Risch's decision procedure for determining the integrability in closed
+    form of the elementary functions of the calculus is presented via
+    examples.  The exponential and logarithmic cases of the algorithsm had
+    been implemented for the MACSYMA system several years ago. The
+    implementation of the algebraic case of the algorithm is the subject
+    of current research."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present hidden verification as a means to make the power of
-computational logic available to users of computer algebra systems
-while shielding them from its complexity. We have implemented in PVS a
-library of facts about elementary and transcendental function, and
-automatic procedures to attempt proofs of continuity, convergence and
-differentiability for functions in this class. These are called
-directly from Maple by a simple pipe-lined interface. Hence we are
-able to support the analysis of differential equations in Maple by
-direct calls to PVS for: result refinement and verification, discharge
-of verification conditions, harnesses to ensure more reliable
-differential equation solvers, and verifiable look-up tables.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Grabe 98]{Gra98} Gr\"abe, Hans-Gert
-``About the Polynomial System Solve Facility of Axiom, Macyma, Maple
-Mathematica, MuPAD, and Reduce''
-%\verb|axiom-developer.org/axiom-website/papers/Gra98.pdf|
-  keywords = "axiomref",
+\bibitem[Moses 71a]{Mos71a} Moses, Joel
+``Symbolic Integration: The Stormy Decade''
+CACM Aug 1971 Vol 14 No 8 pp548-560
+\verb|www-inst.eecs.berkeley.edu/~cs282/sp02/readings/moses-int.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mos71a.pdf| REF:00017
+  abstract = "
+    Three approaches to symbolic integration in the 1960's are
+    described. The first, from artificial intelligence, led to Slagle's
+    SAINT and to a large degree to Moses' SIN. The second, from algebraic
+    manipulation, led to Monove's implementation and to Horowitz' and
+    Tobey's reexamination of the Hermite algorithm for integrating
+    rational functions. The third, from mathematics, led to Richardson's
+    proof of the unsolvability of the problem for a class of functions and
+    for Risch's decision procedure for the elementary functions. 
+    Generalizations of Risch's algorithm to a class of special
+    functions and programs for solving differential equations and for
+    finding the definite integral are also described."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We report on some experiences with the general purpose Computer
-Algebra Systems (CAS) Axiom, Macsyma, Maple, Mathematica, MuPAD, and
-Reduce solving systems of polynomial equations and the way they
-present their solutions. This snapshot (taken in the spring of 1996)
-of the current power of the different systems in a special area
-concentrates on both CPU-times and the quality of the output.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Grabmeier 91]{GHK91} Grabmeier, J.; Huber, K.; Krieger, U.
-``Das ComputeralgebraSystem AXIOM bei kryptologischen und 
-verkehrstheoretischen Untersuchungen des
-Forschunginstituts der Deutschen Bundespost TELEKOM'' 
-Technischer Report TR 75.91.20, IBM Wissenschaftliches 
-Zentrum, Heidelberg, Germany, 1991
-  keywords = "axiomref",
+\bibitem[Norman 79]{Nor79} Norman, A.C.; Davenport, J.H.
+``Symbolic Integration -- The Dust Settles?''
+%\verb|axiom-developer.org/axiom-website/papers/Nor79.pdf|
+  abstract = "
+    By the end of the 1960s it had been shown that a computer could find
+    indefinite integrals with a competence exceeding that of typical
+    undergraduates. This practical advance was backed up by algorithmic
+    interpretations of a number of clasical results on integration, and by
+    some significant mathematical extensions to these same results. At
+    that time it would have been possible to claim that all the major
+    barriers in the way of a complete system for automated analysis had
+    been breached. In this paper we survey the work that has grown out of
+    the above-mentioned early results, showing where the development has
+    been smooth and where it has spurred work in seemingly unrelated fields."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Grabmeier 92]{GS92} Grabmeier, J.; Scheerhorn, A.
-``Finite fields in Axiom''
-AXIOM Technical Report TR7/92 (ATR/5)(NP2522), 
-Numerical Algorithms Group, Inc., Downer's
-Grove, IL, USA and Oxford, UK, 1992
-\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
-and Technical Report, IBM Heidelberg Scientific Center, 1992
-  keywords = "axiomref",
+\bibitem[Ostrowski 46]{Ost46} Ostrowski, A.
+``Sur l'int\'egrabilit\'e \'el\'ementaire de quelques classes
+d'expressions''
+Comm. Math. Helv., Vol 18 pp 283-308, (1946)
+% REF:00008
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Grabmeier 03]{GKW03} Grabmeier, Johannes; Kaltofen, Erich; 
-Weispfenning, Volker (eds)
-Computer algebra handbook: foundations, applications, systems.
-Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
-2003. ISBN 3-540-65466-6 637pp Includes CDROM
-\verb|www.springer.com/sgw/cda/frontpage/|
-\verb|0,11855,1-102-22-1477871-0,00.html|
-  keywords = "axiomref",
+\bibitem[Raab 12]{Raab12} Raab, Clemens G.
+``Definite Integration in Differential Fields''
+\verb|www.risc.jku.at/publications/download/risc_4583/PhD_CGR.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Raab12.pdf|
+  abstract = "
+    The general goal of this thesis is to investigate and develop computer
+    algebra tools for the simplification resp. evaluation of definite
+    integrals. One way of finding the value of a def- inite integral is
+    via the evaluation of an antiderivative of the integrand. In the
+    nineteenth century Joseph Liouville was among the first who analyzed
+    the structure of elementary antiderivatives of elementary functions
+    systematically. In the early twentieth century the algebraic structure
+    of differential fields was introduced for modeling the differential
+    properties of functions. Using this framework Robert H. Risch
+    published a complete algorithm for transcendental elementary
+    integrands in 1969. Since then this result has been extended to
+    certain other classes of integrands as well by Michael F. Singer,
+    Manuel Bronstein, and several others. On the other hand, if no
+    antiderivative of suitable form is available, then linear relations
+    that are satisfied by the parameter integral of interest may be found
+    based on the principle of parametric integration (often called
+    differentiating under the integral sign or creative telescoping).
+
+    The main result of this thesis extends the results mentioned above to
+    a complete algo- rithm for parametric elementary integration for a
+    certain class of integrands covering a majority of the special
+    functions appearing in practice such as orthogonal polynomials,
+    polylogarithms, Bessel functions, etc. A general framework is provided
+    to model those functions in terms of suitable differential fields. If
+    the integrand is Liouvillian, then the present algorithm considerably
+    improves the efficiency of the corresponding algorithm given by Singer
+    et al. in 1985. Additionally, a generalization of Czichowski’s
+    algorithm for computing the logarithmic part of the integral is
+    presented. Moreover, also partial generalizations to include other
+    types of integrands are treated.
+
+    As subproblems of the integration algorithm one also has to find
+    solutions of linear or- dinary differential equations of a certain
+    type. Some contributions are also made to solve those problems in our
+    setting, where the results directly dealing with systems of
+    differential equations have been joint work with Moulay A. Barkatou.
+
+    For the case of Liouvillian integrands we implemented the algorithm in
+    form of our Mathematica package Integrator. Parts of the
+    implementation also deal with more general functions. Our procedures
+    can be applied to a significant amount of the entries in integral
+    tables, both indefinite and definite integrals. In addition, our
+    procedures have been successfully applied to interesting examples of
+    integrals that do not appear in these tables or for which current
+    standard computer algebra systems like Mathematica or Maple do not
+    succeed. We also give examples of how parameter integrals coming from
+    the work of other researchers can be solved with the software, e.g.,
+    an integral arising in analyzing the entropy of certain processes."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Griesmer 71]{GJ71} Griesmer, J. H.; Jenks, R.D.
-``SCRATCHPAD/1 -- an interactive facility for symbolic mathematics''
-In Petrick [Pet71], pp42-58. LCCN QA76.5.S94 1971
-\verb|delivery.acm.org/10.1145/810000/806266/p42-griesmer.pdf|
-SYMSAC'71 Proc. second ACM Symposium on Symbolic and Algebraic
-Manipulation pp45-48
-%\verb|axiom-developer.org/axiom-website/papers/GJ71.pdf| REF:00027
-  keywords = "axiomref",
+\bibitem[Raab 13]{Raab13} Raab, Clemens G.
+``Generalization of Risch's Algorithm to Special Functions''
+\verb|arxiv.org/pdf/1305.1481|
+%\verb|axiom-developer.org/axiom-website/papers/Raab13.pdf|
+  abstract = "
+    Symbolic integration deals with the evaluation of integrals in closed
+    form. We present an overview of Risch's algorithm including recent
+    developments. The algorithms discussed are suited for both indefinite
+    and definite integration. They can also be used to compute linear
+    relations among integrals and to find identities for special functions
+    given by parameter integrals. The aim of this presentation is twofold:
+    to introduce the reader to some basic idea of differential algebra in
+    the context of integration and to raise awareness in the physics
+    community of computer algebra algorithms for indefinite and definite
+    integration."
 
-\begin{adjustwidth}{2.5em}{0pt}
-The SCRATCHPAD/1 system is designed to provide an interactive symbolic
-computational facility for the mathematician user. The system features
-a user language designed to capture the style and succinctness of
-mathematical notation, together with a facility for conveniently
-introducing new notations into the language. A comprehensive system
-library incorporates symbolic capabilities provided by such systems as
-SIN, MATHLAB, and REDUCE.
-\end{adjustwidth}
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Griesmer 72a]{GJ72a} Griesmer, J.; Jenks, R.
-``Experience with an online symbolic math system SCRATCHPAD''
-in Online'72 [Onl72] ISBN 0-903796-02-3 LCCN QA76.55.O54 1972 Two volumes
-  keywords = "axiomref",
+\bibitem[Raab xx]{Raabxx} Raab, Clemens G.
+``Integration in finite terms for Liouvillian functions''
+\verb|www.mmrc.iss.ac.cn/~dart4/posters/Raab.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Raabxx.pdf|
+  abstract = "
+    Computing integrals is a common task in many areas of science,
+    antiderivatives are one way to accomplish this.  The problem of
+    integration in finite terms can be states as follows. Given a
+    differential field $(F,D)$ and $f \in F$, compute $g$ in some
+    elementary extension of $(F,D)$ such that $Dg = f$ if such a $g$
+    exists.
+
+    This problem has been solved for various classes of fields $F$.  For
+    rational functions $(C(x), \frac{d}{dx})$ such a $g$ always exists and
+    algorithms to compute it are known already for a long time. In 1969
+    Risch published an algorithm that solves this problem when $(F,D)$ is
+    a transcendental elementary extension of $(C(x),\frac{d}{dx})$. Later
+    this has been extended towards integrands being Liouvillian functions
+    by Singer et. al. via the use of regular log-explicit extensions of
+    $(C(x),\frac{d}{dx})$. Our algorithm extends this to handling
+    transcendental Liouvillian extensions $(F,D)$ of $(C,0)$ directly
+    without the need to embed them into log-explicit extensions. For
+    example, this means that
+    \[\int{(z-x)x^{z-1}e^{-x}dx} = x^ze^{-x}\]
+    can be computed without including log(x) in the differential field."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Griesmer 72b]{GJ72b} Griesmer, James H.; Jenks, Richard D.
-``SCRATCHPAD: A capsule view''
-ACM SIGPLAN Notices, 7(10) pp93-102, 1972. Proceedings of the symposium
-on Two-dimensional man-machine communications. Mark B. Wells and 
-James B. Morris (eds.).
-  keywords = "axiomref",
+\bibitem[Rich 09]{Rich09} Rich, A.D.; Jeffrey, D.J.
+``A Knowledge Repository for Indefinite Integration Based on Transformation Rules''
+\verb|www.apmaths.uwo.ca/~arich/A%2520Rule-based%2520Knowedge%2520Repository.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Rich09.pdf|
+  abstract = "
+    Taking the specific problem domain of indefinite integration, we
+    describe the on-going development of a repository of mathematical
+    knowledge based on transformation rules. It is important that the
+    repository be not confused with a look-up table. The database of
+    transformation rules is at present encoded in Mathematica, but this is
+    only one convenient form of the repository, and it could be readily
+    translated into other formats. The principles upon which the set of
+    rules is compiled is described. One important principle is
+    minimality. The benefits of the approach are illustrated with
+    examples, and with the results of comparisons with other approaches."
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Griesmer 75]{GJY75} Griesmer, J.H.; Jenks, R.D.; Yun, D.Y.Y
-``SCRATCHPAD User's Manual''
-IBM Research Publication RA70 June 1975
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@techreport{Risc68,
+  author = "Risch, Robert",
+  title = "On the integration of elementary functions which are built up 
+           using algebraic operations",
+  type = "Research Report",
+  number = "SP-2801/002/00",
+  institution = "System Development Corporation, Santa Monica, CA, USA", 
+  year = "1968"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Griesmer 76]{GJY76} Griesmer, J.H.; Jenks, R.D.; Yun, D.Y.Y
-``A Set of SCRATCHPAD Examples''
-April 1976 (private copy)
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@techreport{Risc69a,
+  author = "Risch, Robert",
+  title = "Further results on elementary functions",
+  type = "Research Report",
+  number = "RC-2042",
+  institution = "IBM Research, Yorktown Heights, NY, USA",
+  year = "1969"
+
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Gruntz 94]{GM94} Gruntz, D.; Monagan, M.
-``Introduction to Gauss''
-SIGSAM Bulletin (ACM Special Interest Group on Symbolic and Algebraic 
-Manipulation), 28(3) pp3-19 August 1994 CODEN SIGSBZ ISSN 0163-5824
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Risc69b,
+  author = "Risch, Robert",
+  title = "The problem of integration in finite terms",
+  journal = "Transactions of the American Mathematical Society",
+  volume = "139",
+  year = "1969",
+  pages = "167-189",
+  paper = "Ris69b.pdf",
+  abstract = "This paper deals with the problem of telling whether a
+    given elementary function, in the sense of analysis, has an elementary
+    indefinite integral."
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Gruntz 96]{Gru96} Gruntz, Dominik
-``On Computing Limits in a Symbolic Manipulation System''
-Thesis, Swiss Federal Institute of Technology Z\"urich 1996
-Diss. ETH No. 11432
-\verb|www.cybertester.com/data/gruntz.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Gru96.pdf|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Risc70,
+  author = "Risch, Robert",
+  title = "The Solution of the Problem of Integration in Finite Terms",
+  journal = "Bull. AMS",
+  year = "1970",
+  issn = "0002-9904",
+  volume = "76",
+  number = "3",
+  pages = "605-609",
+  paper = "Risc70.pdf",
+  abstract = "
+    The problem of integration in finite terms asks for an algorithm for
+    deciding whether an elementary function has an elementary indefinite
+    integral and for finding the integral if it does.  ``Elementary'' is
+    used here to denote those functions build up from the rational
+    functions using only exponentiation, logarithms, trigonometric,
+    inverse trigonometric and algebraic operations.  This vaguely worded
+    question has several precise, but inequivalent formulations. The
+    writer has devised an algorithm which solves the classical problem of
+    Liouville. A complete account is planned for a future publication. The
+    present note is intended to indiciate some of the ideas and techniques
+    involved."
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This thesis presents an algorithm for computing (one-sided) limits
-within a symbolic manipulation system. Computing limtis is an
-important facility, as limits are used both by other functions such as
-the definite integrator and to get directly some qualitative
-information about a given function.
-
-The algorithm we present is very compact, easy to understand and easy
-to implement. It overcomes the cancellation problem other algorithms
-suffer from. These goals were achieved using a uniform method, namely
-by expanding the whole function into a series in terms of its most
-rapidly varying subexpression instead of a recursive bottom up
-expansion of the function. In the latter approach exact error terms
-have to be kept with each approximation in order to resolve the
-cancellation problem, and this may lead to an intermediate expression
-swell. Our algorithm avoids this problem and is thus suited to be
-implemented in a symbolic manipulation system.
-\end{adjustwidth}
+\begin{chunk}{axiom.bib}
+@article{Risc79,
+  author = "Risch, Robert",
+  title = "Algebraic properties of the elementary functions of analysis",
+  journal = "American Journal of Mathematics",
+  volume = "101",
+  pages = "743-759",
+  year = "1979"
+}
 
-\subsection{H} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Boyle 88]{Boyl88} Boyle, Ann
-``Future Directions for Research in Symbolic Computation''
-Soc. for Industrial and Applied Mathematics, Philadelphia (1990)
-\verb|www.eecis.udel.edu/~caviness/wsreport.pdf|
-%\verb|axiom-developer.org/axiom-website/Boyl88.pdf|
-  keywords = "axiomref",
+\bibitem[Ritt 48]{Ritt48} Ritt, J.F.
+``Integration in Finite Terms''
+Columbia University Press, New York 1948
+% REF:00046
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Hassner 87]{HBW87} Hassner, Martin; Burge,  William H.;
-Watt,  Stephen M.
-``Construction of Algebraic Error Control Codes (ECC) on the Elliptic
-Riemann Surface''
-in [Wit87], pp5-8
-  keywords = "axiomref",
+\bibitem[Rosenlicht 68]{Ro68} Rosenlicht, Maxwell
+``Liouville's Theorem on Functions with Elementary Integrals''
+Pacific Journal of Mathematics Vol 24 No 1 (1968)
+\verb|msp.org/pjm/1968/24-1/pjm-v24-n1-p16-p.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Ro68.pdf| REF:00047
+  abstract = "
+    Defining a function with one variable to be elemetary if it has an
+    explicit representation in terms of a finite number of algebraic
+    operations, logarithms, and exponentials. Liouville's theorem in its
+    simplest case says that if an algebraic function has an elementary
+    integral then the latter is itself an algebraic function plus a sum of
+    constant multiples of logarithms of algebraic functions. Ostrowski has
+    generalized Liouville's results to wider classes of meromorphic
+    functions on regions of the complex plane and J.F. Ritt has given the
+    classical account of the entire subject in his Integraion in Finite
+    Terms, Columbia University Press, 1948. In spite of the essentially
+    algebraic nature of the problem, all proofs so far have been analytic.
+    This paper gives a self contained purely algebraic exposition of the
+    probelm, making a few new points in addition to the resulting
+    simplicity and generalization."
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Heck 01]{Hec01} Heck, A.
-``Variables in computer algebra, mathematics and science''
-The International Journal of Computer Algebra in Mathematics Education
-Vol. 8 No. 3 pp195-210 (2001)
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Rose72,
+  author = "Rosenlicht, Maxwell",
+  title = "Integration in finite terms",
+  journal = "American Mathematical Monthly",
+  year = "1972",
+  volume = "79",
+  pages = "963-972",
+  paper = "Rose72.pdf"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Huguet 89]{HP89} Huguet, L.; Poli, A.  (eds).
-Applied Algebra, Algebraic Algorithms and Error-Correcting Codes. 
-5th International Conference AAECC-5 Proceedings.
-Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
-1989. ISBN 3-540-51082-6. LCCN QA268.A35 1987
-  keywords = "axiomref",
+\bibitem[Rothstein 76]{Ro76} Rothstein, Michael
+``Aspects of symbolic integration and simplifcation of exponential
+and primitive functions''
+PhD thesis, University of Wisconsin-Madison (1976)
+\verb|www.cs.kent.edu/~rothstei/dis.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Ro76.pdf| REF:00051
+  abstract = "
+    In this thesis we cover some aspects of the theory necessary to obtain
+    a canonical form for functions obtained by integration and
+    exponentiation from the set of rational functions.
 
-\end{chunk}
+    These aspects include a new algorithm for symbolic integration of
+    functions involving logarithms and exponentials which avoids
+    factorization of polynomials in those cases where algebraic extension
+    of the constant field is not required, avoids partial fraction
+    decompositions, and only solves linear systems with a small number of
+    unknowns.
 
-\subsection{J} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+    We have also found a theorem which states, roughly speaking, that if
+    integrals which can be represented as logarithms are represented as
+    such, the only algebraic dependence that a new exponential or
+    logarithm can satify is given by the law of exponents or the law of
+    logarithms."
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jacob 93]{JOS93} Jacob, G.; Oussous, N. E.; Steinberg, S. (eds)
-Proceedings SC 93
-International IMACS Symposium on Symbolic Computation. New Trends and
-Developments. LIFL Univ. Lille, Lille France, 1993
-  keywords = "axiomref",
+\bibitem[Rothstein 76a]{Ro76a} Rothstein, Michael; Caviness, B.F.
+``A structure theorem for exponential and primitive functions: a preliminary 
+  report''
+ACM Sigsam Bulletin Vol 10 Issue 4 (1976)
+%\verb|axiom-developer.org/axiom-website/papers/Ro76a.pdf|
+  abstract = "
+    In this paper a generalization of the Risch Structure Theorem is reported.
+    The generalization applies to fields $F(t_1,\ldots,t_n)$ where $F$ 
+    is a differential field (in our applications $F$ will be a finitely 
+    generated extension of $Q$, the field of rational numbers) and each $t_i$ 
+    is either algebraic over $F_{i-1}=F(t_1,\ldots,t_{i-1})$, is an 
+    exponential of an element in $F_{i-1}$, or is an integral of an element 
+    in $F_{i-1}$. If $t_i$ is an integral and can be expressed using 
+    logarithms, it must be so expressed for the generalized structure 
+    theorem to apply."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Janssen 88]{Jan88} Jan{\ss}en, R. (ed)
-Trends in Computer Algebra, International Symposium
-Bad Neuenahr, May 19-21, 1987, Proceedings, volume 296 of Lecture Notes in
-Computer Science. 
-Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
-1988 ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
-  keywords = "axiomref",
+\bibitem[Rothstein 76b]{Ro76b} Rothstein, Michael; Caviness, B.F.
+``A structure theorem for exponential and primitive functions''
+SIAM J. Computing Vol 8 No 3 (1979)
+%\verb|axiom-developer.org/axiom-website/papers/Ro76b.pdf| REF:00104
+  abstract = "
+    In this paper a new theorem is proved that generalizes a result of
+    Risch.  The new theorem gives all the possible algebraic relationships
+    among functions that can be built up from the rational functions by
+    algebraic operations, by taking exponentials, and by integration. The
+    functions so generated are called exponential and primitive functions.
+    From the theorem an algorithm for determining algebraic dependence
+    among a given set of exponential and primitive functions is derived.
+    The algorithm is then applied to a problem in computer algebra."
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Jenks 69]{Jen69} Jenks, R. D.
-``META/LISP: An interactive translator writing system''
-Research Report International Business Machines, Inc., Thomas J.
-Watson Research Center, Yorktown Heights, NY, USA, 1969 RC2968 July 1970
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Roth77,
+  author = "Rothstein, Michael",
+  title = "A new algorithm for the integration of exponential and 
+           logarithmic functions",
+  journal = "Proceedings of the 1977 MACSYMA Users Conference",
+  year = "1977",
+  pages = "263-274",
+  publisher = "NASA Pub CP-2012"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jenks 71]{Jen71} Jenks, R. D.
-``META/PLUS: The syntax extension facility for SCRATCHPAD''
-Research Report RC 3259, International Business Machines, Inc., Thomas J.
-Watson Research Center, Yorktown Heights, NY, USA, 1971
-% REF:00040
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Jenks 74]{Jen74} Jenks, R. D. 
-``The SCRATCHPAD language'' 
-ACM SIGPLAN Notices, 9(4) pp101-111 1974 CODEN SINODQ. ISSN 0362-1340
-  keywords = "axiomref",
+\bibitem[Seidenberg 58]{Sei58} Seidenberg, Abraham
+``Abstract differential algebra and the analytic case''
+Proc. Amer. Math. Soc. Vol 9 pp159-164 (1958)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jen76]{Jen76} Jenks, Richard D.
-``A pattern compiler''
-In Richard D. Jenks, editor,
-SYMSAC '76: proceedings of the 1976 ACM Symposium on Symbolic and Algebraic
-Computation, August 10-12, 1976, Yorktown Heights, New York, pp60-65,
-ACM Press, New York, NY 10036, USA, 1976. LCCN QA155.7.EA .A15 1976
-QA9.58.A11 1976
-  keywords = "axiomref",
+\bibitem[Seidenberg 69]{Sei69} Seidenberg, Abraham
+``Abstract differential algebra and the analytic case. II''
+Proc. Amer. Math. Soc. Vol 23 pp689-691 (1969)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jenks 79]{Jen79} Jenks, R. D.
-``MODLISP: An Introduction''
-Proc EUROSAM 79, pp466-480, 1979 and IBMRC8073 Jan 1980
-  keywords = "axiomref",
+\bibitem[Singer 85]{Sing85} Singer, M.F.; Saunders, B.D.; Caviness, B.F.
+``An extension of Liouville's theorem on integration in finite terms''
+SIAM J. of Comp. Vol 14 pp965-990 (1985)
+\verb|www4.ncsu.edu/~singer/papers/singer_saunders_caviness.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Sing85.pdf|
+  abstract = "
+    In Part 1 of this paper, we give an extension of Liouville's Theorem
+    and give a number of examples which show that integration with special
+    functions involves some phenomena that do not occur in integration
+    with the elementary functions alone. Our main result generalizes
+    Liouville's Theorem by allowing, in addition to the elementary
+    functions, special functions such as the error function, Fresnel
+    integrals and the logarithmic integral (but not the dilogarithm or
+    exponential integral) to appear in the integral of an elementary
+    function. The basic conclusion is that these functions, if they
+    appear, appear linearly. We give an algorithm which decides if an
+    elementary function, built up using only exponential functions and
+    rational operations has an integral which can be expressed in terms of
+    elementary functions and error functions."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jenks 81]{JT81} Jenks, R.D.; Trager, B.M.
-``A Language for Computational Algebra''
-Proceedings of SYMSAC81, Symposium on Symbolic and Algebraic Manipulation,
-Snowbird, Utah August, 1981
-  keywords = "axiomref",
+\bibitem[Slagle 61]{Slag61} Slagle, J.
+``A heuristic program that solves symbolic integration problems in 
+  freshman calculus''
+Ph.D Diss. MIT, May 1961; also Computers and Thought, Feigenbaum and Feldman.
+% REF:00014
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jenks 81a]{JT81a} Jenks, R.D.; Trager, B.M.
-``A Language for Computational Algebra''
-SIGPLAN Notices, New York: Association for Computing Machiner, Nov 1981
-  keywords = "axiomref",
+\bibitem[Terelius 09]{Tere09} Terelius, Bjorn
+``Symbolic Integration''
+%\verb|axiom-developer.org/axiom-website/papers/Tere09.pdf|
+  abstract = "
+    Symbolic integration is the problem of expressing an indefinite integral
+    $\int{f}$ of a given function $f$ as a finite combination $g$ of elementary
+    functions, or more generally, to determine whether a certain class of
+    functions contains an element $g$ such that $g^\prime = f$.
+
+    In the first part of this thesis, we compare different algorithms for
+    symbolic integration. Specifically, we review the integration rules
+    taught in calculus courses and how they can be used systematically to
+    create a reasonable, but somewhat limited, integration method. Then we
+    present the differential algebra required to prove the transcendental
+    cases of Risch's algorithm. Risch's algorithm decides if the integral
+    of an elementary function is elementary and if so computes it. The
+    presentation is mostly self-contained and, we hope, simpler than
+    previous descriptions of the algorithm. Finally, we describe
+    Risch-Norman's algorithm which, although it is not a decision
+    procedure, works well in practice and is considerably simpler than the
+    full Risch algorithm.
+
+    In the second part of this thesis, we briefly discuss an
+    implementation of a computer algebra system and some of the
+    experiences it has given us.  We also demonstrate an implementation of
+    the rule-based approach and how it can be used, not only to compute
+    integrals, but also to generate readable derivations of the results."
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Jenks 81b]{JT81b} Jenks, R.D.; Trager, B.M.
-``A Language for Computational Algebra''
-IBM Research Report RC8930 IBM Yorktown Heights, NY
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Trag76,
+  author = "Trager, Barry",
+  title = "Algebraic factoring and rational function integration",
+  journal = "Proceedings of SYMSAC'76",
+  year = "1976",
+  pages = "219-226",
+  paper = "Trag76.pdf",
+  abstract = "
+    This paper presents a new, simple, and efficient algorithm for
+    factoring polynomials in several variables over an algebraic number
+    field. The algorithm is then used interatively to construct the
+    splitting field of a polynomial over the integers. Finally the
+    factorization and splitting field algorithms are applied to the
+    problem of determining the transcendental part of the integral of a
+    rational function. In particular, a constructive procedure is given
+    for finding a least degree extension field in which the integral can
+    be expressed."
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jenks 84a]{Jen84a} Jenks, Richard D.
-``The new SCRATCHPAD language and system for computer algebra''
-In Golden and Hussain [GH84], pp409-??
-  keywords = "axiomref",
+\bibitem[Trager 76a]{Tr76a} Trager, Barry Marshall
+``Algorithms for Manipulating Algebraic Functions''
+MIT Master's Thesis.
+\verb|www.dm.unipi.it/pages/gianni/public_html/Alg-Comp/fattorizzazione-EA.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Tr76a.pdf| REF:00050
+  abstract = "
+    Given a base field $k$, of characteristic zero, with effective
+    procedures for performing arithmetic and factoring polynomials, this
+    thesis presents algorithms for extending those capabilities to
+    elements of a finite algebraic symbolic manipulation system. An
+    algebraic factorization algorithm along with a constructive version of
+    the primitive element theorem is used to construct splitting fields of
+    polynomials. These fields provide a context in which we can operate
+    symbolically with all the roots of a set of polynomials. One
+    application for this capability is rational function integrations. 
+    Previously presented symbolic algorithms concentrated on finding the 
+    rational part and were only able to compute the complete
+    integral in special cases. This thesis presents an algorithm for
+    finding an algebraic extension field of least degreee in which the
+    integral can be expressed, and then constructs the integral in that
+    field.  The problem of algebraic function integration is also
+    examined, and a highly efficient procedure is presented for generating
+    the algebraic part of integrals whose function fields are defined by a
+    single radical extension of the rational functions."
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Jenks 84b]{Jen84b} Jenks, Richard D.
-``A primer: 11 keys to New Scratchpad''
-In Fitch [Fit84], pp123-147. ISBN 0-387-13350-X LCCN QA155.7.E4 I57 1984
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@phdthesis{Trag84,
+  author = "Trager, Barry",
+  title = "On the integration of algebraic functions",
+  school = "MIT",
+  year = "1984",
+  url = "http://www.dm.unipi.it/pages/gianni/public_html/Alg-Comp/thesis.pdf",
+  paper = "Trag76.pdf",
+  abstract = "
+    We show how the ``rational'' approach for integrating algebraic
+    functions can be extended to handle elementary functions. The
+    resulting algorithm is a practical decision procedure for determining
+    whether a given elementary function has an elementary antiderivative,
+    and for computing it if it exists."
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jenks 86]{JWS86} Jenks, Richard D.; Sutor, Robert S.;
-Watt, Stephen M.
-``Scratchpad II: An Abstract Datatype System for Mathematical Computation''
-Research Report RC 12327 (\#55257), Iinternational Business Machines, Inc., 
-Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1986 23pp
-\verb|www.csd.uwo.ca/~watt/pub/reprints/1987-ima-spadadt.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/JWS86.pdf|
-  keywords = "axiomref",
+\bibitem[W\"urfl 07]{Wurf07} W\"urfl, Andreas
+``Basic Concepts of Differential Algebra''
+\verb|www14.in.tum.de/konferenzen/Jass07/courses/1/Wuerfl/wuerfl_paper.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Wurf07.pdf|
+  abstract = "
+    Modern computer algebra systems symbolically integrate a vast variety
+    of functions. To reveal the underlying structure it is necessary to
+    understand infinite integration not only as an analytical problem but
+    as an algebraic one. Introducing the differential field of elementary
+    functions we sketch the mathematical tools like Liouville's Principle
+    used in modern algorithms. We present Hermite's method for integration
+    of rational functions as well as the Rothstein/Trager method for
+    rational and for elementary functions. Further applications of the
+    mentioned algorithms in the field of ODE's conclude this paper."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Scratchpad II is an abstract datatype language and system that is
-under development in the Computer Algebra Group, Mathematical Sciences
-Department, at the IBM Thomas J. Watson Research Center. Some features
-of APL that made computation particularly elegant have been borrowed.
-Many different kinds of computational objects and data structures are
-provided. Facilities for computation include symbolic integration,
-differentiation, factorization, solution of equations and linear
-algebra.  Code economy and modularity is achieved by having
-polymorphic packages of functions that may create datatypes. The use
-of categories makes these facilities as general as possible.
-\end{adjustwidth}
+\subsection{Partial Fraction Decomposition} %%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Jenks 87]{JWS87} Jenks, Richard D.; Sutor, Robert S.; 
-Watt, Stephen M. 
-``Scratchpad II: an Abstract Datatype System for Mathematical Computation'' 
-Proceedings Trends in Computer Algebra, Bad Neuenahr, LNCS 296,
-Springer Verlag, (1987)
-  keywords = "axiomref",
+\bibitem[Angell]{Angell} Angell, Tom
+``Guidelines for Partial Fraction Decomposition''
+\verb|www.math.udel.edu/~angell/partfrac_I.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Angell.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jenks 88]{JSW88} Jenks, R. D.;  Sutor, R. S.; Watt, S. M.
-``Scratchpad II: An abstract datatype system for mathematical computation''
-In Jan{\ss}en [Jan88],
-pp12-?? ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
-  keywords = "axiomref",
+\bibitem[Laval 08]{Lava08} Laval, Philippe B.
+``Partial Fractions Decomposition''
+\verb|www.math.wisc.edu/~park/Fall2011/integration/Partial%20Fraction.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Lava08.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jenks 88a]{Jen88a} Jenks, R. D.
-``A Guide to Programming in BOOT''
-Computer Algebra Group, Mathematical Sciences Department, IBM Research
-Draft September 5, 1988
-  keywords = "axiomref",
+\bibitem[Mudd 14]{Mudd14} Harvey Mudd College
+``Partial Fractions''
+\verb|www.math.hmc.edu/calculus/tutorials/partial_fractions/partial_fractions.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mudd14.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jenks 88b]{Jen88b} Jenks, Richard
-``The Scratchpad II Computer Algebra System Interactive Environment Users 
-Guide''
- Spring 1988
-  keywords = "axiomref",
+\bibitem[Rajasekaran 14]{Raja14} Rajasekaran, Raja
+``Partial Fraction Expansion''
+\verb|www.utdallas.edu/~raja1/EE4361%20Spring%2014/Lecture%20Notes/|
+\verb|Partial%20Fractions.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Raja14.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jenks 88c]{JWS88} Jenks, R. D.; Sutor, R. S.; Watt, S. M.
-``Scratchpad II: an abstract datatype system for mathematical computation''
-In Jan{\ss}en
-[Jan88], pp12-37. ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{axiom.bib}
-@book{Jenk92,
-  author = "Jenks, Richard D. and Sutor, Robert S.",
-  title = "AXIOM: The Scientific Computation System",
-  publisher = "Springer-Verlag, Berlin, Germany",
-  year = "1992",
-  isbn = "0-387-97855-0",
-  keywords = "axiomref"
-}
+\bibitem[Wootton 14]{Woot14} Wootton, Aaron
+``Integration of Rational Functions by Partial Fractions''
+\verb|faculty.up.edu/wootton/calc2/section7.4.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Woot14.pdf|
 
 \end{chunk}
+\subsection{Ore Rings} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{ignore}
-\bibitem[Jenks 94]{JT94} Jenks, R. D.; Trager, B. M.
-``How to make AXIOM into a Scratchpad''
-In ACM [ACM94], pp32-40 ISBN 0-89791-638-7 LCCN QA76.95.I59 1994
-%\verb|axiom-developer.org/axiom-website/papers/JT94.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
+This is used as a reference for the LeftOreRing category, in particular,
+the least left common multiple (lcmCoef) function.
 
 \begin{chunk}{ignore}
-\bibitem[Joswig 03]{JT03} Joswig, Michael; Takayama, Nobuki
-``Algebra, geometry, and software systems''
-Springer-Verlag ISBN 3-540-00256-1 p291
-  keywords = "axiomref",
+\bibitem[Abramov 97]{Abra97} Abramov, Sergei A.; van Hoeij, Mark
+``A method for the Integration of Solutions of Ore Equations''
+Proc ISSAC 97 pp172-175 (1997)
+%\verb|axiom-developer.org/axiom-website/papers/Abra97.pdf|
+  abstract = "
+    We introduce the notion of the adjoint Ore ring and give a definition
+    of adjoint polynomial, operator and equation. We apply this for
+    integrating solutions of Ore equations."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Joyner 06]{J006} Joyner, David
-``OSCAS - Maxima''
-SIGSAM Communications in Computer Algebra, 157 2006
-\verb|sage.math.washington.edu/home/wdj/sigsam/oscas-cca1.pdf|
-  keywords = "axiomref",
+\bibitem[Delenclos 06]{DL06} Delenclos, Jonathon; Leroy, Andr\'e
+``Noncommutative Symmetric functions and $W$-polynomials''
+\verb|arxiv.org/pdf/math/0606614.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/DL06.pdf|
+  abstract = "
+    Let $K$, $S$, $D$ be a division ring an endomorphism and a
+    $S$-derivation of $K$, respectively. In this setting we introduce
+    generalized noncommutative symmetric functions and obtain Vi\'ete
+    formula and decompositions of different operators. $W$-polynomials
+    show up naturally, their connetions with $P$-independency. Vandermonde
+    and Wronskian matrices are briefly studied. The different linear
+    factorizations of $W$-polynomials are analysed. Connections between
+    the existence of LLCM (least left common multiples) of monic linear
+    polynomials with coefficients in a ring and the left duo property are
+    established at the end of the paper."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Joyner 14]{JO14} Joyner, David
-``Links to some open source mathematical programs''
-\verb|www.opensourcemath.org/opensource_math.html|
-  keywords = "axiomref",
+\bibitem[Abramov 05]{Abra05} Abramov, S.A.; Le, H.Q.; Li, Z.
+``Univariate Ore Polynomial Rings in Computer Algebra''
+\verb|www.mmrc.iss.ac.cn/~zmli/papers/oretools.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Abra05.pdf|
+  abstract = "
+    We present some algorithms related to rings of Ore polynomials (or,
+    briefly, Ore rings) and describe a computer algebra library for basic
+    operations in an arbitrary Ore ring. The library can be used as a
+    basis for various algorithms in Ore rings, in particular, in
+    differential, shift, and $q$-shift rings."
 
 \end{chunk}
 
-\subsection{K} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\subsection{Number Theory} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Kauers 08]{Kau08} Kauers, Manuel
-``Integration of Algebraic Functions: A Simple Heuristic for Finding
-the Logarithmic Part''
-ISSAC July 2008 ACM 978-1-59593-904 pp133-140
-\verb|www.risc.jku.at/publications/download/risc_3427/Ka01.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kau08.pdf|
-  keywords = "axiomref",
+\bibitem[Shoup 08]{Sho08} Shoup, Victor
+``A Computational Introduction to Number Theory''
+\verb|shoup.net/ntb/ntb-v2.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Sho08.pdf|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A new method is proposed for finding the logarithmic part of an
-integral over an algebraic function. The method uses Gr\"obner bases
-and is easy to implement. It does not have the feature of finding a
-closed form of an integral whenever there is one. But it very often
-does, as we will show by a comparison with the built-in integrators of
-some computer algebra systems.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Keady 94]{KN94} Keady, G.; Nolan, G.
-``Production of Argument SubPrograms in the AXIOM -- NAG
-link: examples involving nonleanr systems''
-Technical Report TR1/94 
-ATR/7 (NP2680), Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
-Oxford, UK, 1994
-\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
-  keywords = "axiomref",
+\subsection{Polynomial Factorization} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\end{chunk}
+\subsection{Branch Cuts} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{ignore}
-\bibitem[Kelsey 99]{Kel99} Kelsey, Tom
-``Formal Methods and Computer Algebra: A Larch Specification of AXIOM 
-Categories and Functors''
-Ph.D. Thesis, University of St Andrews, 1999
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Beau03,
+  author = "Beaumont, James and Bradford, Russell and Davenport, James H.",
+  title = "Better simplification of elementary functions through power series",
+  journal = "2003 International Symposium on Symbolic and Algebraic Computation",
+  series = "ISSAC'03",
+  year = "2003",
+  month = "August",
+  paper = "Beau03.pdf",
+  abstract = "
+    In [5], we introduced an algorithm for deciding whether a proposed
+    simplification of elementary functions was correct in the presence of
+    branch cuts. This algorithm used multivalued function simplification
+    followed by verification that the branches were consistent.
 
-\end{chunk}
+    In [14] an algorithm was presented for zero-testing functions defined
+    by ordinary differential equations, in terms of their power series.
 
-\begin{chunk}{ignore}
-\bibitem[Kelsey 00a]{Kel00a} Kelsey, Tom
-``Formal specification of computer algebra''
-University of St Andrews, 6th April 2000
-\verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbs.ps|
-%\verb|axiom-developer.org/axiom-website/papers/Kel00a.pdf|
-  keywords = "axiomref",
+    The purpose of the current paper is to investigate merging the two
+    techniques. In particular, we will show an explicit reduction to the
+    constant problem [16]."
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We investigate the use of formal methods languages and tools in the
-design and development of computer algebra systems (henceforth CAS).
-We demonstrate that errors in CAS design can be identified and
-corrected by the use of (i) abstract specifications of types and
-procedures, (ii) automated proofs of properties of the specifications,
-and (iii) interface specifications which assist the verification of
-pre- and post conditions of implemented code.
-\end{adjustwidth}
+\begin{chunk}{axiom.bib}
+@article{Beau07,
+  author = "Beaumont, James C. and Bradford, Russell J. and 
+            Davenport, James H. and Phisanbut, Nalina",
+  title = "Testing elementary function identities using CAD",
+  journal = "Applicable Algebra in Engineering, Communication and Computing",
+  year = "2007",
+  volume = "18",
+  number = "6",
+  issn = "0938-1279",
+  publisher = "Springer-Verlag",
+  pages = "513-543",
+  paper = "Beau07.pdf",
+  abstract = "
+    One of the problems with manipulating function identities in computer
+    algebra systems is that they often involve functions which are
+    multivalued, whilst most users tend to work with single-valued
+    functions.  The problem is that many well-known identities may no
+    longer be true everywhere in the complex plane when working with their
+    single-valued counterparts. Conversely, we cannot ignore them, since
+    in particular contexts they may be valid. We investigate the
+    practicality of a method to verify such identities by means of an
+    experiment; this is based on a set of test examples which one might
+    realistically meet in practice.  Essentially, the method works as
+    follows. We decompose the complex plane via means of cylindrical
+    algebraic decomposition into regions with respect to the branch cuts
+    of the functions. We then test the identity numerically at a sample
+    point in the region. The latter step is facilitated by the notion of
+    the {\sl adherence} of a branch cut, which was previously introduced
+    by the authors. In addition to presenting the results of the
+    experiment, we explain how adherence relates to the proposal of 
+    {\sl signed zeros} by W. Kahan, and develop this idea further in order to
+    allow us to cover previously untreatable cases. Finally, we discuss
+    other ways to improve upon our general methodology as well as topics
+    for future research."
+}
+   
+\end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kelsey 00b]{Kel00b} Kelsey, Tom
-``Formal specification of computer algebra''
-(slides) University of St Andrews, Sept 21, 2000
-\verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbstalk.ps|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Kendall 99a]{Ken99a} Kendall, W.S.
-``Itovsn3 in AXIOM: modules, algebras and stochastic differentials''
-\verb|www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/|
-\verb|kendall/personal/ppt/328.ps.gz|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Kendall 99b]{Ken99b} Kendall, W.S.
-``Symbolic It\^o calculus in AXIOM: an ongoing story
-\verb|www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/|
-\verb|kendall/personal/ppt/327.ps.gz|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Kosleff 91]{Kos91} P.-V. Koseleff
-``Word games in free Lie algebras: several bases and formulas''
-Theoretical Computer Science 79(1) pp241-256 Feb. 1991 CODEN TCSCDI
-ISSN 0304-3975
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Kusche 89]{KKM89} Kusche, K.; Kutzler, B.; Mayr, H.
-``Implementation of a geometry theorem proving package in SCRATCHPAD II''
-In Davenport [Dav89] pp246-257 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
-  keywords = "axiomref",
-
-\end{chunk}
-
-\subsection{L} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{ignore}
-\bibitem[Lahey 08]{Lah08} Lahey, Tim
-``Sage Integration Testing''
-\verb|github.com/tjl/sage_int_testing| Dec. 2008
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Lambe 89]{Lam89} Lambe, L. A.
-``Scratchpad II as a tool for mathematical research''
-Notices of the AMS, February 1928 pp143-147
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Lambe 91]{Lam91} Lambe, L. A.
-``Resolutions via homological perturbation''
-Journal of Symbolic Computation 12(1) pp71-87 July 1991 
-CODEN JSYCEH ISSN 0747-7171
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Lambe 92]{Lam92} Lambe, Larry
-``Next Generation Computer Algebra Systems AXIOM and the Scratchpad
-Concept: Applications to Research in Algebra''
-$21^{st}$ Nordic Congress of Mathematicians 1992
-%\verb|axiom-developer.org/axiom-website/papers/Lam92.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-One way in which mathematicians deal with infinite amounts of data is
-symbolic representation. A simple example is the quadratic equation
-\[x = \frac{-b\pm\sqrt{b^2-4ac}}{2a}\]
-a formula which uses symbolic representation to describe the solutions
-to an infinite class of equations. Most computer algebra systems can
-deal with polynomials with symbolic coefficients, but what if symbolic
-exponents are called for (e.g. $1+t^i$)? What if symbolic limits on
-summations are also called for, for example
-\[1+t+\ldots+t^i=\sum_j{t^j}\]
-The ``Scratchpad Concept'' is a theoretical ideal which allows the
-implementation of objects at this level of abstraction and beyond in a
-mathematically consistent way. The Axiom computer algebra system is an
-implementation of a major part of the Scratchpad Concept.  Axiom
-(formerly called Scratchpad) is a language with extensible
-parameterized types and generic operators which is based on the
-notions of domains and categories. By examining some aspects of the
-Axiom system, the Scratchpad Concept will be illustrated. It will be
-shown how some complex problems in homologicial algebra were solved
-through the use of this system.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Lambe 93]{Lam93} Lambe, Larry
-``On Using Axiom to Generate Code''
-(preprint) 1993
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Lambe 93a]{LL93} Lambe, Larry; Luczak, Richard
-``Object-Oriented Mathematical Programming and Symbolic/Numeric Interface''
-$3^{rd}$ International Conf. on Expert Systems in Numerical Computing 1993
-%\verb|axiom-developer.org/axiom-website/papers/LL93.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-The Axiom language is based on the notions of ``categories'',
-``domains'', and ``packages''. These concepts are used to build an
-interface between symbolic and numeric calculations. In particular, an
-interface to the NAG Fortran Library and Axiom's algebra and graphics
-facilities is presented. Some examples of numerical calculations in a
-symbolic computational environment are also included using the finite
-element method. While the examples are elementary, we believe that
-they point to very powerful methods for combining numeric and symbolic
-computational techniques.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Lebedev 08]{Leb08} Lebedev, Yuri
-``OpenMath Library for Computing on Riemann Surfaces''
-PhD thesis, Nov 2008 Florida State University
-\verb|www.math.fsu.edu/~ylebedev/research/HyperbolicGeometry.html|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[LeBlanc 91]{LeB91} LeBlanc, S.E.
-``The use of MathCAD and Theorist in the ChE classroom''
-In Anonymous [Ano91], pp287-299 (vol. 1) 2 vols.
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Lecerf 96]{Le96} Lecerf, Gr\'egoire
-``Dynamic Evaluation and Real Closure Implementation in Axiom''
-June 29, 1996 
-\verb|lecerf.perso.math.cnrs.fr/software/drc/drc.ps|
-%\verb|axiom-developer.org/axiom-website/papers/Le96.ps|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Lecerf 96a]{Le96a} Lecerf, Gr\'egoire
-``The Dynamic Real Closure implemented in Axiom''
-\verb|lecerf.perso.math.cnrs.fr/software/drc/drc.ps|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Levelt 95]{Lev95} Levelt, A. H. M. (ed)
-ISSAC '95: Proceedings of the 1995 International
-Symposium on Symbolic and Algebraic Computation: July 10-12, 1995, Montreal,
-Canada ISSAC-PROCEEDINGS-1995. ACM Press, New York, NY 10036, USA, 1995
-ISBN 0-89791-699-9 LCCN QA76.95 I59 1995 ACM order number 505950
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Li 06]{LM06} Li, Xin;  Maza, Moreno
-``Efficient Implementation of Polynomial Arithmetic in a Multiple-Level 
-Programming Environment''
-Lecture Notes in
-Computer Science Springer Vol 4151/2006 ISBN 978-3-540-38084-9 pp12-23 
-Proceedings of International Congress of Mathematical Software ICMS 2006
-\verb|www.csd.uwo.ca/~moreno//Publications/Li-MorenoMaza-ICMS-06.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Li 10]{YL10} Li, Yue; Dos Reis, Gabriel
-``A Quantitative Study of Reductions in Algebraic Libraries''
-PASCO 2010
-\verb|www.axiomatics.org/~gdr/concurrency/quant-pasco10.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Li 11]{YL11} Li, Yue; Dos Reis, Gabriel
-``An Automatic Parallelization Framework for Algebraic Computation
-Systems''
-ISSAC 2011
-\verb|www.axiomatics.org/~gdr/concurrency/oa-conc-issac11.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/YL11.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-This paper proposes a non-intrusive automatic parallelization
-framework for typeful and property-aware computer algebra systems.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Ligatsikas 96]{Liga96} Ligatsikas, Zenon; Rioboo, Renaud;
-Roy, Marie Francoise
-``Generic computation of the real closure of an ordered field''
-Math. and Computers in Simulation 42 pp 541-549 (1996)
-%\verb|axiom-developer.org/axiom-website/papers/Liga96.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-This paper describes a generalization of the real closure computation
-of an ordered field (Rioboo, 1991) enabling to use different technques
-to code a single real algebraic number.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Linton 93]{Lin93} Linton, Steve
-``Vector Enumeration Programs, version 3.04''
-\verb|www.cs.st-andrews.ac.uk/~sal/nme/nme_toc.html#SEC1|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Liska 97]{LD97} Liska, Richard; Drska, Ladislav; Limpouch, Jiri;
-Sinor, Milan; Wester, Michael; Winkler, Franz
-``Computer Algebra - algorithms, systems and applications''
-June 2, 1997 
-\verb|kfe.fjfi.cvut.cz/~liska/ca/all.html|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Lucks 86]{Luc86} Lucks, Michael
-``A fast implementation of polynomial factorization''
-In Bruce W. Char, editor, Proceedings of the 1986 Symposium on Symbolic
-and Algebraic Computation: SYMSAC '86, July 21-23, 1986, Waterloo, Ontario,
-pp228-232 ACM Press, New York, NY 10036, USA, 1986. ISBN 0-89791-199-7
-LCCN QA155.7.E4 A281 1986 ACM order number 505860
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Lueken 77]{Lue77} Lueken, E. 
-``Ueberlegungen zur Implementierung eines Formelmanipulationssystems''
-Master's thesis, Technischen Universit{\"{a}}t Carolo-Wilhelmina zu
-Braunschweig. Braunschweig, Germany, 1977
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Lynch 91]{LM91} Lynch, R.; Mavromatis, H. A.
-``New quantum mechanical perturbation technique
-using an 'electronic scratchpad' on an inexpensive computer''
-American Journal of Pyhsics, 59(3) pp270-273, March 1991. 
-CODEN AJPIAS ISSN 0002-9505
-  keywords = "axiomref",
-
-\end{chunk}
-
-\subsection{M} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{ignore}
-\bibitem[Mahboubi 05]{Mah05} Mahboubi, Assia 
-``Programming and certifying the CAD algorithm inside the coq system''
-Mathematics, Algorithms, Proofs, volume 05021 of Dagstuhl
-Seminar Proceedings, Schloss Dagstuhl (2005)
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Mathews 89]{Mat89} Mathews, J. 
-``Symbolic computational algebra applied to Picard iteration''
-Mathematics and computer education, 23(2) pp117-122 Spring 1989 CODEN MCEDDA,
-ISSN 0730-8639
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[McJones 11]{McJ11} McJones, Paul
-``Software Presentation Group -- Common Lisp family''
-\verb|www.softwarepreservation.org/projects/LISP/common_lisp_family|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Melachrinoudis 90]{MR90} Melachrinoudis, E.; Rumpf, D. L.
-``Teaching advantages of transparent computer software -- MathCAD''
-CoED, 10(1) pp71-76, January-March 1990 CODEN CWLJDP ISSN 0736-8607
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Miola 90]{Mio90} Miola, A. (ed)
-``Design and Implementation of Symbolic Computation Systems''
-International Symposium DISCO '90, Capri, Italy, April 10-12, 1990, Proceedings
-volume 429 of Lecture Notes in Cmputer Science,
-Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
-1990 ISBN 0-387-52531-9 (New York), 3-540-52531-9 (Berlin) LCCN QA76.9.S88I576
-1990
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Miola 93]{Mio93} Miola, A. (ed)
-``Design and Implementation of Symbolic Computation Systems''
-International Symposium DISCO '93 Gmunden, Austria, September 15-17, 1993:
-Proceedings. 
-Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
-1993 ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Missura 94]{Miss94} Missura, Stephan A.; Weber, Andreas
-``Using Commutativity Properties for Controlling Coercions''
-\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/|
-\verb|WeberA/MissuraWeber94a.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Miss94.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-This paper investigates some soundness conditions which have to be
-fulfilled in systems with coercions and generic operators. A result of
-Reynolds on unrestricted generic operators is extended to generic
-operators which obey certain constraints. We get natural conditions
-for such operators, which are expressed within the theoretic framework
-of category theory. However, in the context of computer algebra, there
-arise examples of coercions and generic operators which do not fulfil
-these conditions. We describe a framework -- relaxing the above
-conditions -- that allows distinguishing between cases of ambiguities
-which can be resolved in a quite natural sense and those which
-cannot. An algorithm is presented that detects such unresolvable
-ambiguities in expressions.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Monagan 87]{Mon87} Monagan, Michael B.
-``Support for Data Structures in Scratchpad II''
-in [Wit87], pp17-18
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Monagan 93]{Mon93} Monagan, M. B.
-``Gauss: a parameterized domain of computation system with
-support for signature functions''
-In Miola [Mio93], pp81-94 ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Mora 89]{Mor89}  Mora, T. (ed)
-Applied Algebra, Algebraic Algorithms and Error-Correcting
-Codes, 6th International Conference, AAECC-6, Rome, Italy, July 4-8, 1998,
-Proceedings, volume 357 of Lecture Notes in Computer Science
-Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
-1989 ISBN 3-540-51083-4, LCCN QA268.A35 1988 Conference held jointly with
-ISSAC '88
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Moses 71]{Mos71} Moses, Joel
-``Algebraic Simplification: A Guide for the Perplexed''
-CACM August 1971 Vol 14 No. 8 pp527-537
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Moses 08]{Mos08} Moses, Joel
-``Macsyma: A Personal History''
-Invited Presentation in Milestones in Computer Algebra, May 2008, Tobago
-\verb|esd.mit.edu/Faculty_Pages/moses/Macsyma.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Mos08.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-The Macsyma system arose out of research on mathematical software in
-the AI group at MIT in the 1960's. Algorithm development in symbolic
-integration and simplification arose out of the interest of people,
-such as the author, who were also mathematics students. The later
-development of algorithms for the GCD of sparse polynomials, for
-example, arose out of the needs of our user community. During various
-times in the 1970's the computer on which Macsyma ran was one of the
-most popular notes on the ARPANET. We discuss the attempts in the late
-70's and the 80's to develop Macsyma systems that ran on popular
-computer architectures.  Finally, we discuss the impact of the
-fundamental ideas in Macsyma on current research on large scale
-engineering systems.
-\end{adjustwidth}
-
-\subsection{N} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{ignore}
-\bibitem[Naylor]{NPxx} Naylor, William;  Padget, Julian
-``From Untyped to Polymorphically Typed Objects in Mathematical Web 
-Services''
-%\verb|axiom-developer.org/axiom-website/papers/NPxx.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-OpenMath is a widely recognized approach to the semantic markup of
-mathematics that is often used for communication between OpenMath
-compliant systems. The Aldor language has a sophisticated
-category-based type system that was specifically developed for the
-purpose of modelling mathematical structures, while the system itself
-supports the creation of small-footprint applications suitable for
-deployment as web services. In this paper we present our first results
-of how one may perform translations from generic OpenMath objects into
-values in specific Aldor domains, describing how the Aldor interfae
-domain ExpresstionTree is used to achieve this. We outline our Aldor
-implementation of an OpenMath translator, and describe an efficient
-extention of this to the Parser category. In addition, the Aldor
-service creation and invocation mechanism are explained. Thus we are
-in a position to develop and deploy mathematical web services whose
-descriptions may be directly derived from Aldor's rich type language.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Naylor 95]{N95} Naylor, Bill
-``Symbolic Interface for an advanced hyperbolic PDE solver''
-\verb|www.sci.csd.uwo.ca/~bill/Papers/symbInterface2.ps|
-%\verb|axiom-developer.org/axiom-website/papers/N95.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-An Axiom front end is described, which is used to generate
-mathematical objects needed by one of the latest NAG routines, to be
-included in the Mark 17 version of the NAG Numerical library. This
-routine uses powerful techniques to find the solution to Hyperbolic
-Partial Differential Equations in conservation form and in one spatial
-dimension. These mathematical objects are non-trivial, requiring much
-mathematical knowledge on the part of the user, which is otherwise
-irrelvant to the physical problem which is to be solved. We discuss
-the individual mathematical objects, considering the mathematical
-theory which is relevant, and some of the problems which have been
-encountered and solved during the FORTRAN generation necessary to
-realise the object.  Finally we display some of our results.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Naylor 00b]{ND00} Naylor, W.A.; Davenport, J.H.
-``A Monte-Carlo Extension to a Category-Based Type System''
-\verb|www.sci.csd.uwo.ca/~bill/Papers/monteCarCat3.ps|
-%\verb|axiom-developer.org/axiom-website/papers/ND00.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-The normal claim for mathematics is that all calculations are 100\%
-accurate and therefore one calculation can rely completely on the
-results of sub-calculations, hoever there exist {\sl Monte-Carlo}
-algorithms which are often much faster than the equivalent
-deterministic ones where the results will have a prescribed
-probability (presumably small) of being incorrect. However there has
-been little discussion of how such algorithms can be used as building
-blocks in Computer Algebra.  In this paper we describe how the
-computational category theory which is the basis of the type structure
-used in the Axiom computer algebra system may be extended to cover
-probabilistic algorithms, which use Monte-Carlo techniques. We follow
-this with a specific example which uses Straight Line Program
-representation.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Norman 75]{Nor75} Norman, A. C.
-``Computing with formal power series''
-ACM Transactions on Mathematical Software, 1(4) pp346-356 
-Dec. 1975 CODEN ACMSCU ISSN 0098-3500
-  keywords = "axiomref",
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Norman 75a]{Nor75a} Norman, A.C.
-``The SCRATCHPAD Power Series Package''
-IBM T.J. Watson Research RC4998
-  keywords = "axiomref",
-
-\end{chunk}
-
-\subsection{O} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{ignore}
-\bibitem[Ollivier 89]{Oll89} Ollivier, F.
-``Inversibility of rational mappings and structural 
-identifiablility in automatics''
-In ACM [ACM89], pp43-54 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Brad02,
+  author="Bradford, Russell and Corless, RobertM. and Davenport, JamesH. and 
+          Jeffrey, DavidJ. and Watt, StephenM.",
+  title="Reasoning about the Elementary Functions of Complex Analysis",
+  journal="Annals of Mathematics and Artificial Intelligence",
+  year="2002",
+  issn="1012-2443",
+  volume="36",
+  number="3",
+  doi="10.1023/A:1016007415899",
+  url="http://dx.doi.org/10.1023/A%3A1016007415899",
+  publisher="Kluwer Academic Publishers",
+  keywords="elementary functions; branch cuts; complex identities",
+  pages="303-318",
+  paper = "Brad02.pdf",
+  abstract = "
+    There are many problems with the simplification of elementary
+    functions, particularly over the complex plane, though not
+    exclusively. Systems tend to make ``howlers'' or not to simplify
+    enough. In this paper we outline the ``unwinding number'' approach to
+    such problems, and show how it can be used to prevent errors and to
+    systematise such simplification, even though we have not yet reduced
+    the simplification process to a complete algorithm. The unsolved
+    problems are probably more amenable to the techniques of artificial
+    intelligence and theorem proving than the original problem of complex
+    variable analysis."
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Online 72]{Onl72}.
-Online 72: conference proceedings ... international conference on online
-interactive computing, Brunel University, Uxbridge, England, 4-7 September
-1972 ISBN 0-903796-02-3 LCCN QA76.55.O54 1972 Two volumes.
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@inproceedings{Chyz11,
+  author = "Chyzak, Fr\'ed\'eric and Davenport, James H. and Koutschan, Christoph and Salvy, Bruno",
+  title = "On Kahan's Rules for Determining Branch Cuts",
+  booktitle = "Proc. 13th Int. Symp. on Symbolic and Numeric Algorithms for Scientific Computing",
+  year = "2011",
+  isbn = "978-1-4673-0207-4",
+  location = "Timisoara",
+  pages = "47-51",
+  doi = "10.1109/SYNASC.2011.51",
+  acmid = "258794",
+  publisher = "IEEE",
+  paper = "Chyz11.pdf",
+  abstract = "
+    In computer algebra there are different ways of approaching the
+    mathematical concept of functions, one of which is by defining them as
+    solutions of differential equations. We compare different such
+    appraoches and discuss the occurring problems. The main focus is on
+    the question of determining possible branch cuts. We explore the
+    extent to which the treatment of branch cuts can be rendered (more)
+    algorithmic, by adapting Kahan's rules to the differential equation
+    setting."
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[OpenMath]{OpenMa}.
-``OpenMath Technical Overview''
-\verb|www.openmath.org/overview/technical.html|
-  keywords = "axiomref",
-
+\begin{chunk}{axiom.bib}
+@article{Dave10,
+  author = "Davenport, James",
+  title = {The Challenges of Multivalued "Functions"},
+  journal = "Lecture Notes in Computer Science",
+  volume = "6167",
+  year = "2010",
+  pages = "1-12",
+  paper = "Dave10.pdf",
+  abstract = "
+    Although, formally, mathematics is clear that a function is a
+    single-valued object, mathematical practice is looser, particularly
+    with n-th roots and various inverse functions. In this paper, we point
+    out some of the looseness, and ask what the implications are, both for
+    Artificial Intelligence and Symbolic Computation, of these practices.
+    In doing so, we look at the steps necessary to convert existing tests
+    into
+    \begin{itemize}
+    \item (a) rigorous statements
+    \item (b) rigorously proved statements
+    \end{itemize}
+    In particular we ask whether there might be a constant ``de Bruij factor''
+    [18] as we make these texts more formal, and conclude that the answer
+    depends greatly on the interpretation being placed on the symbols."
+}
+  
 \end{chunk}
 
-\subsection{P} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\begin{chunk}{axiom.bib}
+@article{Dave12,
+  author = "Davenport, James H. and Bradford, Russell and England, Matthew 
+            and Wilson, David",
+  title = "Program Verification in the presence of complex numbers, functions 
+           with branch cuts etc",
+  journal = "14th Int. Symp. on Symbolic and Numeric Algorithms for 
+            Scientific Computing",
+  year = "2012",
+  series = "SYNASC'12",
+  pages = "83-88",
+  publisher = "IEEE",
+  paper = "Dave12.pdf",
+  abstract = "
+    In considering the reliability of numerical programs, it is normal to
+    ``limit our study to the semantics dealing with numerical precision''.
+    On the other hand, there is a great deal of work on the reliability of
+    programs that essentially ignores the numerics. The thesis of this
+    paper is that there is a class of problems that fall between the two,
+    which could be described as ``does the low-level arithmetic implement
+    the high-level mathematics''. Many of these problems arise because
+    mathematics, particularly the mathematics of the complex numbers, is
+    more difficult than expected; for example the complex function log is
+    not continuous, writing down a program to compute an inverse function
+    is more complicated than just solving an equation, and many algebraic
+    simplification rules are not universally valid.
 
-\begin{chunk}{ignore}
-\bibitem[Page 07]{Pa07} Page, William S.
-``Axiom - Open Source Computer Algebra System''
-Poster ISSAC 2007 Proceedings Vol 41 No 3 Sept 2007 p114
-  keywords = "axiomref",
+    The good news is that these problems are theoretically capable of
+    being solved, and are practically close to being solved, but not yet
+    solved, in several real-world examples. However, there is still a long
+    way to go before implementations match the theoretical possibilities."
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Petitot 90]{Pet90} Petitot, Michel
-``Types r\'ecursifs en scratchpad, application aux polyn\^omes non
-commutatifs''
-LIFL, 1990
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Jeff04,
+  author = "Jeffrey, D. J. and Norman, A. C.",
+  title = "Not Seeing the Roots for the Branches: Multivalued Functions in 
+           Computer Algebra",
+  journal = "SIGSAM Bull.",
+  issue_date = "September 2004",
+  volume = "38",
+  number = "3",
+  month = "September",
+  year = "2004",
+  issn = "0163-5824",
+  pages = "57--66",
+  numpages = "10",
+  url = "http://doi.acm.org/10.1145/1040034.1040036",
+  doi = "10.1145/1040034.1040036",
+  acmid = "1040036",
+  publisher = "ACM",
+  address = "New York, NY, USA",
+  paper = "Jeff04.pdf",
+  abstract = "
+    We discuss the multiple definitions of multivalued functions and their
+    suitability for computer algebra systems. We focus the discussion by
+    taking one specific problem and considering how it is solved using
+    different definitions. Our example problem is the classical one of
+    calculating the roots of a cubic polynomial from the Cardano formulae,
+    which contains fractional powers. We show that some definitions of
+    these functions result in formulae that are correct only in the sense
+    that they give candidates for solutions; these candidates must then be
+    tested. Formulae that are based on single-valued functions, in
+    contract, are efficient and direct."
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Petitot 93]{Pet93} Petitot, M.
-``Experience with Axiom''
-In Jacob et al. [JOS93], page 240
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@inproceedings{Kaha86,
+  author = "Kahan, W.",
+  title = "Branch cuts for complex elementary functions",
+  booktitle = "The State of the Art in Numerical Analysis",
+  year = "1986",
+  month = "April",
+  editor = "Powell, M.J.D and Iserles, A.",
+  publisher = "Oxford University Press"
+}
 
-\end{chunk}
+\end{chunk}  
 
-\begin{chunk}{ignore}
-\bibitem[Petric 71]{Pet71} Petric, S. R. (ed)
-Proceedings of the second symposium on Symbolic and
-Algebraic Manipulation, March 23-25, 1971, Los Angeles, California, ACM Press,
-New York, NY 10036, USA, 1971. LCCN QA76.5.S94 1971
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Rich96,
+  author = "Rich, Albert D. and Jeffrey, David J.",
+  title = "Function Evaluation on Branch Cuts",
+  journal = "SIGSAM Bull.",
+  issue_date = "June 1996",
+  volume = "30",
+  number = "2",
+  month = "June",
+  year = "1996",
+  issn = "0163-5824",
+  pages = "25--27",
+  numpages = "3",
+  url = "http://doi.acm.org/10.1145/235699.235704",
+  doi = "10.1145/235699.235704",
+  acmid = "235704",
+  publisher = "ACM",
+  address = "New York, NY, USA",
+  abstract = "
+    Once it is decided that a CAS will evaluate multivalued functions on
+    their principal branches, questions arise concerning the branch
+    definitions. The first questions concern the standardization of the
+    positions of the branch cuts. These questions have largely been
+    resolved between the various algebra systems and the numerical
+    libraries, although not completely. In contrast to the computer
+    systems, many mathematical textbooks are much further behind: for
+    example, many popular textbooks still specify that the argument of a
+    complex number lies between 0 and $2\pi$. We do not intend to discuss
+    these first questions here, however. Once the positions of the branch
+    cuts have been fixed, a second set of questions arises concerning the
+    evaluation of functions on their branch cuts."
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Pinch 93]{Pin93} Pinch, R.G.E.
-``Some Primality Testing Algorithms''
-Devlin, Keith (ed.)
-Computers and Mathematics November 1993, Vol 40, Number 9 pp1203-1210
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Patt96,
+  author = "Patton, Charles M.",
+  title = "A Representation of Branch-cut Information",
+  journal = "SIGSAM Bull.",
+  issue_date = "June 1996",
+  volume = "30",
+  number = "2",
+  month = "June",
+  year = "1996",
+  issn = "0163-5824",
+  pages = "21--24",
+  numpages = "4",
+  url = "http://doi.acm.org/10.1145/235699.235703",
+  doi = "10.1145/235699.235703",
+  acmid = "235703",
+  publisher = "ACM",
+  address = "New York, NY, USA",
+  paper = "Patt96.pdf",
+  abstract = "
+    Handling (possibly) multi-valued functions is a problem in all current
+    computer algebra systems. The problem is not an issue of technology.
+    Its solution, however, is tied to a uniform handling of the issues by
+    the mathematics community."
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Poll (b)]{Polxx} Poll, Erik
-``The type system of Axiom''
-%\verb|axiom-developer.org/axiom-website/papers/Polxx.pdf|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Squi91,
+  author = "Squire, Jon S.",
+  title = "Rationale for the Proposed Standard for a Generic Package of 
+           Complex Elementary Functions",
+  journal = "Ada Lett.",
+  issue_date = "Fall 1991",
+  volume = "XI",
+  number = "7",
+  month = "September",
+  year = "1991",
+  issn = "1094-3641",
+  pages = "166--179",
+  numpages = "14",
+  url = "http://doi.acm.org/10.1145/123533.123545",
+  doi = "10.1145/123533.123545",
+  acmid = "123545",
+  publisher = "ACM",
+  address = "New York, NY, USA",
+  paper = "Squi91.pdf",
+  abstract = "
+    This document provides the background on decisions that were made
+    during the development of the specification for Generic Complex
+    Elementary fuctions. It also rovides some information that was used to
+    develop error bounds, range, domain and definitions of complex
+    elementary functions."
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Purtilo 86]{Pur86} Purtilo, J.
-``Applications of a software interconnection system in mathematical
-problem solving environments'' In Bruce W. Char, editor. Proceedings of the
-1986 Symposium on Symbolic and Algebraic Computation: SYMSAC '86, July 21-23,
-ACM Press, New York, NY 10036, USA, 1986. ISBN 0-89791-199-7 LCCN QA155.7.E4
-A281 1986 ACM order number 505860
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Squi91a,
+  editor = "Squire, Jon S.",
+  title = "Proposed Standard for a Generic Package of Complex 
+           Elementary Functions",
+  journal = "Ada Lett.",
+  issue_date = "Fall 1991",
+  volume = "XI",
+  number = "7",
+  month = "September",
+  year = "1991",
+  issn = "1094-3641",
+  pages = "140--165",
+  numpages = "26",
+  url = "http://doi.acm.org/10.1145/123533.123544",
+  doi = "10.1145/123533.123544",
+  acmid = "123544",
+  publisher = "ACM",
+  address = "New York, NY, USA",
+  abstract = "
+    This document defines the specification of a generic package of
+    complex elementary functions called Generic Complex Elementary
+    Functions. It does not provide the body of the package."
+}
 
 \end{chunk}
 
-\subsection{R} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\subsection{Square-free Decomposition } %%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{ignore}
-\bibitem[Rainer 14]{Rain14} Joswig, Rainer
-``2014: 30+ Years Common Lisp the Language''
-\verb|lispm.de/30ycltl|
+\begin{chunk}{axiom.bib}
+@article{Bern97,
+  author = "Bernardin, Laurent",
+  title = "On square-free factorization of multivariate polynomials over a 
+           finite field",
+  journal = "Theoretical Computer Science",
+  volume = "187",
+  number = "1-2",
+  year = "1997",
+  month = "November",
+  pages = "105-116",
   keywords = "axiomref",
+  paper = "Bern97.pdf",
+  abstract = "
+    In this paper we present a new deterministic algorithm for computing
+    the square-free decomposition of multivariate polynomials with
+    coefficients from a finite field.
 
-\end{chunk}
+    Our algorithm is based on Yun's square-free factorization algorithm
+    for characteristic 0. The new algorithm is more efficient than
+    existing, deterministic algorithms based on Musser's squarefree
+    algorithm
 
-\begin{chunk}{ignore}
-\bibitem[Rioboo 03a]{Riob03a} Rioboo, Renaud
-``Quelques aspects du calcul exact avec des nombres r\'eels''
-Ph.D. Thesis, Laboratoire d'Informatique Th\'eorique et Programmationg
-%\verb|axiom-developer.org/axiom-website/papers/Riob03a.ps|
-  keywords = "axiomref",
+    We will show that the modular approach presented by Yun has no
+    significant performance advantage over our algorithm. The new
+    algorithm is also simpler to implement and it can rely on any existing
+    GCD algorithm without having to worry about choosing ``good'' evaluation
+    points.
+
+    To demonstrate this, we present some timings using implementations in
+    Maple (Char et al. 1991), where the new algorithm is used for Release
+    4 onwards, and Axiom (Jenks and Sutor, 1992) which is the only system
+    known to the author to use and implementation of Yun's modular
+    algorithm mentioned above."
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Rioboo 03]{Riob03} Rioboo, Renaud
-``Towards Faster Real Algebraic Numbers''
-J. of Symbolic Computation 36 pp 513-533 (2003)
-%\verb|axiom-developer.org/axiom-website/papers/Riob03.pdf|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Chez07,
+  author = "Ch\'eze, Guillaume and Lecerf, Gr\'egoire",
+  title = "Lifting and recombination techniques for absolute factorization",
+  journal = "Journal of Complexity",
+  volume = "23",
+  number = "3",
+  year = "2007",
+  month = "June",
+  pages = "380-420",
+  paper = "Chez07.pdf",
+  abstract = "
+    In the vein of recent algorithmic advances in polynomial factorization
+    based on lifting and recombination techniques, we present new faster
+    algorithms for computing the absolute factorization of a bivariate
+    polynomial. The running time of our probabilistic algorithm is less
+    than quadratic in the dense size of the polynomial to be factored."
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper presents a new encoding scheme for real algebraic number
-manipulations which enhances current Axiom's real closure. Algebraic
-manipulations are performed using different instantiations of
-sub-resultant-like algorithms instead of Euclidean-like algorithms.
-We use these algorithms to compute polynomial gcds and Bezout
-relations, to compute the roots and the signs of algebraic
-numbers. This allows us to work in the ring of real algebraic integers
-instead of the field of read algebraic numbers avoiding many denominators.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Robidoux 93]{Rob93} Robidoux, Nicolas
-``Does Axiom Solve Systems of O.D.E's Like Mathematica?''
-July 1993
-%\verb|axiom-developer.org/axiom-website/papers/Rob93.pdf|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Lece07,
+  author = "Lecerf, Gr\'egoire",
+  title = "Improved dense multivariate polynomial factorization algorithms",
+  journal = "Journal of Symbolic Computation",
+  volume = "42",
+  number = "4",
+  year = "2007",
+  month = "April",
+  pages = "477-494",
+  paper = "Lece07.pdf",
+  abstract = "
+    We present new deterministic and probabilistic algorithms that reduce
+    the factorization of dense polynomials from several variables to one
+    variable.  The deterministic algorithm runs in sub-quadratic time in
+    the dense size of the input polynomial, and the probabilistic
+    algorithm is softly optimal when the number of variables is at least
+    three. We also investigate the reduction from several to two variables
+    and improve the quantitative versions of Bertini's irreducibility theorem."
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-If I were demonstrating Axiom and were asked this question, my reply
-would be ``No, but I am not sure that this is a bad thing''. And I
-would illustrate this with the following example.
+\begin{chunk}{axiom.bib}
+@article{Wang77,
+  author = "Wang, Paul S.",
+  title = "An efficient squarefree decomposition algorithm",
+  journal = "ACM SIGSAM Bulletin",
+  volume = "11",
+  number = "2",
+  year = "1977",
+  month = "May",
+  pages = "4-6",
+  paper = "Wang77.pdf",
+  abstract = "
+    The concept of polynomial squarefree decomposition is an important one
+    in algebraic computation. The squarefree decomposition process has
+    many uses in computer symbolic computation. A recent survey by D. Yun
+    [3] describes many useful algorithms for this purpose. All of these
+    methods depend on computing the greated common divisor (gcd) of the
+    polynomial to be decomposed and its first derivative (with repect to
+    some variable). In the multivariate case, this gcd computation is
+    non-trivial and dominates the cost for the squarefree decompostion."
+}
 
-Consider the following system of O.D.E.'s
-\[
-\begin{array}{rcl}
-\frac{dx_1}{dt} & = & \left(1+\frac{cos t}{2+sin t}\right)x_1\\
-\frac{dx_2}{dt} & = & x_1 - x_2
-\end{array}
-\]
-This is a very simple system: $x_1$ is actually uncoupled from $x_2$
-\end{adjustwidth}
+\end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Rioboo 92]{Rio92} Rioboo, R.
-``Real algebraic closure of an ordered field, implementation in Axiom''
-In Wang [Wan92], pp206-215 ISBN 0-89791-489-9 (soft cover)
-0-89791-490-2 (hard cover) LCCN QA76.95.I59 1992
-%\verb|axiom-developer.org/axiom-website/papers/Rio92.pdf|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@article{Wang79,
+  author = "Wang, Paul S. and Trager, Barry M.",
+  title = "New Algorithms for Polynomial Square-Free Decomposition 
+           over the Integers",
+  journal = "SIAM Journal on Computing",
+  volume = "8",
+  number = "3",
+  year = "1979",
+  publisher = "Society for Industrial and Applied Mathematics",
+  issn = "00975397",
+  paper = "Wang79.pdf",
+  abstract = "
+    Previously known algorithms for polynomial square-free decomposition
+    rely on greatest common divisor (gcd) computations over the same
+    coefficient domain where the decomposition is to be performed. In
+    particular, gcd of the given polynomial and its first derivative (with
+    respect to some variable) is obtained to begin with. Application of
+    modular homomorphism and $p$-adic construction (multivariate case) or
+    the Chinese remainder algorithm (univariate case) results in new
+    square-free decomposition algorithms which, generally speaking, take
+    less time than a single gcd between the given polynomial and its first
+    derivative. The key idea is to obtain one or several ``correct''
+    homomorphic images of the desired square-free decomposition
+    first. This provides information as to how many different square-free
+    factors there are, their multiplicities and their homomorphic
+    images. Since the multiplicities are known, only the square-free
+    factors need to be constructed. Thus, these new algorithms are
+    relatively insensitive to the multiplicities of the square-free factors."
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Real algebraic numbers appear in many Computer Algebra problems.  For
-instance the determination of a cylindrical algebraic decomposition
-for an euclidean space requires computing with real algebraic numbers.
-This paper describes an implementation for computations with the real
-roots of a polynomial. This process is designed to be recursively
-used, so the resulting domain of computation is the set of all real
-algebraic numbers. An implementation for the real algebraic closure
-has been done in Axiom (previously called Scratchpad).
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Roesner 95]{Roe95} Roesner, K. G.
-``Verified solutions for parameters of an exact solution for
-non-Newtonian liquids using computer algebra'' Zeitschrift fur Angewandte
-Mathematik und Physik, 75 (suppl. 2):S435-S438, 1995 ISSN 0044-2267
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@inproceedings{Yun76,
+  author = "Yun, D.Y.Y",
+  title = "On square-free decomposition algorithms",
+  booktitle = "Proceedings of SYMSAC'76",
+  year = "1976",
+  keywords = "survey",
+  pages = "26-35"
+}
 
 \end{chunk}
 
-\subsection{S} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{ignore}
-\bibitem[Sage 14]{Sage14} Stein, William
-``Sage''
-\verb|www.sagemath.org/doc/reference/interfaces/sage/interfaces/axiom.html|
-  keywords = "axiomref",
+\section{Axiom Citations in the Literature}
 
-\end{chunk}
+\subsection{A} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Salvy 89]{Sal89} Salvy, B.
-``Examples of automatic asymptotic expansions''
-Technical Report 114,
-Inst. Nat. Recherche Inf. Autom., Le Chesnay, France, Dec. 1989 18pp
+\bibitem[ACM 89]{ACM89} ACM, editor
+Proceedings of the ACM-SIGSAM 1989 International
+Symposium on Symbolic and Algebraic Computation, ISSAC '89 ACM Press, 
+New York, NY 10036, USA, 1989, , LCCN QA76.95.I59 
+  year = "1989",
+  isbn = "0-89791-325-6",
   keywords = "axiomref",
-
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Salvy 91]{Sal91} Salvy, B.
-``Examples of automatic asymptotic expansions''
-SIGSAM Bulletin (ACM Special Interest Group on Symbolic and 
-Algebraic Manipulation), 25(2) pp4-17
-April 1991 CODEN SIGSBZ ISSN 0163-5824
+\bibitem[ACM 94]{ACM94} ACM, editor
+ISSAC '94. Proceedings of the International
+Symposium on Symbolic and Algebraic Computation. ACM Press, New York, NY,
+10036, USA, 1994, . LCCN QA76.95.I59 
+  year = "1994",
+  isbn = "0-89791-638-7",
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@article{Saun80,
- author = "Saunders, B. David",
- title = "A Survey of Available Systems",
- journal = "SIGSAM Bull.",
- issue_date = "November 1980",
- volume = "14",
- number = "4",
- month = "November",
- year = "1980",
- issn = "0163-5824",
- pages = "12--28",
- numpages = "17",
- url = "http://doi.acm.org/10.1145/1089235.1089237",
- doi = "10.1145/1089235.1089237",
- acmid = "1089237",
- publisher = "ACM",
- address = "New York, NY, USA",
- keywords = "axiomref,survey",
- paper = "Saun80.pdf"
-}
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Schu 92]{Sch92} Sch\"u, J.
-``Implementing des Cartan-Kuranishi-Theorems in AXIOM''
-Master's diploma thesis (in german), Institut f\"ur Algorithmen und
-Kognitive Systeme, Universit\"t Karlsruhe 1992
+@article{Augo91,
+  author = "Augot, D. and  Charpin, P. and Sendrier, N.",
+  title = "The miniumum distance of some binary codes via the 
+           Newton's identities",
+  journal = "Cohen and Charping [CC91]",
+  year = "1991",
+  pages = "65-73",
+  isbn = "0-387-54303-1",
+  misc = "3-540-54303-1 (Berlin). LCCN QA268.E95 1990",
   keywords = "axiomref",
+  paper = "Augo91.pdf"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Schwarz 88]{Sch88} Schwarz, F.
-``Programming with abstract data types: the symmetry package SPDE
-in Scratchpad'' 
-In Jan{\ss}en [Jan88], pp167-176, ISBN 3-540-18928-9,
-0-387-18928-9 LCCN QA155.7.E4T74 1988
+\bibitem[Adams 94]{AL94} 
+  author = "Adams, William W. and Loustaunau, Philippe",
+  title = "An Introduction to Gr\"obner Bases",
+  year = "1994",
+American Mathematical Society (1994) 
+  isbn = "0-8218-3804-0",
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Schwarz 89]{Sch89} Schwarz, F.
-``A factorization algorithm for linear ordinary differential equations''
-In ACM [ACM89], pp17-25 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
+\bibitem[Andrews 84]{And84} 
+  author = "Andrews, George E.",
+  title = "Ramanujan and SCRATCHPAD",
+  year = "1984",
+  pages = "383-??",
   keywords = "axiomref",
+In Golden and Hussain [GH84]
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Schwarz 91]{Sch91} Schwarz, F.
-``Monomial orderings and Gr{\"o}bner bases''
-SIGSAM Bulletin (ACM Special Interest Group on Symbolic and Algebraic 
-Manipulation) 2591) pp10-23 Jan. 1991 CODEN SIGSBZ ISSN 0163-5824
+\bibitem[Andrews 88]{And88} 
+  author = "Andrews, G. E.",
+  title = "Application of Scratchpad to problems in special functions and 
+           combinatorics",
+  year = "1988"
+  pages = "158-??",
+  isbn = "3-540-18928-9",
   keywords = "axiomref",
+In Janssen [Jan88], pages 158-?? ISBN 
+0-387-18928-9 LCCN QA155.7.E4T74 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Seiler 94]{Sei94} Seiler, Werner Markus
-``Analysis and Application of the Formal Theory of Partial Differential
-Equations''
-PhD thesis, School of Physics and Materials, Lancaster University (1994)
-\verb|www.mathematik.uni-kassel.de/~seiler/Papers/Diss/diss.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Sei94.pdf|
+\bibitem[Anon 91]{Ano91} 
+  author = "Anonymous",
+  year = "1991,
   keywords = "axiomref",
+Proceedings 1991 Annual Conference, American Society for
+Engineering Education. Challenges of a Changing World. ASEE, Washington, DC
+ 2 vol.
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-An introduction to the formal theory of partial differential equations
-is given emphasizing the properties of involutive symbols and
-equations.  An algorithm to complete any differential equation to an
-involutive one is presented. For an involutive equation possible
-values for the number of arbitrary functions in its general solution
-are determined. The existence and uniqueness of solutions for analytic
-equations is proven.  Applications of these results include an
-analysis of symmetry and reduction methods and a study of gauge
-systems. It is show that the Dirac algorithm for systems with
-constraints is closely related to the completion of the equation of
-motion to an involutive equation. Specific examples treated comprise
-the Yang-Mills Equations, Einstein Equations, complete and Jacobian
-systems, and some special models in two and three dimensions. To
-facilitate the involved tedious computations an environment for
-geometric approaches to differential equations has been developed in
-the computer algebra system Axiom. The appendices contain among others
-brief introductions into Carten-K\"ahler Theory and Janet-Riquier Theory.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Seiler 94a]{Sei94a} Seiler, W.M.
-``Completion to involution in AXIOM''
-in Calmet [Cal94] pp103-104
+\bibitem[Anon 92]{Ano92} 
+  author = "Anonymous",
+  year = "1992",
   keywords = "axiomref",
+Programming environments for high-level scientific problem solving.
+IFIP TC2/WG 2.5 working conference. IFIP Transactions. A Computer Science 
+and Technology, A-2:??, CODEN ITATEC. ISSN 0926-5473
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Sieler 94b]{Sei94b} Seiler, W.M.
-``Pseudo differential operators and integrable systems in AXIOM''
-Computer Physics Communications, 79(2) pp329-340 April 1994 CODEN CPHCBZ
-ISSN 0010-4655
-%\verb|axiom-developer.org/axiom-website/papers/Sei94b.pdf|
+\bibitem[Anono 95]{Ano95} 
+  author =Anonymous
   keywords = "axiomref",
+  year = "1995",
+GAMM 94 annual meeting. Zeitschrift fur Angewandte Mathematik und
+Physik, 75 (suppl. 2), CODEN ZAMMAX, ISSN 0044-2267
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-An implementation of the algebra of pseudo differential operators in
-the computer algebra system Axiom is described. In several exmaples
-the application of the package to typical computations in the theory
-of integrable systems is demonstrated.
-\end{adjustwidth}
+\subsection{B} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{ignore}
-\bibitem[Seiler 95]{Sei95} Seiler, W.M.
-``Applying AXIOM to partial differential equations''
-Internal Report 95-17, Universit\"at Karlsruhe, Fakult\"at f\"ur Informatik
-1995
-%\verb|axiom-developer.org/axiom-website/papers/Sei95.pdf|
+\begin{chunk}{axiom.bib}
+@article{Bacl14,
+  author = "Baclawski, Krystian",
+  title = "SPAD language type checker",
+  journal = "unknown",
+  year = "2014",
+  url = "http://github.com/cahirwpz/phd",
   keywords = "axiomref",
+  abstract = "
+   The project aims to deliver a new type checker for SPAD language.
+   Several improvements over current type checker are planned.
+   \begin{itemize}
+   \item introduce better type inference
+   \item introduce modern language constructs
+   \item produce understandable diagnostic messages
+   \item eliminate well known bugs in the type system
+   \item find new type errors
+   \end{itemize}"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present an Axiom environment called JET for geometric computations
-with partial differential equations within the framework of the jet
-bundle formalism. This comprises expecially the completion of a given
-differential equation to an involutive one according to the
-Cartan-Kuranishi Theorem and the setting up of the determining system
-for the generators of classical and non-classical Lie
-symmetries. Details of the implementations are described and
-applications are given. An appendix contains tables of all exported
-functions.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Seiler 95b]{SC95} Seiler, W.M.; Calmet, J.
-``JET -- An Axiom Environment for Geometric Computations with Differential
-Equations''
-%\verb|axiom-developer.org/axiom-website/papers/SC95.pdf|
+\bibitem[Blair 70]{BGJ70} 
+  author = "Blair, Fred W and Griesmer, James H. and Jenks, Richard D.",
+  title = "An interactive facility for symbolic mathematics",
+  year = "1970",
+  pages = "394-419",
   keywords = "axiomref",
+Proc. International Computing Symposium, Bonn, Germany, 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-JET is an environment within the computer algebra system Axiom to
-perform such computations. The current implementation emphasises the
-two key concepts involution and symmetry. It provides some packages
-for the completion of a given system of differential equations to an
-equivalent involutive one based on the Cartan-Kuranishi theorem and
-for setting up the determining equations for classical and
-non-classical point symmetries.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Seiler 97]{Sei97} Seiler, Werner M.
-``Computer Algebra and Differential Equations: An Overview''
-\verb|www.mathematik.uni-kassel.di/~seiler/Papers/Postscript/CADERep.ps.gz|
+\bibitem[Blair 70a]{BJ70} 
+  author = "Blair, Fred W. and Jenks, Richard D.",
+  title = "LPL: LISP programming language",
+  year = "1970",
   keywords = "axiomref",
+IBM Research Report, RC3062 Sept 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present an informal overview of a number of approaches to
-differential equations which are popular in computer algebra. This
-includes symmetry and completion theory, local analysis, differential
-ideal and Galois theory, dynamical systems and numerical analysis.  A
-large bibliography is provided.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Seiler (a)]{Seixx} Seiler, W.M.
-``DETools: A Library for Differential Equations''
-\verb|iaks-www.ira.uka.de/iaks-calmet/werner/werner.html|
+\begin{chunk}{axiom.bib}
+\bibitem[Broadbery 95]{BGDW95} 
+  author = "Broadbery, P. A. and G{\'o}mez-D{\'\i}az, T. and Watt, S. M.",
+  title = "On the Implementation of Dynamic Evaluation",
+  year = "1995",
+  pages = "77-84",
   keywords = "axiomref",
+  isbn = "0-89791-699-9",
+  url = "http://pdf.aminer.org/000/449/014/on_the_implementation_of_dynamic_evaluation.pdf",
+  paper = "BGDW95.pdf",
+  abstract = "
+    Dynamic evaluation is a technique for producing multiple results
+    according to a decision tree which evolves with program execution.
+    Sometimes it is desired to produce results for all possible branches
+    in the decision tree, while on other occasions, it may be sufficient
+    to compute a single result which satisfies certain properties. This
+    techinique finds use in computer algebra where computing the correct
+    result depends on recognizing and properly handling special cases of
+    parameters. In previous work, programs using dynamic evaluation have
+    explored all branches of decision trees by repeating the computations
+    prior to decision points.
+
+    This paper presents two new implementations of dynamic evaluation
+    which avoid recomputing intermediate results. The first approach uses
+    Scheme ``continuations'' to record state for resuming program
+    execution. The second implementation uses the Unix ``fork'' operation
+    to form new processes to explore alternative branches in parallel."
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Shannon 88]{SS88} Shannon, D.; Sweedler, M.
-``Using Gr{\"o}bner bases to determine algebra
-membership, split surjective algebra homomorphisms determine birational
-equivalence''
-Journal of Symbolic Computation 6(2-3) pp267-273 
-Oct.-Dec. 1988 CODEN JSYCEH ISSN 0747-7171
+\begin{chunk}{axiom.bib}
+\bibitem[Boehm 89]{Boe89} 
+@inproceedings{Boe89,
+  author = "Boehm, Hans-J.",
+  title = "Type Inference in the Presence of Type Abstraction",
+  year = "1989",
+  pages = "192-206",
   keywords = "axiomref",
+  url = "http://www.acm.org/pubs/citations/proceedings/pldi/73141/p192-boehm",
+  paper = "Boe89.pdf",
+  booktitle = "ACM SIGPLAN Notices",
+  volume = "24",
+  number = "7",
+  month = "July",
+  abstract = "
+    A number of recent programming language designs incorporate a type
+    checking system based on the Girard-Reynolds polymorphic
+    $\lambda$-calculus.  This allows the construction of general purpose,
+    reusable software without sacrificing compile-time type checking. A
+    major factor constraining the implementation of these languages is the
+    difficulty of automatically inferring the lengthy type information
+    that is otherwise required if full use is made of these
+    languages. There is no known algorithm to solve any natural and fully
+    general formulation of the ``type inference'' problem. One very
+    reasonable formulation of the problem is known to be undecidable.
+
+    Here we define a restricted version of the type inference problem and
+    present an efficient algorithm for its solution. We argue that the
+    restriction is sufficiently weak to be unobtrusive in practice."
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Sit 89]{Sit89} Sit, W.Y.
-``On Goldman's algorithm for solving first-order multinomial
-autonomous systems'' In Mora [Mor89], pp386-395 ISBN 3-540-51083-4
-LCCN QA268.A35 1998 Conference held jointly with ISSAC '88
+\begin{chunk}{axiom.bib}
+@inproceedings{BHGM04,
+  author = "Boulton, Richard and Hardy, Ruth and Gottliebsen, Hanne 
+            and Martin, Ursula",
+  title = "Design verification for control engineering",
+  year = "2004",
+  month = "April",
+  booktitle = "Proc 4th Int. Conf. on Integrated Formal Methods",
   keywords = "axiomref",
+  abstract = "
+    We introduce control engineering as a new domain of application for
+    formal methods. We discuss design verification, drawing attention to
+    the role played by diagrammatic evaluation criteria involving numeric
+    plots of a design, such as Nichols and Bode plots. We show that
+    symbolic computation and computational logic can be used to discharge
+    these criteria and provide symbolic, automated, and very general
+    alternatives to these standard numeric tests. We illustrate our work
+    with reference to a standard reference model drawn from military
+    avionics."
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Sit 92]{Sit92} Sit, W.Y.
-``An algorithm for solving parametric linear systems''
-Journal of Symbolic Computations, 13(4) pp353-394, April 1992 CODEN JSYCEH 
-ISSN 0747-7171
-\verb|www.sciencedirect.com/science/article/pii/S0747717108801046/pdf|
-\verb|?md5=00aa65e18e6ea5c4a008c8dfdfcd4b83&|
-\verb|pid=1-s2.0-S0747717108801046-main.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Sit92.pdf|
+\bibitem[Boulanger 91]{Bou91} 
+  author = "Boulanger, Jean-Louis",
+  title = "Etude de la compilation de scratchpad 2",
+  year = "1991",
+  month = "September",
+Rapport de DEA Universite dl lille 1
   keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present a theoretical foundation for studying parametric systesm of
-linear equations and prove an efficient algorithm for identifying all
-parametric values (including degnerate cases) for which the system is
-consistent. The algorithm gives a small set of regimes where for each
-regime, the solutions of the specialized systems may be given
-uniformly. For homogeneous linear systems, or for systems were the
-right hand side is arbitrary, this small set is irredunant. We discuss
-in detail practical issues concerning implementations, with particular
-emphasis on simplification of results. Examples are given based on a
-close implementation of the algorithm in SCRATCHPAD II. We also give a
-complexity analysis of the Gaussian elimination method and compare
-that with our algorithm.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Sit 06]{Sit06} Sit, Emil
-``Tools for Repeatable Research''
-\verb|www.emilsit.net/blog/archives/tools-for-repeatable-research|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@misc{Bou93a,
+  author = "Boulanger, Jean-Louis",
+  title = "Axiom, language fonctionnel \`a d\'evelopement objet",
+  year = "1993",
+  month = "October",
+  paper = "Bou93a.pdf",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Smedley 92]{Sme92} Smedley, Trevor J.
-``Using pictorial and object oriented programming for computer algebra''
-In Hal Berghel et al., editors. Applied computing --
-technologicial challenges of the 199s: proceedings of the 1992 ACM/SIGAPP
-Symposium on Applied Computing, Kansas City Convention Center, March 1-3, 1992
-pp1243-1247. ACM Press, New York, NY 10036, USA, 1992. ISBN 0-89791-502-X
-LCCN QA76.76.A65 S95 1992
+\begin{chunk}{axiom.bib}
+@misc{Bou93b,
+  author = "Boulanger, Jean-Louis",
+  title = "AXIOM, A Functional Language with Object Oriented Development",
+  year = "1993",
+  paper = "Bou93b.pdf",
   keywords = "axiomref",
+  abstract = "
+    We present in this paper, a study about the computer algebra system
+    Axiom, which gives us many very interesting Software engineering
+    concepts.  This language is a functional language with an Object
+    Oriented Development.  This feature is very important for modeling the
+    mathematical world (Hierarchy) and provides a running with
+    mathematical sense. (All objects are functions). We present many
+    problems of running and development in Axiom. We can note that Aiom is
+    the only system of this category."
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Smith 07]{SDJ07} Smith, Jacob; Dos Reis, Gabriel; Jarvi, Jaakko
-``Algorithmic differentiation in Axiom''
-ACM SIGSAM ISSAC Proceedings 2007 Waterloo, Canada 2007 pp347-354 
-ISBN 978-1-59593-743-8
-%\verb|axiom-developer.org/axiom-website/papers/SDJ07.pdf|
+\bibitem[Boulanger 94]{Bou94} 
+  author = "Boulanger, J.L.",
+  title = "Object Oriented Method for Axiom",
+  year = "1995",
+  month = "February",
+  pages = "33-41",
+  paper = "Bou94.pdf",
+ACM SIGPLAN Notices, 30(2) CODEN SINODQ ISSN 0362-1340
   keywords = "axiomref",
+  abstract = "
+    Axiom is a very powerful computer algebra system which combines two
+    language paradigms (functional and OOP). Mathematical world is complex
+    and mathematicians use abstraction to design it. This paper presents
+    some aspects of the object oriented development in Axiom. The Axiom
+    programming is based on several new tools for object oriented
+    development, it uses two levels of class and some operations such that
+    {\sl coerce}, {\sl retract}, or {\sl convert} which permit the type
+    evolution. These notions introduce the concept of multi-view."
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper describes the design and implementation of an algorithmic
-differentiation framework in the Axiom computer algebra system. Our
-implementation works by transformations on Spad programs at the level
-of the typed abstract syntax tree.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[SSC92]{SSC92}.
-``Algorithmic Methods For Lie Pseudogroups'' 
-In N. Ibragimov, M. Torrisi and A. Valenti, editors, Proc. Modern Group
-Analysis: Advanced Analytical and Computational Methods in Mathematical
-Physics, pp337-344, Acireale (Italy), 1992 Kluwer, Dordrecht 1993
-\verb|iaks-www.ira.uka.de/iaks-calmet/werner/Papers/Acireale92.ps.gz|
+\bibitem[Bronstein 87]{Bro87} 
+  author = "Bronstein, Manuel",
+  title = "Integration of Algebraic and Mixed Functions",
+  year = "1987",
+in [Wit87], p18
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[SSV87]{SSV87} Senechaud, P.; Siebert, F.; Villard G.
-``Scratchpad II: Pr{\'e}sentation d'un nouveau langage de calcul formel''
-Technical Report 640-M, TIM 3 (IMAG), Grenoble, France, Feb 1987
+\bibitem[Bronstein 89]{Bro89} 
+  author= "Bronstein, M.",
+  title = "Simplification of real elementary functions",
+  year = "1989",
+  pages = "207-211",
+  isbn = "0-89791-325-6",
+ACM [ACM89] pages   LCCN QA76.95.I59 1989
   keywords = "axiomref",
+  abstract = "
+    We describe an algorithm, based on Risch's real structure theorem, that
+    determines explicitly all the algebraic relations among a given set of
+    real elementary functions. We also provide examples from its
+    implementation that illustrate the advantages over the use of complex
+    logarithms and exponentials."
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Steele]{Steele} Steele, Guy L.; Gabriel, Richard P.
-``The Evolution of Lisp''
-\verb|www.dreamsongs.com/Files/HOPL2-Uncut.pdf|
+\begin{chunk}{axiom.bib}
+\bibitem[Bronstein 91a]{Bro91a} 
+@inproceedings{Bron91a,
+  author = "Bronstein, M.",
+  title = "The Risch Differential Equation on an Algebraic Curve",
+  booktitle = "Proc. 1991 Int. Symp. on Symbolic and Algebraic Computation",
+  series = "ISSAC'91",
+  year = "1991",
+  pages = "241-246",
+  isbn = "0-89791-437-6",
+  publisher = "ACM, NY",
   keywords = "axiomref",
+  paper = "Bro91a.pdf",
+  abstract = "
+    We present a new rational algorithm for solving Risch differential
+    equations over algebraic curves. This algorithm can also be used to
+    solve $n^{th}$-order linear ordinary differential equations with
+    coefficients in an algebraic extension of the rational functions. In
+    the general (``mixed function'') case, this algorithm finds the
+    denominator of any solution of the equation."
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Sutor 85]{Sut85} Sutor, R.S.
-``The Scratchpad II computer algebra language and system''
-In Buchberger and Caviness [BC85], pp32-33 ISBN 0-387-15983-5 (vol. 1),
-0-387-15984-3 (vol. 2) LCCN QA155.7.E4 E86 1985 Two volumes.
+\bibitem[Bronstein 91c]{Bro91c} 
+  author = "Bronstein, Manuel",
+  title = "Computer Algebra and Indefinite Integrals",
+  year = "1991",
+  paper = "Bro91c.pdf",
+in Computer Aided Proofs in Analysis, K.R. Meyers et al. (eds) 
+Springer-Verlag, NY (1991)
   keywords = "axiomref",
-
+  abstract = "
+    We give an overview, from an analytical point of view, of decision
+    procedures for determining whether an elementary function has an
+    elementary function has an elementary antiderivative. We give examples
+    of algebraic functions which are integrable and non-integrable in
+    closed form, and mention the current implementation of various computer
+    algebra systems."
+}
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Sutor 87a]{SJ87a} Sutor, R. S.; Jenks, R. D.
-``The type inference and coercion facilities in
-the Scratchpad II interpreter'' In Wexelblat [Wex87], pp56-63
-ISBN 0-89791-235-7 LCCN QA76.7.S54 v22:7 SIGPLAN Notices, v22 n7 (July 1987)
-%\verb|axiom-developer.org/axiom-website/papers/SJ87a.pdf|
+\bibitem[Bronstein 92]{Bro92} 
+  author = "Bronstein, M.",
+  title = "Linear Ordinary Differential Equations: Breaking Through the 
+           Order 2 Barrier",
+  year = "1992",
+  url = 
+   "http://www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac92.ps.gz",
+  paper = "Bro92.pdf",
   keywords = "axiomref",
-
+  abstract = "
+    A major subproblem for algorithms that either factor ordinary linear
+    differential equations or compute their closed form solutions is to
+    find their solutions $y$ which satisfy $y^{'}/y \in \overline{K}(x)$
+    where $K$ is the constant field for the coefficients of the equation.
+    While a decision procedure for this subproblem was known in the
+    $19^{th}$ century, it requires factoring polynomials over
+    $\overline{K}$ and has not been implemented in full generality. We
+    present here an efficient algorithm for this subproblem, which has
+    been implemented in the AXIOM computer algebra system for equations of
+    arbitrary order over arbitrary fields of characteristic 0. This
+    algorithm never needs to compute with the individual complex
+    singularities of the equation, and algebraic numbers are added only
+    when they appear in the potential solutions.  Implementation of the
+    complete Singer algorithm for $n=2,3$ based on this building block is
+    in progress."
+}
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Sutor 87b]{Su87} Sutor, Robert S.
-``The Scratchpad II Computer Algebra System. Using and
-Programming the Interpreter''
-IBM Course presentation slide deck Spring 1987
+\bibitem[Bronstein 93]{Bro93} 
+  author = "Bronstein, Manuel (ed)",
+  year = "1993",
+  month = "July"
+  isbn = "0-89791-604-2",
+ISSAC'93: proceedings of the 1993 International Symposium on Symbolic 
+and Algebraic Computation, Kiev, Ukraine,
+ACM Press New York, NY 10036, USA, ISBN 
+LCCN QA76.95 I59 1993 ACM order number 505930
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Sutor 87c]{SJ87c} Sutor, Robert S.; Jenks, Richard
-``The type inference and coercion facilities
-in the Scratchpad II interpreter'' 
-Research report RC 12595 (\#56575),
-IBM Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1987, 11pp
-%\verb|axiom-developer.org/axiom-website/papers/SJ87c.pdf|
+\bibitem[Brunelli 08]{Brun08} 
+  author = "Brunelli, J.C.",
+  title = "Streams and Lazy Evaluation Applied to Integrable Models",
+  year = "2008",
+  url = "http://arxiv.org/PS_cache/nlin/pdf/0408/0408058v1.pdf",
+  paper = "Brun08.pdf",
   keywords = "axiomref",
+  abstract = "
+    Computer algebra procedures to manipulate pseudo-differential
+    operators are implemented to perform calculations with integrable
+    models. We use lazy evaluation and streams to represent and operate
+    with pseudo-differential operators. No order of truncation is needed
+    since terms are produced on demand. We give a series of concrete
+    examples using the computer algebra language MAPLE."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The Scratchpad II system is an abstract datatype programming language,
-a compiler for the language, a library of packages of polymorphic
-functions and parameterized abstract datatypes, and an interpreter
-that provides sophisticated type inference and coercion facilities.
-Although originally designed for the implementation of symbolic
-mathematical algorithms, Scratchpad II is a general purpose
-programming language. This paper discusses aspects of the
-implementation of the intepreter and how it attempts to provide a user
-friendly and relatively weakly typed front end for the strongly typed
-programming language.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Sutor 88]{Su88} Sutor, Robert S.
-``A guide to programming in the scratchpad 2 interpreter''
-IBM Manual, March 1988
+\bibitem[Bronstein 93]{BS93} 
+  author = "Bronstein, Manuel and Salvy, Bruno",
+  title = "Full Partial Fraction Decomposition of Rational Functions",
+  year = "1993",
+  pages = "157-160",
+  isbn = "0-89791-604-2",
+In Bronstein [Bro93]   LCCN QA76.95 I59 1993
   keywords = "axiomref",
 
 \end{chunk}
 
-\subsection{T} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{ignore}
-\bibitem[Thompson 00]{Tho00} Thompson, Simon
-``Logic and dependent types in the Aldor Computer Algebra System''
-%\verb|axiom-developer.org/axiom-website/papers/Tho00.pdf|
+\begin{chunk}{axiom.bib}
+@misc{Bro92a,
+  author = "Bronstein, Manuel",
+  title = "Integration and Differential Equations in Computer Algebra",
+  year = "1992",
+  url = "http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.42.576",
+  paper = "Bro92a.pdf",
   keywords = "axiomref",
+  abstract = "
+    We describe in this paper how the problems of computing indefinite
+    integrals and solving linear ordinary differential equations in closed
+    form are now solved by computer algebra systems. After a brief review
+    of the mathematical history of those problems, we outline the two
+    major algorithms for them (respectively the Risch and Singer
+    algorithms) and the recent improvements on those algorithms which has
+    allowed them to be implemented."
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We show how the Aldor type system can represent propositions of
-first-order logic, by means of the 'propositions as types'
-correspondence. The representation relies on type casts (using
-pretend) but can be viewed as a prototype implementation of a modified
-type system with {\sl type evaluation} reported elsewhere. The logic
-is used to provide an axiomatisation of a number of familiar Aldor
-categories as well as a type of vectors.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Thompson (a)]{TTxx} Thompson, Simon; Timochouk, Leonid
-``The Aldor\-\- language''
-%\verb|axiom-developer.org/axiom-website/papers/TTxx.pdf|
+\bibitem[Beneke 94]{BS94} 
+  author = "Beneke, T. and Schwippert, W.",
+  title = "Double-track into the future: MathCAD will gain new users with 
+           Standard and Plus versions",
+  year = "1994",
+  month = "July",
+  pages = "107-110",
   keywords = "axiomref",
+Elektronik, 43(15) CODEN EKRKAR ISSN 0013-5658
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper introduces the \verb|Aldor--| language, which is a
-functional programming language with dependent types and a powerful,
-type-based, overloading mechanism. The language is built on a subset
-of Aldor, the 'library compiler' language for the Axiom computer
-algebra system. \verb|Aldor--| is designed with the intention of
-incorporating logical reasoning into computer algebra computations.
-
-The paper contains a formal account of the semantics and type system
-of \verb|Aldor--|; a general discussion of overloading and how the
-overloading in \verb|Aldor--| fits into the general scheme; examples
-of logic within \verb|Aldor--| and notes on the implementation of the
-system.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Touratier 98]{Tou98} Touratier, Emmanuel
-``Etude du typage dans le syst\`eme de calcul scientifique Aldor''
-Universit\'e de Limoges 1998
-%\verb|axiom-developer.org/axiom-website/papers/Tou98.pdf|
+\bibitem[Bronstein 97a]{Bro97a} 
+  author = "Bronstein, Manuel and Weil, Jacques-Arthur",
+  title = "On Symmetric Powers of Differential Operators",
+  series = "ISSAC'97",
+  year = "1997",
+  pages = "156-163",
   keywords = "axiomref",
+  url = 
+    "http://www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html"
+  paper = "Bro97a.pdf",
+  publisher = "ACM, NY",
+  abstract = "
+    We present alternative algorithms for computing symmetric powers of
+    linear ordinary differential operators. Our algorithms are applicable
+    to operators with coefficients in arbitrary integral domains and
+    become faster than the traditional methods for symmetric powers of
+    sufficiently large order, or over sufficiently complicated coefficient
+    domains. The basic ideas are also applicable to other computations
+    involving cyclic vector techniques, such as exterior powers of
+    differential or difference operators."
 
 \end{chunk}
 
-\subsection{V} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[van der Hoeven 14]{JvdH14} van der Hoeven, Joris
-``Computer algebra systems and TeXmacs''
-\verb|www.texmacs.org/tmweb/plugins/cas.en.html|
-  keywords = "axiomref",
+\bibitem[Borwein 00]{Bor00} 
+  author = "Borwein, Jonathan",
+  title = "Multimedia tools for communicating mathematics",
+  year = "2000",
+  pages = "58",
+  isbn = "3-540-42450-4",
+  publisher = "Springer-Verlag",
+  keywords = "axiomref"
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@article{Hoei94,
-  author = "{van Hoeij}, M.",
-  title = "An algorithm for computing an integral basis in an algebraic function field",
+@article{BT94,
+  author = "Brown, R. and Tonks, A.",
+  title = "Calculations with simplicial and cubical groups in AXIOM",
   journal = "Journal of Symbolic Computation",
-  volume = "18",
-  number = "4",
+  volume =  "17",
+  number = "2",
+  pages = "159-179",
   year = "1994",
-  pages = "353-363",
-  issn = "0747-7171",
-  keywords = "axiomref",
-  paper = "Hoei94.pdf"
+  month = "February",
+  misc = "CODEN JSYCEH ISSN 0747-7171",
+  keywords = "axiomref"
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Algorithms for computing integral bases of an algebraic function field
-are implemented in some computer algebra systems. They are used e.g.
-for the integration of algebraic functions. The method used by Maple
-5.2 and AXIOM is given by Trager in [Trag84]. He adapted an algorithm
-of Ford and Zassenhaus [Ford, 1978], that computes the ring of
-integers in an algebraic number field, to the case of a function field.
-
-It turns out that using algebraic geometry one can write a faster
-algorithm. The method we will give is based on Puiseux expansions.
-One cas see this as a variant on the Coates' algorithm as it is
-described in [Davenport, 1981]. Some difficulties in computing with
-Puiseux expansions can be avoided using a sharp bound for the number
-of terms required which will be given in Section 3. In Section 5 we
-derive which denominator is needed in the integral basis. Using this
-result 'intermediate expression swell' can be avoided.
-
-The Puiseux expansions generally introduce algebraic extensions. These
-extensions will not appear in the resulting integral basis.
-\end{adjustwidth}
-
 \begin{chunk}{axiom.bib}
-@misc{Hoei08,
-  author = "{van Hoeij}, Mark and Novocin, Andrew",
-  title = "A Reduction Algorithm for Algebraic Function Fields",
-  year = "2008",
-  month = "April",
-  url = "http://andy.novocin.com/pro/algext.pdf",
-  paper = "Hoei08.pdf"
-}
-
-\end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-Computer algebra systesm often produce large expressions involving
-complicated algebraic numbers. In this paper we study variations of
-the {\tt polred} algorithm that can often be used to find better
-representations for algebraic numbers. The main new algorithm
-presented here is an algorithm that treats the same problem for the
-function field case.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Vasconcelos 99]{Vas99} Vasconcelos, Wolmer
-``Computational Methods in Commutative Algebra and Algebraic Geometry''
-Springer, Algorithms and Computation in Mathematics, Vol 2 1999
-ISBN 3-540-21311-2
-  keywords = "axiomref",
-
-\end{chunk}
-
-\subsection{W} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{ignore}
-\bibitem[Wang 89]{Wan89} Wang, D.
-``A program for computing the Liapunov functions and Liapunov
-constants in Scratchpad II''
-SIGSAM Bulletin (ACM Special Interest Group
-on Symbolic and Algebraic Manipulation), 23(4) pp25-31, Oct. 1989,
-CODEN SIGSBZ ISSN 0163-5824
+@misc{Brow95,
+  author = "Brown, Ronald and Dreckmann, Winfried",
+  title = "Domains of data and domains of terms in AXIOM",
+  year = "1995",
   keywords = "axiomref",
+  paper = "DB95.pdf",
+  abstract = "
+    The main new concept we wish to illustrate in this paper is a
+    distinction between ``domains of data'' and ``domains of terms'', and
+    its use in the programming of certain mathematical structures.
+    Although this distinction is implicit in much of the programming work
+    that has gone into the construction of Axiom categories and domains,
+    we believe that a formalisation of this is new, that standards and
+    conventions are necessary and will be useful in various other
+    contexts. We shall show how this concept may be used for the coding of
+    free categories and groupoids on directed graphs."
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wang 91]{Wan91} Wang, Dongming 
-``Mechanical manipulation for a class of differential systems''
-Journal of Symbolic Computation, 12(2) pp233-254 Aug. 1991
-CODEN JSYCEH ISSN 0747-7171
+\bibitem[Buchberger 85]{BC85}  Buchberger, Bruno and Caviness, Bob F. (eds)
+EUROCAL '85: European Conference on Computer Algebra, Linz, Austria, 
+LLCN QA155.7.E4 E86 
+  isbn = "0-387-15983-5, 0-387-15984-3",
+  year = "1985",
+  month = "April",
+  publisher = "Springer-Verlag, Berlin, Germany",
   keywords = "axiomref",
+  misc = "Lecture Notes in Computer Science, Vol 204",
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Wang 92]{Wan92} Wang, Paul S. (ed)
-International System Symposium on Symbolic and
-Algebraic Computation 92 ACM Press, New York, NY 10036, USA, 1992
-ISBN 0-89791-489-9 (soft cover), 0-89791-490-2 (hard cover), 
-LCCN QA76.95.I59 1992
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@misc{Buh05, 
+  author = "Buhl, Soren L.",
+  title = "Some Reflections on Integrating a Computer Algebra System in R",
+  year = "2005",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Watanabe 90]{WN90} Watanabe, Shunro; Nagata, Morio; (ed)
-ISSAC '90 Proceedings of the
-International Symposium on Symbolic and Algebraic Computation ACM Press,
-New York, NY, 10036, USA. 1990 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
+\bibitem[Burge 91]{Burg91} 
+  author = "Burge, W.H.",
+  title = "Scratchpad and the Rogers-Ramanujan identities",
+  year = "1991",
+  pages = "189-190",
+  isbn = "0-89791-437-6",
   keywords = "axiomref",
+  abstract = "
+    This note sketches the part played by Scratchpad in obtaining new
+    proofs of Euler's theorem and the Rogers-Ramanujan Identities."
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Watt 85]{Wat85} Watt, Stephen
-``Bounded Parallelism in Computer Algebra''
-PhD Thesis, University of Waterloo
-\verb|www.csd.uwo.ca/~watt/pub/reprints/1985-smw-phd.pdf|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@techreport{BW87,
+  author = "Burge, W. and Watt, S.",
+  title = "Infinite structures in SCRATCHPAD II",
+  year = "1987",
+  institution = "IBM Research",
+  type = "Technical Report",
+  number = "RC 12794",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Watt 86]{Wat86} Watt, S.M.; Della Dora, J.
-``Algebra Snapshot: Linear Ordinary Differential Operators''
-Scratchpad II Newsletter: Vol 1 Num 2 (Jan 1986)
-\verb|www.csd.uwo.ca/~watt/pub/reprints/1986-snews-lodo.pdf|
+\bibitem[Burge 87a]{BWM87} 
+  author = "Burge, William H. and Watt, Stephen M. and Morrison, Scott C.",
+  title = "Streams and Power Series",
+  year = "1987",
+  pages = "9-12",
   keywords = "axiomref",
+in [Wit87], pp9-12
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Watt 87]{Wat87} Watt, Stephen
-``Domains and Subdomains in Scratchpad II''
-in [Wit87], pp3-5
+\bibitem[Burge 89]{BW89} 
+  author = "Burge, W. H. and Watt, S. M.",
+  title = "Infinite structures in Scratchpad II",
+  year = "1989",
+  pages = "138-148",
+  isbn = "3-540-51517-8",
   keywords = "axiomref",
+in Davenport [Dav89], LCCN QA155.7.E4E86 1987
 
 \end{chunk}
 
+\subsection{C} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Watt 87a]{WB87} Watt, Stephen M.; Burge, William H.
-``Mapping as First Class Objects''
-in [Wit87], pp13-17
+\bibitem[Calmet 94]{Cal94} Calmet, J. (ed)
+Rhine Workshop on Computer Algebra, Proceedings.
+Universit{\"a}t Karsruhe, Karlsruhe, Germany 1994
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Watt 89]{Wat89} Watt, S. M. 
-``A fixed point method for power series computation''
-In Gianni [Gia89], pp206-217 ISBN 3-540-51084-2 LCCN QA76.95.I57 
-1988 Conference held jointly with AAECC-6
+\bibitem[Camion 92]{CCM92} 
+  author = "Camion, Paul and Courteau, Bernard and Montpetit, Andre",
+  title = "A combinatorial problem in Hamming Graphs and its solution 
+           in Scratchpad",
+  year = "1992",
+  month = "January",
   keywords = "axiomref",
+Rapports de recherche 1586, Institut National de Recherche en
+Informatique et en Automatique, Le Chesnay, France, 12pp
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Watt 90]{WJST90} Watt, S.M.; Jenks, R.D.; Sutor, R.S.; Trager B.M.
-``The Scratchpad II type system: Domains and subdomains''
-in A.M. Miola, editor Computing Tools
-for Scientific Problem Solving, Academic Press, New York, 1990
+\bibitem[Caprotti 00]{CCR00} 
+  author = "Caprotti, Olga and Cohen, Arjeh M. and Riem, Manfred",
+  title = "Java Phrasebooks for Computer Algebra and Automated Deduction",
+  url = "http://www.sigsam.org/bulletin/articles/132/paper8.pdf",
+  paper = "CCR00.pdf",
   keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Watt 91]{Wat91} Watt, Stephen M. (ed)
-Proceedings of the 1991 International Symposium on
-Symbolic and Algebraic Computation, ISSAC'91, July 15-17, 1991, Bonn, Germany,
-ACM Press, New York, NY 10036, USA, 1991 ISBN 0-89791-437-6 
-LCCN QA76.95.I59 1991
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@misc{CC99,
+  author = "Capriotti, O. and Carlisle, D.",
+  title = "OpenMath and MathML: Semantic Mark Up for Mathematics",
+  year = "1999",
+  url = "http://www.acm.org/crossroads/xrds6-2/openmath.html",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Watt 94a]{Wat94a} Watt, Stephen M.; Dooley, S.S.; Morrison, S.C.;
-Steinback, J.M.; Sutor, R.S.
-``A\# User's Guide''
-Version 1.0.0 O($\epsilon{}^1$) June 8, 1994
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@misc{Capr99,
+  author = "Capriotti, Olga and Cohen, Arjeh M. and Cuypers, Hans and 
+            Sterk, Hans",
+  title = "OpenMath Technology for Interactive Mathematical Documents",
+  year = "2002",
+  pages = "51-66",
+  publisher = "Springer-Verlag, Berlin, Germany",
+  url = "http://www.win.tue.nl/~hansc/lisbon.pdf",
+  paper = "Capr99.pdf",
+  misc = "in Multimedia Tools for Communicating Mathematics",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Watt 94b]{Wat94} Watt, Stephen M.; Broadbery, Peter A.; 
-Dooley, Samuel S.; Iglio, Pietro
-``A First Report on the A\# Compiler (including benchmarks)''
-IBM Research Report RC19529 (85075) May 12, 1994
-%\verb|axiom-developer.org/axiom-website/papers/Wat94.pdf|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@misc{Carp04,
+  author = "Carpent, Quentin and Conil, Christophe",
+  title = "Utilisation de logiciels libres pour la r\'ealisation de TP MT26",
+  year = "2004",
+  paper = "Carp04.pdf",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Watt 94c]{Wat94c} Watt, Stephen M.
-``A\# Language Reference Version 0.35''
-IBM Research Division Technical Report RC19530 May 1994
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@misc{Chu85,
+  author = "Chudnovsky, D.V and Chudnovsky, G.V.",
+  title = "Elliptic Curve Calculations in Scratchpad II",
+  year = "1985",
+  institution = "Mathematics Dept., IBM Research",
+  type = "Scratchpad II Newsletter 1 (1)",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Watt 95]{Wat95} Watt, S.M.; Broadbery, P.A.; Dooley, S.S.; Iglio, P. 
-Steinbach, J.M.; Morrison, S.C.; Sutor, R.S.
-``AXIOM Library Compiler Users Guide''
-The Numerical Algorithms Group (NAG) Ltd, 1994
+\bibitem[Chudnovsky 87]{Chu87} 
+  author = "Chudnovsky, D.V and Chudnovsky, G.V.",
+  title = "New Analytic Methods of Polynomial Root Finding",
+  year = "1987",
+  pages = "2",
   keywords = "axiomref",
+in [Wit87]
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Watt 01]{Wat01} Watt, Stephen M.; Broadbery, Peter A.; Iglio, Pietro;
-Morrison, Scott C.; Steinbach, Jonathan M.
-``FOAM: A First Order Abstract Machine Version 0.35''
-IBM T. J. Watson Research Center (2001)
-%\verb|axiom-developer.org/axiom-website/papers/Wat01.pdf|
+\bibitem[Chudnovsky 89]{Chu89}
+  author = "Chudnovsky, D.V. and Chudnovsky, G.V.",
+  title = "The computation of classical constants",
+  year = "1989",
+  month = "November",
+  pages = "8178-8182",
   keywords = "axiomref",
+Proc. Natl. Acad. Sci. USA Vol 86 
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Weber 92]{Webe92} Weber, Andreas
-``Type Systems for Computer Algebra''
-\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber92a.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Webe92.pdf|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@proceedings{CJ86,
+  editor = "Chudnovsky, David and Jenks, Richard",
+  title = "Computers in Mathematics",
+  year = "1986",
+  month = "July",
+  isbn = "0-8247-8341-7",
+  note = "International Conference on Computers and Mathematics",
+  publisher = "Marcel Dekker, Inc",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-An important feature of modern computer algebra systems is the support
-of a rich type system with the possibility of type inference. Basic
-features of such a type system are polymorphism and coercion between
-types. Recently the use of order-sorted rewrite systems was proposed
-as a general framework. We will give a quite simple example of a
-family of types arising in computer algebra whose coercion relations
-cannot be captured by a finite set of first-order rewrite rules.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Weber 92b]{Webe92b} Weber, Andreas
-``Structuring the Type System of a Computer Algebra System''
-\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber92a.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Webe92b.pdf|
+\begin{chunk}{axiom.bib}
+@misc{Cohe03,
+  author = "Cohen, Arjeh and Cuypers, M. and Barreiro, Hans and 
+            Reinaldo, Ernesto and Sterk, Hans",
+  title = "Interactive Mathematical Documents on the Web",
+  year = "2003",
+  pages = "289-306",
+  editor = "Joswig, M. and Takayma, N.",
+  publisher = "Springer-Verlag, Berlin, Germany",
   keywords = "axiomref",
+  misc = "in Algebra, Geometry and Software Systems"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Most existing computer algebra systems are pure symbol manipulating
-systems without language support for the occuring types. This is
-mainly due to the fact taht the occurring types are much more
-complicated than in traditional programming languages. In the last
-decade the study of type systems has become an active area of
-research. We will give a proposal for a type system showing that
-several problems for a type system of a symbolic computation system
-can be solved by using results of this research. We will also provide
-a variety of examples which will show some of the problems that remain
-and that will require further research.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Weber 93b]{Webe93b} Weber, Andreas
-``Type Systems for Computer Algebra''
-\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber93b.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Webe93b.pdf|
+\bibitem[Cohen 91]{CC91} Cohen, G.; Charpin, P.; (ed) 
+EUROCODE '90 International Symposium on
+Coding Theory and Applications Proceedings. Springer-Verlag, Berlin, Germany
+/ Heidelberg, Germany / London, UK / etc., 1991 ISBN 0-387-54303-1 
+(New York), 3-540-54303-1 (Berlin), LCCN QA268.E95 1990
   keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We study type systems for computer algebra systems, which frequently
-correspond to the ``pragmatically developed'' typing constructs used
-in AXIOM.  A central concept is that of {\sl type classes} which
-correspond to AXIOM categories. We will show that types can be
-syntactically described as terms of a regular order-sorted signature
-if no type parameters are allowed. Using results obtained for the
-functional programming language Haskell we will show that the problem
-of {\sl type inference} is decidable. This result still holds if
-higher-order functions are present and {\sl parametric polymorphism}
-is used. These additional typing constructs are useful for further
-extensions of existing computer algebra systems: These typing concepts
-can be used to implement category theoretic constructs and there are
-many well known constructive interactions between category theory and
-algebra.  \end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Weber 94]{Web94} Weber, Andreas
-``Algorithms for Type Inference with Coercions''
-ISSAC 94 ACM 0-89791-638-7/94/0007
-%\verb|axiom-developer.org/axiom-website/papers/Web94.pdf|
+\bibitem[Conrad (a)]{CFMPxxa} 
+  author = "Conrad, Marc and French, Tim and Maple, Carsten and Pott, Sandra",
+  title = "Approaching Inheritance from a Natural Mathematical Perspective 
+           and from a Java Driven Viewpoint: a Comparative Review",
   keywords = "axiomref",
+  paper = "CFMPxxa.pdf",
+  abstract = "
+    It is well-known that few object-oriented programming languages allow
+    objects to change their nature at run-time. There have been a number
+    of reasons presented for this, but it appears that there is a real
+    need for matters to change. In this paper we discuss the need for
+    object-oriented programming languages to reflect the dynamic nature of
+    problems, particularly those arising in a mathematical context. It is
+    from this context that we present a framework that realistically
+    represents the dynamic and evolving characteristic of problems and
+    algorithms."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper presents algorithms that perform a type inference for a
-type system occurring in the context of computer algebra. The type
-system permits various classes of coercions between types and the
-algorithms are complete for the precisely defined system, which can be
-seen as a formal description of an important subset of the type system
-supported by the computer algebra program Axiom.
+\begin{chunk}{axiom.bib}
+@misc{CFMPxxb,
+  author = "Conrad, Marc and French, Tim and Maple, Carsten and Pott, Sandra",
+  title = "Mathematical Use Cases lead naturally to non-standard Inheritance 
+         Relationships: How to make them accessible in a mainstream language?",
+  paper = "CFMPxxb.pdf",
+  keywords = "axiomref",
+  abstract = "
+    Conceptually there is a strong correspondence between Mathematical
+    Reasoning and Object-Oriented techniques. We investigate how the ideas
+    of Method Renaming, Dynamic Inheritance and Interclassing can be used
+    to strengthen this relationship. A discussion is initiated concerning
+    the feasibility of each of these features."
+}
 
-Previously only algorithms for much more restricted cases of coercions
-have been described or the frameworks used have been so general that
-the corresponding type inference problems were known to be
-undecidable.
-\end{adjustwidth}
+\end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Weber 95]{Webe95} Weber, A.
-``On coherence in computer algebra''
-\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber94e.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Webe95.pdf|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@misc{Cuyp10,
+  author = "Cuypers, Hans and Hendriks, Maxim and Knopper, Jan Willem",
+  title = "Interactive Geometry inside MathDox",
+  year = "2010",
+  url = "http://www.win.tue.nl/~hansc/MathDox_and_InterGeo_paper.pdf",
+  paper = "Cuyp10",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Modern computer algebra systems (e.g. AXIOM) support a rich type
-system including parameterized data types and the possibility of
-implicit coercions between types. In such a type system it will be
-frequently the case that there are different ways of building
-coercions between types. An important requirement is that all
-coercions between two types coincide, a property which is called {\sl
-coherence}. We will prove a coherence theorem for a formal type system
-having several possibilities of coercions covering many important
-examples. Moreover, we will give some informal reasoning why the
-formally defined restrictions can be satisfied by an actual system.
-\end{adjustwidth}
+\subsection{D} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{ignore}
-\bibitem[Weber 96]{Webe96} Weber, Andreas
-``Computing Radical Expressions for Roots of Unity''
-\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber96a.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Webe96.pdf|
-  keywords = "axiomref",
+\begin{chunk}{axiom.bib}
+@inproceedings{Dalm97,
+  author = {Dalmas, St\'ephane and Ga\"etano, Marc and Watt, Stephen},
+  title = "An OpenMath 1.0 Implementation",
+  booktitle = "Proc. 1997 Int. Symp. on Symbolic and Algebraic Computation",
+  series = "ISSAC'97",
+  year = "1997",
+  isbn = "0-89791-875-4",
+  location = "Kihei, Maui, Hawaii, USA",
+  pages = "241-248",
+  numpages = "8",
+  url = "http://doi.acm.org/10.1145/258726.258794",
+  doi = "10.1145/258726.258794",
+  acmid = "258794",
+  publisher = "ACM, New York, NY USA",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present an improvement of an algorithm given by Gauss to compute a
-radical expression for a $p$-th root of unity. The time complexity of
-the algorithm is $O(p^3m^6log p)$, where $m$ is the largest prime
-factor of $p-1$.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Weber 99]{Webe99} Weber, Andreas
-``Solving Cyclotomic Polynomials by Radical Expressions''
-\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/|
-\verb|WeberA/WeberKeckeisen99a.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Webe99.pdf|
+\bibitem[Dalmas 92]{Dal92} Dalmas, S.
+``A polymorphic functional language applied to symbolic computation''
+In Wang [Wan92] pp369-375 ISBN 0-89791-489-9 (soft cover) 0-89791-490-2 
+(hard cover) LCCN QA76.95.I59 1992
   keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe a Maple package that allows the solution of cyclotomic
-polynomials by radical expressions. We provide a function that is an
-extension of the Maple {\sl solve} command. The major algorithmic
-ingredient of the package is an improvement of a method due to Gauss
-which gives radical expressions for roots of unity. We will give a
-summary for computations up to degree 100, which could be done within
-a few hours of cpu time on a standard workstation.
-\end{adjustwidth}
+\begin{chunk}{axiom.bib}
+@misc{Daly88,
+  author = "Daly, Timothy",
+  title = "Axiom in an Educational Setting, Axiom course slide deck",
+  year = "1988",
+  month = "January",
+  keywords = "axiomref"
+}
 
-\begin{chunk}{ignore}
-\bibitem[Wei-Jiang 12]{WJ12} Wei-Jiang
-``Top free algebra System''
-\verb|wei-jiang.com/it/software/top-free-algebra-system-bye-mathematica-bye-maple|
+\end{chunk}
+
+\begin{chunk}{ignore}TPDHERE
+\bibitem[Daly 02]{Dal02} Daly, Timothy
+``Axiom as open source''
+SIGSAM Bulletin (ACM Special Interest Group
+on Symbolic and Algebraic Manipulation) 36(1) pp28-?? March 2002
+CODEN SIGSBZ ISSN 0163-5824
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wester 99]{Wes99} Wester, Michael J.
-``Computer Algebra Systems''
-John Wiley and Sons 1999 ISBN 0-471-98353-5
+\bibitem[Daly 03]{Dal03} Daly, Timothy
+``The Axiom Wiki Website''
+\verb|axiom.axiom-developer.org|
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wexelblat 87]{Wex87} Wexelblat, Richard L. (ed)
-Proceedings of the SIGPLAN '87 Symposium on
-Interpreter and Interpretive Techniques, St. Paul, Minnesota, June 24-26, 1987
-ACM Press, New York, NY 10036, USA, 1987 ISBN 0-89791-235-7
-LCCN QA76.7.S54 v22:7 SIGPLAN Notices, vol 22, no 7 (July 1987)
+\bibitem[Daly 06]{Dal06} Daly, Timothy
+``Axiom Volume 1: Tutorial''
+Lulu, Inc. 860 Aviation Parkway,
+Suite 300, Morrisville, NC 27560 USA, 2006 ISBN 141166597X 287pp
+\verb|www.lulu.com/content/190827|
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wityak 87]{Wit87} Wityak, Sandra
-``Scratchpad II Newsletter''
-Volume 2, Number 1, Nov 1987
+\bibitem[Daly 09]{Dal09} Daly, Timothy
+``The Axiom Literate Documentation''
+\verb|axiom-developer.org/axiom-website/documentation.html|
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[WWW1]{WWW1}.
-Software Preservation Group
-\verb|www.softwarepresentation.org/projects/LISP/common_lisp_family|
+\bibitem[Daly 13]{Dal13} Daly, Timothy
+``Literate Programming in the Large'' 
+April 8-9, 2013 Portland Oregon
+\verb|conf.writethedocs.org|
+\verb|daly.axiom-developer.org|
+\verb|www.youtube.com/watch?v=Av0PQDVTP4A|
   keywords = "axiomref",
 
 \end{chunk}
 
-\subsection{Y} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Yap 00]{Yap00} Yap, Chee Keng 
-``Fundamental Problems of Algorithmic Algebra''
-Oxford University Press (2000) ISBN0-19-512516-9
+\bibitem[Davenport 79a]{Dav79a} Davenport, J.H.
+``What can SCRATCHPAD/370 do?''
+VM/370 SPAD.SCRIPTS August 24, 1979 SPAD.SCRIPT
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Yapp 07]{Yapp07} Yapp, Clifford; Hebisch, Waldek; Kaminski, Kai
-``Literate Programming Tools Implemented in ANSI Common Lisp''
-\verb|brlcad.org/~starseeker/cl-web-v0.8.lisp.pamphlet|
+\bibitem[Davenport 80]{Dav80} Davenport, J.H.; Jenks, R.D.
+``MODLISP -- an Introduction''
+Proc LISP80, 1980, and IBM RC8357 Oct 1980
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Yun 83]{Yun83} Yun, David Y.Y.
-``Computer Algebra and Complex Analysis''
-Computational Aspects of Complex Analysis pp379-393
-D. Reidel Publishing Company H. Werner et. al. (eds.)
+\bibitem[Davenport 84]{DGJ84} Davenport, J.; Gianni, P.; Jenks, R.;
+Miller, V.; Morrison, S.; Rothstein, M.; Sundaresan, C.; Sutor, R.; 
+Trager, B.
+``Scratchpad''
+Mathematical Sciences Department, IBM Thomas Watson Research Center 1984
   keywords = "axiomref",
 
 \end{chunk}
 
-\subsection{Z} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Zen92]{Zen92} Zenger, Ch.
-``Gr{\"o}bnerbasen f{\"u}r Differentialformen und ihre
-Implementierung in AXIOM'' 
-Diplomarbeit, Universit{\"a}t Karlsruhe,
-Karlsruhe, Germany, 1992
+\bibitem[Davenport 84a]{Dav84a} Davenport, James H.
+``A New Algebra System''
+%\verb|axiom-developer.org/axiom-website/papers/Dav84a.pdf|
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Zip92]{Zip92} Zippel, Richard
-``Algebraic Computation''
-(unpublished) Cornell University Ithaca, NY Sept 1992
+\bibitem[Davenport 85]{Dav85} Davenport, James H.
+``The LISP/VM Foundation of Scratchpad II''
+The Scratchpad II Newsletter, Volume 1, Number 1, September 1, 1985
+IBM Corporation, Yorktown Heights, NY
   keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Zwi92]{Zwi92} Zwillinger, Daniel
-``Handbook of Integration''
-Jones and Bartlett, 1992, ISBN 0-86720-293-9
+\bibitem[Davenport 88]{DST88} Davenport, J.H.; Siret, Y.; Tournier, E.
+Computer Algebra: Systems and Algorithms for Algebraic Computation. 
+Academic Press, New York, NY, USA, 1988, ISBN 0-12-204232-9
+\verb|staff.bath.ac.uk/masjhd/masternew.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/DST88.pdf|
   keywords = "axiomref",
 
 \end{chunk}
-\section{Axiom Citations of External Sources}
-
-\subsection{A} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{axiom.bib}
-@article{Abla98,
-  author = "Ablamowicz, Rafal",
-  title = "Spinor Representations of Clifford Algebras: A Symbolic Approach",
-  journal = "Computer Physics Communications",
-  volume = "115",
-  number = "2-3",
-  month = "December",
-  year = "1998",
-  pages = "510-535"
-}
-
-\end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Abra06,
-  author = "Abramov, Sergey A.",
-  title = "In Memory of Manuel Bronstein",
-  journal = "Programming and Computer Software",
-  volume = "32",
-  number = "1",
-  pages = "56-58",
-  publisher = "Pleiades Publishing Inc",
-  year = "2006",
-  paper = "Abra06.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Davenport 14]{Dav14} Davenport, James H.
+``Computer Algebra textbook''
+\verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Dav14.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Abramowitz 64]{AS64} Abramowitz, Milton; Stegun, Irene A.
-``Handbook of Mathematical Functions''
-(1964) Dover Publications, NY ISBN 0-486-61272-4
+\bibitem[Davenport 89]{Dav89} Davenport, J.H. (ed)
+EUROCAL '87 European Conference on Computer Algebra Proceedings 
+Springer-Verlag, Berlin, Germany / Heidelberg, Germany / London,
+UK / etc., 1989 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Abramowitz 68]{AS68} Abramowitz M; Stegun I A
-``Handbook of Mathematical Functions''
-Dover Publications. (1968) 
+\bibitem[Davenport 90]{DT90} Davenport, J. H.; Trager, B. M.
+``Scratchpad's view of algebra I: Basic commutative algebra''
+In Miola [Mio90], pp40-54. ISBN 0-387-52531-9 (New York),
+3-540-52531-9 (Berlin). LCCN QA76.9.S88I576 1990 also in AXIOM Technical
+Report, ATR/1, NAG Ltd., Oxford, 1992
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@book{Altm05,
-  author = "Altmann, Simon L.",
-  title = "Rotations, Quaternions, and Double Groups",
-  publisher = "Dover Publications, Inc.",
-  year = "2005",
-  isbn = "0-486-44518-6"
+@inproceedings{Dave91,
+  author = "Davenport, J. H. and Gianni, P. and Trager, B. M.",
+  title = "Scratchpad's View of Algebra II: 
+           A Categorical View of Factorization",
+  booktitle = "Proc. 1991 Int. Symp. on Symbolic and Algebraic Computation",
+  series = "ISSAC '91",
+  year = "1991",
+  isbn = "0-89791-437-6",
+  location = "Bonn, West Germany",
+  pages = "32--38",
+  numpages = "7",
+  url = "http://doi.acm.org/10.1145/120694.120699",
+  doi = "10.1145/120694.120699",
+  acmid = "120699",
+  publisher = "ACM",
+  address = "New York, NY, USA",
+  keywords = "axiomref",
+  paper = "Dave91.pdf",
+  abstract = "
+    This paper explains how Scratchpad solves the problem of presenting a
+    categorical view of factorization in unique factorization domains,
+    i.e.  a view which can be propagated by functors such as
+    SparseUnivariatePolynomial or Fraction. This is not easy, as the
+    constructive version of the classical concept of
+    UniqueFactorizationDomain cannot be so propagated. The solution
+    adopted is based largely on Seidenberg's conditions (F) and (P), but
+    there are several additional points that have to be borne in mind to
+    produce reasonably efficient algorithms in the required generality.
+
+    The consequence of the algorithms and interfaces presented in this
+    paper is that Scratchpad can factorize in any extension of the
+    integers or finite fields by any combination of polynomial, fraction
+    and algebraic extensions: a capability far more general than any other
+    computer algebra system possesses. The solution is not perfect: for
+    example we cannot use these general constructions to factorize
+    polyinmoals in $\overline{Z[\sqrt{-5}]}[x]$ since the domain
+    $Z[\sqrt{-5}]$ is not a unique factorization domain, even though
+    $\overline{Z[\sqrt{-5}]}$ is, since it is a field. Of course, we can
+    factor polynomials in $\overline{Z}[\sqrt{-5}][x]$"
 }
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Ames 77]{Ames77} Ames W F
-``Nonlinear Partial Differential Equations in Engineering''
-Academic Press (2nd Edition). (1977)
+\bibitem[Davenport 92]{DGT92} Davenport, J. H.;, Gianni, P.; Trager, B. M.
+``Scratchpad's view of algebra II: A categorical view of factorization''
+Technical Report TR4/92 (ATR/2) (NP2491), Numerical Algorithms Group, Inc., 
+Downer's Grove, IL, USA and Oxford, UK, December 1992
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Amos 86]{Amos86} Amos D E
-``Algorithm 644: A Portable Package for Bessel Functions of a Complex 
-Argument and Nonnegative Order''
-ACM Trans. Math. Softw. 12 265--273. (1986)
+\bibitem[Davenport 92a]{Dav92a} Davenport, J. H.
+``The AXIOM system''
+AXIOM Technical Report TR5/92 (ATR/3)
+(NP2492) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
+Oxford, UK, December 1992 
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Anderson 00]{And00} Anderson, Edward
-``Discontinuous Plane Rotations and the Symmetric Eigenvalue Problem''
-LAPACK Working Note 150, University of Tennessee, UT-CS-00-454,
-December 4, 2000.
+\bibitem[Davenport 92b]{Dav92b} Davenport, J. H.
+``How does one program in the AXIOM system?''
+AXIOM Technical Report TR6/92 (ATR/4)(NP2493) 
+Numerical Algorithms Group, Inc., Downer's
+Grove, IL, USA and Oxford, UK December 1992
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+%\verb|axiom-developer.org/axiom-website/papers/Dav92b.pdf|
+  keywords = "axiomref",
+  abstract = "
+    Axiom is a computer algebra system superficially like many others, but
+    fundamentally different in its internal construction, and therefore in
+    the possibilities it offers to its users and programmers. In these
+    lecture notes, we will explain, by example, the methodology that the
+    author uses for programming substantial bits of mathematics in Axiom."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Anthony 82]{ACH82} Anthony G T; Cox M G; Hayes J G
-``DASL - Data Approximation Subroutine Library''
-National Physical Laboratory. (1982) 
+\bibitem[Davenport 92c]{DT92} Davenport, J. H.; Trager, B. M.
+``Scratchpad's view of algebra I: Basic commutative algebra''
+DISCO 90 Capri, Italy April 1990 ISBN 0-387-52531-9 pp40-54
+Technical Report TR3/92 (ATR/1)(NP2490), Numerical
+Algorithms Group, Inc., Downer's Grove, IL, USA and Oxford, UK, 
+December 1992. 
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Arnon 88]{Arno88} Arno, D.S.; MIgnotte, M.
-``On Mechanical Quantifier Elimination for Elementary Algebra and Geometry''
-J. Symbolic Computation 5, 237-259 (1988)
-\verb|http://www.sciencedirect.com/science/article/pii/S0747717188800142/|
-\verb|pdf?md5=62052077d84e6078cc024bc8e29c23c1&|
-\verb|pid=1-s2.0-S0747717188800142-main.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Arno88.pdf|
+\bibitem[Davenport 93]{Dav93} Davenport, J. H.
+``Primality testing revisited''
+Technical Report TR2/93 (ATR/6)(NP2556) Numerical Algorithms Group, Inc., 
+Downer's Grove, IL, USA and Oxford, UK, August 1993
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We give solutions to two problems of elementary algebra and geometry:
-(1) find conditions on real numbers $p$, $q$, and $r$ so that the
-polynomial function $f(x)=x^4+px^2+qx+r$ is nonnegative for all real
-$x$ and (2) find conditions on real numbers $a$, $b$, and $c$ so that
-the ellipse $\frac{(x-e)^2}{q^2}+\frac{y^2}{b^2}-1=0$ lies inside the
-unit circle $y^2+x^2-1=0$. Our solutions are obtained by following the
-basic outline of the method of quantifier elimination by cylindrical
-algebraic decomposition (Collins, 1975), but we have developed, and
-have been considerably aided by, modified versions of certain of its
-steps. We have found three equally simple but not obviously equivalent
-solutions for the first problem, illustrating the difficulty of
-obtaining unique ``simplest'' solutions to quantifier elimination
-problems of elementary algebra and geometry.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@article{Aubr99,
-  author = "Aubry, Phillippe and Lazard, Daniel and {Moreno Maza}, Marc",
-  title = "On the Theories of Triangular Sets",
-  year = "1999",
-  pages = "105-124",
-  journal = "Journal of Symbolic Computation",
-  volume =  "28",
-  url = "http://www.csd.uwo.ca/~moreno/Publications/Aubry-Lazard-MorenoMaza-1999-JSC.pdf",
-  papers = "Aubr99.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Davenport (a)]{DFxx} Davenport, James; Faure, Christ\'ele
+``The Unknown in Computer Algebra''
+\verb|axiom-wiki.newsynthesis.org/public/refs/TheUnknownInComputerAlgebra.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/DFxx.pdf|
+  keywords = "axiomref",
+  abstract = "
+    Computer algebra systems have to deal with the confusion between
+    ``programming variables'' and ``mathematical symbols''. We claim that
+    they should also deal with ``unknowns'', i.e. elements whose values
+    are unknown, but whose type is known. For examples $x^p \ne x$ if $x$
+    is a symbol, but $x^p = x$ if $x \in GF(p)$. We show how we have
+    extended Axiom to deal with this concept."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Different notions of triangular sets are presented. The relationship
-between these notions are studied. The main result is that four
-different existing notions of {\sl good} triangular sets are
-equivalent.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Aubry 96]{Aub96} Aubry, Philippe; Maza, Marc Moreno
-``Triangular Sets for Solving Polynomial Systems: a Comparison of Four Methods''
-\verb|www.lip6.fr/lip6/reports/1997/lip6.1997.009.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Aub96.ps|
+\bibitem[Davenport 00]{Dav00} Davenport, James
+``13th OpenMath Meeting''
+James H. Davenport
+``A New Algebra System''
+May 1984
+\verb|xml.coverpages.org/openmath13.html|
+%\verb|axiom-developer.org/axiom-website/papers/Dav00.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Four methods for solving polynomial systems by means of triangular
-sets are presented and implemented in a unified way. These methods are
-those of Wu, Lazard, Kalkbrener, and Wang. They are compared on
-various examples with emphasis on efficiency, conciseness and
-legibility of the outputs.
-\end{adjustwidth}
-
-\subsection{B} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Bailey 66]{Bai66} Bailey P B
-``Sturm-Liouville Eigenvalues via a Phase Function''
-SIAM J. Appl. Math . 14 242--249. (1966)
+\bibitem[Davenport 12]{Dav12} Davenport, J.H.
+``Computer Algebra''
+\verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Baker 96]{BGM96} Baker, George A.; Graves-Morris, Peter
-``Pade Approximants''
-Cambridge University Press, March 1996 ISBN 9870521450072
+\bibitem[Davenport (b)]{DSTxx} Davenport, J. H.; Siret; Tournier
+``Computer Algebra''  \hfill
+\verb|staff.bath.ac.uk/masjhd/masternew.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Baker 10]{Ba10} Baker, Martin
-``3D World Simulation''
-\verb|www.euclideanspace.com|
+\bibitem[Dewar 94]{Dew94} Dewar, M. C.
+``Manipulating Fortran Code in AXIOM and the AXIOM-NAG Link''
+Proceedings of the Workshop on Symbolic and Numeric Computing, ed by Apiola, H.
+and Laine, M. and Valkeila, E. pp1-12 University of Helsinki, Finland (1994)
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@misc{Bake14,
- author = "Baker, Martin",
- title = "Axiom Architecture",
- year = "2014",
- url = "http://www.euclideanspace.com/prog/scratchpad/internals/ccode"
+@misc{Dewa,
+ author = "Dewar, Mike",
+ title = "OpenMath: An Overview",
+ url = "http://www.sigsam.org/bulletin/articles/132/paper1.pdf",
+ paper = "Dewa.pdf",
+ keywords = "axiomref"
 }
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Banks 68]{BK68} Banks D O; Kurowski I
-``Computation of Eigenvalues of Singular Sturm-Liouville Systems''
-Math. Computing. 22 304--310. (1968)
+\bibitem[Dicrescenzo 89]{DD89} Dicrescenzo, C.; Duval, D.
+``Algebraic extensions and algebraic closure in Scratchpad II''
+In Gianni [Gia89], pp440-446 ISBN 3-540-51084-2
+LCCN QA76.95.I57 1998 Conference held jointly with AAECC-6
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bard 74]{Bard74} Bard Y
-``Nonlinear Parameter Estimation''
-Academic Press. 1974
+\bibitem[Dingle 94]{Din94} Dingle, Adam; Fateman, Richard
+``Branch Cuts in Computer Algebra''
+1994 ISSAC, Oxford (UK), July 1994
+\verb|www.cs.berkeley.edu/~fateman/papers/ding.ps|
+%\verb|axiom-developer.org/axiom-website/papers/Din94.pdf|
+  keywords = "axiomref",
+  abstract = "
+    Many standard functions, such as the logarithms and square root
+    functions, cannot be defined continuously on the complex
+    plane. Mistaken assumptions about the properties of these functions
+    lead computer algebra systems into various conundrums. We discuss how
+    they can manipulate such functions in a useful fashion."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Barrodale 73]{BR73} Barrodale I; Roberts F D K
-``An Improved Algorithm for Discrete $ll_1$ Linear Approximation''
-SIAM J. Numer. Anal. 10 839--848. (1973) 
+\bibitem[DLMF]{DLMF}.
+``Digital Library of Mathematical Functions''
+\verb|dlmf.nist.gov/software/#T1|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Barrodale 74]{BR74} Barrodale I; Roberts F D K
-``Solution of an Overdetermined System of Equations in the $ll_1-norm$.''
-Comm.  ACM. 17, 6 319--320. (1974) 
+\bibitem[Dooley 99]{Doo99} Dooley, Sam editor.
+ISSAC 99: July 29-31, 1999, Simon Fraser University,
+Vancouver, BC, Canada: proceedings of the 1999 International Symposium on
+Symbolic and Algebraic Computation. ACM Press, New York, NY 10036, USA, 1999.
+ISBN 1-58113-073-2 LCCN QA76.95.I57 1999
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Beauzamy 92]{Bea92} Beauzamy, Bernard
-``Products of polynomials and a priori estimates for
-coefficients in polynomial decompositions: a sharp result''
-J. Symbolic Computation (1992) 13, 463-472
-%\verb|axiom-developer.org/axiom-website/papers/Bea92.pdf|
-
+\bibitem[Dos Reis 12]{DR12} Dos Reis, Gabriel
+``A System for Axiomatic Programming''
+Proc. Conf. on Intelligent Computer Mathematics, Springer (2012)
+\verb|www.axiomatics.org/~gdr/liz/cicm-2012.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/DR12.pdf|
+  keywords = "axiomref",
+  abstract = "
+    We present the design and implementation of a system for axiomatic
+    programming, and its application to mathematical software
+    construction. Key novelties include a direct support for user-defined
+    axioms establishing local equality between types, and overload
+    resolution based on equational theories and user-defined local
+    axioms. We illustrate uses of axioms, and their organization into
+    concepts, in structured generic programming as practiced in
+    computational mathematical systems."
+}
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Beauzamy 93]{Bea93} Beauzamy, Bernard; Trevisan, Vilmar; 
-Wang, Paul S.
-``Polynomial Factorization: Sharp Bounds, Efficient Algorithms''
-J. Symbolic Computation (1993) 15, 393-413
-%\verb|axiom-developer.org/axiom-website/papers/Bea93.pdf|
+\bibitem[Doye 97]{Doy97} Doye, Nicolas James
+``Order Sorted Computer Algebra and Coercions''
+Ph.D. Thesis University of Bath 1997
+%\verb|axiom-developer.org/axiom-website/papers/Doy97.pdf|
+  keywords = "axiomref",
+  abstract = "
+    Computer algebra systems are large collections of routines for solving
+    mathematical problems algorithmically, efficiently and above all,
+    symbolically. The more advanced and rigorous computer algebra systems
+    (for example, Axiom) use the concept of strong types based on
+    order-sorted algebra and category theory to ensure that operations are
+    only applied to expressions when they ``make sense''.
 
-\end{chunk}
+    In cases where Axiom uses notions which are not covered by current
+    mathematics we shall present new mathematics which will allow us to
+    prove that all such cases are reducible to cases covered by the
+    current theory. On the other hand, we shall also point out all the
+    cases where Axiom deviates undesirably from the mathematical ideal.
+    Furthermore we shall propose solutions to these deviations.
 
-\begin{chunk}{axiom.bib}
-@article{Bert95,
-  author = "Bertrand, Laurent",
-  title = "Computing a hyperelliptic integral using arithmetic in the jacobian of the curve",
-  journal = "Applicable Algebra in Engineering, Communication and Computing",
-  volume = "6",
-  pages = "275-298",
-  year = "1995"
-}
+    Strongly typed systems (especially of mathematics) become unusable
+    unless the system can change the type in a way a user expects. We wish
+    any change expected by a user to be automated, ``natural'', and
+    unique. ``Coercions'' are normally viewed as ``natural type changing
+    maps''. This thesis shall rigorously define the word ``coercion'' in
+    the context of computer algebra systems.
 
-\end{chunk}
+    We shall list some assumptions so that we may prove new results so
+    that all coercions are unique. This concept is called ``coherence''.
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this paper, we describe an efficient algorithm for computing an
-elementary antiderivative of an algebraic function defined on a
-hyperelliptic curve. Our algorithm combines B.M. Trager's integration
-algorithm and a technique for computing in the Jacobian of a
-hyperelliptic curve introduced by D.G. Cantor. Our method has been
-implemented and successfully compared to Trager's general algorithm.
-\end{adjustwidth}
+    We shall give an algorithm for automatically creating all coercions in
+    type system which adheres to a set of assumptions. We shall prove that
+    this is an algorithm and that it always returns a coercion when one
+    exists. Finally, we present a demonstration implementation of this
+    automated coerion algorithm in Axiom."
 
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Berzins 87]{BBG87} Berzins M; Brankin R W; Gladwell I.
-``Design of the Stiff Integrators in the NAG Library''
-Technical Report. TR14/87 NAG. (1987) 
+\bibitem[Doye 99]{Doy99} Doye, Nicolas J.
+``Automated coercion for Axiom''
+In Dooley [Doo99], pp229-235
+ISBN 1-58113-073-2 LCCN QA76.95.I57 1999 ACM Press
+\verb|www.acm.org/citation.cfm?id=309944|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Berzins 90]{Ber90} Berzins M
-``Developments in the NAG Library Software for Parabolic Equations''
-Scientific Software Systems. (ed J C Mason and M G Cox) 
-Chapman and Hall. 59--72.  (1990)
+\bibitem[Dominguez 01]{DR01} Dom\'inguez, C\'esar; Rubio, Julio
+``Modeling Inheritance as Coercion in a Symbolic Computation System''
+ISSAC 2001 ACM  1-58113-417-7/01/0007
+%\verb|axiom-developer.org/axiom-website/papers/DR01.pdf|
+  keywords = "axiomref",
+  abstract = "
+    In this paper the analysis of the data structures used in a symbolic
+    computation system, called Kenzo, is undertaken. We deal with the
+    specification of the inheritance relationship since Kenzo is an
+    object-oriented system, written in CLOS, the Common Lisp Object
+    System. We focus on a particular case, namely the relationship between
+    simplicial sets and chain complexes, showing how the order-sorted
+    algebraic specifications formalisms can be adapted, through the
+    ``inheritance as coercion'' metaphor, in order to model this Kenzo
+    fragment."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Birkhoff 62]{BR62} Birkhoff, G; Rota, G C
-``Ordinary Differential Equations''
-Ginn \& Co., Boston and New York. (1962)
+\bibitem[Dunstan 97]{Dun97} Dunstan, Martin and Ursula, Martin and 
+     Linton, Steve
+``Embedded Verification Techniques for Computer Algebra Systems''
+Grant citation GR/L48256 Nov 1, 1997-Feb 28, 2001
+\verb|www.cs.st-andrews.ac.uk/research/output/detail?output=ML97.php|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Boyd9 3a]{Boyd93a} Boyd, David W.
-``Bounds for the Height of a Factor of a Polynomial in
-Terms of Bombieri's Norms: I. The Largest Factor''
-J. Symbolic Computation (1993) 16, 115-130
-%\verb|axiom-developer.org/axiom-website/Boyd93a.pdf|
+\bibitem[Adams 01]{DGKM01} Adams, Andrew; Dunstan, Martin; Gottliebsen, Hanne;
+Kelsey, Tom; Martin, Ursula; Owre, Sam
+``Computer Algebra meets Automated Theorem Proving: Integrating Maple and PVS''
+TPHOLS 2001, Edinburgh
+\verb|www.csl.sri.com/~owre/papers/tphols01/tphols01.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/DGKM01.pdf|
+  keywords = "axiomref",
+  abstract = "
+    We describe an interface between version 6 of the Maple computer
+    algebra system with the PVS automated theorem prover. The interface is
+    designed to allow Maple users access to the robust and checkable proof
+    environment of PVS. We also extend this environment by the provision
+    of a library of proof strategies for use in real analysis. We
+    demonstrate examples using the interface and the real analysis
+    library. These examples provide proofs which are both illustrative and
+    applicable to genuine symbolic computation problems."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Boyd 93b]{Boyd93b} Boyd, David W.
-``Bounds for the Height of a Factor of a Polynomial in
-Terms of Bombieri's Norms: II. The Smallest Factor''
-J. Symbolic Computation (1993) 16, 131-145
-%\verb|axiom-developer.org/axiom-website/Boyd93b.pdf|
+\bibitem[Duval 92]{DJ92} Duval D.; Jung, F.
+``Examples of problem solving using computer algebra''
+IFIP Transactions. A. Computer Science and Technology, A-2 pp133-141, 143 1992
+CODEN ITATEC. ISSN 0926-5473
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Braman 02a]{BBM02a} Braman, K.; Byers, R.; Mathias, R. 
-``The Multi-Shift QR Algorithm Part I: Maintaining Well Focused Shifts, 
-and Level 3 Performance''
-SIAM Journal of Matrix Analysis, volume 23, pages 929--947, 2002.
+\bibitem[Duval 94]{Duv94} Duval, Dominique
+``Symbolic or algebraic computation?''
+Madrid Spain, NAG conference (private copy of paper)
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Braman 02b]{BBM02b} Braman, K.; Byers, R.; Mathias, R.
-``The Multi-Shift QR Algorithm Part II: Aggressive Early Deflation''
-SIAM Journal of Matrix Analysis, volume 23, pages 948--973, 2002.
+\begin{chunk}{axiom.bib}
+@article{Duva95,
+  author = "Duval, D.",
+  title = "Evaluation dynamique et cl\^oture alg\'ebrique en Axiom",
+  journal = "Journal of Pure and Applied Algebra",
+  volume = "99",
+  year = "1995",
+  pages = "267--295.",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
+\subsection{E} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Brent 75]{Bre75} Brent, R. P. 
-``Multiple-Precision Zero-Finding Methods and the Complexity 
-of Elementary Function Evaluation, Analytic Computational Complexity''
-J. F. Traub, Ed., Academic Press, New York 1975, 151-176 
+\bibitem[Erocal 10]{ES10} Er\"ocal, Burcin; Stein, William
+``The Sage Project''
+\verb|wstein.org/papers/icms/icms_2010.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/ES10.pdf|
+  keywords = "axiomref",
+  abstract = "
+    Sage is a free, open source, self-contained distribution of
+    mathematical software, including a large library that provides a
+    unified interface to the components of this distribution. This library
+    also builds on the components of Sage to implement novel algorithms
+    covering a broad range of mathematical functionality from algebraic
+    combinatorics to number theory and arithmetic geometry."
 
 \end{chunk}
 
+\subsection{F} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Brent 78]{BK78} Brent, R. P.; Kung, H. T.
-``Fast Algorithms for Manipulating Formal Power Series''
-Journal of the Association for Computing Machinery, 
-Vol. 25, No. 4, October 1978, 581-595
+\bibitem[Fateman 90]{Fat90} Fateman, R. J.
+``Advances and trends in the design and construction of algebraic 
+manipulation systems''
+In Watanabe and Nagata [WN90], pp60-67 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Brigham 73]{Bri73} Brigham E O
-``The Fast Fourier Transform''
-Prentice-Hall. (1973)
+\bibitem[Fateman 05]{Fat05} Fateman, R. J.
+``An incremental approach to building a mathematical expert out of software''
+4/19/2005\hfill
+\verb|www.cs.berkeley.edu/~fateman/papers/axiom.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Fat05.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Brillhart 69]{Bri69} Brillhart, John
-``On the Euler and Bernoulli polynomials''
-J. Reine Angew. Math., v. 234, (1969), pp. 45-64
+\bibitem[Fateman 06]{Fat06} Fateman, R. J.
+``Building Algebra Systems by Overloading Lisp''
+\verb|www.cs.berkeley.edu/~fateman/generic/overload-small.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Fat06.pdf|
+  keywords = "axiomref",
+  abstract = "
+    Some of the earliest computer algebra systems (CAS) looked like
+    overloaded languages of the same era. FORMAC, PL/I FORMAC, Formula
+    Algol, and others each took advantage of a pre-existing language base
+    and expanded the notion of a numeric value to include mathematical
+    expressions. Much more recently, perhaps encouraged by the growth in
+    popularity of C++, we have seen a renewal of the use of overloading to
+    implement a CAS.
+
+    This paper makes three points. 1. It is easy to do overloading in
+    Common Lisp, and show how to do it in detail. 2. Overloading per se
+    provides an easy solution to some simple programming problems. We show
+    how it can be used for a ``demonstration'' CAS. Other simple and
+    plausible overloadings interact nicely with this basic system. 3. Not
+    all goes so smoothly: we can view overloading as a case study and
+    perhaps an object lesson since it fails to solve a number of
+    fairly-well articulated and difficult design issues in CAS for which
+    other approaches are preferable."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Brillhart 90]{Bri90} Brillhart, John
-``Note on Irreducibility Testing''
-Mathematics of Computation, vol. 35, num. 35, Oct. 1980, 1379-1381
+\bibitem[Faure 00a]{FDN00a} Faure, Christ\'ele; Davenport, James
+``Parameters in Computer Algebra''
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 98a]{Bro98a} Bronstein, M.; Grabmeier, J.; Weispfenning, V. (eds)
-``Symbolic Rewriting Techniques''
-Progress in Computer Science and Applied Logic 15, Birkhauser-Verlag, Basel 
-ISBN 3-7643-5901-3 (1998)
+\bibitem[Faure 00b]{FDN00b} Faure, Christ\'ele; Davenport, James; 
+Naciri, Hanane
+``Multi-values Computer Algebra''
+ISSN 0249-6399 Institut National De Recherche en Informatique et en
+Automatique Sept. 2000 No. 4001
+\verb|hal.inria.fr/inria-00072643/PDF/RR-4401.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/FDN00b.pdf|
+  keywords = "axiomref",
+  abstract = "
+    One of the main strengths of computer algebra is being able to solve a
+    family of problems with one computation. In order to express not only
+    one problem but a family of problems, one introduces some symbols
+    which are in fact the parameters common to all the problems of the
+    family.
+
+    The user must be able to understand in which way these parameters
+    affect the result when he looks at the answer. Otherwise it may lead
+    to completely wrong calculations, which when used for numerical
+    applications bring nonsensical answers. This is the case in most
+    current Computer Algebra Systems we know because the form of the
+    answer is never explicitly conditioned by the values of the
+    parameters. The user is not even informed that the given answer may be
+    wrong in some cases then computer algebra systems can not be entirely
+    trustworthy. We have introduced multi-valued expressions called {\sl
+    conditional} expressions, in which each potential value is associated
+    with a condition on some parameters. This is used, in particular, to
+    capture the situation in integration, where the form of the answer can
+    depend on whether certain quantities are positive, negative or
+    zero. We show that it is also necessary when solving modular linear
+    equations or deducing congruence conditions from complex expressions."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 88]{Bro88} Bronstein, Manual
-``The Transcendental Risch Differential Equation''
-J. Symbolic Computation (1990) 9, pp49-60 Feb 1988
-IBM Research Report RC13460 IBM Corp. Yorktown Heights, NY
-\verb|www.sciencedirect.com/science/article/pii/S0747717108800065|
-%\verb|axiom-developer.org/axiom-website/papers/Bro88.pdf|
+\bibitem[Fitch 84]{Fit84} Fitch, J. P. (ed)
+EUROSAM '84: International Symposium on Symbolic and
+Algebraic Computation, Cambridge, England, July 9-11, 1984, volume 174 of
+Lecture Notes in Computer Science. Springer-Verlag, Berlin, Germany /
+Heildelberg, Germany / London, UK / etc., 1984 ISBN 0-387-13350-X
+LCCN QA155.7.E4 I57 1984
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present a new rational algorithm for solving Risch differential
-equations in towers of transcendental elementary extensions. In
-contrast to a recent algorithm by Davenport we do not require a
-progressive reduction of the denominators involved, but use weak
-normality to obtain a formula for the denominator of a possible
-solution. Implementation timings show this approach to be faster than
-a Hermite-like reduction.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@techreport{Bron98,
-  author = "Bronstein, Manuel",
-  title = "The lazy hermite reduction",
-  type = "Rapport de Recherche",
-  number = "RR-3562",
-  year = "1998",
-  institution = "French Institute for Research in Computer Science",
-  paper = "Bron98.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Fitch 93]{Fit93} Fitch, J. (ed)
+Design and Implementation of Symbolic Computation Systems
+International Symposium DISCO '92 Proceedings. Springer-Verlag, Berlin, 
+Germany / Heildelberg, Germany / London, UK / etc., 1993. ISBN 0-387-57272-4
+(New York), 3-540-57272-4 (Berlin). LCCN QA76.9.S88I576 1992
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The Hermite reduction is a symbolic integration technique that reduces
-algebraic functions to integrands having only simple affine
-poles. While it is very effective in the case of simple radical
-extensions, its use in more general algebraic extensions requires the
-precomputation of an integral basis, which makes the reduction
-impractical for either multiple algebraic extensions or complicated
-ground fields. In this paper, we show that the Hermite reduction can
-be performed without {\sl a priori} computation of either a primitive
-element or integral basis, computing the smallest order necessary for
-a particular integrand along the way.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Fogus 11]{Fog11} Fogus, Michael
+``UnConj''
+\verb|clojure.com/blog/2011/11/22/unconj.html|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Bro98b,
-  author = "Bronstein, Manuel",
-  title = "Symbolic Integration Tutorial",
-  series = "ISSAC'98",
-  year = "1998",
-  address = "INRIA Sophia Antipolis",
-  url = "http://www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac98.pdf",
-  paper = "Bro98b.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Fortenbacher 90]{For90} Fortenbacher, A.
+``Efficient type inference and coercion in computer algebra''
+In Miola [Mio90], pp56-60. ISBN 0-387-52531-9 (New York), 3-540-52531-9
+(Berlin). LCCN QA76.9.S88I576 1990
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Brown 99]{Brow99} Brown, Christopher W.
-``Solution Formula Construction for Truth Invariant CADs''
-Ph.D Thesis, Univ. Delaware (1999)
-\verb|www.usna.edu/Users/cs/wcbrown/research/thesis.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Brow99.pdf|
+\bibitem[Fouche 90]{Fou90} Fouche, Francois
+``Une implantation de l'algorithme de Kovacic en Scratchpad''
+Technical report, Institut de Recherche Math{\'{e}}matique Avanc{\'{e}}e''
+Strasbourg, France, 1990 31pp
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The CAD-based quantifier elimination algorithm takes a formula from
-the elementary theory of real closed fields as input, and constructs a
-CAD of the space of the formula's unquantified variables. This
-decomposition is truth invariant with respect to the input formula,
-meaning that the formula is either identically true or identically
-false in each cell of the decomposition. The method determines the
-truth of the input formula for each cell of the CAD, and then uses the
-CAD to construct a solution formula -- a quantifier free formula that
-is equivalent to the input formula. This final phase of the algorithm,
-the solution formula construction phase, is the focus of this thesis.
-
-An optimal solution formula construction algorithm would be {\sl
-complete} -- i.e. applicable to any truth-invariant CAD, would be {\sl
-efficient}, and would produce {\sl simple} solution formulas. Prior to
-this thesis, no method was available with even two of these three
-properties. Several algorithms are presented, all addressing problems
-related to solution formula construction. In combination, these
-provide an efficient and complete method for constructing solution
-formulas that are simple in a variety of ways.
+\begin{chunk}{ignore}
+\bibitem[FSF 14]{FSF14} FSF
+``Free Software Directory''
+\verb|directory.fsf.org/wiki/Axiom|
+  keywords = "axiomref",
 
-Algorithms presented in this thesis have been implemented using the
-SACLIB library, and integrated into QEPCAD, a SACLIB-based
-implementation of quantifier elimination by CAD. Example computations
-based on these implementations are discussed.
-\end{adjustwidth}
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Brown 02]{Brow02} Brown, Christopher W.
-``QEPCAD B -- A program for computing with semi-algebraic sets using CADs''
-%\verb|axiom-developer.org/axiom-website/papers/Brow02.pdf|
+\bibitem[Frisco ]{Fris} Frisco
+``Objectives and Results''
+\verb|www.nag.co.uk/projects/frisco/frisco/node3.htm|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This report introduces QEPCAD B, a program for computing with real
-algebraic sets using cylindrical algebraic decomposition (CAD). QEPCAD
-B both extends and improves upon the QEPCAD system for quantifier
-elimination by partial cylindrical algebraic decomposition written by
-Hoon Hong in the early 1990s. This paper briefly discusses some of the
-improvements in the implementation of CAD and quantifier elimination
-vis CAD, and provides somewhat more detail on extensions to the system
-that go beyond quantifier elimination. The author is responsible for
-most of the extended features of QEPCAD B, but improvements to the
-basic CAD implementation and to the SACLIB library on which QEPCAD is
-based are the results of many people's work.
-\end{adjustwidth}
+\subsection{G} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{axiom.bib}
-@article{Burg74,
-  author = "William H. Burge",
-  title = "Stream Processing Functions",
-  year = "1974",
-  month = "January",
-  journal = "IBM Journal of Research and Development",
-  volume = "19",
-  issue = "1",
-  pages = "12-25",
-  papers = "Burg74.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Gebauer 86]{GM86} Gebauer, R{\"u}diger; M{\"o}ller, H. Michael
+``Buchberger's algorithm and staggered linear bases''
+In Bruce W. Char, editor. Proceedings of the 1986
+Symposium on Symbolic and Algebraic Computation: SYMSAC '86, July 21-23, 1986
+Waterloo, Ontario, pp218-221 ACM Press, New York, NY 10036, USA, 1986.
+ISBN 0-89791-199-7 LCCN QA155.7.E4 A281 1986 ACM order number 505860
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-One principle of structured programming is that a program should be
-separated into meaningful independent subprograms, which are then
-combined so that the relation of the parts to the whole can be clearly
-established.  This paper describes several alternative ways to compose
-programs. The main method used is to permit the programmer to denote
-by an expression the sequence of values taken on by a variable. The
-sequence is represented by a function called a stream, which is a
-functional analog of a coroutine. The conventional while and for loops
-of structured programming may be composed by a technique of stream
-processing (analogous to list processing), which results in more
-structured programs than the orignals. This technique makes it
-possible to structure a program in a natural way into its logically
-separate parts, which can then be considered independently.
-\end{adjustwidth}
-
-\subsection{C} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Carlson 65]{Car65} Carlson B C
-``On Computing Elliptic Integrals and Functions''
-J Math Phys. 44 36--51. (1965)
+\bibitem[Gebauer 88]{GM88} Gebauer, R.; M{\"o}ller, H. M.
+``On an installation of Buchberger's algorithm''
+Journal of Symbolic Computation, 6(2-3) pp275-286 1988
+CODEN JSYCEH ISSN 0747-7171
+\verb|www.sciencedirect.com/science/article/pii/S0747717188800488/pdf|
+\verb|?md5=f6ccf63002ef3bc58aaa92e12ef18980&|
+\verb|pid=1-s2.0-S0747717188800488-main.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/GM88.pdf|
+  keywords = "axiomref",
+  abstract = "
+    Buchberger's algorithm calculates Groebner bases of polynomial
+    ideals. Its efficiency depends strongly on practical criteria for
+    detecting superfluous reductions. Buchberger recommends two
+    criteria. The more important one is interpreted in this paper as a
+    criterion for detecting redundant elements in a basis of a module of
+    syzygies. We present a method for obtaining a reduced, nearly minimal
+    basis of that module. The simple procedure for detecting (redundant
+    syzygies and )superfluous reductions is incorporated now in our
+    installation of Buchberger's algorithm in SCRATCHPAD II and REDUCE
+    3.3. The paper concludes with statistics stressing the good
+    computational properties of these installations."
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Carlson 77a]{Car77a} Carlson B C
-``Elliptic Integrals of the First Kind''
-SIAM J Math Anal. 8 231--242. (1977)
+\begin{chunk}{axiom.bib}
+@book{Gedd92,
+  author = "Geddes, Keith and Czapor, O. and Stephen R. and Labahn, George",
+  title = "Algorithms For Computer Algebra",
+  publisher = "Kluwer Academic Publishers",
+  isbn = "0-7923-9259-0",
+  month = "September",
+  year = "1992",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Carlson 77b]{Car77b} Carlson B C
-``Special Functions of Applied Mathematics''
-Academic Press. (1977)
+\bibitem[Gianni 87]{Gia87} Gianni, Patrizia
+``Primary Decomposition of Ideals''
+in [Wit87], pp12-13
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Carlson 78]{Car78} Carlson B C,
-``Computing Elliptic Integrals by Duplication''
-(Preprint) Department of Physics, Iowa State University. (1978)
+\bibitem[Gianni 88]{Gia88} Gianni, Patrizia.; Trager, Barry.; 
+Zacharias, Gail.
+``Gr\"obner Bases and Primary Decomposition of Polynomial Ideals''
+J. Symbolic Computation 6, 149-167 (1988)
+\verb|www.sciencedirect.com/science/article/pii/S0747717188800403/pdf|
+\verb|?md5=40c29b67947035884904fd4597ddf710&|
+\verb|pid=1-s2.0-S0747717188800403-main.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Gia88.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Carlson 88]{Car88} Carlson B C,
-``A Table of Elliptic Integrals of the Third Kind''
-Math. Comput. 51 267--280. (1988)
+\bibitem[Gianni 89a]{Gia89} Gianni, P. (Patrizia) (ed) 
+Symbolic and Algebraic Computation. 
+International Symposium ISSAC '88, Rome, Italy, July 4-8, 1988. Proceedings,
+volume 358 of Lecture Notes in Computer Science. Springer-Verlag, Berlin, 
+Germany / Heildelberg, Germany / London, UK / etc., 1989. ISBN 3-540-51084-2
+LCCN QA76.95.I57 1988 Conference held jointly with AAECC-6
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Cauchy 1829]{Cau1829} Augustin-Lux Cauchy
-``Exercices de Math\'ematiques Quatri\`eme Ann\'ee. De Bure Fr\`eres''
-Paris 1829 (reprinted Oeuvres, II S\'erie, Tome IX,
-Gauthier-Villars, Paris, 1891).
+\bibitem[Gianni 89b]{GM89} Gianni, P.; Mora, T.
+``Algebraic solution of systems of polynomial equations using 
+Gr{\"o}bner bases.''
+In Huguet and Poli [HP89], pp247-257 ISBN 3-540-51082-6 LCCN QA268.A35 1987
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Ch\`eze 07]{Chez07} Ch\'eze, Guillaume; Lecerf, Gr\'egoire
-``Lifting and recombination techniques for absolute factorization''
-Journal of Complexity, VOl 23 Issue 3 June 2007 pp 380-420
-\verb|www.sciencedirect.com/science/article/pii/S0885064X07000465|
-%\verb|axiom-developer.org/axiom-website/papers/Chez07.pdf|
+\bibitem[Gil 92]{Gil92} Gil, I. 
+``Computation of the Jordan canonical form of a square matrix (using
+the Axiom programming language)''
+In Wang [Wan92], pp138-145. 
+ISBN 0-89791-489-9 (soft cover), 0-89791-490-2 (hard cover)
+LCCN QA76.95.I59 1992
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In the vein of recent algorithmic advances in polynomial factorization
-based on lifting and recombination techniques, we present new faster
-algorithms for computing the absolute factorization of a bivariate
-polynomial. The running time of our probabilistic algorithm is less
-than quadratic in the dense size of the polynomial to be factored.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Childs 79]{CSDDN79} Childs B; Scott M; Daniel J W; Denman E; 
-Nelson P (eds)
-``Codes for Boundary-value Problems in Ordinary Differential Equations''
-Lecture Notes in Computer Science. 76 (1979) Springer-Verlag
+\bibitem[Gomez-Diaz 92]{Gom92} G\'omez-D'iaz, Teresa
+``Quelques applications de l`\'evaluation dynamique''
+Ph.D. Thesis L'Universite De Limoges March 1992
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Clausen 89]{Cla89} Clausen, M.; Fortenbacher, A.
-``Efficient Solution of Linear Diophantine Equations''
-JSC (1989) 8, 201-216
+\bibitem[Gomez-Diaz 93]{Gom93} G\'omez-D\'iaz, Teresa
+``Examples of using Dynamic Constructible Closure''
+IMACS Symposium SC-1993
+%\verb|axiom-developer.org/axiom-website/papers/Gom93.pdf|
+  keywords = "axiomref",
+  abstract = "
+    We present here some examples of using the ``Dynamic Constructible
+    Closure'' program, which performs automatic case distinction in
+    computations involving parameters over a base field $K$. This program
+    is an application of the ``Dynamic Evaluation'' principle, which
+    generalizes traditional evaluation and was first used to deal with
+    algebraic numbers."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Clenshaw 55]{Cle55} Clenshaw C W,
-``A Note on the Summation of Chebyshev Series''
-Math. Tables Aids Comput. 9 118--120. (1955) 
+\bibitem[Goodwin 91]{GBL91} Goodwin, B. M.; Buonopane, R. A.; Lee, A.
+``Using MathCAD in teaching material and energy balance concepts''
+In Anonymous [Ano91], pp345-349 (vol. 1) 2 vols.
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Clenshaw 60]{Cle60} Clenshaw C W
-``Curve Fitting with a Digital Computer''
-Comput. J. 2 170--173. (1960)
+\bibitem[Golden 4]{GH84} Golden, V. Ellen; Hussain, M. A. (eds)
+Proceedings of the 1984 MACSYMA Users' Conference: 
+Schenectady, New York, July 23-25, 1984, General Electric,
+Schenectady, NY, USA, 1984
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Clenshaw 62]{Cle62} Clenshaw C W
-``Mathematical Tables. Chebyshev Series for Mathematical Functions''
-HMSO. (1962)
+\bibitem[Gonnet 96]{Gon96} Gonnet, Gaston H.
+``Official verion 1.0 of the Meta Content Dictionary''
+\verb|www.inf.ethz.ch/personal/gonnet/ContDict/Meta|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Cline 84]{CR84} Cline A K; Renka R L,
-``A Storage-efficient Method for Construction of a Thiessen Triangulation''
-Rocky Mountain J. Math. 14 119--139. (1984) 
+\bibitem[Goodloe 93]{GL93} Goodloe, A.; Loustaunau, P.
+``An abstract data type development of graded rings'' 
+In Fitch [Fit93], pp193-202. ISBN 0-387-57272-4 (New York),
+3-540-57272-4 (Berlin). LCCN QA76.9.S88I576 1992
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Conway 87]{CCNPW87} Conway, J.; Curtis, R.; Norton, S.; Parker, R.;
-Wilson, R.
-``Atlas of Finite Groups''
-Oxford, Clarendon Press, 1987
+\bibitem[Gottliebsen 05]{GKM05} Gottliebsen, Hanne; Kelsey, Tom; 
+Martin, Ursula
+``Hidden verification for computational mathematics''
+Journal of Symbolic Computation, Vol39, Num 5, pp539-567 (2005)
+\verb|www.sciencedirect.com/science/article/pii/S0747717105000295|
+%\verb|axiom-developer.org/axiom-website/papers/GKM05.pdf|
+  keywords = "axiomref",
+  abstract = "
+    We present hidden verification as a means to make the power of
+    computational logic available to users of computer algebra systems
+    while shielding them from its complexity. We have implemented in PVS a
+    library of facts about elementary and transcendental function, and
+    automatic procedures to attempt proofs of continuity, convergence and
+    differentiability for functions in this class. These are called
+    directly from Maple by a simple pipe-lined interface. Hence we are
+    able to support the analysis of differential equations in Maple by
+    direct calls to PVS for: result refinement and verification, discharge
+    of verification conditions, harnesses to ensure more reliable
+    differential equation solvers, and verifiable look-up tables."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Conway 03]{CS03} Conway, John H.; Smith, Derek, A.
-``On Quaternions and Octonions''
-A.K Peters, Natick, MA. (2003) ISBN 1-56881-134-9
+\bibitem[Grabe 98]{Gra98} Gr\"abe, Hans-Gert
+``About the Polynomial System Solve Facility of Axiom, Macyma, Maple
+Mathematica, MuPAD, and Reduce''
+%\verb|axiom-developer.org/axiom-website/papers/Gra98.pdf|
+  keywords = "axiomref",
+  abstract = "
+    We report on some experiences with the general purpose Computer
+    Algebra Systems (CAS) Axiom, Macsyma, Maple, Mathematica, MuPAD, and
+    Reduce solving systems of polynomial equations and the way they
+    present their solutions. This snapshot (taken in the spring of 1996)
+    of the current power of the different systems in a special area
+    concentrates on both CPU-times and the quality of the output."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Cox 72]{Cox72} Cox M G
-``The Numerical Evaluation of B-splines''
-J. Inst. Math. Appl. 10 134--149. (1972)
+\bibitem[Grabmeier 91]{GHK91} Grabmeier, J.; Huber, K.; Krieger, U.
+``Das ComputeralgebraSystem AXIOM bei kryptologischen und 
+verkehrstheoretischen Untersuchungen des
+Forschunginstituts der Deutschen Bundespost TELEKOM'' 
+Technischer Report TR 75.91.20, IBM Wissenschaftliches 
+Zentrum, Heidelberg, Germany, 1991
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[CH 73]{CH73} Cox M G; Hayes J G
-``Curve fitting: a guide and suite of algorithms for the 
-non-specialist user''
-Report NAC26. National Physical Laboratory.  (1973) 
+\bibitem[Grabmeier 92]{GS92} Grabmeier, J.; Scheerhorn, A.
+``Finite fields in Axiom''
+AXIOM Technical Report TR7/92 (ATR/5)(NP2522), 
+Numerical Algorithms Group, Inc., Downer's
+Grove, IL, USA and Oxford, UK, 1992
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+and Technical Report, IBM Heidelberg Scientific Center, 1992
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Cox 74a]{Cox74a} Cox M G
-``A Data-fitting Package for the Non-specialist User''
-Software for Numerical Mathematics. (ed D J Evans) Academic Press. (1974) 
+\bibitem[Grabmeier 03]{GKW03} Grabmeier, Johannes; Kaltofen, Erich; 
+Weispfenning, Volker (eds)
+Computer algebra handbook: foundations, applications, systems.
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+2003. ISBN 3-540-65466-6 637pp Includes CDROM
+\verb|www.springer.com/sgw/cda/frontpage/|
+\verb|0,11855,1-102-22-1477871-0,00.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Cox 74b]{Cox74b} Cox M G
-``Numerical methods for the interpolation and approximation of data 
-by spline functions''
-PhD Thesis. City University, London. (1975) 
+\bibitem[Griesmer 71]{GJ71} Griesmer, J. H.; Jenks, R.D.
+``SCRATCHPAD/1 -- an interactive facility for symbolic mathematics''
+In Petrick [Pet71], pp42-58. LCCN QA76.5.S94 1971
+\verb|delivery.acm.org/10.1145/810000/806266/p42-griesmer.pdf|
+SYMSAC'71 Proc. second ACM Symposium on Symbolic and Algebraic
+Manipulation pp45-48
+%\verb|axiom-developer.org/axiom-website/papers/GJ71.pdf| REF:00027
+  keywords = "axiomref",
+  abstract = "
+    The SCRATCHPAD/1 system is designed to provide an interactive symbolic
+    computational facility for the mathematician user. The system features
+    a user language designed to capture the style and succinctness of
+    mathematical notation, together with a facility for conveniently
+    introducing new notations into the language. A comprehensive system
+    library incorporates symbolic capabilities provided by such systems as
+    SIN, MATHLAB, and REDUCE."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Cox 75]{Cox75} Cox M G
-``An Algorithm for Spline Interpolation''
-J. Inst. Math. Appl. 15 95--108. (1975) 
+\bibitem[Griesmer 72a]{GJ72a} Griesmer, J.; Jenks, R.
+``Experience with an online symbolic math system SCRATCHPAD''
+in Online'72 [Onl72] ISBN 0-903796-02-3 LCCN QA76.55.O54 1972 Two volumes
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Cox 77]{Cox77} Cox M G
-``A Survey of Numerical Methods for Data and Function Approximation''
-The State of the Art in Numerical Analysis. (ed D A H Jacobs) 
-Academic Press. 627--668. (1977)
- keywords = "survey",
+\bibitem[Griesmer 72b]{GJ72b} Griesmer, James H.; Jenks, Richard D.
+``SCRATCHPAD: A capsule view''
+ACM SIGPLAN Notices, 7(10) pp93-102, 1972. Proceedings of the symposium
+on Two-dimensional man-machine communications. Mark B. Wells and 
+James B. Morris (eds.).
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Cox 78]{Cox78} Cox M G
-``The Numerical Evaluation of a Spline from its B-spline Representation''
-J. Inst. Math. Appl. 21 135--143. (1978) 
+\bibitem[Griesmer 75]{GJY75} Griesmer, J.H.; Jenks, R.D.; Yun, D.Y.Y
+``SCRATCHPAD User's Manual''
+IBM Research Publication RA70 June 1975
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Curtis 74]{CPR74} Curtis A R; Powell M J D; Reid J K
-``On the Estimation of Sparse Jacobian Matrices''
-J. Inst. Maths Applics. 13 117--119. (1974) 
+\bibitem[Griesmer 76]{GJY76} Griesmer, J.H.; Jenks, R.D.; Yun, D.Y.Y
+``A Set of SCRATCHPAD Examples''
+April 1976 (private copy)
+  keywords = "axiomref",
 
 \end{chunk}
 
-\subsection{D} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Dahlquist 74]{DB74} Dahlquist G; Bjork A
-``Numerical Methods''
-Prentice- Hall. (1974)
+\bibitem[Gruntz 94]{GM94} Gruntz, D.; Monagan, M.
+``Introduction to Gauss''
+SIGSAM Bulletin (ACM Special Interest Group on Symbolic and Algebraic 
+Manipulation), 28(3) pp3-19 August 1994 CODEN SIGSBZ ISSN 0163-5824
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dalmas 98]{DA98} Dalmas, Stephane; Arsac, Olivier
-``The INRIA OpenMath Library''
-Projet SAFIR, INRIA Sophia Antipolis Nov 25, 1998
+\bibitem[Gruntz 96]{Gru96} Gruntz, Dominik
+``On Computing Limits in a Symbolic Manipulation System''
+Thesis, Swiss Federal Institute of Technology Z\"urich 1996
+Diss. ETH No. 11432
+\verb|www.cybertester.com/data/gruntz.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Gru96.pdf|
+  keywords = "axiomref",
+  abstract = "
+    This thesis presents an algorithm for computing (one-sided) limits
+    within a symbolic manipulation system. Computing limtis is an
+    important facility, as limits are used both by other functions such as
+    the definite integrator and to get directly some qualitative
+    information about a given function.
+
+    The algorithm we present is very compact, easy to understand and easy
+    to implement. It overcomes the cancellation problem other algorithms
+    suffer from. These goals were achieved using a uniform method, namely
+    by expanding the whole function into a series in terms of its most
+    rapidly varying subexpression instead of a recursive bottom up
+    expansion of the function. In the latter approach exact error terms
+    have to be kept with each approximation in order to resolve the
+    cancellation problem, and this may lead to an intermediate expression
+    swell. Our algorithm avoids this problem and is thus suited to be
+    implemented in a symbolic manipulation system."
 
 \end{chunk}
 
+\subsection{H} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Dantzig 63]{Dan63} Dantzig G B
-``Linear Programming and Extensions''
-Princeton University Press. (1963) 
+\bibitem[Boyle 88]{Boyl88} Boyle, Ann
+``Future Directions for Research in Symbolic Computation''
+Soc. for Industrial and Applied Mathematics, Philadelphia (1990)
+\verb|www.eecis.udel.edu/~caviness/wsreport.pdf|
+%\verb|axiom-developer.org/axiom-website/Boyl88.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport]{Dav} Davenport, James
-``On Brillhart Irreducibility.''
-To appear.
+\bibitem[Hassner 87]{HBW87} Hassner, Martin; Burge,  William H.;
+Watt,  Stephen M.
+``Construction of Algebraic Error Control Codes (ECC) on the Elliptic
+Riemann Surface''
+in [Wit87], pp5-8
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 93]{Ref-Dav93} Davenport, J.H.
-``Primality testing revisited''
-Technical Report TR2/93
-(ATR/6)(NP2556) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA
-and Oxford, UK, August 1993
-\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[Heck 01]{Hec01} Heck, A.
+``Variables in computer algebra, mathematics and science''
+The International Journal of Computer Algebra in Mathematics Education
+Vol. 8 No. 3 pp195-210 (2001)
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davis 67]{DR67} Davis P J; Rabinowitz P
-``Numerical Integration''
-Blaisdell Publishing Company. 33--52. (1967) 
+\bibitem[Huguet 89]{HP89} Huguet, L.; Poli, A.  (eds).
+Applied Algebra, Algebraic Algorithms and Error-Correcting Codes. 
+5th International Conference AAECC-5 Proceedings.
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+1989. ISBN 3-540-51082-6. LCCN QA268.A35 1987
+  keywords = "axiomref",
 
 \end{chunk}
 
+\subsection{J} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Davis 75]{DR75} Davis P J; Rabinowitz P
-``Methods of Numerical Integration''
-Academic Press. (1975) 
+\bibitem[Jacob 93]{JOS93} Jacob, G.; Oussous, N. E.; Steinberg, S. (eds)
+Proceedings SC 93
+International IMACS Symposium on Symbolic Computation. New Trends and
+Developments. LIFL Univ. Lille, Lille France, 1993
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[DeBoor 72]{DeB72} De Boor C
-``On Calculating with B-splines''
-J. Approx. Theory. 6 50--62. (1972) 
+\bibitem[Janssen 88]{Jan88} Jan{\ss}en, R. (ed)
+Trends in Computer Algebra, International Symposium
+Bad Neuenahr, May 19-21, 1987, Proceedings, volume 296 of Lecture Notes in
+Computer Science. 
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+1988 ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[De Doncker 78]{DeD78} De Doncker E,
-``An Adaptive Extrapolation Algorithm for Automatic Integration''
-Signum Newsletter. 13 (2) 12--18. (1978) 
+\bibitem[Jenks 69]{Jen69} Jenks, R. D.
+``META/LISP: An interactive translator writing system''
+Research Report International Business Machines, Inc., Thomas J.
+Watson Research Center, Yorktown Heights, NY, USA, 1969 RC2968 July 1970
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Demmel 89]{Dem89} Demmel J W
-``On Floating-point Errors in Cholesky''
-LAPACK Working Note No. 14. University of Tennessee, Knoxville. 1989
+\bibitem[Jenks 71]{Jen71} Jenks, R. D.
+``META/PLUS: The syntax extension facility for SCRATCHPAD''
+Research Report RC 3259, International Business Machines, Inc., Thomas J.
+Watson Research Center, Yorktown Heights, NY, USA, 1971
+% REF:00040
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dennis 77]{DM77} Dennis J E Jr; More J J
-``Quasi-Newton Methods, Motivation and Theory''
-SIAM Review. 19 46--89. 1977
+\bibitem[Jenks 74]{Jen74} Jenks, R. D. 
+``The SCRATCHPAD language'' 
+ACM SIGPLAN Notices, 9(4) pp101-111 1974 CODEN SINODQ. ISSN 0362-1340
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dennis 81]{DS81} Dennis J E Jr; Schnabel R B
-``A New Derivation of Symmetric Positive-Definite Secant Updates''
-Nonlinear Programming 4. (ed O L Mangasarian, R R Meyer and S M. Robinson) 
-Academic Press. 167--199. (1981) 
+\bibitem[Jen76]{Jen76} Jenks, Richard D.
+``A pattern compiler''
+In Richard D. Jenks, editor,
+SYMSAC '76: proceedings of the 1976 ACM Symposium on Symbolic and Algebraic
+Computation, August 10-12, 1976, Yorktown Heights, New York, pp60-65,
+ACM Press, New York, NY 10036, USA, 1976. LCCN QA155.7.EA .A15 1976
+QA9.58.A11 1976
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dennis 83]{DS83} Dennis J E Jr; Schnabel R B
-``Numerical Methods for Unconstrained Optimixation and Nonlinear Equations''
-Prentice-Hall.(1983) 
+\bibitem[Jenks 79]{Jen79} Jenks, R. D.
+``MODLISP: An Introduction''
+Proc EUROSAM 79, pp466-480, 1979 and IBMRC8073 Jan 1980
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dierckx 75]{Die75} Dierckx P
-``An Algorithm for Smoothing, Differentiating and Integration of 
-Experimental Data Using Spline Functions''
-J. Comput. Appl. Math. 1 165--184. (1975) 
+\bibitem[Jenks 81]{JT81} Jenks, R.D.; Trager, B.M.
+``A Language for Computational Algebra''
+Proceedings of SYMSAC81, Symposium on Symbolic and Algebraic Manipulation,
+Snowbird, Utah August, 1981
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dierckx 81]{Die81} Dierckx P
-``An Improved Algorithm for Curve Fitting with Spline Functions''
-Report TW54. Dept. of Computer Science, Katholieke Universiteit Leuven. 1981
+\bibitem[Jenks 81a]{JT81a} Jenks, R.D.; Trager, B.M.
+``A Language for Computational Algebra''
+SIGPLAN Notices, New York: Association for Computing Machiner, Nov 1981
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dierckx 82]{Die82} Dierckx P
-``A Fast Algorithm for Smoothing Data on a Rectangular Grid while using 
-Spline Functions''
-SIAM J. Numer. Anal. 19 1286--1304. (1982) 
+\bibitem[Jenks 81b]{JT81b} Jenks, R.D.; Trager, B.M.
+``A Language for Computational Algebra''
+IBM Research Report RC8930 IBM Yorktown Heights, NY
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dongarra 79]{DMBS79} Dongarra J J; Moler C B; Bunch J R; 
-Stewart G W
-``LINPACK Users' Guide''
-SIAM, Philadelphia. (1979)
+\bibitem[Jenks 84a]{Jen84a} Jenks, Richard D.
+``The new SCRATCHPAD language and system for computer algebra''
+In Golden and Hussain [GH84], pp409-??
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dongarra 85]{DCHH85} Dongarra J J; Du Croz J J; Hammarling S;
-Hanson R J
-``A Proposal for an Extended set of Fortran Basic Linear 
-Algebra Subprograms''
-SIGNUM Newsletter. 20 (1) 2--18. (1985) 
+\bibitem[Jenks 84b]{Jen84b} Jenks, Richard D.
+``A primer: 11 keys to New Scratchpad''
+In Fitch [Fit84], pp123-147. ISBN 0-387-13350-X LCCN QA155.7.E4 I57 1984
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dongarra 88]{REF-DON88} Dongarra, Jack J.; Du Croz, Jeremy; 
-Hammarling, Sven; Hanson, Richard J.
-``An Extended Set of FORTRAN Basic Linear Algebra Subroutines''
-ACM Transactions on Mathematical Software, Vol 14, No 1, March 1988,
-pp 1-17
+\bibitem[Jenks 86]{JWS86} Jenks, Richard D.; Sutor, Robert S.;
+Watt, Stephen M.
+``Scratchpad II: An Abstract Datatype System for Mathematical Computation''
+Research Report RC 12327 (\#55257), Iinternational Business Machines, Inc., 
+Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1986 23pp
+\verb|www.csd.uwo.ca/~watt/pub/reprints/1987-ima-spadadt.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/JWS86.pdf|
+  keywords = "axiomref",
+  abstract = "
+    Scratchpad II is an abstract datatype language and system that is
+    under development in the Computer Algebra Group, Mathematical Sciences
+    Department, at the IBM Thomas J. Watson Research Center. Some features
+    of APL that made computation particularly elegant have been borrowed.
+    Many different kinds of computational objects and data structures are
+    provided. Facilities for computation include symbolic integration,
+    differentiation, factorization, solution of equations and linear
+    algebra.  Code economy and modularity is achieved by having
+    polymorphic packages of functions that may create datatypes. The use
+    of categories makes these facilities as general as possible."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dongarra 88a]{REF-DON88a} Dongarra, Jack J.; Du Croz, Jeremy;
-Hammarling, Sven; Hanson, Richard J.
-``ALGORITHM 656: An Extended Set of Basic Linear Algebra Subprograms:
-Model Implementation and Test Programs''
-ACM Transactions on Mathematical Software, Vol 14, No 1, March 1988,
-pp 18-32
+\bibitem[Jenks 87]{JWS87} Jenks, Richard D.; Sutor, Robert S.; 
+Watt, Stephen M. 
+``Scratchpad II: an Abstract Datatype System for Mathematical Computation'' 
+Proceedings Trends in Computer Algebra, Bad Neuenahr, LNCS 296,
+Springer Verlag, (1987)
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dongarra 90]{REF-DON90} Dongarra, Jack J.; Du Croz, Jeremy;
-Hammarling, Sven; Duff, Iain S.
-``A Set of Level 3 Basic Linear Algebra Subprograms''
-ACM Transactions on Mathematical Software, Vol 16, No 1, March 1990,
-pp 1-17
+\bibitem[Jenks 88]{JSW88} Jenks, R. D.;  Sutor, R. S.; Watt, S. M.
+``Scratchpad II: An abstract datatype system for mathematical computation''
+In Jan{\ss}en [Jan88],
+pp12-?? ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dongarra 90a]{REF-DON90a} Dongarra, Jack J.; Du Croz, Jeremy;
-Hammarling, Sven; Duff, Iain S.
-``ALGORITHM 679: A Set of Level 3 Basic Linear Algebra Subprograms: 
-Model Implementation and Test Programs''
-ACM Transactions on Mathematical Software, Vol 16, No 1, March 1990,
-pp 18-28
+\bibitem[Jenks 88a]{Jen88a} Jenks, R. D.
+``A Guide to Programming in BOOT''
+Computer Algebra Group, Mathematical Sciences Department, IBM Research
+Draft September 5, 1988
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Ducos 00]{Duc00} Ducos, Lionel
-``Optimizations of the subresultant algorithm''
-Journal of Pure and Applied Algebra V145 No 2 Jan 2000 pp149-163
+\bibitem[Jenks 88b]{Jen88b} Jenks, Richard
+``The Scratchpad II Computer Algebra System Interactive Environment Users 
+Guide''
+ Spring 1988
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Duff 77]{Duff77} Duff I S,
-``MA28 -- a set of Fortran subroutines for sparse unsymmetric linear 
-equations''
-A.E.R.E. Report R.8730. HMSO. (1977) 
+\bibitem[Jenks 88c]{JWS88} Jenks, R. D.; Sutor, R. S.; Watt, S. M.
+``Scratchpad II: an abstract datatype system for mathematical computation''
+In Jan{\ss}en
+[Jan88], pp12-37. ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Duval 96a]{Duva96a} Duval, D.; Gonz\'alez-Vega, L.
-``Dynamic Evaluation and Real Closure''
-Mathematics and Computers in Simulation 42 pp 551-560 (1996)
-%\verb|axiom-developer.org/axiom-website/papers/Duva96a.pdf|
+\begin{chunk}{axiom.bib}
+@book{Jenk92,
+  author = "Jenks, Richard D. and Sutor, Robert S.",
+  title = "AXIOM: The Scientific Computation System",
+  publisher = "Springer-Verlag, Berlin, Germany",
+  year = "1992",
+  isbn = "0-387-97855-0",
+  keywords = "axiomref"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The aim of this paper is to present how the dynamic evaluation method
-can be used to deal with the real closure of an ordered field. Two
-kinds of questions, or tests, may be asked in an ordered field:
-equality tests $(a=b?)$ and sign tests $(a > b?)$. Equality tests are
-handled through splittings, exactly as in the algebraic closure of a
-field. Sign tests are handled throug a structure called ``Tarski data
-type''.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Duval 96]{Duva96} Duval, D.; Reynaud, J.C.
-``Sketches and Computations over Fields''
-Mathematics and Computers in Simulation 42 pp 363-373 (1996)
-%\verb|axiom-developer.org/axiom-website/papers/Duva96.pdf|
+\bibitem[Jenks 94]{JT94} Jenks, R. D.; Trager, B. M.
+``How to make AXIOM into a Scratchpad''
+In ACM [ACM94], pp32-40 ISBN 0-89791-638-7 LCCN QA76.95.I59 1994
+%\verb|axiom-developer.org/axiom-website/papers/JT94.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The goal of this short paper is to describe one possible use of
-sketches in computer algebra. We show that sketches are a powerful
-tool for the description of mathematical structures and for the
-description of computations.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Duval 94a]{Duva94a} Duval, D.; Reynaud, J.C.
-``Sketches and Computation (Part I): Basic Definitions and Static Evaluation''
-Mathematical Structures in Computer Science, 4, p 185-238 Cambridge University Press (1994)
-\verb|journals.cambridge.org/abstract_S0960129500000438|
-%\verb|axiom-developer.org/axiom-website/papers/Duva94a.pdf|
+\bibitem[Joswig 03]{JT03} Joswig, Michael; Takayama, Nobuki
+``Algebra, geometry, and software systems''
+Springer-Verlag ISBN 3-540-00256-1 p291
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We define a categorical framework, based on the notion of {\sl
-sketch}, for specification and evaluation in the sense of algebraic
-specifications and algebraic programming. This framework goes far
-beyond our initial motivations, which was to specify computation with
-algebraic numbers. We begin by redefining sketches in order to deal
-explicitly with programs. Expressions and terms are carefully defined
-and studied, then {\sl quasi-projective sketches} are introduced. We
-describe {\sl static evaluation} in these sketches: we propose a
-rigorous basis for evaluation in the corresponding structures. These
-structures admit an initial model, but are not necessarily
-equational. In Part II (Duval and Reynaud 1994), we study a more
-general process, called {\sl dynamic evaluation}, for structures that
-may have no initial model.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Duval 94b]{Duva94b} Duval, D.; Reynaud, J.C.
-``Sketches and Computation (Part II): Dynamic Evaluation and Applications''
-Mathematical Structures in Computer Science, 4, p 239-271. Cambridge University Press (1994)
-\verb|journals.cambridge.org/abstract_S096012950000044X|
-%\verb|axiom-developer.org/axiom-website/papers/Duva94b.pdf|
+\bibitem[Joyner 06]{J006} Joyner, David
+``OSCAS - Maxima''
+SIGSAM Communications in Computer Algebra, 157 2006
+\verb|sage.math.washington.edu/home/wdj/sigsam/oscas-cca1.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In the first part of this paper (Duval and Reynaud 1994), we defined a
-categorical framework, based on the notion of {\sl sketch}, for
-specification and evaluation in the senses of algebraic specification
-and algebraic programming. {\sl Static evaluation} in {\sl
-quasi-projective sketches} was defined in Part I; in this paper, {\sl
-dynamic evaluation} is introduced. It deals with more general
-structures, which may have no initial model. Until now, this process
-has not been used in algebraic specification systems, but computer
-algebra systems are beginning to use it as a basic tool. Finally, we
-give some applications of dynamic evaluation to computation in field
-extensions.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Duval 94c]{Duva94c} Duval, Dominique
-``Algebraic Numbers: An Example of Dynamic Evaluation''
-J. Symbolic Computation 18, 429-445 (1994)
-\verb|www.sciencedirect.com/science/article/pii/S0747717106000551|
-%\verb|axiom-developer.org/axiom-website/papers/Duva94c.pdf|
+\bibitem[Joyner 14]{JO14} Joyner, David
+``Links to some open source mathematical programs''
+\verb|www.opensourcemath.org/opensource_math.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Dynamic evaluation is presented through examples: computations
-involving algebraic numbers, automatic case discussion according to
-the characteristic of a field. Implementation questions are addressed
-too. Finally, branches are presented as ``dual'' to binary functions,
-according to the approach of sketch theory.
-\end{adjustwidth}
-
-\subsection{F} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\subsection{K} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Fateman 08]{Fat08} Fateman, Richard
-``Revisiting numeric/symbolic indefinite integration of rational functions, and extensions''
-\verb|www.eecs.berkeley.edu/~fateman/papers/integ.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Fat08.pdf|
+\bibitem[Kauers 08]{Kau08} Kauers, Manuel
+``Integration of Algebraic Functions: A Simple Heuristic for Finding
+the Logarithmic Part''
+ISSAC July 2008 ACM 978-1-59593-904 pp133-140
+\verb|www.risc.jku.at/publications/download/risc_3427/Ka01.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kau08.pdf|
+  keywords = "axiomref",
+  abstract = "
+    A new method is proposed for finding the logarithmic part of an
+    integral over an algebraic function. The method uses Gr{\"o}bner bases
+    and is easy to implement. It does not have the feature of finding a
+    closed form of an integral whenever there is one. But it very often
+    does, as we will show by a comparison with the built-in integrators of
+    some computer algebra systems."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We know we can solve this problem: Given any rational function
-$f(x)=p(x)/q(x)$, where $p$ and $q$ are univariate polynomials over
-the rationals, compute its {\sl indefinite} integral, using if
-necessary, algebraic numbers. But in many circumstances an approximate
-result is more likely to be of use. Furthermore, it is plausible that
-it would be more useful to solve the problem to allow definite
-integration, or introduce additional parameters so that we can solve
-multiple definite integrations.  How can a computer algebra system
-best answer the more useful questions?  Finally, what if the integrand
-is not a ratio of polynomials, but something more challenging?
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@misc{Flet01,
-  author = "Fletcher, John P.",
-  title = "Symbolic processing of Clifford Numbers in C++",
-  year = "2001",
-  journal = "Paper 25, AGACSE 2001."
-}
+\begin{chunk}{ignore}
+\bibitem[Keady 94]{KN94} Keady, G.; Nolan, G.
+``Production of Argument SubPrograms in the AXIOM -- NAG
+link: examples involving nonleanr systems''
+Technical Report TR1/94 
+ATR/7 (NP2680), Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
+Oxford, UK, 1994
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Flet09,
-  author = "Fletcher, John P.",
-  title = "Clifford Numbers and their inverses calculated using the matrix representation",
-  publisher = "Chemical Engineering and Applied Chemistry, School of Engineering and Applied Science, Aston University, Aston Triangle, Birmingham B4 7 ET, U. K.",
-  url = "http://www.ceac.aston.ac.uk/research/staff/jpf/papers/paper24/index.php"
-}
+\begin{chunk}{ignore}
+\bibitem[Kelsey 99]{Kel99} Kelsey, Tom
+``Formal Methods and Computer Algebra: A Larch Specification of AXIOM 
+Categories and Functors''
+Ph.D. Thesis, University of St Andrews, 1999
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Fletcher 81]{Fle81} Fletcher R
-``Practical Methods of Optimization''
-Vol 2. Constrained Optimization. Wiley. (1981) 
+\bibitem[Kelsey 00a]{Kel00a} Kelsey, Tom
+``Formal specification of computer algebra''
+University of St Andrews, 6th April 2000
+\verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbs.ps|
+%\verb|axiom-developer.org/axiom-website/papers/Kel00a.pdf|
+  keywords = "axiomref",
+  abstract = "
+    We investigate the use of formal methods languages and tools in the
+    design and development of computer algebra systems (henceforth CAS).
+    We demonstrate that errors in CAS design can be identified and
+    corrected by the use of (i) abstract specifications of types and
+    procedures, (ii) automated proofs of properties of the specifications,
+    and (iii) interface specifications which assist the verification of
+    pre- and post conditions of implemented code."
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Floy63,
-  author = "Floyd, R. W.",
-  title = "Semantic Analysis and Operator Precedence",
-  journal = "JACM",
-  volume = "10",
-  number = "3",
-  pages = "316-333",
-  year = "1963"
-}
+\begin{chunk}{ignore}
+\bibitem[Kelsey 00b]{Kel00b} Kelsey, Tom
+``Formal specification of computer algebra''
+(slides) University of St Andrews, Sept 21, 2000
+\verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbstalk.ps|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Forsythe 57]{For57} Forsythe G E,
-``Generation and use of orthogonal polynomials for data fitting 
-with a digital computer''
-J. Soc. Indust. Appl. Math. 5 74--88. (1957) 
+\bibitem[Kendall 99a]{Ken99a} Kendall, W.S.
+``Itovsn3 in AXIOM: modules, algebras and stochastic differentials''
+\verb|www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/|
+\verb|kendall/personal/ppt/328.ps.gz|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Fortenbacher 90]{REF-For90} Fortenbacher, A.
-``Efficient type inference and coercion in computer algebra''
-Design and Implementation of Symbolic Computation Systems (DISCO 90)
-A. Miola, (ed) vol 429 of Lecture Notes in Computer Science
-Springer-Verlag, pp56-60
+\bibitem[Kendall 99b]{Ken99b} Kendall, W.S.
+``Symbolic It\^o calculus in AXIOM: an ongoing story
+\verb|www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/|
+\verb|kendall/personal/ppt/327.ps.gz|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Computer algebra systems of the new generation, like Scratchpad, are
-characterized by a very rich type concept, which models the
-relationship between mathematical domains of computation. To use these
-systems interactively, however, the user should be freed of type
-information. A type inference mechanism determines the appropriate
-function to call. All known models which allow to define a semantics
-for type inference cannot express the rich ``mathematical'' type
-structure, so presently type inference is done heuristically.  The
-following paper defines a semantics for a subproblem thereof, namely
-coercion, which is based on rewrite rules. From this definition, and
-efficient coercion algorith for Scratchpad is constructed using graph
-techniques.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Fox 68]{Fox68} Fox L.; Parker I B.
-``Chebyshev Polynomials in Numerical Analysis''
-Oxford University Press. (1968)
+\bibitem[Kosleff 91]{Kos91} P.-V. Koseleff
+``Word games in free Lie algebras: several bases and formulas''
+Theoretical Computer Science 79(1) pp241-256 Feb. 1991 CODEN TCSCDI
+ISSN 0304-3975
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Franke 80]{FN80} Franke R.; Nielson G
-``Smooth Interpolation of Large Sets of Scattered Data''
-Internat. J. Num. Methods Engrg. 15 1691--1704. (1980) 
+\bibitem[Kusche 89]{KKM89} Kusche, K.; Kutzler, B.; Mayr, H.
+``Implementation of a geometry theorem proving package in SCRATCHPAD II''
+In Davenport [Dav89] pp246-257 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
+  keywords = "axiomref",
 
 \end{chunk}
 
+\subsection{L} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Fritsch 82]{Fri82} Fritsch F N
-``PCHIP Final Specifications''
-Report UCID-30194. Lawrence Livermore National Laboratory. (1982) 
+\bibitem[Lahey 08]{Lah08} Lahey, Tim
+``Sage Integration Testing''
+\verb|github.com/tjl/sage_int_testing| Dec. 2008
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Fritsch 84]{FB84} Fritsch F N.; Butland J.
-``A Method for Constructing Local Monotone Piecewise Cubic Interpolants''
-SIAM J. Sci. Statist. Comput. 5 300--304. (1984) 
+\bibitem[Lambe 89]{Lam89} Lambe, L. A.
+``Scratchpad II as a tool for mathematical research''
+Notices of the AMS, February 1928 pp143-147
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Froberg 65]{Fro65} Froberg C E.
-``Introduction to Numerical Analysis''
-Addison-Wesley. 181--187. (1965) 
+\bibitem[Lambe 91]{Lam91} Lambe, L. A.
+``Resolutions via homological perturbation''
+Journal of Symbolic Computation 12(1) pp71-87 July 1991 
+CODEN JSYCEH ISSN 0747-7171
+  keywords = "axiomref",
 
 \end{chunk}
 
-\subsection{G} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Garcia 95]{Ga95} Garcia, A.; Stichtenoth, H.
-``A tower of Artin-Schreier extensions of function fields attaining the 
-Drinfeld-Vladut bound''
-Invent. Math., vol. 121, 1995, pp. 211--222.
+\bibitem[Lambe 92]{Lam92} Lambe, Larry
+``Next Generation Computer Algebra Systems AXIOM and the Scratchpad
+Concept: Applications to Research in Algebra''
+$21^{st}$ Nordic Congress of Mathematicians 1992
+%\verb|axiom-developer.org/axiom-website/papers/Lam92.pdf|
+  keywords = "axiomref",
+  abstract = "
+    One way in which mathematicians deal with infinite amounts of data is
+    symbolic representation. A simple example is the quadratic equation
+    \[x = \frac{-b\pm\sqrt{b^2-4ac}}{2a}\]
+    a formula which uses symbolic representation to describe the solutions
+    to an infinite class of equations. Most computer algebra systems can
+    deal with polynomials with symbolic coefficients, but what if symbolic
+    exponents are called for (e.g. $1+t^i$)? What if symbolic limits on
+    summations are also called for, for example
+    \[1+t+\ldots+t^i=\sum_j{t^j}\]
+
+    The ``Scratchpad Concept'' is a theoretical ideal which allows the
+    implementation of objects at this level of abstraction and beyond in a
+    mathematically consistent way. The Axiom computer algebra system is an
+    implementation of a major part of the Scratchpad Concept.  Axiom
+    (formerly called Scratchpad) is a language with extensible
+    parameterized types and generic operators which is based on the
+    notions of domains and categories. By examining some aspects of the
+    Axiom system, the Scratchpad Concept will be illustrated. It will be
+    shown how some complex problems in homologicial algebra were solved
+    through the use of this system."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gathen 90a]{Gat90a} Gathen, Joachim von zur; Giesbrecht, Mark
-``Constructing Normal Bases in Finite Fields''
-J. Symbolic Computation pp 547-570 (1990)
-%\verb|axiom-developer.org/axiom-website/papers/Gat90a.pdf|
+\bibitem[Lambe 93]{Lam93} Lambe, Larry
+``On Using Axiom to Generate Code''
+(preprint) 1993
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-An efficient probabilistic algorithm to find a normal basis in a
-finite field is presented. It can, in fact, find an element of
-arbitrary prescribed additive order. It is based on a density estimate
-for normal elements. A similar estimate yields a probabilistic
-polynomial-time reduction from finding primitive normal elements to
-finding primitive elements.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Gathen 90]{Gat90} Gathen, Joachim von zur
-``Functional Decomposition Polynomials: the Tame Case''
-Journal of Symbolic Computation (1990) 9, 281-299
+\bibitem[Lambe 93a]{LL93} Lambe, Larry; Luczak, Richard
+``Object-Oriented Mathematical Programming and Symbolic/Numeric Interface''
+$3^{rd}$ International Conf. on Expert Systems in Numerical Computing 1993
+%\verb|axiom-developer.org/axiom-website/papers/LL93.pdf|
+  keywords = "axiomref",
+  abstract = "
+    The Axiom language is based on the notions of ``categories'',
+    ``domains'', and ``packages''. These concepts are used to build an
+    interface between symbolic and numeric calculations. In particular, an
+    interface to the NAG Fortran Library and Axiom's algebra and graphics
+    facilities is presented. Some examples of numerical calculations in a
+    symbolic computational environment are also included using the finite
+    element method. While the examples are elementary, we believe that
+    they point to very powerful methods for combining numeric and symbolic
+    computational techniques."
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@book{Gath99,
-  author = {{von zur Gathen}, Joachim and Gerhard, J\"urgen},
-  title = "Modern Computer Algebra",
-  publisher = "Cambridge University Press",
-  year = "1999",
-  isbn = "0-521-64176-4"
-}
+\begin{chunk}{ignore}
+\bibitem[Lebedev 08]{Leb08} Lebedev, Yuri
+``OpenMath Library for Computing on Riemann Surfaces''
+PhD thesis, Nov 2008 Florida State University
+\verb|www.math.fsu.edu/~ylebedev/research/HyperbolicGeometry.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gautschi 79a]{Gau79a} Gautschi W.
-``A Computational Procedure for Incomplete Gamma Functions''
-ACM Trans. Math. Softw. 5 466--481. (1979)
+\bibitem[LeBlanc 91]{LeB91} LeBlanc, S.E.
+``The use of MathCAD and Theorist in the ChE classroom''
+In Anonymous [Ano91], pp287-299 (vol. 1) 2 vols.
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gautschi 79b]{Gau79b} Gautschi W.
-``Algorithm 542: Incomplete Gamma Functions''
-ACM Trans. Math. Softw. 5 482--489.  (1979)
+\bibitem[Lecerf 96]{Le96} Lecerf, Gr\'egoire
+``Dynamic Evaluation and Real Closure Implementation in Axiom''
+June 29, 1996 
+\verb|lecerf.perso.math.cnrs.fr/software/drc/drc.ps|
+%\verb|axiom-developer.org/axiom-website/papers/Le96.ps|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gentlemen 69]{Gen69} Gentlemen W M
-``An Error Analysis of Goertzel's (Watt's) Method for Computing 
-Fourier Coefficients''
-Comput. J. 12 160--165. (1969) 
+\bibitem[Lecerf 96a]{Le96a} Lecerf, Gr\'egoire
+``The Dynamic Real Closure implemented in Axiom''
+\verb|lecerf.perso.math.cnrs.fr/software/drc/drc.ps|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gentleman 73]{Gen73} Gentleman W M. 
-``Least-squares Computations by Givens Transformations without Square Roots''
-J. Inst. Math. Applic. 12 329--336. (1973) 
+\bibitem[Levelt 95]{Lev95} Levelt, A. H. M. (ed)
+ISSAC '95: Proceedings of the 1995 International
+Symposium on Symbolic and Algebraic Computation: July 10-12, 1995, Montreal,
+Canada ISSAC-PROCEEDINGS-1995. ACM Press, New York, NY 10036, USA, 1995
+ISBN 0-89791-699-9 LCCN QA76.95 I59 1995 ACM order number 505950
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gentleman 74]{Gen74} Gentleman W M.
-``Algorithm AS 75. Basic Procedures for Large Sparse or 
-Weighted Linear Least-squares Problems''
-Appl. Statist. 23 448--454. (1974) 
+\bibitem[Li 06]{LM06} Li, Xin;  Maza, Moreno
+``Efficient Implementation of Polynomial Arithmetic in a Multiple-Level 
+Programming Environment''
+Lecture Notes in
+Computer Science Springer Vol 4151/2006 ISBN 978-3-540-38084-9 pp12-23 
+Proceedings of International Congress of Mathematical Software ICMS 2006
+\verb|www.csd.uwo.ca/~moreno//Publications/Li-MorenoMaza-ICMS-06.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gentlemen 74a]{GM74a} Gentleman W. M.; Marovich S. B. 
-``More on algorithms  that reveal properties of floating point 
-arithmetic units''
-Comms. of the ACM, 17, 276-277.  (1974)
+\bibitem[Li 10]{YL10} Li, Yue; Dos Reis, Gabriel
+``A Quantitative Study of Reductions in Algebraic Libraries''
+PASCO 2010
+\verb|www.axiomatics.org/~gdr/concurrency/quant-pasco10.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Genz 80]{GM80} Genz A C.;  Malik A A.
-``An Adaptive Algorithm for Numerical Integration over an N-dimensional 
-Rectangular Region''
-J. Comput. Appl. Math. 6 295--302.  (1980) 
+\bibitem[Li 11]{YL11} Li, Yue; Dos Reis, Gabriel
+``An Automatic Parallelization Framework for Algebraic Computation
+Systems''
+ISSAC 2011
+\verb|www.axiomatics.org/~gdr/concurrency/oa-conc-issac11.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/YL11.pdf|
+  keywords = "axiomref",
+  abstract = "
+    This paper proposes a non-intrusive automatic parallelization
+    framework for typeful and property-aware computer algebra systems."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gill 72]{GM72} Gill P E.; Miller G F.
-``An Algorithm for the Integration of Unequally Spaced Data''
-Comput. J. 15 80--83. (1972) 
+\bibitem[Ligatsikas 96]{Liga96} Ligatsikas, Zenon; Rioboo, Renaud;
+Roy, Marie Francoise
+``Generic computation of the real closure of an ordered field''
+Math. and Computers in Simulation 42 pp 541-549 (1996)
+%\verb|axiom-developer.org/axiom-website/papers/Liga96.pdf|
+  keywords = "axiomref",
+  abstract = "
+    This paper describes a generalization of the real closure computation
+    of an ordered field (Rioboo, 1991) enabling to use different technques
+    to code a single real algebraic number."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gill 74b]{GM74b} Gill P E.; Murray W. (eds)
-``Numerical Methods for Constrained Optimization''
-Academic Press. (1974) 
+\bibitem[Linton 93]{Lin93} Linton, Steve
+``Vector Enumeration Programs, version 3.04''
+\verb|www.cs.st-andrews.ac.uk/~sal/nme/nme_toc.html#SEC1|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gill 76a]{GM76a} Gill P E.; Murray W.
-``Minimization subject to bounds on the variables''
-Report NAC 72. National Physical Laboratory. (1976) 
+\bibitem[Liska 97]{LD97} Liska, Richard; Drska, Ladislav; Limpouch, Jiri;
+Sinor, Milan; Wester, Michael; Winkler, Franz
+``Computer Algebra - algorithms, systems and applications''
+June 2, 1997 
+\verb|kfe.fjfi.cvut.cz/~liska/ca/all.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gill 76b]{GM76b} Gill P E.; Murray W.
-``Algorithms for the Solution of the Nonlinear Least-squares Problem''
-NAC 71 National Physical Laboratory. (1976)
+\bibitem[Lucks 86]{Luc86} Lucks, Michael
+``A fast implementation of polynomial factorization''
+In Bruce W. Char, editor, Proceedings of the 1986 Symposium on Symbolic
+and Algebraic Computation: SYMSAC '86, July 21-23, 1986, Waterloo, Ontario,
+pp228-232 ACM Press, New York, NY 10036, USA, 1986. ISBN 0-89791-199-7
+LCCN QA155.7.E4 A281 1986 ACM order number 505860
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gill 78]{GM78} Gill P E.; Murray W.
-``Algorithms for the Solution of the Nonlinear Least-squares Problem''
-SIAM J. Numer. Anal. 15 977--992. (1978) 
+\bibitem[Lueken 77]{Lue77} Lueken, E. 
+``Ueberlegungen zur Implementierung eines Formelmanipulationssystems''
+Master's thesis, Technischen Universit{\"{a}}t Carolo-Wilhelmina zu
+Braunschweig. Braunschweig, Germany, 1977
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gill 79]{GM79} Gill P E.;  Murray W;
-``Conjugate-gradient Methods for Large-scale Nonlinear Optimization''
-Technical Report SOL 79-15. Department of Operations Research, 
-Stanford University. (1979) 
+\bibitem[Lynch 91]{LM91} Lynch, R.; Mavromatis, H. A.
+``New quantum mechanical perturbation technique
+using an 'electronic scratchpad' on an inexpensive computer''
+American Journal of Pyhsics, 59(3) pp270-273, March 1991. 
+CODEN AJPIAS ISSN 0002-9505
+  keywords = "axiomref",
 
 \end{chunk}
 
+\subsection{M} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Gill 81]{GMW81} Gill P E.; Murray W.; Wright M H.
-``Practical Optimization''
-Academic Press. 1981
+\bibitem[Mahboubi 05]{Mah05} Mahboubi, Assia 
+``Programming and certifying the CAD algorithm inside the coq system''
+Mathematics, Algorithms, Proofs, volume 05021 of Dagstuhl
+Seminar Proceedings, Schloss Dagstuhl (2005)
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gill 82]{GMW82} Gill P E.; Murray W.; Saunders M A.; Wright M H.
-``The design and implementation of a quadratic programming algorithm''
-Report SOL 82-7. Department of Operations Research, 
-Stanford University. (1982) 
+\bibitem[Mathews 89]{Mat89} Mathews, J. 
+``Symbolic computational algebra applied to Picard iteration''
+Mathematics and computer education, 23(2) pp117-122 Spring 1989 CODEN MCEDDA,
+ISSN 0730-8639
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gill 84a]{GMSW84a} Gill P E.; Murray W.; Saunders M A.; Wright M H
-``User's Guide for SOL/QPSOL Version 3.2''
-Report SOL 84-5. Department of Operations Research, Stanford University. 1984
+\bibitem[McJones 11]{McJ11} McJones, Paul
+``Software Presentation Group -- Common Lisp family''
+\verb|www.softwarepreservation.org/projects/LISP/common_lisp_family|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gill 84b]{GMSW84b} Gill P E.; Murray W.; Saunders M A.; Wright M H
-``Procedures for Optimization Problems with a Mixture of
-Bounds and General Linear Constraints''
-ACM Trans. Math. Softw. 10 282--298. 1984
+\bibitem[Melachrinoudis 90]{MR90} Melachrinoudis, E.; Rumpf, D. L.
+``Teaching advantages of transparent computer software -- MathCAD''
+CoED, 10(1) pp71-76, January-March 1990 CODEN CWLJDP ISSN 0736-8607
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gill 86a]{GMSW86a} Gill P E.; Hammarling S.; Murray W.; 
-Saunders M A.; Wright M H.
-``User's Guide for LSSOL (Version 1.0)''
-Report SOL 86-1. Department of Operations Research, Stanford University. 1986
+\bibitem[Miola 90]{Mio90} Miola, A. (ed)
+``Design and Implementation of Symbolic Computation Systems''
+International Symposium DISCO '90, Capri, Italy, April 10-12, 1990, Proceedings
+volume 429 of Lecture Notes in Cmputer Science,
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+1990 ISBN 0-387-52531-9 (New York), 3-540-52531-9 (Berlin) LCCN QA76.9.S88I576
+1990
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gill 86b]{GMSW86b} Gill P E.; Murray W.; Saunders M A.; Wright M H.
-``Some Theoretical Properties of an Augmented Lagrangian Merit Function''
-Report SOL 86-6R. Department of Operations Research, Stanford University. 1986
+\bibitem[Miola 93]{Mio93} Miola, A. (ed)
+``Design and Implementation of Symbolic Computation Systems''
+International Symposium DISCO '93 Gmunden, Austria, September 15-17, 1993:
+Proceedings. 
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+1993 ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gladwell 79]{Gla79} Gladwell I
-``Initial Value Routines in the NAG Library''
-ACM Trans Math Softw. 5 386--400. (1979) 
+\bibitem[Missura 94]{Miss94} Missura, Stephan A.; Weber, Andreas
+``Using Commutativity Properties for Controlling Coercions''
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/|
+\verb|WeberA/MissuraWeber94a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Miss94.pdf|
+  keywords = "axiomref",
+  abstract = "
+    This paper investigates some soundness conditions which have to be
+    fulfilled in systems with coercions and generic operators. A result of
+    Reynolds on unrestricted generic operators is extended to generic
+    operators which obey certain constraints. We get natural conditions
+    for such operators, which are expressed within the theoretic framework
+    of category theory. However, in the context of computer algebra, there
+    arise examples of coercions and generic operators which do not fulfil
+    these conditions. We describe a framework -- relaxing the above
+    conditions -- that allows distinguishing between cases of ambiguities
+    which can be resolved in a quite natural sense and those which
+    cannot. An algorithm is presented that detects such unresolvable
+    ambiguities in expressions."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gladwell 80]{GS80} Gladwell I.; Sayers D K
-``Computational Techniques for Ordinary Differential Equations''
-Academic Press. 1980
+\bibitem[Monagan 87]{Mon87} Monagan, Michael B.
+``Support for Data Structures in Scratchpad II''
+in [Wit87], pp17-18
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gladwell 86]{Gla86} Gladwell I
-``Vectorisation of one dimensional quadrature codes''
-Techincal Report. TR7/86  NAG. (1986) 
+\bibitem[Monagan 93]{Mon93} Monagan, M. B.
+``Gauss: a parameterized domain of computation system with
+support for signature functions''
+In Miola [Mio93], pp81-94 ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gladwell 87]{Gla87} Gladwell I
-``The NAG Library Boundary Value Codes''
-Numerical Analysis Report. 134 Manchester University. (1987) 
+\bibitem[Mora 89]{Mor89}  Mora, T. (ed)
+Applied Algebra, Algebraic Algorithms and Error-Correcting
+Codes, 6th International Conference, AAECC-6, Rome, Italy, July 4-8, 1998,
+Proceedings, volume 357 of Lecture Notes in Computer Science
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+1989 ISBN 3-540-51083-4, LCCN QA268.A35 1988 Conference held jointly with
+ISSAC '88
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Goedel 40]{God40} Goedel
-``The consistency of the continuum hypothesis''
-Ann. Math. Studies, Princeton Univ. Press, 1940
+\bibitem[Moses 71]{Mos71} Moses, Joel
+``Algebraic Simplification: A Guide for the Perplexed''
+CACM August 1971 Vol 14 No. 8 pp527-537
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Goldman 87]{Gold87} Goldman, L.
-``Integrals of multinomial systems of ordinary differential equations''
-J. of Pure and Applied Algebra, 45, 225-240 (1987)
-\verb|www.sciencedirect.com/science/article/pii/0022404987900727/pdf|
-\verb|?md5=5a0c70643eab514ccf47d80e4fc6ec5a&|
-\verb|pid=1-s2.0-0022404987900727-main.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Gold87.pdf|
+\bibitem[Moses 08]{Mos08} Moses, Joel
+``Macsyma: A Personal History''
+Invited Presentation in Milestones in Computer Algebra, May 2008, Tobago
+\verb|esd.mit.edu/Faculty_Pages/moses/Macsyma.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mos08.pdf|
+  keywords = "axiomref",
+  abstract = "
+    The Macsyma system arose out of research on mathematical software in
+    the AI group at MIT in the 1960's. Algorithm development in symbolic
+    integration and simplification arose out of the interest of people,
+    such as the author, who were also mathematics students. The later
+    development of algorithms for the GCD of sparse polynomials, for
+    example, arose out of the needs of our user community. During various
+    times in the 1970's the computer on which Macsyma ran was one of the
+    most popular notes on the ARPANET. We discuss the attempts in the late
+    70's and the 80's to develop Macsyma systems that ran on popular
+    computer architectures.  Finally, we discuss the impact of the
+    fundamental ideas in Macsyma on current research on large scale
+    engineering systems."
 
 \end{chunk}
 
+\subsection{N} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Gollan 90]{GG90} H. Gollan; J. Grabmeier
-``Algorithms in Representation Theory and
-their Realization in the Computer Algebra System Scratchpad''
-Bayreuther Mathematische Schriften, Heft 33, 1990, 1-23
+\bibitem[Naylor]{NPxx} Naylor, William;  Padget, Julian
+``From Untyped to Polymorphically Typed Objects in Mathematical Web 
+Services''
+%\verb|axiom-developer.org/axiom-website/papers/NPxx.pdf|
+  keywords = "axiomref",
+  abstract = "
+    OpenMath is a widely recognized approach to the semantic markup of
+    mathematics that is often used for communication between OpenMath
+    compliant systems. The Aldor language has a sophisticated
+    category-based type system that was specifically developed for the
+    purpose of modelling mathematical structures, while the system itself
+    supports the creation of small-footprint applications suitable for
+    deployment as web services. In this paper we present our first results
+    of how one may perform translations from generic OpenMath objects into
+    values in specific Aldor domains, describing how the Aldor interfae
+    domain ExpresstionTree is used to achieve this. We outline our Aldor
+    implementation of an OpenMath translator, and describe an efficient
+    extention of this to the Parser category. In addition, the Aldor
+    service creation and invocation mechanism are explained. Thus we are
+    in a position to develop and deploy mathematical web services whose
+    descriptions may be directly derived from Aldor's rich type language."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Golub 89]{GL89} Golub, Gene H.; Van Loan, Charles F.
-``Matrix Computations''
-Johns Hopkins University Press ISBN 0-8018-3772-3 (1989)
+\bibitem[Naylor 95]{N95} Naylor, Bill
+``Symbolic Interface for an advanced hyperbolic PDE solver''
+\verb|www.sci.csd.uwo.ca/~bill/Papers/symbInterface2.ps|
+%\verb|axiom-developer.org/axiom-website/papers/N95.pdf|
+  keywords = "axiomref",
+  abstract = "
+    An Axiom front end is described, which is used to generate
+    mathematical objects needed by one of the latest NAG routines, to be
+    included in the Mark 17 version of the NAG Numerical library. This
+    routine uses powerful techniques to find the solution to Hyperbolic
+    Partial Differential Equations in conservation form and in one spatial
+    dimension. These mathematical objects are non-trivial, requiring much
+    mathematical knowledge on the part of the user, which is otherwise
+    irrelvant to the physical problem which is to be solved. We discuss
+    the individual mathematical objects, considering the mathematical
+    theory which is relevant, and some of the problems which have been
+    encountered and solved during the FORTRAN generation necessary to
+    realise the object.  Finally we display some of our results."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Golub 96]{GL96} Golub, Gene H.; Van Loan, Charles F.
-``Matrix Computations''
-Johns Hopkins University Press ISBN 978-0-8018-5414-9 (1996)
+\bibitem[Naylor 00b]{ND00} Naylor, W.A.; Davenport, J.H.
+``A Monte-Carlo Extension to a Category-Based Type System''
+\verb|www.sci.csd.uwo.ca/~bill/Papers/monteCarCat3.ps|
+%\verb|axiom-developer.org/axiom-website/papers/ND00.pdf|
+  keywords = "axiomref",
+  abstract = "
+    The normal claim for mathematics is that all calculations are 100\%
+    accurate and therefore one calculation can rely completely on the
+    results of sub-calculations, hoever there exist {\sl Monte-Carlo}
+    algorithms which are often much faster than the equivalent
+    deterministic ones where the results will have a prescribed
+    probability (presumably small) of being incorrect. However there has
+    been little discussion of how such algorithms can be used as building
+    blocks in Computer Algebra.  In this paper we describe how the
+    computational category theory which is the basis of the type structure
+    used in the Axiom computer algebra system may be extended to cover
+    probabilistic algorithms, which use Monte-Carlo techniques. We follow
+    this with a specific example which uses Straight Line Program
+    representation."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Grabmeier]{Grab} Grabmeier, J.
-``On Plesken's root finding algorithm''
-in preparation
+\bibitem[Norman 75]{Nor75} Norman, A. C.
+``Computing with formal power series''
+ACM Transactions on Mathematical Software, 1(4) pp346-356 
+Dec. 1975 CODEN ACMSCU ISSN 0098-3500
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Grebmeier 87]{GK87} Grabmeier, J.; Kerber, A.;
-``The Evaluation of Irreducible Polynomial Representations of the General 
-Linear Groups and of the Unitary Groups over Fields of Characteristic 0''
-Acta Appl. Math. 8 (1987), 271-291
+\bibitem[Norman 75a]{Nor75a} Norman, A.C.
+``The SCRATCHPAD Power Series Package''
+IBM T.J. Watson Research RC4998
+  keywords = "axiomref",
 
 \end{chunk}
 
+\subsection{O} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Grabmeier 92]{REF-GS92} Grabmeier, J.; Scheerhorn, A.
-``Finite fields in Axiom''
-AXIOM Technical Report TR7/92 (ATR/5)(NP2522), 
-Numerical Algorithms Group, Inc., Downer's
-Grove, IL, USA and Oxford, UK, 1992
-\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[Ollivier 89]{Oll89} Ollivier, F.
+``Inversibility of rational mappings and structural 
+identifiablility in automatics''
+In ACM [ACM89], pp43-54 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Granville 1911]{Gran1911} Granville, William Anthony
-``Elements of the Differential and Integral Calculus''
-\verb|djm.cc/library/Elements_Differential_Integral_Calculus_Granville_edited_2.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Gran1911.pdf|
+\bibitem[Online 72]{Onl72}.
+Online 72: conference proceedings ... international conference on online
+interactive computing, Brunel University, Uxbridge, England, 4-7 September
+1972 ISBN 0-903796-02-3 LCCN QA76.55.O54 1972 Two volumes.
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Gruntz 93]{Gru93} Gruntz, Dominik
-``Limit computation in computer algebra''
-\verb|algo.inria.fr/seminars/sem92-93/gruntz.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Gru93.pdf|
+\bibitem[OpenMath]{OpenMa}.
+``OpenMath Technical Overview''
+\verb|www.openmath.org/overview/technical.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The automatic computation of limits can be reduced to two main
-sub-problems. The first one is asymptotic comparison where one must
-decide automatically which one of two functions in a specified class
-dominates the other one asymptotically. The second one is asymptotic
-cancellation and is usually exemplified by
-\[e^x[exp(1/x+e^{-x})-exp(1/x)],\quad{}x \leftarrow \infty\]
-
-In this example, if the sum is expanded in powers of $1/x$, the
-expansion always yields $O(x^{-k})$, and this is not enough to
-conclude.
+\subsection{P} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-In 1990, J.Shackell found an algorithm that solved both these problems
-for the case of $exp-log$ functions, i.e. functions build by recursive
-application of exponential, logarithm, algebraic extension and field
-operations to one variable and the rational numbers. D. Gruntz and
-G. Gonnet propose a slightly different algorithm for exp-log
-functions.  Extensions to larger classes of functions are also
-discussed.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Page 07]{Pa07} Page, William S.
+``Axiom - Open Source Computer Algebra System''
+Poster ISSAC 2007 Proceedings Vol 41 No 3 Sept 2007 p114
+  keywords = "axiomref",
 
-\subsection{H} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Hach95,
-  author = "Hach\'e, G. and Le Brigand, D.",
-  title = "Effective construction of algebraic geometry codes",
-  journal = "IEEE Transaction on Information Theory",
-  volume = "41",
-  month = "November",
-  year = "1995",
-  pages = "1615--1628"
-}
+\begin{chunk}{ignore}
+\bibitem[Petitot 90]{Pet90} Petitot, Michel
+``Types r\'ecursifs en scratchpad, application aux polyn\^omes non
+commutatifs''
+LIFL, 1990
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Hach95a,
-  author = "Hach\'e, G.",
-  title = "Computation in algebraic function fields for effective construction of algebraic-geometric codes",
-  journal = "Lecture Notes in Computer Science",
-  volume = "948",
-  year = "1995",
-  pages = "262--278"
-}
+\begin{chunk}{ignore}
+\bibitem[Petitot 93]{Pet93} Petitot, M.
+``Experience with Axiom''
+In Jacob et al. [JOS93], page 240
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@phdthesis{Hach96,
-  author = "Hach\'e, G.",
-  title = "Construction effective des codes g\'eom\'etriques",
-  school = "l'Universit\'e Pierre et Marie Curie (Paris 6)",
-  year = "1996",
-  month = "Septembre"
-}
+\begin{chunk}{ignore}
+\bibitem[Petric 71]{Pet71} Petric, S. R. (ed)
+Proceedings of the second symposium on Symbolic and
+Algebraic Manipulation, March 23-25, 1971, Los Angeles, California, ACM Press,
+New York, NY 10036, USA, 1971. LCCN QA76.5.S94 1971
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Hall 76]{HW76} Hall G.; Watt J M. (eds), 
-``Modern Numerical Methods for Ordinary Differential Equations''
-Clarendon Press. (1976)
+\bibitem[Pinch 93]{Pin93} Pinch, R.G.E.
+``Some Primality Testing Algorithms''
+Devlin, Keith (ed.)
+Computers and Mathematics November 1993, Vol 40, Number 9 pp1203-1210
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Hamdy 04]{Ham04} Hamdy, S.
-``LiDIA A library for computational number theory''
-Reference manual Edition 2.1.1 May 2004
-\verb|www.cdc.informatik.tu-darmstadt.de/TI/LiDIA|
+\bibitem[Poll (b)]{Polxx} Poll, Erik
+``The type system of Axiom''
+%\verb|axiom-developer.org/axiom-website/papers/Polxx.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Hammarling 85]{Ham85} Hammarling S.
-`` The Singular Value Decomposition in Multivariate Statistics''
-ACM Signum Newsletter. 20, 3 2--25. (1985) 
+\bibitem[Purtilo 86]{Pur86} Purtilo, J.
+``Applications of a software interconnection system in mathematical
+problem solving environments'' In Bruce W. Char, editor. Proceedings of the
+1986 Symposium on Symbolic and Algebraic Computation: SYMSAC '86, July 21-23,
+ACM Press, New York, NY 10036, USA, 1986. ISBN 0-89791-199-7 LCCN QA155.7.E4
+A281 1986 ACM order number 505860
+  keywords = "axiomref",
 
 \end{chunk}
 
+\subsection{R} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Hammersley 67]{HH67} Hammersley J M; Handscomb D C.
-``Monte-Carlo Methods''
-Methuen. (1967)
+\bibitem[Rainer 14]{Rain14} Joswig, Rainer
+``2014: 30+ Years Common Lisp the Language''
+\verb|lispm.de/30ycltl|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Hath1896,
-  author = "Hathway, Arthur S.",
-  title = "A Primer Of Quaternions",
-  year = "1896"
-}
+\begin{chunk}{ignore}
+\bibitem[Rioboo 03a]{Riob03a} Rioboo, Renaud
+``Quelques aspects du calcul exact avec des nombres r\'eels''
+Ph.D. Thesis, Laboratoire d'Informatique Th\'eorique et Programmationg
+%\verb|axiom-developer.org/axiom-website/papers/Riob03a.ps|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@book{Haya05,
-  author = "Hayashi, K. and Kangkook, J. and Lascu, O. and Pienaar, H. and Schreitmueller, S. and Tarquinio, T. and Thompson, J.",
-  title = "AIX 5L Practical Performance Tools and Tuning Guide",
-  publisher = "IBM",
-  year = "2005",
-  url = "http://www.redbooks.ibm.com/redbooks/pdfs/sg246478.pdf",
-  paper = "Haya05.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Rioboo 03]{Riob03} Rioboo, Renaud
+``Towards Faster Real Algebraic Numbers''
+J. of Symbolic Computation 36 pp 513-533 (2003)
+%\verb|axiom-developer.org/axiom-website/papers/Riob03.pdf|
+  keywords = "axiomref",
+  abstract = "
+    This paper presents a new encoding scheme for real algebraic number
+    manipulations which enhances current Axiom's real closure. Algebraic
+    manipulations are performed using different instantiations of
+    sub-resultant-like algorithms instead of Euclidean-like algorithms.
+    We use these algorithms to compute polynomial gcds and Bezout
+    relations, to compute the roots and the signs of algebraic
+    numbers. This allows us to work in the ring of real algebraic integers
+    instead of the field of read algebraic numbers avoiding many
+    denominators."
 
 \end{chunk}
+
 \begin{chunk}{ignore}
-\bibitem[Hayes 70]{Hay70} Hayes J G.
-``Curve Fitting by Polynomials in One Variable''
-Numerical Approximation to Functions and Data. 
-(ed J G Hayes) Athlone Press, London. (1970) 
+\bibitem[Robidoux 93]{Rob93} Robidoux, Nicolas
+``Does Axiom Solve Systems of O.D.E's Like Mathematica?''
+July 1993
+%\verb|axiom-developer.org/axiom-website/papers/Rob93.pdf|
+  keywords = "axiomref",
+  abstract = "
+    If I were demonstrating Axiom and were asked this question, my reply
+    would be ``No, but I am not sure that this is a bad thing''. And I
+    would illustrate this with the following example.
+
+    Consider the following system of O.D.E.'s
+    \[
+    \begin{array}{rcl}
+    \frac{dx_1}{dt} & = & \left(1+\frac{cos t}{2+sin t}\right)x_1\\
+    \frac{dx_2}{dt} & = & x_1 - x_2
+    \end{array}
+    \]
+    This is a very simple system: $x_1$ is actually uncoupled from $x_2$"
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Hayes 74]{Hay74} Hayes J G.
-``Numerical Methods for Curve and Surface Fitting''
-Bull Inst Math Appl. 10 144--152. (1974) 
+\bibitem[Rioboo 92]{Rio92} Rioboo, R.
+``Real algebraic closure of an ordered field, implementation in Axiom''
+In Wang [Wan92], pp206-215 ISBN 0-89791-489-9 (soft cover)
+0-89791-490-2 (hard cover) LCCN QA76.95.I59 1992
+%\verb|axiom-developer.org/axiom-website/papers/Rio92.pdf|
+  keywords = "axiomref",
+  abstract = "
+    Real algebraic numbers appear in many Computer Algebra problems.  For
+    instance the determination of a cylindrical algebraic decomposition
+    for an euclidean space requires computing with real algebraic numbers.
+    This paper describes an implementation for computations with the real
+    roots of a polynomial. This process is designed to be recursively
+    used, so the resulting domain of computation is the set of all real
+    algebraic numbers. An implementation for the real algebraic closure
+    has been done in Axiom (previously called Scratchpad)."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Hayes 74a]{HH74} Hayes J G.; Halliday J,
-``The Least-squares Fitting of Cubic Spline Surfaces to General Data Sets''
-J. Inst. Math. Appl. 14 89--103. (1974) 
+\bibitem[Roesner 95]{Roe95} Roesner, K. G.
+``Verified solutions for parameters of an exact solution for
+non-Newtonian liquids using computer algebra'' Zeitschrift fur Angewandte
+Mathematik und Physik, 75 (suppl. 2):S435-S438, 1995 ISSN 0044-2267
+  keywords = "axiomref",
 
 \end{chunk}
 
+\subsection{S} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Henrici 56]{Hen56} Henrici, Peter
-``Automatic Computations with Power Series''
-Journal of the Association for Computing Machinery, Volume 3, No. 1,
-January 1956, 10-15
+\bibitem[Sage 14]{Sage14} Stein, William
+``Sage''
+\verb|www.sagemath.org/doc/reference/interfaces/sage/interfaces/axiom.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Higham 88]{Hig88} Higham, N.J.
-``FORTRAN codes for estimating the one-norm of a
-real or complex matrix, with applications to condition estimation''
-ACM Trans. Math. Soft., vol. 14, no. 4, pp. 381-396, December 1988.
+\bibitem[Salvy 89]{Sal89} Salvy, B.
+``Examples of automatic asymptotic expansions''
+Technical Report 114,
+Inst. Nat. Recherche Inf. Autom., Le Chesnay, France, Dec. 1989 18pp
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Higham 02]{Hig02} Higham, Nicholas J.
-``Accuracy and stability of numerical algorithms''
-SIAM Philadelphia, PA ISBN 0-89871-521-0 (2002)
+\bibitem[Salvy 91]{Sal91} Salvy, B.
+``Examples of automatic asymptotic expansions''
+SIGSAM Bulletin (ACM Special Interest Group on Symbolic and 
+Algebraic Manipulation), 25(2) pp4-17
+April 1991 CODEN SIGSBZ ISSN 0163-5824
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Hock 81]{HS81} Hock W.; Schittkowski K.
-``Test Examples for Nonlinear Programming Codes''
-Lecture Notes in Economics and Mathematical Systems. 187 Springer-Verlag. 1981
+\begin{chunk}{axiom.bib}
+@article{Saun80,
+ author = "Saunders, B. David",
+ title = "A Survey of Available Systems",
+ journal = "SIGSAM Bull.",
+ issue_date = "November 1980",
+ volume = "14",
+ number = "4",
+ month = "November",
+ year = "1980",
+ issn = "0163-5824",
+ pages = "12--28",
+ numpages = "17",
+ url = "http://doi.acm.org/10.1145/1089235.1089237",
+ doi = "10.1145/1089235.1089237",
+ acmid = "1089237",
+ publisher = "ACM",
+ address = "New York, NY, USA",
+ keywords = "axiomref,survey",
+ paper = "Saun80.pdf"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Householder 70]{Hou70} Householder A S.
-``The Numerical Treatment of a Single Nonlinear Equation''
-McGraw-Hill. (1970)
+\bibitem[Schu 92]{Sch92} Sch\"u, J.
+``Implementing des Cartan-Kuranishi-Theorems in AXIOM''
+Master's diploma thesis (in german), Institut f\"ur Algorithmen und
+Kognitive Systeme, Universit\"t Karlsruhe 1992
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@book{Hous81,
-  author = "Householder, Alston S.",
-  title = "Principles of Numerical Analysis",
-  publisher = "Dover Publications, Mineola, NY",
-  year = "1981",
-  isbn = "0-486-45312-X"
-}
+\begin{chunk}{ignore}
+\bibitem[Schwarz 88]{Sch88} Schwarz, F.
+``Programming with abstract data types: the symmetry package SPDE
+in Scratchpad'' 
+In Jan{\ss}en [Jan88], pp167-176, ISBN 3-540-18928-9,
+0-387-18928-9 LCCN QA155.7.E4T74 1988
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Huang 96]{HI96} Huang, M.D.; Ierardi, D.
-``Efficient algorithms for Riemann-Roch problem and for addition in the 
-jacobian of a curve''
-Proceedings 32nd Annual Symposium on Foundations of Computer Sciences. 
-IEEE Comput. Soc. Press, pp. 678--687.
+\bibitem[Schwarz 89]{Sch89} Schwarz, F.
+``A factorization algorithm for linear ordinary differential equations''
+In ACM [ACM89], pp17-25 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
+  keywords = "axiomref",
 
 \end{chunk}
 
-\subsection{I} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\begin{chunk}{ignore}
+\bibitem[Schwarz 91]{Sch91} Schwarz, F.
+``Monomial orderings and Gr{\"o}bner bases''
+SIGSAM Bulletin (ACM Special Interest Group on Symbolic and Algebraic 
+Manipulation) 2591) pp10-23 Jan. 1991 CODEN SIGSBZ ISSN 0163-5824
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[IBM]{IBM}.
-SCRIPT Mathematical Formula Formatter User's Guide, SH20-6453,
-IBM Corporation, Publishing Systems Information Development,
-Dept. G68, P.O. Box 1900, Boulder, Colorado, USA 80301-9191.
+\bibitem[Seiler 94]{Sei94} Seiler, Werner Markus
+``Analysis and Application of the Formal Theory of Partial Differential
+Equations''
+PhD thesis, School of Physics and Materials, Lancaster University (1994)
+\verb|www.mathematik.uni-kassel.de/~seiler/Papers/Diss/diss.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Sei94.pdf|
+  keywords = "axiomref",
+  abstract = "
+    An introduction to the formal theory of partial differential equations
+    is given emphasizing the properties of involutive symbols and
+    equations.  An algorithm to complete any differential equation to an
+    involutive one is presented. For an involutive equation possible
+    values for the number of arbitrary functions in its general solution
+    are determined. The existence and uniqueness of solutions for analytic
+    equations is proven.  Applications of these results include an
+    analysis of symmetry and reduction methods and a study of gauge
+    systems. It is show that the Dirac algorithm for systems with
+    constraints is closely related to the completion of the equation of
+    motion to an involutive equation. Specific examples treated comprise
+    the Yang-Mills Equations, Einstein Equations, complete and Jacobian
+    systems, and some special models in two and three dimensions. To
+    facilitate the involved tedious computations an environment for
+    geometric approaches to differential equations has been developed in
+    the computer algebra system Axiom. The appendices contain among others
+    brief introductions into Carten-K{\"a}hler Theory and Janet-Riquier
+    Theory."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Itoh 88]{Itoh88} Itoh, T.;, Tsujii, S.
-``A fast algorithm for computing multiplicative inverses
-in $GF(2^m)$ using normal bases''
-Inf. and Comp. 78, pp.171-177, 1988
-%\verb|axiom-developer.org/axiom-website/Itoh88.pdf|
+\bibitem[Seiler 94a]{Sei94a} Seiler, W.M.
+``Completion to involution in AXIOM''
+in Calmet [Cal94] pp103-104
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper proposes a fast algorithm for computing multiplicative
-inverses in $GF(2^m)$ using normal bases. Normal bases have the
-following useful property: In the case that an element $x$ in
-$GF(2^m)$ is represented by normal bases, $2^k$ power operation of an
-element $x$ in $GF(2^m)$ can be carried out by $k$ times cyclic shift
-of its vector representation.  C.C. Wang et al. proposed an algorithm
-for computing multiplicative inverses using normal bases, which
-requires $(m-2)$ multiplications in $GF(2^m)$ and $(m-1)$ cyclic
-shifts. The fast algorithm proposed in this paper also uses normal
-bases, and computes multiplicative inverses iterating multiplications
-in $GF(2^m)$. It requires at most $2[log_2(m-1)]$ multiplications in
-$GF(2^m)$ and $(m-1)$ cyclic shifts, which are much less than those
-required in Wang's method. The same idea of the proposed fast
-algorithm is applicable to the general power operation in $GF(2^m)$
-and the computation of multiplicative inverses in $GF(q^m)$ $(q=2^n)$.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Iyanaga 77]{Iya77} Iyanaga, Shokichi; Iyanaga, Yukiyosi Kawada
-``Encyclopedic Dictionary of Mathematics''
-1977
+\bibitem[Sieler 94b]{Sei94b} Seiler, W.M.
+``Pseudo differential operators and integrable systems in AXIOM''
+Computer Physics Communications, 79(2) pp329-340 April 1994 CODEN CPHCBZ
+ISSN 0010-4655
+%\verb|axiom-developer.org/axiom-website/papers/Sei94b.pdf|
+  keywords = "axiomref",
+  abstract = "
+    An implementation of the algebra of pseudo differential operators in
+    the computer algebra system Axiom is described. In several exmaples
+    the application of the package to typical computations in the theory
+    of integrable systems is demonstrated."
 
 \end{chunk}
 
-\subsection{J} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Jacobson 68]{Jac68} Jacobson, N.
-``Structure and Representations of Jordan Algebras''
-AMS, Colloquium Publications Volume 39
+\bibitem[Seiler 95]{Sei95} Seiler, W.M.
+``Applying AXIOM to partial differential equations''
+Internal Report 95-17, Universit\"at Karlsruhe, Fakult\"at f\"ur Informatik
+1995
+%\verb|axiom-developer.org/axiom-website/papers/Sei95.pdf|
+  keywords = "axiomref",
+  abstract = "
+    We present an Axiom environment called JET for geometric computations
+    with partial differential equations within the framework of the jet
+    bundle formalism. This comprises expecially the completion of a given
+    differential equation to an involutive one according to the
+    Cartan-Kuranishi Theorem and the setting up of the determining system
+    for the generators of classical and non-classical Lie
+    symmetries. Details of the implementations are described and
+    applications are given. An appendix contains tables of all exported
+    functions."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[James 81]{JK81} James, Gordon; Kerber, Adalbert
-``The Representation Theory of the Symmetric Group''
-Encyclopedia of Mathematics and its Applications Vol. 16
-Addison-Wesley, 1981
+\bibitem[Seiler 95b]{SC95} Seiler, W.M.; Calmet, J.
+``JET -- An Axiom Environment for Geometric Computations with Differential
+Equations''
+%\verb|axiom-developer.org/axiom-website/papers/SC95.pdf|
+  keywords = "axiomref",
+  abstract = "
+    JET is an environment within the computer algebra system Axiom to
+    perform such computations. The current implementation emphasises the
+    two key concepts involution and symmetry. It provides some packages
+    for the completion of a given system of differential equations to an
+    equivalent involutive one based on the Cartan-Kuranishi theorem and
+    for setting up the determining equations for classical and
+    non-classical point symmetries."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jaswon 77]{JS77} Jaswon, M A.; Symm G T. 
-``Integral Equation Methods in Potential Theory and Elastostatics''
-Academic Press. (1977)
+\bibitem[Seiler 97]{Sei97} Seiler, Werner M.
+``Computer Algebra and Differential Equations: An Overview''
+\verb|www.mathematik.uni-kassel.di/~seiler/Papers/Postscript/CADERep.ps.gz|
+  keywords = "axiomref",
+  abstract = "
+    We present an informal overview of a number of approaches to
+    differential equations which are popular in computer algebra. This
+    includes symmetry and completion theory, local analysis, differential
+    ideal and Galois theory, dynamical systems and numerical analysis.  A
+    large bibliography is provided."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jeffrey 04]{Je04} Jeffrey, Alan
-``Handbook of Mathematical Formulas and Integrals''
-Third Edition, Elsevier Academic Press ISBN 0-12-382256-4
+\bibitem[Seiler (a)]{Seixx} Seiler, W.M.
+``DETools: A Library for Differential Equations''
+\verb|iaks-www.ira.uka.de/iaks-calmet/werner/werner.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jenning 66]{Jen66} Jennings A
-``A Compact Storage Scheme for the Solution of Symmetric Linear 
-Simultaneous Equations''
-Comput. J. 9 281--285. (1966) 
+\bibitem[Shannon 88]{SS88} Shannon, D.; Sweedler, M.
+``Using Gr{\"o}bner bases to determine algebra
+membership, split surjective algebra homomorphisms determine birational
+equivalence''
+Journal of Symbolic Computation 6(2-3) pp267-273 
+Oct.-Dec. 1988 CODEN JSYCEH ISSN 0747-7171
+  keywords = "axiomref",
 
 \end{chunk}
 
-\subsection{K} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Kalkbrener 91]{Kal91} Kalkbrener, M.
-``Three contributions to elimination theory''
-Ph. D. Thesis, University of Linz, Austria, 1991
+\bibitem[Sit 89]{Sit89} Sit, W.Y.
+``On Goldman's algorithm for solving first-order multinomial
+autonomous systems'' In Mora [Mor89], pp386-395 ISBN 3-540-51083-4
+LCCN QA268.A35 1998 Conference held jointly with ISSAC '88
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Kalkbrener 98]{Kal98} Kalkbrener, M.
-``Algorithmic properties of polynomial rings''
-Journal of Symbolic Computation 1998
+\bibitem[Sit 92]{Sit92} Sit, W.Y.
+``An algorithm for solving parametric linear systems''
+Journal of Symbolic Computations, 13(4) pp353-394, April 1992 CODEN JSYCEH 
+ISSN 0747-7171
+\verb|www.sciencedirect.com/science/article/pii/S0747717108801046/pdf|
+\verb|?md5=00aa65e18e6ea5c4a008c8dfdfcd4b83&|
+\verb|pid=1-s2.0-S0747717108801046-main.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Sit92.pdf|
+  keywords = "axiomref",
+  abstract = "
+    We present a theoretical foundation for studying parametric systesm of
+    linear equations and prove an efficient algorithm for identifying all
+    parametric values (including degnerate cases) for which the system is
+    consistent. The algorithm gives a small set of regimes where for each
+    regime, the solutions of the specialized systems may be given
+    uniformly. For homogeneous linear systems, or for systems were the
+    right hand side is arbitrary, this small set is irredunant. We discuss
+    in detail practical issues concerning implementations, with particular
+    emphasis on simplification of results. Examples are given based on a
+    close implementation of the algorithm in SCRATCHPAD II. We also give a
+    complexity analysis of the Gaussian elimination method and compare
+    that with our algorithm."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Kantor 89]{Kan89} Kantor,I.L.; Solodovnikov, A.S.
-``Hypercomplex Numbers''
-Springer Verlag Heidelberg, 1989, ISBN 0-387-96980-2
+\bibitem[Sit 06]{Sit06} Sit, Emil
+``Tools for Repeatable Research''
+\verb|www.emilsit.net/blog/archives/tools-for-repeatable-research|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Kaufmann 00]{KMJ00} Kaufmann, Matt; Manolios, Panagiotis; 
-Moore J Strother
-``Computer-Aided Reasoning: An Approach''
-Springer, July 31. 2000 ISBN 0792377443
+\bibitem[Smedley 92]{Sme92} Smedley, Trevor J.
+``Using pictorial and object oriented programming for computer algebra''
+In Hal Berghel et al., editors. Applied computing --
+technologicial challenges of the 199s: proceedings of the 1992 ACM/SIGAPP
+Symposium on Applied Computing, Kansas City Convention Center, March 1-3, 1992
+pp1243-1247. ACM Press, New York, NY 10036, USA, 1992. ISBN 0-89791-502-X
+LCCN QA76.76.A65 S95 1992
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Knuth 71]{Knu71} Knuth, Donald
-``The Art of Computer Programming''
-2nd edition Vol. 2 (Seminumerical Algorithms) 1st edition, 2nd printing, 
-Addison-Wesley 1971, p. 397-398
+\bibitem[Smith 07]{SDJ07} Smith, Jacob; Dos Reis, Gabriel; Jarvi, Jaakko
+``Algorithmic differentiation in Axiom''
+ACM SIGSAM ISSAC Proceedings 2007 Waterloo, Canada 2007 pp347-354 
+ISBN 978-1-59593-743-8
+%\verb|axiom-developer.org/axiom-website/papers/SDJ07.pdf|
+  keywords = "axiomref",
+  abstract = "
+    This paper describes the design and implementation of an algorithmic
+    differentiation framework in the Axiom computer algebra system. Our
+    implementation works by transformations on Spad programs at the level
+    of the typed abstract syntax tree."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Knuth 84]{Knu84} Knuth, Donald
-{\it The \TeX{}book}.
-Reading, Massachusetts, Addison-Wesley Publishing Company, Inc., 
-1984. ISBN 0-201-13448-9
+\bibitem[SSC92]{SSC92}.
+``Algorithmic Methods For Lie Pseudogroups'' 
+In N. Ibragimov, M. Torrisi and A. Valenti, editors, Proc. Modern Group
+Analysis: Advanced Analytical and Computational Methods in Mathematical
+Physics, pp337-344, Acireale (Italy), 1992 Kluwer, Dordrecht 1993
+\verb|iaks-www.ira.uka.de/iaks-calmet/werner/Papers/Acireale92.ps.gz|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@book{Knut92,
-  author = "Knuth, Donald E.",
-  title = "Literate Programming",
-  publisher = "Center for the Study of Language and Information, Stanford CA",
-  year = "1992",
-  isbn = "0-937073-81-4"
-} 
+\begin{chunk}{ignore}
+\bibitem[SSV87]{SSV87} Senechaud, P.; Siebert, F.; Villard G.
+``Scratchpad II: Pr{\'e}sentation d'un nouveau langage de calcul formel''
+Technical Report 640-M, TIM 3 (IMAG), Grenoble, France, Feb 1987
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Knu98]{Knu98} Donald Knuth
-``The Art of Computer Programming'' Vol. 3
-(Sorting and Searching)
-Addison-Wesley 1998
+\bibitem[Steele]{Steele} Steele, Guy L.; Gabriel, Richard P.
+``The Evolution of Lisp''
+\verb|www.dreamsongs.com/Files/HOPL2-Uncut.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Kobayashi 89]{Koba89} Kobayashi, H.; Moritsugu, S.; Hogan, R.W.
-``On Radical Zero-Dimensional Ideals''
-J. Symbolic Computations 8, 545-552 (1989)
-\verb|www.sciencedirect.com/science/article/pii/S0747717189800604/pdf|
-\verb|?md5=f06dc6269514c90dcae57f0184bcbe65&|
-\verb|pid=1-s2.0-S0747717189800604-main.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Koba88.pdf|
+\bibitem[Sutor 85]{Sut85} Sutor, R.S.
+``The Scratchpad II computer algebra language and system''
+In Buchberger and Caviness [BC85], pp32-33 ISBN 0-387-15983-5 (vol. 1),
+0-387-15984-3 (vol. 2) LCCN QA155.7.E4 E86 1985 Two volumes.
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Kolchin 73]{Kol73} Kolchin, E.R.
-``Differential Algebra and Algebraic Groups''
-(Academic Press, 1973).
+\bibitem[Sutor 87a]{SJ87a} Sutor, R. S.; Jenks, R. D.
+``The type inference and coercion facilities in
+the Scratchpad II interpreter'' In Wexelblat [Wex87], pp56-63
+ISBN 0-89791-235-7 LCCN QA76.7.S54 v22:7 SIGPLAN Notices, v22 n7 (July 1987)
+%\verb|axiom-developer.org/axiom-website/papers/SJ87a.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Koutschan 10]{Kou10} Koutschan, Christoph
-``Axiom / FriCAS''
-\verb|www.risc.jku.at/education/courses/ws2010/cas/axiom.pdf|
+\bibitem[Sutor 87b]{Su87} Sutor, Robert S.
+``The Scratchpad II Computer Algebra System. Using and
+Programming the Interpreter''
+IBM Course presentation slide deck Spring 1987
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Kozen 86]{KL86} Kozen, Dexter; Landau, Susan
-``Polynomial Decomposition Algorithms''
-Journal of Symbolic Computation (1989) 7, 445-456
+\bibitem[Sutor 87c]{SJ87c} Sutor, Robert S.; Jenks, Richard
+``The type inference and coercion facilities
+in the Scratchpad II interpreter'' 
+Research report RC 12595 (\#56575),
+IBM Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1987, 11pp
+%\verb|axiom-developer.org/axiom-website/papers/SJ87c.pdf|
+  keywords = "axiomref",
+  abstract = "
+    The Scratchpad II system is an abstract datatype programming language,
+    a compiler for the language, a library of packages of polymorphic
+    functions and parameterized abstract datatypes, and an interpreter
+    that provides sophisticated type inference and coercion facilities.
+    Although originally designed for the implementation of symbolic
+    mathematical algorithms, Scratchpad II is a general purpose
+    programming language. This paper discusses aspects of the
+    implementation of the intepreter and how it attempts to provide a user
+    friendly and relatively weakly typed front end for the strongly typed
+    programming language."
 
 \end{chunk}
 
-\subsection{L} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\begin{chunk}{ignore}
+\bibitem[Sutor 88]{Su88} Sutor, Robert S.
+``A guide to programming in the scratchpad 2 interpreter''
+IBM Manual, March 1988
+  keywords = "axiomref",
 
+\end{chunk}
 
-\begin{chunk}{axiom.bib}
-@book{Lamp86,
-  author = "Lamport, Leslie",
-  title = "LaTeX: A Document Preparation System",
-  publisher = "Addison-Wesley Publishing Company, Reading, Massachusetts",
-  year = "1986",
-  isbn = "0-201-15790-X"
-}
+\subsection{T} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\begin{chunk}{ignore}
+\bibitem[Thompson 00]{Tho00} Thompson, Simon
+``Logic and dependent types in the Aldor Computer Algebra System''
+%\verb|axiom-developer.org/axiom-website/papers/Tho00.pdf|
+  keywords = "axiomref",
+  abstract = "
+    We show how the Aldor type system can represent propositions of
+    first-order logic, by means of the 'propositions as types'
+    correspondence. The representation relies on type casts (using
+    pretend) but can be viewed as a prototype implementation of a modified
+    type system with {\sl type evaluation} reported elsewhere. The logic
+    is used to provide an axiomatisation of a number of familiar Aldor
+    categories as well as a type of vectors."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Lautrup 71]{Lau71} Lautrup B.
-``An Adaptive Multi-dimensional Integration Procedure''
-Proc. 2nd Coll. on Advanced Methods in Theoretical Physics, Marseille. (1971) 
+\bibitem[Thompson (a)]{TTxx} Thompson, Simon; Timochouk, Leonid
+``The Aldor\-\- language''
+%\verb|axiom-developer.org/axiom-website/papers/TTxx.pdf|
+  keywords = "axiomref",
+  abstract = "
+    This paper introduces the \verb|Aldor--| language, which is a
+    functional programming language with dependent types and a powerful,
+    type-based, overloading mechanism. The language is built on a subset
+    of Aldor, the 'library compiler' language for the Axiom computer
+    algebra system. \verb|Aldor--| is designed with the intention of
+    incorporating logical reasoning into computer algebra computations.
+    
+    The paper contains a formal account of the semantics and type system
+    of \verb|Aldor--|; a general discussion of overloading and how the
+    overloading in \verb|Aldor--| fits into the general scheme; examples
+    of logic within \verb|Aldor--| and notes on the implementation of the
+    system."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Lawson 77]{Law77} Lawson C L.
-``Software for C  Surface Interpolation''
-Mathematical Software III. (ed J R Rice) Academic Press. 161--194. (1977) 
+\bibitem[Touratier 98]{Tou98} Touratier, Emmanuel
+``Etude du typage dans le syst\`eme de calcul scientifique Aldor''
+Universit\'e de Limoges 1998
+%\verb|axiom-developer.org/axiom-website/papers/Tou98.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
+\subsection{V} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Lawson 74]{LH74} Lawson C L.;  Hanson R J.
-``Solving Least-squares Problems''
-Prentice-Hall. (1974) 
+\bibitem[van der Hoeven 14]{JvdH14} van der Hoeven, Joris
+``Computer algebra systems and TeXmacs''
+\verb|www.texmacs.org/tmweb/plugins/cas.en.html|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@article{Laws79,
-  author = "Lawson, C.L. and Hanson R.J. and Kincaid, D.R. and Krogh, F.T.",
-  title = "Algorithm 539: Basic linear algebra subprograms for FORTRAN usage",
-  journal = "ACM Transactions on Mathematical Software",
-  volume = "5",
-  number = "3",
-  month = "September",
-  year = "1979",
-  pages = "308-323"
+@article{Hoei94,
+  author = "{van Hoeij}, M.",
+  title = "An algorithm for computing an integral basis in an algebraic 
+           function field",
+  journal = "Journal of Symbolic Computation",
+  volume = "18",
+  number = "4",
+  year = "1994",
+  pages = "353-363",
+  issn = "0747-7171",
+  keywords = "axiomref",
+  paper = "Hoei94.pdf",
+  abstract = "
+    Algorithms for computing integral bases of an algebraic function field
+    are implemented in some computer algebra systems. They are used e.g.
+    for the integration of algebraic functions. The method used by Maple
+    5.2 and AXIOM is given by Trager in [Trag84]. He adapted an algorithm
+    of Ford and Zassenhaus [Ford, 1978], that computes the ring of
+    integers in an algebraic number field, to the case of a function field.
+
+    It turns out that using algebraic geometry one can write a faster
+    algorithm. The method we will give is based on Puiseux expansions.
+    One cas see this as a variant on the Coates' algorithm as it is
+    described in [Davenport, 1981]. Some difficulties in computing with
+    Puiseux expansions can be avoided using a sharp bound for the number
+    of terms required which will be given in Section 3. In Section 5 we
+    derive which denominator is needed in the integral basis. Using this
+    result 'intermediate expression swell' can be avoided.
+
+    The Puiseux expansions generally introduce algebraic extensions. These
+    extensions will not appear in the resulting integral basis."
 }
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Lawson 79]{LHKK79} Lawson C L; Hanson R J; Kincaid D R;
- Krogh F T
-``Basic Linear Algebra Subprograms for Fortran Usage''
-ACM Trans. Math. Softw. 5 308--325. (1979)
+\begin{chunk}{axiom.bib}
+@misc{Hoei08,
+  author = "{van Hoeij}, Mark and Novocin, Andrew",
+  title = "A Reduction Algorithm for Algebraic Function Fields",
+  year = "2008",
+  month = "April",
+  url = "http://andy.novocin.com/pro/algext.pdf",
+  paper = "Hoei08.pdf",
+  abstract = "
+    Computer algebra systesm often produce large expressions involving
+    complicated algebraic numbers. In this paper we study variations of
+    the {\tt polred} algorithm that can often be used to find better
+    representations for algebraic numbers. The main new algorithm
+    presented here is an algorithm that treats the same problem for the
+    function field case."
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Lazard 91]{Laz91} Lazard, D.
-``A new method for solving algebraic systems of positive dimension''
-Discr. App. Math. 33:147-160,1991
+\bibitem[Vasconcelos 99]{Vas99} Vasconcelos, Wolmer
+``Computational Methods in Commutative Algebra and Algebraic Geometry''
+Springer, Algorithms and Computation in Mathematics, Vol 2 1999
+ISBN 3-540-21311-2
+  keywords = "axiomref",
 
 \end{chunk}
 
+\subsection{W} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Lazard92]{Laz92} Lazard, D.
-``Solving Zero-dimensional Algebraic Systems''
-Journal of Symbolic Computation, 1992, 13, 117-131
+\bibitem[Wang 89]{Wan89} Wang, D.
+``A program for computing the Liapunov functions and Liapunov
+constants in Scratchpad II''
+SIGSAM Bulletin (ACM Special Interest Group
+on Symbolic and Algebraic Manipulation), 23(4) pp25-31, Oct. 1989,
+CODEN SIGSBZ ISSN 0163-5824
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Laza90,
-  author = "Lazard, Daniel and Rioboo, Renaud",
-  title = "Integration of rational functions: Rational computation of the logarithmic part",
-  journal = "Journal of Symbolic Computation",
-  volume = "9",
-  number = "2",
-  year = "1990",
-  month = "February",
-  pages = "113-115",
+\begin{chunk}{ignore}
+\bibitem[Wang 91]{Wan91} Wang, Dongming 
+``Mechanical manipulation for a class of differential systems''
+Journal of Symbolic Computation, 12(2) pp233-254 Aug. 1991
+CODEN JSYCEH ISSN 0747-7171
   keywords = "axiomref",
-  paper = "Laza90.pdf"
-}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A new formula is given for the logarithmic part of the integral of a
-rational function, one that strongly improves previous algorithms and
-does not need any computation in an algebraic extension of the field
-of constants, nor any factorisation since only polynomial arithmetic
-and GCD computations are used. This formula was independently found
-and implemented in SCRATCHPAD by B.M. Trager.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@article{LeBr88,
-  author =  "Le Brigand, D.; Risler, J.J.",
-  title = "Algorithme de Brill-Noether et codes de Goppa",
-  journal = "Bull. Soc. Math. France",
-  volume = "116",
-  year = "1988",
-  pages = "231--253"
-}
+\begin{chunk}{ignore}
+\bibitem[Wang 92]{Wan92} Wang, Paul S. (ed)
+International System Symposium on Symbolic and
+Algebraic Computation 92 ACM Press, New York, NY 10036, USA, 1992
+ISBN 0-89791-489-9 (soft cover), 0-89791-490-2 (hard cover), 
+LCCN QA76.95.I59 1992
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@book{Lege11,
-  author = "Legendre, George L. and Grazini, Stefano",
-  title = "Pasta by Design",
-  publisher = "Thames and Hudson",
-  isbn = "978-0-500-51580-8",
-  year = "2011"
-}
+\begin{chunk}{ignore}
+\bibitem[Watanabe 90]{WN90} Watanabe, Shunro; Nagata, Morio; (ed)
+ISSAC '90 Proceedings of the
+International Symposium on Symbolic and Algebraic Computation ACM Press,
+New York, NY, 10036, USA. 1990 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Lenstra 87]{LS87} Lenstra, H. W.; Schoof, R. J.
-``Primitivive Normal Bases for Finite Fields''
-Math. Comp. 48, 1987, pp. 217-231
+\bibitem[Watt 85]{Wat85} Watt, Stephen
+``Bounded Parallelism in Computer Algebra''
+PhD Thesis, University of Waterloo
+\verb|www.csd.uwo.ca/~watt/pub/reprints/1985-smw-phd.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Leop03,
-  author = "Leopardi, Paul",
-  title = "A quick introduction to Clifford Algebras",
-  publisher = "School of Mathematics, University of New South Wales",
-  year = "2003",
-  paper = "Leop03.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Watt 86]{Wat86} Watt, S.M.; Della Dora, J.
+``Algebra Snapshot: Linear Ordinary Differential Operators''
+Scratchpad II Newsletter: Vol 1 Num 2 (Jan 1986)
+\verb|www.csd.uwo.ca/~watt/pub/reprints/1986-snews-lodo.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Lewis 77]{Lew77} Lewis J G,
-``Algorithms for sparse matrix eigenvalue problems''
-Technical Report STAN-CS-77-595. Computer Science Department, 
-Stanford University. (1977) 
+\bibitem[Watt 87]{Wat87} Watt, Stephen
+``Domains and Subdomains in Scratchpad II''
+in [Wit87], pp3-5
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Lidl 83]{LN83} Lidl, R.; Niederreiter, H.
-``Finite Field, Encycoldia of Mathematics and Its Applications''
-Vol. 20, Cambridge Univ. Press, 1983 ISBN 0-521-30240-4
+\bibitem[Watt 87a]{WB87} Watt, Stephen M.; Burge, William H.
+``Mapping as First Class Objects''
+in [Wit87], pp13-17
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Linger 79]{LMW79} Linger, Richard C.; Mills, Harlan D.; 
-Witt, Bernard I.
-``Structured Programming: Theory and Practice''
-Addison-Wesley (March 1979) ISBN 0201144611
+\bibitem[Watt 89]{Wat89} Watt, S. M. 
+``A fixed point method for power series computation''
+In Gianni [Gia89], pp206-217 ISBN 3-540-51084-2 LCCN QA76.95.I57 
+1988 Conference held jointly with AAECC-6
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Lipson 81]{Lip81} Lipson, D.
-``Elements of Algebra and Algebraic Computing''
-The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
+\bibitem[Watt 90]{WJST90} Watt, S.M.; Jenks, R.D.; Sutor, R.S.; Trager B.M.
+``The Scratchpad II type system: Domains and subdomains''
+in A.M. Miola, editor Computing Tools
+for Scientific Problem Solving, Academic Press, New York, 1990
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Loet09,
-  author = "Loetzsch, Martin and Bleys, Joris and Wellens, Pieter",
-  title = "Understanding the Dynamics of Complex Lisp Programs",
-  year = "2009",
-  url = "http://www.martin-loetzsch.de/papers/loetzsch09understanding.pdf",
-  paper = "Loet09.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Watt 91]{Wat91} Watt, Stephen M. (ed)
+Proceedings of the 1991 International Symposium on
+Symbolic and Algebraic Computation, ISSAC'91, July 15-17, 1991, Bonn, Germany,
+ACM Press, New York, NY 10036, USA, 1991 ISBN 0-89791-437-6 
+LCCN QA76.95.I59 1991
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Loet00,
-  author = "Loetzsch, M.",
-  title = "GTFL - A graphical terminal for Lisp",
-  year = "2000",
-  url = "http://martin-loetzsch.de/gtfl"
-}
+\begin{chunk}{ignore}
+\bibitem[Watt 94a]{Wat94a} Watt, Stephen M.; Dooley, S.S.; Morrison, S.C.;
+Steinback, J.M.; Sutor, R.S.
+``A\# User's Guide''
+Version 1.0.0 O($\epsilon{}^1$) June 8, 1994
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@book{Losc60,
-  author = {L\"osch, Friedrich},
-  title = "Tables of Higher Functions",
-  publisher = "McGraw-Hill Book Company",
-  year = "1960"
-}
+\begin{chunk}{ignore}
+\bibitem[Watt 94b]{Wat94} Watt, Stephen M.; Broadbery, Peter A.; 
+Dooley, Samuel S.; Iglio, Pietro
+``A First Report on the A\# Compiler (including benchmarks)''
+IBM Research Report RC19529 (85075) May 12, 1994
+%\verb|axiom-developer.org/axiom-website/papers/Wat94.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[LTU10]{LTU10}.
-``Lambda the Ultimate''
-\verb|lambda-the-ultimate.org/node/3663#comment-62440|
+\bibitem[Watt 94c]{Wat94c} Watt, Stephen M.
+``A\# Language Reference Version 0.35''
+IBM Research Division Technical Report RC19530 May 1994
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@book{Luke69a,
-  author = "Luke, Yudell L.",
-  title = "The Special Functions and their Approximations",
-  volume = "1",
-  publisher = "Academic Press",
-  year = "1969",
-  booktitle = "Mathematics in Science and Engineering Volume 53-I"
-}
+\begin{chunk}{ignore}
+\bibitem[Watt 95]{Wat95} Watt, S.M.; Broadbery, P.A.; Dooley, S.S.; Iglio, P. 
+Steinbach, J.M.; Morrison, S.C.; Sutor, R.S.
+``AXIOM Library Compiler Users Guide''
+The Numerical Algorithms Group (NAG) Ltd, 1994
+  keywords = "axiomref",
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@book{Luke69b,
-  author = "Luke, Yudell L.",
-  title = "The Special Functions and their Approximations",
-  volume = "2",
-  publisher = "Academic Press",
-  year = "1969",
-  booktitle = "Mathematics in Science and Engineering Volume 53-I"
-}
+\begin{chunk}{ignore}
+\bibitem[Watt 01]{Wat01} Watt, Stephen M.; Broadbery, Peter A.; Iglio, Pietro;
+Morrison, Scott C.; Steinbach, Jonathan M.
+``FOAM: A First Order Abstract Machine Version 0.35''
+IBM T. J. Watson Research Center (2001)
+%\verb|axiom-developer.org/axiom-website/papers/Wat01.pdf|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Lyness 83]{Lyn83} Lyness J N.
-``When not to use an automatic quadrature routine''
-SIAM Review. 25 63--87. (1983) 
+\bibitem[Weber 92]{Webe92} Weber, Andreas
+``Type Systems for Computer Algebra''
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber92a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe92.pdf|
+  keywords = "axiomref",
+  abstract = "
+    An important feature of modern computer algebra systems is the support
+    of a rich type system with the possibility of type inference. Basic
+    features of such a type system are polymorphism and coercion between
+    types. Recently the use of order-sorted rewrite systems was proposed
+    as a general framework. We will give a quite simple example of a
+    family of types arising in computer algebra whose coercion relations
+    cannot be captured by a finite set of first-order rewrite rules."
 
 \end{chunk}
 
-\subsection{M} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Mac Lane 79]{MB79} Mac Lane, Saunders; Birkhoff, Garret
-``Algebra''
-AMS Chelsea Publishing ISBN 0821816462
+\bibitem[Weber 92b]{Webe92b} Weber, Andreas
+``Structuring the Type System of a Computer Algebra System''
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber92a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe92b.pdf|
+  keywords = "axiomref",
+  abstract = "
+    Most existing computer algebra systems are pure symbol manipulating
+    systems without language support for the occuring types. This is
+    mainly due to the fact taht the occurring types are much more
+    complicated than in traditional programming languages. In the last
+    decade the study of type systems has become an active area of
+    research. We will give a proposal for a type system showing that
+    several problems for a type system of a symbolic computation system
+    can be solved by using results of this research. We will also provide
+    a variety of examples which will show some of the problems that remain
+    and that will require further research."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Malcolm 72]{Mal72} Malcolm M. A.
-``Algorithms to reveal properties of floating-point arithmetic''
-Comms. of the ACM, 15, 949-951.  (1972) 
+\bibitem[Weber 93b]{Webe93b} Weber, Andreas
+``Type Systems for Computer Algebra''
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber93b.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe93b.pdf|
+  keywords = "axiomref",
+  abstract = "
+    We study type systems for computer algebra systems, which frequently
+    correspond to the ``pragmatically developed'' typing constructs used
+    in AXIOM.  A central concept is that of {\sl type classes} which
+    correspond to AXIOM categories. We will show that types can be
+    syntactically described as terms of a regular order-sorted signature
+    if no type parameters are allowed. Using results obtained for the
+    functional programming language Haskell we will show that the problem
+    of {\sl type inference} is decidable. This result still holds if
+    higher-order functions are present and {\sl parametric polymorphism}
+    is used. These additional typing constructs are useful for further
+    extensions of existing computer algebra systems: These typing concepts
+    can be used to implement category theoretic constructs and there are
+    many well known constructive interactions between category theory and
+    algebra."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Malcolm 76]{MS76} Malcolm M A.; Simpson R B.
-``Local Versus Global Strategies for Adaptive Quadrature''
-ACM Trans. Math. Softw. 1 129--146. (1976) 
+\bibitem[Weber 94]{Web94} Weber, Andreas
+``Algorithms for Type Inference with Coercions''
+ISSAC 94 ACM 0-89791-638-7/94/0007
+%\verb|axiom-developer.org/axiom-website/papers/Web94.pdf|
+  keywords = "axiomref",
+  abstract = "
+    This paper presents algorithms that perform a type inference for a
+    type system occurring in the context of computer algebra. The type
+    system permits various classes of coercions between types and the
+    algorithms are complete for the precisely defined system, which can be
+    seen as a formal description of an important subset of the type system
+    supported by the computer algebra program Axiom.
+
+    Previously only algorithms for much more restricted cases of coercions
+    have been described or the frameworks used have been so general that
+    the corresponding type inference problems were known to be
+    undecidable."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Marden 66]{Mar66} Marden M.
-``Geometry of Polynomials''
-Mathematical Surveys. 3 Am. Math. Soc., Providence, RI. (1966)
+\bibitem[Weber 95]{Webe95} Weber, A.
+``On coherence in computer algebra''
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber94e.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe95.pdf|
+  keywords = "axiomref",
+  abstract = "
+    Modern computer algebra systems (e.g. AXIOM) support a rich type
+    system including parameterized data types and the possibility of
+    implicit coercions between types. In such a type system it will be
+    frequently the case that there are different ways of building
+    coercions between types. An important requirement is that all
+    coercions between two types coincide, a property which is called {\sl
+    coherence}. We will prove a coherence theorem for a formal type system
+    having several possibilities of coercions covering many important
+    examples. Moreover, we will give some informal reasoning why the
+    formally defined restrictions can be satisfied by an actual system."
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Mars07,
-  author = "Marshak, U.",
-  title = "HT-AJAX - AJAX framework for Hunchentoot",
-  year = "2007",
-  url = "http://common-lisp.net/project/ht-ajax/ht-ajax.html"
-}
+\begin{chunk}{ignore}
+\bibitem[Weber 96]{Webe96} Weber, Andreas
+``Computing Radical Expressions for Roots of Unity''
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber96a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe96.pdf|
+  keywords = "axiomref",
+  abstract = "
+    We present an improvement of an algorithm given by Gauss to compute a
+    radical expression for a $p$-th root of unity. The time complexity of
+    the algorithm is $O(p^3m^6log p)$, where $m$ is the largest prime
+    factor of $p-1$."
 
 \end{chunk}
 
+
 \begin{chunk}{ignore}
-\bibitem[Maza 95]{MR95} Maza, M. Moreno; Rioboo, R.
-``Computations of gcd over algebraic towers of simple extensions''
-In proceedings of AAECC11 Paris, 1995.
+\bibitem[Weber 99]{Webe99} Weber, Andreas
+``Solving Cyclotomic Polynomials by Radical Expressions''
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/|
+\verb|WeberA/WeberKeckeisen99a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe99.pdf|
+  keywords = "axiomref",
+  abstract = "
+    We describe a Maple package that allows the solution of cyclotomic
+    polynomials by radical expressions. We provide a function that is an
+    extension of the Maple {\sl solve} command. The major algorithmic
+    ingredient of the package is an improvement of a method due to Gauss
+    which gives radical expressions for roots of unity. We will give a
+    summary for computations up to degree 100, which could be done within
+    a few hours of cpu time on a standard workstation."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Maza 97]{Maz97} Maza, M. Moreno
-``Calculs de pgcd au-dessus des tours
-d'extensions simples et resolution des systemes d'equations algebriques''
-These, Universite P.etM. Curie, Paris, 1997.
+\bibitem[Wei-Jiang 12]{WJ12} Wei-Jiang
+``Top free algebra System''
+\verb|wei-jiang.com/it/software/top-free-algebra-system-bye-mathematica-bye-maple|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Maza 98]{Maz98} Maza, M. Moreno
-``A new algorithm for computing triangular
-decomposition of algebraic varieties''
- NAG Tech. Rep. 4/98.
+\bibitem[Wester 99]{Wes99} Wester, Michael J.
+``Computer Algebra Systems''
+John Wiley and Sons 1999 ISBN 0-471-98353-5
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Mignotte 82]{Mig82} Mignotte, Maurice
-``Some Useful Bounds''
-Computing, Suppl. 4, 259-263 (1982), Springer-Verlag
+\bibitem[Wexelblat 87]{Wex87} Wexelblat, Richard L. (ed)
+Proceedings of the SIGPLAN '87 Symposium on
+Interpreter and Interpretive Techniques, St. Paul, Minnesota, June 24-26, 1987
+ACM Press, New York, NY 10036, USA, 1987 ISBN 0-89791-235-7
+LCCN QA76.7.S54 v22:7 SIGPLAN Notices, vol 22, no 7 (July 1987)
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[McCarthy 83]{McC83} McCarthy G J.
-``Investigation into the Multigrid Code MGD1''
-Report AERE-R 10889. Harwell. (1983)
+\bibitem[Wityak 87]{Wit87} Wityak, Sandra
+``Scratchpad II Newsletter''
+Volume 2, Number 1, Nov 1987
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Mie97]{Mie97} Mielenz, Klaus D.
-``Computation of Fresnel Integrals''
-J. Res. Natl. Inst. Stand. Technol. (NIST) V102 No3 May-June 1997 pp363-365
+\bibitem[WWW1]{WWW1}.
+Software Preservation Group
+\verb|www.softwarepresentation.org/projects/LISP/common_lisp_family|
+  keywords = "axiomref",
 
 \end{chunk}
 
+\subsection{Y} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Mie00]{Mie00} Mielenz, Klaus D.
-``Computation of Fresnel Integrals II''
-J. Res. Natl. Inst. Stand. Technol. (NIST) V105 No4 July-Aug 2000 pp589-590
+\bibitem[Yap 00]{Yap00} Yap, Chee Keng 
+``Fundamental Problems of Algorithmic Algebra''
+Oxford University Press (2000) ISBN0-19-512516-9
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Millen 68]{Mil68} Millen, J. K.
-``CHARYBDIS: A LISP program to display mathematical expressions on 
-typewriter-like devices''
-Interactive Systems for Experimental and Applied Mathematics
-M. Klerer and J. Reinfelds, eds., Academic Press, New York 1968, pp79-90
-%\verb|axiom-developer.org/axiom-website/papers/Mil68.pdf|
+\bibitem[Yapp 07]{Yapp07} Yapp, Clifford; Hebisch, Waldek; Kaminski, Kai
+``Literate Programming Tools Implemented in ANSI Common Lisp''
+\verb|brlcad.org/~starseeker/cl-web-v0.8.lisp.pamphlet|
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Minc 79]{Min79} Henryk Minc
-``Evaluation of Permanents''
-Proc. of the Edinburgh Math. Soc.(1979), 22/1 pp 27-32.
+\bibitem[Yun 83]{Yun83} Yun, David Y.Y.
+``Computer Algebra and Complex Analysis''
+Computational Aspects of Complex Analysis pp379-393
+D. Reidel Publishing Company H. Werner et. al. (eds.)
+  keywords = "axiomref",
 
 \end{chunk}
 
+\subsection{Z} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[More 74]{MGH74} More J J.; Garbow B S.;  Hillstrom K E.
-``User Guide for Minpack-1''
-ANL-80-74 Argonne National Laboratory. (1974)
+\bibitem[Zen92]{Zen92} Zenger, Ch.
+``Gr{\"o}bnerbasen f{\"u}r Differentialformen und ihre
+Implementierung in AXIOM'' 
+Diplomarbeit, Universit{\"a}t Karlsruhe,
+Karlsruhe, Germany, 1992
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Mikhlin 67]{MS67} Mikhlin S G.; Smolitsky K L.
-``Approximate Methods for the Solution of Differential and 
-Integral Equations''
-Elsevier.  (1967)
+\bibitem[Zip92]{Zip92} Zippel, Richard
+``Algebraic Computation''
+(unpublished) Cornell University Ithaca, NY Sept 1992
+  keywords = "axiomref",
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Mitchell 80]{MG80} Mitchell A R.; Griffiths D F.
-``The Finite Difference Method in Partial Differential Equations''
-Wiley. (1980)
+\bibitem[Zwi92]{Zwi92} Zwillinger, Daniel
+``Handbook of Integration''
+Jones and Bartlett, 1992, ISBN 0-86720-293-9
+  keywords = "axiomref",
 
 \end{chunk}
+\section{Axiom Citations of External Sources}
 
-\begin{chunk}{ignore}
-\bibitem[Moler 73]{MS73} Moler C B.;  Stewart G W.
-``An Algorithm for Generalized Matrix Eigenproblems''
-SIAM J. Numer. Anal. 10 241--256. 1973
+\subsection{A} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\begin{chunk}{axiom.bib}
+@article{Abla98,
+  author = "Ablamowicz, Rafal",
+  title = "Spinor Representations of Clifford Algebras: A Symbolic Approach",
+  journal = "Computer Physics Communications",
+  volume = "115",
+  number = "2-3",
+  month = "December",
+  year = "1998",
+  pages = "510-535"
+}
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@article{Muld97,
-  author = "Mulders, Thom",
-  title = "A Note on Subresultants and the Lazard/Rioboo/Trager Formula in Rational Function Integration",
-  journal = "Journal of Symbolic Computation",
-  year = "1997",
-  volume = "24",
+@article{Abra06,
+  author = "Abramov, Sergey A.",
+  title = "In Memory of Manuel Bronstein",
+  journal = "Programming and Computer Software",
+  volume = "32",
   number = "1",
-  month = "July",
-  pages = "45-50",
-  paper = "Muld97.pdf"
+  pages = "56-58",
+  publisher = "Pleiades Publishing Inc",
+  year = "2006",
+  paper = "Abra06.pdf"
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-An ambiguity in a formula of Lazard, Rioboo and Trager, connecting
-subresultants and rational function integration, is indicated and
-examples of incorrect interpretations are given.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Munksgaard 80]{Mun80} Munksgaard N.
-``Solving Sparse Symmetric Sets of Linear Equations by Pre-conditioned 
-Conjugate Gradients''
-ACM Trans. Math. Softw. 6 206--219. (1980) 
+\bibitem[Abramowitz 64]{AS64} Abramowitz, Milton; Stegun, Irene A.
+``Handbook of Mathematical Functions''
+(1964) Dover Publications, NY ISBN 0-486-61272-4
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Murray 72]{Mur72} Murray W, (ed)
-``Numerical Methods for Unconstrained Optimization''
-Academic Press. (1972) 
+\bibitem[Abramowitz 68]{AS68} Abramowitz M; Stegun I A
+``Handbook of Mathematical Functions''
+Dover Publications. (1968) 
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Murtagh 83]{MS83} Murtagh B A.; Saunders M A
-``MINOS 5.0 User's Guide''
-Report SOL 83-20. Department of Operations Research, Stanford University 1983
+\begin{chunk}{axiom.bib}
+@book{Altm05,
+  author = "Altmann, Simon L.",
+  title = "Rotations, Quaternions, and Double Groups",
+  publisher = "Dover Publications, Inc.",
+  year = "2005",
+  isbn = "0-486-44518-6"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Musser 78]{Mus78} Musser, David R.
-``On the Efficiency of a Polynomial Irreducibility Test''
-Journal of the ACM, Vol. 25, No. 2, April 1978, pp. 271-282
+\bibitem[Ames 77]{Ames77} Ames W F
+``Nonlinear Partial Differential Equations in Engineering''
+Academic Press (2nd Edition). (1977)
 
 \end{chunk}
 
-\subsection{N} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Nijenhuis 78]{NW78} Nijenhuis and Wilf
-``Combinatorical Algorithms''
-Academic Press, New York 1978.
+\bibitem[Amos 86]{Amos86} Amos D E
+``Algorithm 644: A Portable Package for Bessel Functions of a Complex 
+Argument and Nonnegative Order''
+ACM Trans. Math. Softw. 12 265--273. (1986)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Nikolai 79]{Nik79} Nikolai P J.
-``Algorithm 538: Eigenvectors and eigenvalues of real generalized 
-symmetric matrices by simultaneous iteration''
-ACM Trans. Math. Softw. 5 118--125. (1979) 
+\bibitem[Anderson 00]{And00} Anderson, Edward
+``Discontinuous Plane Rotations and the Symmetric Eigenvalue Problem''
+LAPACK Working Note 150, University of Tennessee, UT-CS-00-454,
+December 4, 2000.
 
 \end{chunk}
 
-\subsection{O} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{axiom.bib}
-@misc{OCAM14,
-  author = "unknown",
-  title = "The OCAML website",
-  url = "http://ocaml.org"
-}
+\begin{chunk}{ignore}
+\bibitem[Anthony 82]{ACH82} Anthony G T; Cox M G; Hayes J G
+``DASL - Data Approximation Subroutine Library''
+National Physical Laboratory. (1982) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Ollagnier 94]{Olla94} Ollagnier, Jean Moulin
-``Algorithms and methods in differential algebra''
-\verb|www.lix.polytechnique.fr/~moulin/papiers/atelier.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Olla94.pdf|
+\bibitem[Arnon 88]{Arno88} Arno, D.S.; MIgnotte, M.
+``On Mechanical Quantifier Elimination for Elementary Algebra and Geometry''
+J. Symbolic Computation 5, 237-259 (1988)
+\verb|http://www.sciencedirect.com/science/article/pii/S0747717188800142/|
+\verb|pdf?md5=62052077d84e6078cc024bc8e29c23c1&|
+\verb|pid=1-s2.0-S0747717188800142-main.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Arno88.pdf|
+  abstract = "
+    We give solutions to two problems of elementary algebra and geometry:
+    (1) find conditions on real numbers $p$, $q$, and $r$ so that the
+    polynomial function $f(x)=x^4+px^2+qx+r$ is nonnegative for all real
+    $x$ and (2) find conditions on real numbers $a$, $b$, and $c$ so that
+    the ellipse $\frac{(x-e)^2}{q^2}+\frac{y^2}{b^2}-1=0$ lies inside the
+    unit circle $y^2+x^2-1=0$. Our solutions are obtained by following the
+    basic outline of the method of quantifier elimination by cylindrical
+    algebraic decomposition (Collins, 1975), but we have developed, and
+    have been considerably aided by, modified versions of certain of its
+    steps. We have found three equally simple but not obviously equivalent
+    solutions for the first problem, illustrating the difficulty of
+    obtaining unique ``simplest'' solutions to quantifier elimination
+    problems of elementary algebra and geometry."
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Olver 10]{NIST10} Olver, Frank W.; Lozier, Daniel W.; 
-Boisvert, Ronald F.; Clark, Charles W. (ed)
-``NIST Handbook of Mathematical Functions''
-(2010) Cambridge University Press ISBN 978-0-521-19225-5
+\begin{chunk}{axiom.bib}
+@article{Aubr99,
+  author = "Aubry, Phillippe and Lazard, Daniel and {Moreno Maza}, Marc",
+  title = "On the Theories of Triangular Sets",
+  year = "1999",
+  pages = "105-124",
+  journal = "Journal of Symbolic Computation",
+  volume =  "28",
+  url = "http://www.csd.uwo.ca/~moreno/Publications/Aubry-Lazard-MorenoMaza-1999-JSC.pdf",
+  papers = "Aubr99.pdf",
+  abstract = "
+    Different notions of triangular sets are presented. The relationship
+    between these notions are studied. The main result is that four
+    different existing notions of {\sl good} triangular sets are
+    equivalent."
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[OpenM]{OpenM}.
-``OpenMath Technical Overview''
-\verb|www.openmath.org/overview/technical.html|
+\bibitem[Aubry 96]{Aub96} Aubry, Philippe; Maza, Marc Moreno
+``Triangular Sets for Solving Polynomial Systems: a Comparison of Four Methods''
+\verb|www.lip6.fr/lip6/reports/1997/lip6.1997.009.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Aub96.ps|
+  abstract = "
+    Four methods for solving polynomial systems by means of triangular
+    sets are presented and implemented in a unified way. These methods are
+    those of Wu, Lazard, Kalkbrener, and Wang. They are compared on
+    various examples with emphasis on efficiency, conciseness and
+    legibility of the outputs."
 
 \end{chunk}
 
+\subsection{B} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Ortega 70]{OR70} Ortega J M.; Rheinboldt W C.
-``Iterative Solution of Nonlinear Equations in Several Variables''
-Academic Press. (1970)
+\bibitem[Bailey 66]{Bai66} Bailey P B
+``Sturm-Liouville Eigenvalues via a Phase Function''
+SIAM J. Appl. Math . 14 242--249. (1966)
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Ostr1845,
-  author = "Ostrogradsky. M.W.",
-  title = "De l'int\'{e}gration des fractions rationelles.",
-  journal = "Bulletin de la Classe Physico-Math\'{e}matiques de l'Acae\'{e}mie Imp\'{e}riale des Sciences de St. P\'{e}tersbourg,",
-  volume = "IV",
-  pages = "145-167,286-300",
-  year = "1845"
-}
+\begin{chunk}{ignore}
+\bibitem[Baker 96]{BGM96} Baker, George A.; Graves-Morris, Peter
+``Pade Approximants''
+Cambridge University Press, March 1996 ISBN 9870521450072
 
 \end{chunk}
 
-\subsection{P} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{ignore}
-\bibitem[Paige 75]{PS75} Paige C C.; Saunders M A.
-``Solution of Sparse Indefinite Systems of Linear Equations''
-SIAM J. Numer. Anal. 12 617--629. (1975) 
+\begin{chunk}{ignore}
+\bibitem[Baker 10]{Ba10} Baker, Martin
+``3D World Simulation''
+\verb|www.euclideanspace.com|
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Paige 82a]{PS82a} Paige C C.; Saunders M A.
-``LSQR: An Algorithm for Sparse Linear Equations and Sparse Least-squares''
-ACM Trans. Math. Softw. 8 43--71. (1982) 
+\begin{chunk}{axiom.bib}
+@misc{Bake14,
+ author = "Baker, Martin",
+ title = "Axiom Architecture",
+ year = "2014",
+ url = "http://www.euclideanspace.com/prog/scratchpad/internals/ccode"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Paige 82b]{PS82b} Paige C C.; Saunders M A.
-``ALGORITHM 583 LSQR: Sparse Linear Equations and Least-squares Problems''
-ACM Trans. Math. Softw. 8 195--209. (1982) 
+\bibitem[Banks 68]{BK68} Banks D O; Kurowski I
+``Computation of Eigenvalues of Singular Sturm-Liouville Systems''
+Math. Computing. 22 304--310. (1968)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Parker 84]{Par84} Parker, R. A.
-``The Computer Calculation of Modular Characters (The Meat-Axe)''
-M. D. Atkinson (Ed.), Computational Group Theory
-Academic Press, Inc., London 1984
+\bibitem[Bard 74]{Bard74} Bard Y
+``Nonlinear Parameter Estimation''
+Academic Press. 1974
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Parlett 80]{Par80} Parlett B N.
-``The Symmetric Eigenvalue Problem''
-Prentice-Hall. 1980
+\bibitem[Barrodale 73]{BR73} Barrodale I; Roberts F D K
+``An Improved Algorithm for Discrete $ll_1$ Linear Approximation''
+SIAM J. Numer. Anal. 10 839--848. (1973) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Parnas 10]{PJ10} Parnas, David Lorge; Jin, Ying
-``Defining the meaning of tabular mathematical expressions''
-Science of Computer Programming V75 No.11 Nov 2010 pp980-1000 Elesevier
+\bibitem[Barrodale 74]{BR74} Barrodale I; Roberts F D K
+``Solution of an Overdetermined System of Equations in the $ll_1-norm$.''
+Comm.  ACM. 17, 6 319--320. (1974) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Parnas 95]{PM95} Parnas, David Lorge; Madey, Jan
-``Functional Documents for Computer Systems''
-Science of Computer Programming V25 No.1 Oct 1995 pp41-61 Elesevier
+\bibitem[Beauzamy 92]{Bea92} Beauzamy, Bernard
+``Products of polynomials and a priori estimates for
+coefficients in polynomial decompositions: a sharp result''
+J. Symbolic Computation (1992) 13, 463-472
+%\verb|axiom-developer.org/axiom-website/papers/Bea92.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Paul 81]{Paul81} Paul, Richard
-``Robot Manipulators''
-MIT Press 1981
+\bibitem[Beauzamy 93]{Bea93} Beauzamy, Bernard; Trevisan, Vilmar; 
+Wang, Paul S.
+``Polynomial Factorization: Sharp Bounds, Efficient Algorithms''
+J. Symbolic Computation (1993) 15, 393-413
+%\verb|axiom-developer.org/axiom-website/papers/Bea93.pdf|
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@book{Pear56,
-  author = "Pearcey, T.",
-  title = "Table of the Fresnel Integral",
-  publisher = "Cambridge University Press",
-  year = "1956"
+@article{Bert95,
+  author = "Bertrand, Laurent",
+  title = "Computing a hyperelliptic integral using arithmetic in the 
+           jacobian of the curve",
+  journal = "Applicable Algebra in Engineering, Communication and Computing",
+  volume = "6",
+  pages = "275-298",
+  year = "1995",
+  abstract = "
+    In this paper, we describe an efficient algorithm for computing an
+    elementary antiderivative of an algebraic function defined on a
+    hyperelliptic curve. Our algorithm combines B.M. Trager's integration
+    algorithm and a technique for computing in the Jacobian of a
+    hyperelliptic curve introduced by D.G. Cantor. Our method has been
+    implemented and successfully compared to Trager's general algorithm."
 }
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Pereyra 79]{Per79} Pereyra V.
-``PASVA3: An Adaptive Finite-Difference Fortran Program for First Order 
-Nonlinear, Ordinary Boundary Problems''
-Codes for Boundary Value Problems in Ordinary Differential Equations. 
-Lecture Notes in Computer Science.
-(ed B Childs, M Scott, J W Daniel, E Denman and P Nelson) 76
-Springer-Verlag.  (1979) 
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Peters 67a]{Pet67a} Peters G.
-``NPL Algorithms Library''
-Document No. F2/03/A. (1967)
+\bibitem[Berzins 87]{BBG87} Berzins M; Brankin R W; Gladwell I.
+``Design of the Stiff Integrators in the NAG Library''
+Technical Report. TR14/87 NAG. (1987) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Peters 67b]{Pet67b} Peters G.
-``NPL Algorithms Library''
-Document No.F1/04/A (1967) 
+\bibitem[Berzins 90]{Ber90} Berzins M
+``Developments in the NAG Library Software for Parabolic Equations''
+Scientific Software Systems. (ed J C Mason and M G Cox) 
+Chapman and Hall. 59--72.  (1990)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Peters 70]{PW70} Peters G.; Wilkinson J H.
-``The Least-squares Problem and Pseudo-inverses''
-Comput. J. 13 309--316. (1970) 
+\bibitem[Birkhoff 62]{BR62} Birkhoff, G; Rota, G C
+``Ordinary Differential Equations''
+Ginn \& Co., Boston and New York. (1962)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Peters 71]{PW71} Peters G.; Wilkinson J H.
-``Practical Problems Arising in the Solution of Polynomial Equations''
-J. Inst. Maths Applics. 8 16--35. (1971)
+\bibitem[Boyd9 3a]{Boyd93a} Boyd, David W.
+``Bounds for the Height of a Factor of a Polynomial in
+Terms of Bombieri's Norms: I. The Largest Factor''
+J. Symbolic Computation (1993) 16, 115-130
+%\verb|axiom-developer.org/axiom-website/Boyd93a.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Pierce 82]{Pie82} R.S. Pierce
-``Associative Algebras''
-Graduate Texts in Mathematics 88
-Springer-Verlag,  Heidelberg, 1982, ISBN 0-387-90693-2
+\bibitem[Boyd 93b]{Boyd93b} Boyd, David W.
+``Bounds for the Height of a Factor of a Polynomial in
+Terms of Bombieri's Norms: II. The Smallest Factor''
+J. Symbolic Computation (1993) 16, 131-145
+%\verb|axiom-developer.org/axiom-website/Boyd93b.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Piessens 73]{Pie73} Piessens R.
-``An Algorithm for Automatic Integration''
-Angewandte Informatik. 15 399--401. (1973) 
+\bibitem[Braman 02a]{BBM02a} Braman, K.; Byers, R.; Mathias, R. 
+``The Multi-Shift QR Algorithm Part I: Maintaining Well Focused Shifts, 
+and Level 3 Performance''
+SIAM Journal of Matrix Analysis, volume 23, pages 929--947, 2002.
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Piessens 74]{PMB74} Piessens R.;; Mertens I.; Branders M.
-``Integration of Functions having End-point Singularities''
-Angewandte Informatik. 16 65--68. (1974) 
+\bibitem[Braman 02b]{BBM02b} Braman, K.; Byers, R.; Mathias, R.
+``The Multi-Shift QR Algorithm Part II: Aggressive Early Deflation''
+SIAM Journal of Matrix Analysis, volume 23, pages 948--973, 2002.
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Piessens 75]{PB75} Piessens R.; Branders M.
-``Algorithm 002. Computation of Oscillating Integrals''
-J. Comput. Appl. Math. 1 153--164. (1975) 
+\bibitem[Brent 75]{Bre75} Brent, R. P. 
+``Multiple-Precision Zero-Finding Methods and the Complexity 
+of Elementary Function Evaluation, Analytic Computational Complexity''
+J. F. Traub, Ed., Academic Press, New York 1975, 151-176 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Piessens 76]{PVRBM76} Piessens R.; Van Roy-Branders M.; Mertens I.
-``The Automatic Evaluation of Cauchy Principal Value Integrals''
-Angewandte Informatik. 18 31--35. (1976) 
+\bibitem[Brent 78]{BK78} Brent, R. P.; Kung, H. T.
+``Fast Algorithms for Manipulating Formal Power Series''
+Journal of the Association for Computing Machinery, 
+Vol. 25, No. 4, October 1978, 581-595
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Piessens 83]{PDUK83} Piessens R.; De Doncker-Kapenga E.; 
-Uberhuber C.; Kahaner D.
-``QUADPACK, A Subroutine Package for Automatic Integration''
-Springer-Verlag.(1983) 
+\bibitem[Brigham 73]{Bri73} Brigham E O
+``The Fast Fourier Transform''
+Prentice-Hall. (1973)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Polya 37]{Pol37} Polya, G.
-``Kombinatorische Anzahlbestimmungen fur Gruppen,
-Graphen und chemische Verbindungen''
-Acta Math. 68 (1937) 145-254.
+\bibitem[Brillhart 69]{Bri69} Brillhart, John
+``On the Euler and Bernoulli polynomials''
+J. Reine Angew. Math., v. 234, (1969), pp. 45-64
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Powell 70]{Pow70} Powell M J D. 
-``A Hybrid Method for Nonlinear Algebraic Equations''
-Numerical Methods for Nonlinear Algebraic Equations. 
-(ed P Rabinowitz) Gordon and Breach. (1970)
+\bibitem[Brillhart 90]{Bri90} Brillhart, John
+``Note on Irreducibility Testing''
+Mathematics of Computation, vol. 35, num. 35, Oct. 1980, 1379-1381
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Powell 74]{Pow74} Powell M J D.
-``Introduction to Constrained Optimization''
-Numerical Methods for Constrained Optimization. 
-(ed P E Gill and W Murray) Academic Press. pp1-28. 1974
+\bibitem[Bronstein 98a]{Bro98a} Bronstein, M.; Grabmeier, J.; Weispfenning, V. (eds)
+``Symbolic Rewriting Techniques''
+Progress in Computer Science and Applied Logic 15, Birkhauser-Verlag, Basel 
+ISBN 3-7643-5901-3 (1998)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Powell 83]{Pow83} Powell M J D.
-``Variable Metric Methods in Constrained Optimization''
-Mathematical Programming: The State of the Art. 
-(ed A Bachem, M Groetschel and B Korte) Springer-Verlag. pp288--311. 1983
+\bibitem[Bronstein 88]{Bro88} Bronstein, Manual
+``The Transcendental Risch Differential Equation''
+J. Symbolic Computation (1990) 9, pp49-60 Feb 1988
+IBM Research Report RC13460 IBM Corp. Yorktown Heights, NY
+\verb|www.sciencedirect.com/science/article/pii/S0747717108800065|
+%\verb|axiom-developer.org/axiom-website/papers/Bro88.pdf|
+  abstract = "
+    We present a new rational algorithm for solving Risch differential
+    equations in towers of transcendental elementary extensions. In
+    contrast to a recent algorithm by Davenport we do not require a
+    progressive reduction of the denominators involved, but use weak
+    normality to obtain a formula for the denominator of a possible
+    solution. Implementation timings show this approach to be faster than
+    a Hermite-like reduction."
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@inproceedings{Prat73,
-  author = "Pratt, Vaughan R.",
-  title = "Top down operator precedence",
-  booktitle = "Proc. 1st annual ACM SIGACT-SIGPLAN Symposium on Principles of Programming Languages",
-  series = "POPL'73",
-  pages = "41-51",
-  year = "1973",
-  url = "http://hall.org.ua/halls/wizzard/pdf/Vaughan.Pratt.TDOP.pdf",
-  keywords = "axiomref",
-  paper = "Prat73.pdf"
+@techreport{Bron98,
+  author = "Bronstein, Manuel",
+  title = "The lazy hermite reduction",
+  type = "Rapport de Recherche",
+  number = "RR-3562",
+  year = "1998",
+  institution = "French Institute for Research in Computer Science",
+  paper = "Bron98.pdf",
+  abstract = "
+    The Hermite reduction is a symbolic integration technique that reduces
+    algebraic functions to integrands having only simple affine
+    poles. While it is very effective in the case of simple radical
+    extensions, its use in more general algebraic extensions requires the
+    precomputation of an integral basis, which makes the reduction
+    impractical for either multiple algebraic extensions or complicated
+    ground fields. In this paper, we show that the Hermite reduction can
+    be performed without {\sl a priori} computation of either a primitive
+    element or integral basis, computing the smallest order necessary for
+    a particular integrand along the way."
 }
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Press 95]{PTVF95} Press, William H.; Teukolsky, Saul A.; 
-Vetterling, William T.; Flannery, Brian P.
-``Numerical Recipes in C''
-Cambridge University Press (1995) ISBN 0-521-43108-5
-
-\end{chunk}
-
-\begin{chunk}{ignore}
-\bibitem[Pryce 77]{PH77} Pryce J D.; Hargrave B A.
-``The Scale Pruefer Method for one-parameter and multi-parameter eigenvalue 
-problems in ODEs''
-Inst. Math. Appl., Numerical Analysis Newsletter. 1(3)  (1977)
+\begin{chunk}{axiom.bib}
+@misc{Bro98b,
+  author = "Bronstein, Manuel",
+  title = "Symbolic Integration Tutorial",
+  series = "ISSAC'98",
+  year = "1998",
+  address = "INRIA Sophia Antipolis",
+  url = 
+    "http://www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac98.pdf",
+  paper = "Bro98b.pdf"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Pryce 81]{Pry81} Pryce J D. 
-``Two codes for Sturm-Liouville problems''
-Technical Report CS-81-01. Dept of Computer Science, Bristol University (1981)
+\bibitem[Brown 99]{Brow99} Brown, Christopher W.
+``Solution Formula Construction for Truth Invariant CADs''
+Ph.D Thesis, Univ. Delaware (1999)
+\verb|www.usna.edu/Users/cs/wcbrown/research/thesis.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Brow99.pdf|
+  abstract = "
+    The CAD-based quantifier elimination algorithm takes a formula from
+    the elementary theory of real closed fields as input, and constructs a
+    CAD of the space of the formula's unquantified variables. This
+    decomposition is truth invariant with respect to the input formula,
+    meaning that the formula is either identically true or identically
+    false in each cell of the decomposition. The method determines the
+    truth of the input formula for each cell of the CAD, and then uses the
+    CAD to construct a solution formula -- a quantifier free formula that
+    is equivalent to the input formula. This final phase of the algorithm,
+    the solution formula construction phase, is the focus of this thesis.
+
+    An optimal solution formula construction algorithm would be {\sl
+    complete} -- i.e. applicable to any truth-invariant CAD, would be {\sl
+    efficient}, and would produce {\sl simple} solution formulas. Prior to
+    this thesis, no method was available with even two of these three
+    properties. Several algorithms are presented, all addressing problems
+    related to solution formula construction. In combination, these
+    provide an efficient and complete method for constructing solution
+    formulas that are simple in a variety of ways.
+
+    Algorithms presented in this thesis have been implemented using the
+    SACLIB library, and integrated into QEPCAD, a SACLIB-based
+    implementation of quantifier elimination by CAD. Example computations
+    based on these implementations are discussed."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Pryce 86]{Pry86} Pryce J D.
-``Error Estimation for Phase-function Shooting Methods for 
-Sturm-Liouville Problems''
-J. Num. Anal. 6 103--123. (1986)
+\bibitem[Brown 02]{Brow02} Brown, Christopher W.
+``QEPCAD B -- A program for computing with semi-algebraic sets using CADs''
+%\verb|axiom-developer.org/axiom-website/papers/Brow02.pdf|
+  abstract = "
+    This report introduces QEPCAD B, a program for computing with real
+    algebraic sets using cylindrical algebraic decomposition (CAD). QEPCAD
+    B both extends and improves upon the QEPCAD system for quantifier
+    elimination by partial cylindrical algebraic decomposition written by
+    Hoon Hong in the early 1990s. This paper briefly discusses some of the
+    improvements in the implementation of CAD and quantifier elimination
+    vis CAD, and provides somewhat more detail on extensions to the system
+    that go beyond quantifier elimination. The author is responsible for
+    most of the extended features of QEPCAD B, but improvements to the
+    basic CAD implementation and to the SACLIB library on which QEPCAD is
+    based are the results of many people's work."
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@misc{Puff09,
-  author = "Puffinware LLC",
-  title = "Singular Value Decomposition (SVD) Tutorial",
-  url = "http://www.puffinwarellc.com/p3a.htm"
-}
-
-\end{chunk}
-
-\subsection{Q} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{ignore}
-\bibitem[Quintana-Orti 06]{QG06} Quintana-Orti, Gregorio; 
-van de Geijn, Robert
-``Improving the performance of reduction to Hessenberg form''
-ACM Transactions on Mathematical Software, 32(2):180-194, June 2006.
+@article{Burg74,
+  author = "William H. Burge",
+  title = "Stream Processing Functions",
+  year = "1974",
+  month = "January",
+  journal = "IBM Journal of Research and Development",
+  volume = "19",
+  issue = "1",
+  pages = "12-25",
+  papers = "Burg74.pdf",
+  abstract = "
+    One principle of structured programming is that a program should be
+    separated into meaningful independent subprograms, which are then
+    combined so that the relation of the parts to the whole can be clearly
+    established.  This paper describes several alternative ways to compose
+    programs. The main method used is to permit the programmer to denote
+    by an expression the sequence of values taken on by a variable. The
+    sequence is represented by a function called a stream, which is a
+    functional analog of a coroutine. The conventional while and for loops
+    of structured programming may be composed by a technique of stream
+    processing (analogous to list processing), which results in more
+    structured programs than the orignals. This technique makes it
+    possible to structure a program in a natural way into its logically
+    separate parts, which can then be considered independently."
+}
 
 \end{chunk}
 
-\subsection{R} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\subsection{C} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Rabinowitz 70]{Rab70} Rabinowitz P.
-``Numerical Methods for Nonlinear Algebraic Equations''
-Gordon and Breach. (1970)
+\bibitem[Carlson 65]{Car65} Carlson B C
+``On Computing Elliptic Integrals and Functions''
+J Math Phys. 44 36--51. (1965)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Ralston 65]{Ral65} Ralston A.
-``A First Course in Numerical Analysis''
-McGraw-Hill. 87--90. (1965) 
+\bibitem[Carlson 77a]{Car77a} Carlson B C
+``Elliptic Integrals of the First Kind''
+SIAM J Math Anal. 8 231--242. (1977)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Ramakrishnan 03]{Ram03} Ramakrishnan, Maya
-``A Gentle Introduction to Lyapunov Functions''
-ORSUM August 2003
-\verb|www.or.ms.unimelb.edu.au/handouts/lyaptalk.1.pdf|
+\bibitem[Carlson 77b]{Car77b} Carlson B C
+``Special Functions of Applied Mathematics''
+Academic Press. (1977)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Ramsey 03]{Ra03} Ramsey, Norman
-``Noweb--A Simple, Extensible Tool for Literate Programming''
-\verb|www.eecs.harvard.edu/~nr/noweb|
+\bibitem[Carlson 78]{Car78} Carlson B C,
+``Computing Elliptic Integrals by Duplication''
+(Preprint) Department of Physics, Iowa State University. (1978)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Redfield 27]{Red27} Redfield, J.H.
-``The Theory of Group-Reduced Distributions''
-American J. Math., 49 (1927) 433-455.
+\bibitem[Carlson 88]{Car88} Carlson B C,
+``A Table of Elliptic Integrals of the Third Kind''
+Math. Comput. 51 267--280. (1988)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Reinsch 67]{Rei67} Reinsch C H.
-``Smoothing by Spline Functions''
-Num. Math. 10 177--183. (1967) 
+\bibitem[Cauchy 1829]{Cau1829} Augustin-Lux Cauchy
+``Exercices de Math\'ematiques Quatri\`eme Ann\'ee. De Bure Fr\`eres''
+Paris 1829 (reprinted Oeuvres, II S\'erie, Tome IX,
+Gauthier-Villars, Paris, 1891).
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Renka 84]{Ren84} Renka R L.
-``Algorithm 624: Triangulation and Interpolation of Arbitrarily Distributed 
-Points in the Plane''
-ACM Trans. Math. Softw. 10 440--442. (1984) 
+\bibitem[Ch\`eze 07]{Chez07} Ch\'eze, Guillaume; Lecerf, Gr\'egoire
+``Lifting and recombination techniques for absolute factorization''
+Journal of Complexity, VOl 23 Issue 3 June 2007 pp 380-420
+\verb|www.sciencedirect.com/science/article/pii/S0885064X07000465|
+%\verb|axiom-developer.org/axiom-website/papers/Chez07.pdf|
+  abstract = "
+    In the vein of recent algorithmic advances in polynomial factorization
+    based on lifting and recombination techniques, we present new faster
+    algorithms for computing the absolute factorization of a bivariate
+    polynomial. The running time of our probabilistic algorithm is less
+    than quadratic in the dense size of the polynomial to be factored."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Renka 84]{RC84} Renka R L.; Cline A K.
-``A Triangle-based C Interpolation Method''
-Rocky Mountain J. Math. 14 223--237. (1984) 
+\bibitem[Childs 79]{CSDDN79} Childs B; Scott M; Daniel J W; Denman E; 
+Nelson P (eds)
+``Codes for Boundary-value Problems in Ordinary Differential Equations''
+Lecture Notes in Computer Science. 76 (1979) Springer-Verlag
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Reutenauer 93]{Re93} Reutenauer, Christophe
-``Free Lie Algebras''
-Oxford University Press, June 1993 ISBN 0198536798
+\bibitem[Clausen 89]{Cla89} Clausen, M.; Fortenbacher, A.
+``Efficient Solution of Linear Diophantine Equations''
+JSC (1989) 8, 201-216
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Reznick 93]{Rezn93} Reznick, Bruce
-``An Inequality for Products of Polynomials''
-Proc. AMS Vol 117 No 4 April 1993
-%\verb|axiom-developer.org/axiom-website/papers/Rezn93.pdf|
+\bibitem[Clenshaw 55]{Cle55} Clenshaw C W,
+``A Note on the Summation of Chebyshev Series''
+Math. Tables Aids Comput. 9 118--120. (1955) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Rich xx]{Rixx} Rich, A.D.; Jeffrey, D.J.
-``Crafting a Repository of Knowledge Based on Transformation''
-\verb|www.apmaths.uwo.ca/~djeffrey/Offprints/IntegrationRules.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Rixx.pdf|
+\bibitem[Clenshaw 60]{Cle60} Clenshaw C W
+``Curve Fitting with a Digital Computer''
+Comput. J. 2 170--173. (1960)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe the development of a repository of mathematical knowledge
-based on transformation rules. The specific mathematical problem is
-indefinite integration. It is important that the repository be not
-confused with a look-up table. The database of transformation rules is
-at present encoded in Mathematica, but this is only one convenient
-form of the repository, and it could be readily translated into other
-formats. The principles upon which the set of rules is compiled is
-described. One important principle is minimality. The benefits of the
-approach are illustrated with examples, and with the results of
-comparisons with other approaches.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Rich 10]{Ri10} Rich, Albert D.
-``Rule-based Mathematics''
-\verb|www.apmaths.uwo.ca/~arich|
+\bibitem[Clenshaw 62]{Cle62} Clenshaw C W
+``Mathematical Tables. Chebyshev Series for Mathematical Functions''
+HMSO. (1962)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Richardson 94]{RF94} Richardson, Dan; Fitch, John
-``The identity problem for elementary functions and constants''
-ACM Proc. of ISSAC 94 pp285-290 ISBN 0-89791-638-7
+\bibitem[Cline 84]{CR84} Cline A K; Renka R L,
+``A Storage-efficient Method for Construction of a Thiessen Triangulation''
+Rocky Mountain J. Math. 14 119--139. (1984) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Richtmyer 67]{RM67} Richtmyer R D.; Morton K W.
-``Difference Methods for Initial-value Problems''
-Interscience (2nd Edition).  (1967)
+\bibitem[Conway 87]{CCNPW87} Conway, J.; Curtis, R.; Norton, S.; Parker, R.;
+Wilson, R.
+``Atlas of Finite Groups''
+Oxford, Clarendon Press, 1987
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Rioboo 92]{REF-Rio92} Rioboo, R.
-``Real algebraic closure of an ordered field, implementation in Axiom''
-In Wang [Wan92], pp206-215 ISBN 0-89791-489-9 (soft cover)
-In proceedings of the ISSAC'92 Conference, Berkeley 1992 pp. 206-215.
-0-89791-490-2 (hard cover) LCCN QA76.95.I59 1992
+\bibitem[Conway 03]{CS03} Conway, John H.; Smith, Derek, A.
+``On Quaternions and Octonions''
+A.K Peters, Natick, MA. (2003) ISBN 1-56881-134-9
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Rioboo 96]{Rio96} Rioboo, R.
-``Generic computation of the real closure of an ordered field''
-In Mathematics and Computers in Simulation Volume 42, Issue 4-6,
-November 1996.
+\bibitem[Cox 72]{Cox72} Cox M G
+``The Numerical Evaluation of B-splines''
+J. Inst. Math. Appl. 10 134--149. (1972)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Ritt 50]{Ritt50} Ritt, Joseph Fels
-``Differential Algebra''
-AMS Colloquium Publications Volume 33 ISBN 978-0-8218-4638-4
+\bibitem[CH 73]{CH73} Cox M G; Hayes J G
+``Curve fitting: a guide and suite of algorithms for the 
+non-specialist user''
+Report NAC26. National Physical Laboratory.  (1973) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Rote 01]{Rote01} Rote, G\"unter
-``Division-free algorithms for the determinant and the Pfaffian''
-in Computational Discrete Mathematics ISBN 3-540-42775-9 pp119-135
-\verb|page.mi.fu-berlin.de/rote/Papers/pdf/Division-free+algorithms.pdf|
+\bibitem[Cox 74a]{Cox74a} Cox M G
+``A Data-fitting Package for the Non-specialist User''
+Software for Numerical Mathematics. (ed D J Evans) Academic Press. (1974) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Rubey 07]{Rub07} Rubey, Martin
-``Formula Guessing with Axiom''
-April 2007
+\bibitem[Cox 74b]{Cox74b} Cox M G
+``Numerical methods for the interpolation and approximation of data 
+by spline functions''
+PhD Thesis. City University, London. (1975) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Rutishauser 69]{Rut69} Rutishauser H.
-``Computational aspects of F L Bauer's simultaneous iteration method''
-Num. Math. 13 4--13.  (1969) 
+\bibitem[Cox 75]{Cox75} Cox M G
+``An Algorithm for Spline Interpolation''
+J. Inst. Math. Appl. 15 95--108. (1975) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Rutishauser 70]{Rut70} Rutishauser H.
-``Simultaneous iteration method for symmetric matrices''
-Num. Math. 16 205--223. (1970) 
+\bibitem[Cox 77]{Cox77} Cox M G
+``A Survey of Numerical Methods for Data and Function Approximation''
+The State of the Art in Numerical Analysis. (ed D A H Jacobs) 
+Academic Press. 627--668. (1977)
+ keywords = "survey",
 
 \end{chunk}
 
-\subsection{S} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Schafer 66]{Sch66} Schafer, R.D.
-``An Introduction to Nonassociative Algebras''
-Academic Press, New York, 1966
+\bibitem[Cox 78]{Cox78} Cox M G
+``The Numerical Evaluation of a Spline from its B-spline Representation''
+J. Inst. Math. Appl. 21 135--143. (1978) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Schoenberg 53]{SW53} Schoenberg I J.; Whitney A.
-``On Polya Frequency Functions III''
-Trans. Amer. Math. Soc. 74  246--259. (1953) 
+\bibitem[Curtis 74]{CPR74} Curtis A R; Powell M J D; Reid J K
+``On the Estimation of Sparse Jacobian Matrices''
+J. Inst. Maths Applics. 13 117--119. (1974) 
 
 \end{chunk}
 
+\subsection{D} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Schoenhage 82]{Sch82} Schoenhage, A.
-``The fundamental theorem of algebra in terms of computational complexity''
-preliminary report, Univ. Tuebingen, 1982
+\bibitem[Dahlquist 74]{DB74} Dahlquist G; Bjork A
+``Numerical Methods''
+Prentice- Hall. (1974)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Schonfelder 76]{Sch76} Schonfelder J L.
-``The Production of Special Function Routines for a Multi-Machine Library''
-Software Practice and Experience. 6(1) (1976)
+\bibitem[Dalmas 98]{DA98} Dalmas, Stephane; Arsac, Olivier
+``The INRIA OpenMath Library''
+Projet SAFIR, INRIA Sophia Antipolis Nov 25, 1998
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@book{Segg93,
-  author = "{von Seggern}, David Henry",
-  title = "CRC Standard Curves and Surfaces",
-  publisher = "CRC Press",
-  year = "1993",
-  isbn = "0-8493-0196-3"
-}
+\begin{chunk}{ignore}
+\bibitem[Dantzig 63]{Dan63} Dantzig G B
+``Linear Programming and Extensions''
+Princeton University Press. (1963) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Seiler 95a]{Sei95a} Seiler, W.M.; Calmet, J.
-``JET -- An Axiom Environment for Geometric Computations with Differential
-Equations''
-%\verb|axiom-developer.org/axiom-website/papers/Sei95a.pdf|
+\bibitem[Davenport]{Dav} Davenport, James
+``On Brillhart Irreducibility.''
+To appear.
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Shepard 68]{She68} Shepard D.
-``A Two-dimensional Interpolation Function for Irregularly Spaced Data''
-Proc. 23rd Nat. Conf. ACM. Brandon/Systems Press Inc., 
-Princeton. 517--523. 1968
+\bibitem[Davenport 93]{Ref-Dav93} Davenport, J.H.
+``Primality testing revisited''
+Technical Report TR2/93
+(ATR/6)(NP2556) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA
+and Oxford, UK, August 1993
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Shirayanagi 96]{Shir96} Shirayanagi, Kiyoshi
-``Floating point Gr\"obner bases''
-Mathematics and Computers in Simulation 42 pp 509-528 (1996)
-%\verb|axiom-developer.org/axiom-website/papers/Shir96.pdf|
+\bibitem[Davis 67]{DR67} Davis P J; Rabinowitz P
+``Numerical Integration''
+Blaisdell Publishing Company. 33--52. (1967) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Bracket coefficients for polynomials are introduced. These are like
-specific precision floating point numbers together with error
-terms. Working in terms of bracket coefficients, an algorithm that
-computes a Gr\"obner basis with floating point coefficients is
-presented, and a new criterion for determining whether a bracket
-coefficient is zero is proposed. Given a finite set $F$ of polynomials
-with real coefficients, let $G_\mu$ be the result of the algorithm for
-$F$ and a precision $\mu$, and $G$ be a true Gr\"obner basis of
-$F$. Then, as $\mu$ approaches infinity, $G_\mu$ converges to $G$
-coefficientwise. Moreover, there is a precision $M$ such that if 
-$\mu \ge M$, then the sets of monomials with non-zero coefficients of
-$G_\mu$ and $G$ are exactly the same. The practical usefulness of the
-algorithm is suggested by experimental results.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Sims 71]{Sims71} Sims, C.
-``Determining the Conjugacy Classes of a Permutation Group''
-Computers in Algebra and Number Theory, SIAM-AMS Proc., Vol. 4,
-American Math. Soc., 1991, pp191-195
+\bibitem[Davis 75]{DR75} Davis P J; Rabinowitz P
+``Methods of Numerical Integration''
+Academic Press. (1975) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Singer 89]{Sing89} Singer, M.F.
-``Formal Solutions of Differential Equations''
-J. Symbolic COmputation 10, No.1 59-94 (1990)
-%\verb|axiom-developer.org/axiom-website/papers/Sing89.pdf|
- keywords = "survey",
+\bibitem[DeBoor 72]{DeB72} De Boor C
+``On Calculating with B-splines''
+J. Approx. Theory. 6 50--62. (1972) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We give a survey of some methods for finding formal solutions of
-differential equations. These include methods for finding power series
-solutions, elementary and liouvillian solutions, first integrals, Lie
-theoretic methods, transform methods, asymptotic methods. A brief
-discussion of difference equations is also included.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Sit 92]{REF-Sit92} Sit, William
-``An Algorithm for Parametric Linear Systems''
-J. Sym. Comp., April 1992
+\bibitem[De Doncker 78]{DeD78} De Doncker E,
+``An Adaptive Extrapolation Algorithm for Automatic Integration''
+Signum Newsletter. 13 (2) 12--18. (1978) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Smith 67]{Smi67} Smith B T.
-``ZERPOL: A Zero Finding Algorithm for Polynomials Using Laguerre's Method''
-Technical Report. Department of Computer Science, University of Toronto,
-Canada.  (1967)
+\bibitem[Demmel 89]{Dem89} Demmel J W
+``On Floating-point Errors in Cholesky''
+LAPACK Working Note No. 14. University of Tennessee, Knoxville. 1989
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Smith 85]{Smi85} Smith G D.
-``Numerical Solution of Partial Differential Equations: Finite Difference 
-Methods''
-Oxford University Press (3rd Edition). (1985)
+\bibitem[Dennis 77]{DM77} Dennis J E Jr; More J J
+``Quasi-Newton Methods, Motivation and Theory''
+SIAM Review. 19 46--89. 1977
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Sobol 74]{Sob74} Sobol I M.
-``The Monte Carlo Method''
-The University of Chicago Press. 1974
+\bibitem[Dennis 81]{DS81} Dennis J E Jr; Schnabel R B
+``A New Derivation of Symmetric Positive-Definite Secant Updates''
+Nonlinear Programming 4. (ed O L Mangasarian, R R Meyer and S M. Robinson) 
+Academic Press. 167--199. (1981) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Steele 90]{Ste90} Steele, Guy L.
-``Common Lisp The Language''
-Second Edition ISBN 1-55558-041-6 Digital Press (1990)
+\bibitem[Dennis 83]{DS83} Dennis J E Jr; Schnabel R B
+``Numerical Methods for Unconstrained Optimixation and Nonlinear Equations''
+Prentice-Hall.(1983) 
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Stic93,
-  author = "Stichtenoth, H.",
-  title = "Algebraic function fields and codes",
-  publisher = "Springer-Verlag",
-  year = "1993"
-}
+\begin{chunk}{ignore}
+\bibitem[Dierckx 75]{Die75} Dierckx P
+``An Algorithm for Smoothing, Differentiating and Integration of 
+Experimental Data Using Spline Functions''
+J. Comput. Appl. Math. 1 165--184. (1975) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Stinson 90]{Stin90} Stinson, D.R.
-``Some observations on parallel Algorithms for fast exponentiation 
-in $GF(2^n)$''
-Siam J. Comp., Vol.19, No.4, pp.711-717, August 1990
-%\verb|axiom-developer.org/axiom-website/Stin90.pdf|
+\bibitem[Dierckx 81]{Die81} Dierckx P
+``An Improved Algorithm for Curve Fitting with Spline Functions''
+Report TW54. Dept. of Computer Science, Katholieke Universiteit Leuven. 1981
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A normal basis represention in $GF(2^n)$ allows squaring to be
-accomplished by a cyclic shift. Algorithms for multiplication in
-$GF(2^n)$ using a normal basis have been studied by several
-researchers. In this paper, algorithms for performing exponentiation
-in $GF(2^n)$ using a normal basis, and how they can be speeded up by
-using parallelization, are investigated.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Stroud 66]{SS66} Stroud A H.; Secrest D.
-``Gaussian Quadrature Formulas''
-Prentice-Hall. (1966) 
+\bibitem[Dierckx 82]{Die82} Dierckx P
+``A Fast Algorithm for Smoothing Data on a Rectangular Grid while using 
+Spline Functions''
+SIAM J. Numer. Anal. 19 1286--1304. (1982) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Stroud 71]{Str71} Stroud A H.
-``Approximate Calculation of Multiple Integrals''
-Prentice-Hall 1971
+\bibitem[Dongarra 79]{DMBS79} Dongarra J J; Moler C B; Bunch J R; 
+Stewart G W
+``LINPACK Users' Guide''
+SIAM, Philadelphia. (1979)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Swarztrauber 79]{SS79} Swarztrauber P N.; Sweet R A.
-``Efficient Fortran Subprograms for the Solution of Separable Elliptic Partial
-Differential Equations''
-ACM Trans. Math. Softw. 5 352--364. (1979)
+\bibitem[Dongarra 85]{DCHH85} Dongarra J J; Du Croz J J; Hammarling S;
+Hanson R J
+``A Proposal for an Extended set of Fortran Basic Linear 
+Algebra Subprograms''
+SIGNUM Newsletter. 20 (1) 2--18. (1985) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Swarztrauber 84]{SS84} Swarztrauber P N.
-``Fast Poisson Solvers''
-Studies in Numerical Analysis. (ed G H Golub) 
-Mathematical Association of America. (1984)
+\bibitem[Dongarra 88]{REF-DON88} Dongarra, Jack J.; Du Croz, Jeremy; 
+Hammarling, Sven; Hanson, Richard J.
+``An Extended Set of FORTRAN Basic Linear Algebra Subroutines''
+ACM Transactions on Mathematical Software, Vol 14, No 1, March 1988,
+pp 1-17
 
 \end{chunk}
 
-\subsection{T} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{axiom.bib}
-@book{Tait1890,
-  author = "Tait, P.G.",
-  title = "An Elementary Treatise on Quaternions",
-  publisher = "C.J. Clay and Sons, Cambridge University Press Warehouse, Ave Maria Lane",
-  year = "1890"
-}
+\begin{chunk}{ignore}
+\bibitem[Dongarra 88a]{REF-DON88a} Dongarra, Jack J.; Du Croz, Jeremy;
+Hammarling, Sven; Hanson, Richard J.
+``ALGORITHM 656: An Extended Set of Basic Linear Algebra Subprograms:
+Model Implementation and Test Programs''
+ACM Transactions on Mathematical Software, Vol 14, No 1, March 1988,
+pp 18-32
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Taivalsaari 96]{Tai96} Taivalsaari, Antero
-``On the Notion of Inheritance''
-ACM Computing Surveys, Vol 28 No 3 Sept 1996 pp438-479
+\bibitem[Dongarra 90]{REF-DON90} Dongarra, Jack J.; Du Croz, Jeremy;
+Hammarling, Sven; Duff, Iain S.
+``A Set of Level 3 Basic Linear Algebra Subprograms''
+ACM Transactions on Mathematical Software, Vol 16, No 1, March 1990,
+pp 1-17
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Temme 87]{Tem87} Temme N M.
-``On the Computation of the Incomplete Gamma Functions for Large Values of 
-the Parameters''
-Algorithms for Approximation. (ed J C Mason and M G Cox) 
-Oxford University Press. (1987)
+\bibitem[Dongarra 90a]{REF-DON90a} Dongarra, Jack J.; Du Croz, Jeremy;
+Hammarling, Sven; Duff, Iain S.
+``ALGORITHM 679: A Set of Level 3 Basic Linear Algebra Subprograms: 
+Model Implementation and Test Programs''
+ACM Transactions on Mathematical Software, Vol 16, No 1, March 1990,
+pp 18-28
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Temperton 83a]{Tem83a} Temperton C.
-``Self-sorting Mixed-radix Fast Fourier Transforms''
-J. Comput. Phys. 52 1--23. (1983)
+\bibitem[Ducos 00]{Duc00} Ducos, Lionel
+``Optimizations of the subresultant algorithm''
+Journal of Pure and Applied Algebra V145 No 2 Jan 2000 pp149-163
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Temperton 83b]{Tem83b} Temperton C.
-``Fast Mixed-Radix Real Fourier Transforms''
-J. Comput. Phys. 52 340--350. (1983)
+\bibitem[Duff 77]{Duff77} Duff I S,
+``MA28 -- a set of Fortran subroutines for sparse unsymmetric linear 
+equations''
+A.E.R.E. Report R.8730. HMSO. (1977) 
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Thur94,
-  author = "Thurston, William P.",
-  title = "On Proof and Progress in Mathematics",
-  journal = "Bulletin AMS",
-  volume = "30",
-  number = "2",
-  month = "April",
-  year = "1994",
-  url = "http://www.ams.org/journals/bull/1994-30-02/S0273-0979-1994-00502-6/S0273-0979-1994-00502-6.pdf",
-  paper = "Thur94.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Duval 96a]{Duva96a} Duval, D.; Gonz\'alez-Vega, L.
+``Dynamic Evaluation and Real Closure''
+Mathematics and Computers in Simulation 42 pp 551-560 (1996)
+%\verb|axiom-developer.org/axiom-website/papers/Duva96a.pdf|
+  abstract = "
+    The aim of this paper is to present how the dynamic evaluation method
+    can be used to deal with the real closure of an ordered field. Two
+    kinds of questions, or tests, may be asked in an ordered field:
+    equality tests $(a=b?)$ and sign tests $(a > b?)$. Equality tests are
+    handled through splittings, exactly as in the algebraic closure of a
+    field. Sign tests are handled throug a structure called ``Tarski data
+    type''."
 
 \end{chunk}
 
-\subsection{U} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Unknown 61]{Unk61} Unknown
-``Chebyshev-series''
-Modern Computing Methods
-Chapter 8. NPL Notes on Applied Science (2nd Edition). 16 HMSO. 1961
+\bibitem[Duval 96]{Duva96} Duval, D.; Reynaud, J.C.
+``Sketches and Computations over Fields''
+Mathematics and Computers in Simulation 42 pp 363-373 (1996)
+%\verb|axiom-developer.org/axiom-website/papers/Duva96.pdf|
+  abstract = "
+    The goal of this short paper is to describe one possible use of
+    sketches in computer algebra. We show that sketches are a powerful
+    tool for the description of mathematical structures and for the
+    description of computations."
 
 \end{chunk}
 
-\subsection{V} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Van Dooren 76]{vDDR76} Van Dooren P.;  De Ridder L.
-``An Adaptive Algorithm for Numerical Integration over an N-dimensional 
-Cube''
-J. Comput. Appl. Math. 2 207--217. (1976) 
+\bibitem[Duval 94a]{Duva94a} Duval, D.; Reynaud, J.C.
+``Sketches and Computation (Part I): Basic Definitions and Static Evaluation''
+Mathematical Structures in Computer Science, 4, p 185-238 Cambridge University Press (1994)
+\verb|journals.cambridge.org/abstract_S0960129500000438|
+%\verb|axiom-developer.org/axiom-website/papers/Duva94a.pdf|
+  abstract = "
+    We define a categorical framework, based on the notion of {\sl
+    sketch}, for specification and evaluation in the sense of algebraic
+    specifications and algebraic programming. This framework goes far
+    beyond our initial motivations, which was to specify computation with
+    algebraic numbers. We begin by redefining sketches in order to deal
+    explicitly with programs. Expressions and terms are carefully defined
+    and studied, then {\sl quasi-projective sketches} are introduced. We
+    describe {\sl static evaluation} in these sketches: we propose a
+    rigorous basis for evaluation in the corresponding structures. These
+    structures admit an initial model, but are not necessarily
+    equational. In Part II (Duval and Reynaud 1994), we study a more
+    general process, called {\sl dynamic evaluation}, for structures that
+    may have no initial model."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[van Hoeij 94]{REF-vH94} van Hoeij, M.
-``An algorithm for computing an integral
-basis in an algebraic function field''
-{\sl J. Symbolic Computation}
-18(4):353-364, October 1994
+\bibitem[Duval 94b]{Duva94b} Duval, D.; Reynaud, J.C.
+``Sketches and Computation (Part II): Dynamic Evaluation and Applications''
+Mathematical Structures in Computer Science, 4, p 239-271. Cambridge University Press (1994)
+\verb|journals.cambridge.org/abstract_S096012950000044X|
+%\verb|axiom-developer.org/axiom-website/papers/Duva94b.pdf|
+  abstract = "
+    In the first part of this paper (Duval and Reynaud 1994), we defined a
+    categorical framework, based on the notion of {\sl sketch}, for
+    specification and evaluation in the senses of algebraic specification
+    and algebraic programming. {\sl Static evaluation} in {\sl
+    quasi-projective sketches} was defined in Part I; in this paper, {\sl
+    dynamic evaluation} is introduced. It deals with more general
+    structures, which may have no initial model. Until now, this process
+    has not been used in algebraic specification systems, but computer
+    algebra systems are beginning to use it as a basic tool. Finally, we
+    give some applications of dynamic evaluation to computation in field
+    extensions."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Van Loan 92]{Van92} Van Loan, C.
-``Computational Frameworks for the Fast Fourier Transform''
-SIAM Philadelphia. (1992)
+\bibitem[Duval 94c]{Duva94c} Duval, Dominique
+``Algebraic Numbers: An Example of Dynamic Evaluation''
+J. Symbolic Computation 18, 429-445 (1994)
+\verb|www.sciencedirect.com/science/article/pii/S0747717106000551|
+%\verb|axiom-developer.org/axiom-website/papers/Duva94c.pdf|
+  abstract = "
+    Dynamic evaluation is presented through examples: computations
+    involving algebraic numbers, automatic case discussion according to
+    the characteristic of a field. Implementation questions are addressed
+    too. Finally, branches are presented as ``dual'' to binary functions,
+    according to the approach of sketch theory."
 
 \end{chunk}
 
-\subsection{W} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\subsection{F} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Wait 85]{WM85} Wait R.; Mitchell A R.
-``Finite Element Analysis and Application''
-Wiley. (1985)
+\bibitem[Fateman 08]{Fat08} Fateman, Richard
+``Revisiting numeric/symbolic indefinite integration of rational functions, and extensions''
+\verb|www.eecs.berkeley.edu/~fateman/papers/integ.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Fat08.pdf|
+  abstract = "
+    We know we can solve this problem: Given any rational function
+    $f(x)=p(x)/q(x)$, where $p$ and $q$ are univariate polynomials over
+    the rationals, compute its {\sl indefinite} integral, using if
+    necessary, algebraic numbers. But in many circumstances an approximate
+    result is more likely to be of use. Furthermore, it is plausible that
+    it would be more useful to solve the problem to allow definite
+    integration, or introduce additional parameters so that we can solve
+    multiple definite integrations.  How can a computer algebra system
+    best answer the more useful questions?  Finally, what if the integrand
+    is not a ratio of polynomials, but something more challenging?"
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Wang 92]{Wang92} Wang, D.M.
-``An implementation of the characteristic set method in Maple''
-Proc. DISCO'92 Bath, England
+\begin{chunk}{axiom.bib}
+@misc{Flet01,
+  author = "Fletcher, John P.",
+  title = "Symbolic processing of Clifford Numbers in C++",
+  year = "2001",
+  journal = "Paper 25, AGACSE 2001."
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Flet09,
+  author = "Fletcher, John P.",
+  title = "Clifford Numbers and their inverses calculated using the matrix 
+           representation",
+  publisher = "Chemical Engineering and Applied Chemistry, School of 
+    Engineering and Applied Science, Aston University, Aston Triangle, 
+    Birmingham B4 7 ET, U. K.",
+  url = 
+    "http://www.ceac.aston.ac.uk/research/staff/jpf/papers/paper24/index.php"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Ward 75]{War75} Ward, R C.
-``The Combination Shift QZ Algorithm''
-SIAM J. Numer. Anal. 12 835--853. 1975
+\bibitem[Fletcher 81]{Fle81} Fletcher R
+``Practical Methods of Optimization''
+Vol 2. Constrained Optimization. Wiley. (1981) 
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@misc{Watt03,
-  author = "Watt, Stephen",
-  title = "Aldor",
-  url = "http://www.aldor.org",
-  year = "2003"
+@article{Floy63,
+  author = "Floyd, R. W.",
+  title = "Semantic Analysis and Operator Precedence",
+  journal = "JACM",
+  volume = "10",
+  number = "3",
+  pages = "316-333",
+  year = "1963"
 }
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Weil71,
-  author = "Weil, Andr\'{e}",
-  title = "Courbes alg\'{e}briques et vari\'{e}t\'{e}s Abeliennes",
-  year = "1971"
-}
+\begin{chunk}{ignore}
+\bibitem[Forsythe 57]{For57} Forsythe G E,
+``Generation and use of orthogonal polynomials for data fitting 
+with a digital computer''
+J. Soc. Indust. Appl. Math. 5 74--88. (1957) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Weisstein]{Wein} Weisstein, Eric W.
-``Hypergeometric Function''
-MathWorld - A Wolfram Web Resource
-\verb|mathworld.wolfram.com/HypergeometricFunction.html|
+\bibitem[Fortenbacher 90]{REF-For90} Fortenbacher, A.
+``Efficient type inference and coercion in computer algebra''
+Design and Implementation of Symbolic Computation Systems (DISCO 90)
+A. Miola, (ed) vol 429 of Lecture Notes in Computer Science
+Springer-Verlag, pp56-60
+  abstract = "
+    Computer algebra systems of the new generation, like Scratchpad, are
+    characterized by a very rich type concept, which models the
+    relationship between mathematical domains of computation. To use these
+    systems interactively, however, the user should be freed of type
+    information. A type inference mechanism determines the appropriate
+    function to call. All known models which allow to define a semantics
+    for type inference cannot express the rich ``mathematical'' type
+    structure, so presently type inference is done heuristically.  The
+    following paper defines a semantics for a subproblem thereof, namely
+    coercion, which is based on rewrite rules. From this definition, and
+    efficient coercion algorith for Scratchpad is constructed using graph
+    techniques."
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Weit03,
-  author = "Weitz, E.",
-  title = "CL-WHO -Yet another Lisp markup language",
-  year = "2003",
-  url = "http://www.weitz.de/cl-who/"
-}
+\begin{chunk}{ignore}
+\bibitem[Fox 68]{Fox68} Fox L.; Parker I B.
+``Chebyshev Polynomials in Numerical Analysis''
+Oxford University Press. (1968)
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Weit06,
-  author = "Weitz, E.",
-  title = "HUNCHENTOOT - The Common Lisp web server formerly known as TBNL",
-  year = "2006",
-  url = "http://www.weitz.de/hunchentoot"
-}
+\begin{chunk}{ignore}
+\bibitem[Franke 80]{FN80} Franke R.; Nielson G
+``Smooth Interpolation of Large Sets of Scattered Data''
+Internat. J. Num. Methods Engrg. 15 1691--1704. (1980) 
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Fritsch 82]{Fri82} Fritsch F N
+``PCHIP Final Specifications''
+Report UCID-30194. Lawrence Livermore National Laboratory. (1982) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wesseling 82a]{Wes82a} Wesseling, P.
-``MGD1 - A Robust and Efficient Multigrid Method''
-Multigrid Methods. Lecture Notes in Mathematics. 960
-Springer-Verlag. 614--630. (1982)
+\bibitem[Fritsch 84]{FB84} Fritsch F N.; Butland J.
+``A Method for Constructing Local Monotone Piecewise Cubic Interpolants''
+SIAM J. Sci. Statist. Comput. 5 300--304. (1984) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wesseling 82b]{Wes82b} Wesseling, P.
-``Theoretical Aspects of a Multigrid Method''
-SIAM J. Sci. Statist. Comput. 3 387--407. (1982)
+\bibitem[Froberg 65]{Fro65} Froberg C E.
+``Introduction to Numerical Analysis''
+Addison-Wesley. 181--187. (1965) 
 
 \end{chunk}
 
+\subsection{G} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Wicks 89]{Wic89} Wicks, Mark; Carlisle, David, Rahtz, Sebastian
-``dvipdfm.def''
-\verb|web.mit.edu/texsrc/source/latex/graphics/dvipdfm.def|
+\bibitem[Garcia 95]{Ga95} Garcia, A.; Stichtenoth, H.
+``A tower of Artin-Schreier extensions of function fields attaining the 
+Drinfeld-Vladut bound''
+Invent. Math., vol. 121, 1995, pp. 211--222.
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wiki 3]{Wiki3}.
-``Givens Rotations''
-\verb|en.wikipedia.org/wiki/Givens_rotation|
+\bibitem[Gathen 90a]{Gat90a} Gathen, Joachim von zur; Giesbrecht, Mark
+``Constructing Normal Bases in Finite Fields''
+J. Symbolic Computation pp 547-570 (1990)
+%\verb|axiom-developer.org/axiom-website/papers/Gat90a.pdf|
+  abstract = "
+    An efficient probabilistic algorithm to find a normal basis in a
+    finite field is presented. It can, in fact, find an element of
+    arbitrary prescribed additive order. It is based on a density estimate
+    for normal elements. A similar estimate yields a probabilistic
+    polynomial-time reduction from finding primitive normal elements to
+    finding primitive elements."
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Wiki14a,
-  author = "ProofWiki",
-  title = "Euclidean Algorithm",
-  url = "http://proofwiki.org/wiki/Euclidean_Algorithm"
-}
+\begin{chunk}{ignore}
+\bibitem[Gathen 90]{Gat90} Gathen, Joachim von zur
+``Functional Decomposition Polynomials: the Tame Case''
+Journal of Symbolic Computation (1990) 9, 281-299
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@misc{Wiki14b,
-  author = "ProofWiki",
-  title = "Division Theorem",
-  url = "http://proofwiki.org/wiki/Division_Theorem"
+@book{Gath99,
+  author = {{von zur Gathen}, Joachim and Gerhard, J\"urgen},
+  title = "Modern Computer Algebra",
+  publisher = "Cambridge University Press",
+  year = "1999",
+  isbn = "0-521-64176-4"
 }
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Williamson 85]{Wil85} Williamson, S.G.
-``Combinatorics for Computer Science''
-Computer Science Press, 1985.
+\bibitem[Gautschi 79a]{Gau79a} Gautschi W.
+``A Computational Procedure for Incomplete Gamma Functions''
+ACM Trans. Math. Softw. 5 466--481. (1979)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wilkinson 71]{WR71} Wilkinson J H.; Reinsch C.
-``Handbook for Automatic Computation II, Linear Algebra''
-Springer-Verlag. 1971
+\bibitem[Gautschi 79b]{Gau79b} Gautschi W.
+``Algorithm 542: Incomplete Gamma Functions''
+ACM Trans. Math. Softw. 5 482--489.  (1979)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wilkinson 63]{Wil63} Wilkinson J H.
-``Rounding Errors in Algebraic Processes''
- Chapter 2. HMSO. (1963)
+\bibitem[Gentlemen 69]{Gen69} Gentlemen W M
+``An Error Analysis of Goertzel's (Watt's) Method for Computing 
+Fourier Coefficients''
+Comput. J. 12 160--165. (1969) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wilkinson 65]{Wil65} Wilkinson J H.
-``The Algebraic Eigenvalue Problem''
- Oxford University Press. (1965) 
+\bibitem[Gentleman 73]{Gen73} Gentleman W M. 
+``Least-squares Computations by Givens Transformations without Square Roots''
+J. Inst. Math. Applic. 12 329--336. (1973) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wilkinson 78]{Wil78} Wilkinson J H.
-``Singular Value Decomposition -- Basic Aspects''
-Numerical Software -- Needs and Availability. 
-(ed D A H Jacobs) Academic Press. (1978) 
+\bibitem[Gentleman 74]{Gen74} Gentleman W M.
+``Algorithm AS 75. Basic Procedures for Large Sparse or 
+Weighted Linear Least-squares Problems''
+Appl. Statist. 23 448--454. (1974) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wilkinson 79]{Wil79} Wilkinson J H.
-``Kronecker's Canonical Form and the QZ Algorithm''
-Linear Algebra and Appl. 28 285--303. 1979
+\bibitem[Gentlemen 74a]{GM74a} Gentleman W. M.; Marovich S. B. 
+``More on algorithms  that reveal properties of floating point 
+arithmetic units''
+Comms. of the ACM, 17, 276-277.  (1974)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wisbauer 91]{Wis91} Wisbauer, R.
-``Bimodule Structure of Algebra''
-Lecture Notes Univ. Duesseldorf 1991
+\bibitem[Genz 80]{GM80} Genz A C.;  Malik A A.
+``An Adaptive Algorithm for Numerical Integration over an N-dimensional 
+Rectangular Region''
+J. Comput. Appl. Math. 6 295--302.  (1980) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Woerz-Busekros 80]{Woe80} Woerz-Busekros, A.
-``Algebra in Genetics''
-Lectures Notes in Biomathematics 36, Springer-Verlag,  Heidelberg, 1980
+\bibitem[Gill 72]{GM72} Gill P E.; Miller G F.
+``An Algorithm for the Integration of Unequally Spaced Data''
+Comput. J. 15 80--83. (1972) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wolberg 67]{Wol67} Wolberg J R.
-``Prediction Analysis''
-Van Nostrand. (1967)
+\bibitem[Gill 74b]{GM74b} Gill P E.; Murray W. (eds)
+``Numerical Methods for Constrained Optimization''
+Academic Press. (1974) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wolfram 09]{Wo09} Wolfram Research
-\verb|mathworld.wolfram.com/Quaternion.html|
+\bibitem[Gill 76a]{GM76a} Gill P E.; Murray W.
+``Minimization subject to bounds on the variables''
+Report NAC 72. National Physical Laboratory. (1976) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wu 87]{WU87} Wu, W.T.
-``A Zero Structure Theorem for polynomial equations solving''
-MM Research Preprints, 1987
+\bibitem[Gill 76b]{GM76b} Gill P E.; Murray W.
+``Algorithms for the Solution of the Nonlinear Least-squares Problem''
+NAC 71 National Physical Laboratory. (1976)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Wynn 56]{Wynn56} Wynn P.
-``On a Device for Computing the $e_m(S_n )$ Transformation''
-Math. Tables Aids Comput. 10 91--96. (1956) 
+\bibitem[Gill 78]{GM78} Gill P E.; Murray W.
+``Algorithms for the Solution of the Nonlinear Least-squares Problem''
+SIAM J. Numer. Anal. 15 977--992. (1978) 
 
 \end{chunk}
 
-\subsection{Y} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\subsection{Z} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Zakrajsek 02]{Zak02} Zakrajsek, Helena
-``Applications of Hermite transform in computer algebra''
-\verb|www.imfm.si/preprinti/PDF/00835.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Zak02.pdf|
+\bibitem[Gill 79]{GM79} Gill P E.;  Murray W;
+``Conjugate-gradient Methods for Large-scale Nonlinear Optimization''
+Technical Report SOL 79-15. Department of Operations Research, 
+Stanford University. (1979) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-let $L$ be a linear differential operator with polynomial coefficients.
-We show that there is an isomorphism of differential operators 
-${\bf D_\alpha}$ and an integral transform ${\bf H_\alpha}$ (called the
-Hermite transform) on functions for which $({\bf D_\alpha}{\bf L})f(x)=0$
-implies ${\bf L}{\bf H_alpha}(f)(x)=0$. We present an algorithm that
-computes the Hermite transform of a rational function and use it to find
-$n+1$ linearly independent solutions of ${\bf L}y=0$ when
-$({\bf D_\alpha}{\bf L})f(x)=0$ has a rational solution with $n$
-distinct finite poles.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@misc{Zdan14,
-  author = "Zdancewic, Steve and Martin, Milo M.K.",
-  title = "Vellvm: Verifying the LLVM",
-  url = "http://www.cis.upenn.edu/~stevez/vellvm"
-}
+\begin{chunk}{ignore}
+\bibitem[Gill 81]{GMW81} Gill P E.; Murray W.; Wright M H.
+``Practical Optimization''
+Academic Press. 1981
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Zhi 97]{Zhi97} Zhi, Lihong
-``Optimal Algorithm for Algebraic Factoring''
-\verb|www.mmrc.iss.ac.cn/~lzhi/Publications/zopfac.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Zhi97.pdf|
+\bibitem[Gill 82]{GMW82} Gill P E.; Murray W.; Saunders M A.; Wright M H.
+``The design and implementation of a quadratic programming algorithm''
+Report SOL 82-7. Department of Operations Research, 
+Stanford University. (1982) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper presents an optimized method for factoring multivariate
-polynomials over algebraic extension fields which defined by an
-irreducible ascending set. The basic idea is to convert multivariate
-polynomials to univariate polynomials and algebraic extensions fields
-to algebraic number fields by suitable integer substitutions, then
-factorize the univariate polynomials over the algebraic number fields.
-Finally, construct multivariate factors of the original polynomial by
-Hensel lemma and TRUEFACTOR test. Some examples with timing are
-included.
-\end{adjustwidth}
-
-\section{Special Topics} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\subsection{Solving Systems of Equations} %%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Bronstein 86]{Bro86} Bronstein, Manuel
-``Gsolve: a faster algorithm for solving systems of algebraic equations''
-Proc of 5th ACM SYMSAC (1986) pp247-249 ISBN 0-89791-199-7
+\bibitem[Gill 84a]{GMSW84a} Gill P E.; Murray W.; Saunders M A.; Wright M H
+``User's Guide for SOL/QPSOL Version 3.2''
+Report SOL 84-5. Department of Operations Research, Stanford University. 1984
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We apply the elimination property of Gr\"obner bases with respect to
-pure lexicographic ordering to solve systems of algebraic equations.
-We suggest reasons for this approach to be faster than the resultant
-technique, and give examples and timings that show that it is indeed
-faster and more correct, than MACSYMA's solve.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Gill 84b]{GMSW84b} Gill P E.; Murray W.; Saunders M A.; Wright M H
+``Procedures for Optimization Problems with a Mixture of
+Bounds and General Linear Constraints''
+ACM Trans. Math. Softw. 10 282--298. 1984
 
-\subsection{Numerical Algorithms} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 99]{Bro99} Bronstein, Manuel
-``Fast Deterministic Computation of Determinants of Dense Matrices''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
-%\verb|axiom-developer.org/axiom-website/papers/Bro99.pdf|
+\bibitem[Gill 86a]{GMSW86a} Gill P E.; Hammarling S.; Murray W.; 
+Saunders M A.; Wright M H.
+``User's Guide for LSSOL (Version 1.0)''
+Report SOL 86-1. Department of Operations Research, Stanford University. 1986
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this paper we consider deterministic computation of the exact
-determinant of a dense matrix $M$ of integers. We present a new
-algorithm with worst case complexity
-\[O(n^4(log n+ log \verb?||M||?)+x^3 log^2 \verb?||M||?)\], 
-where $n$ is the dimension of the matrix
-and \verb?||M||? is a bound on the entries in $M$, but with 
-average expected complexity 
-\[O(n^4+m^3(log n + log \verb?||M||?)^2)\],
-assuming some plausible properties about the distribution of $M$.
-We will also describe a practical version of the algorithm and include
-timing data to compare this algorithm with existing ones. Our result
-does not depend on ``fast'' integer or matrix techniques.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Kelsey 00]{Kel00} Kelsey, Tom
-``Exact Numerical Computation via Symbolic Computation''
-\verb|tom.host.cs.st-andrews.ac.uk/pub/ccapaper.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kel00.pdf|
+\bibitem[Gill 86b]{GMSW86b} Gill P E.; Murray W.; Saunders M A.; Wright M H.
+``Some Theoretical Properties of an Augmented Lagrangian Merit Function''
+Report SOL 86-6R. Department of Operations Research, Stanford University. 1986
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We provide a method for converting any symbolic algebraic expression
-that can be converted into a floating point number into an exact
-numeric representation. We use this method to demonstrate a suite of
-procedures for the representation of, and arithmetic over, exact real
-numbers in the Maple computer algebra system. Exact reals are
-represented by potentially infinite lists of binary digits, and
-interpreted as sums of negative powers of the golden ratio.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Yang 14]{Yang14} Yang, Xiang; Mittal, Rajat
-``Acceleration of the Jacobi iterative method by factors exceeding 100
-using scheduled relation''
-\verb|engineering.jhu.edu/fsag/wp-content/uploads/sites/23/2013/10|
-\verb|JCP_revised_WebPost.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Yang14.pdf|
+\bibitem[Gladwell 79]{Gla79} Gladwell I
+``Initial Value Routines in the NAG Library''
+ACM Trans Math Softw. 5 386--400. (1979) 
 
 \end{chunk}
 
-\subsection{Special Functions} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Corless 05]{Corl05} Corless, Robert M.; Jeffrey, David J.;
-Watt, Stephen M.; Bradford, Russell; Davenport, James H.
-``Reasoning about the elementary functions of complex analysis''
-\verb|www.csd.uwo.ca/~watt/pub/reprints/2002-amai-reasoning.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Corl05.pdf|
+\bibitem[Gladwell 80]{GS80} Gladwell I.; Sayers D K
+``Computational Techniques for Ordinary Differential Equations''
+Academic Press. 1980
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-There are many problems with the simplification of elementary
-functions, particularly over the complex plane. Systems tend to make
-``howlers'' or not to simplify enough. In this paper we outline the
-``unwinding number'' approach to such problems, and show how it can be
-used to prevent errors and to systematise such simplification, even
-though we have not yet reduced the simplification process to a
-complete algorithm.  The unsolved problems are probably more amenable
-to the techniques of artificial intelligence and theorem proving than
-the original problem of complex-variable analysis.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Ng 68]{Ng68} Ng, Edward W.; Geller, Murray
-``A Table of Integrals of the Error functions''
-\verb|nvlpubs.nist.gov/nistpubs/jres/73B/jresv73Bn1p1_A1b.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Ng68.pdf|
+\bibitem[Gladwell 86]{Gla86} Gladwell I
+``Vectorisation of one dimensional quadrature codes''
+Techincal Report. TR7/86  NAG. (1986) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This is a compendium of indefinite and definite integrals of products
-of the Error functions with elementary and transcendental functions.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Gladwell 87]{Gla87} Gladwell I
+``The NAG Library Boundary Value Codes''
+Numerical Analysis Report. 134 Manchester University. (1987) 
 
-\subsubsection{Exponential Integral $E_1(x)$} %%%%%%%%%%%%%%%%%%%%%%%%%
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Geller 69]{Gell69} Geller, Murray; Ng, Edward W.
-``A Table of Integrals of the Exponential Integral''
-\verb|nvlpubs.nist.gov/nistpubs/jres/73B/jresv73Bn3p191_A1b.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Gell69.pdf|
+\bibitem[Goedel 40]{God40} Goedel
+``The consistency of the continuum hypothesis''
+Ann. Math. Studies, Princeton Univ. Press, 1940
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This is a compendium of indefinite and definite integrals of products
-of the Exponential Integral with elementary or transcendental functions.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@techreport{Segl98,
-  author = "Segletes, S.B.",
-  title = "A compact analytical fit to the exponential integral $E_1(x)$",
-  year = "1998",
-  institution = "U.S. Army Ballistic Research Laboratory, Aberdeen Proving Ground, MD",
-  type = "Technical Report",
-  number = "ARL-TR-1758",
-  paper = "Segl98.pdf"
-}
-
-\end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-A four-parameter fit is developed for the class of integrals known as
-the exponential integral (real branch). Unlike other fits that are
-piecewise in nature, the current fit to the exponential integral is
-valid over the complete domain of the function (compact) and is
-everywhere accurate to within $\pm 0.0052\%$ when evaluating the first
-exponential integral, $E_1$. To achieve this result, a methodology
-that makes use of analytically known limiting behaviors at either
-extreme of the domain is employed. Because the fit accurately captures
-limiting behaviors of the $E_1$ function, more accuracy is retained
-when the fit is used as part of the scheme to evaluate higher-order
-exponential integrals, $E_n$, as compared with the use of brute-force
-fits to $E_1$, which fail to accurately model limiting
-behaviors. Furthermore, because the fit is compact, no special
-accommodations are required (as in the case of spliced piecewise fits)
-to smooth the value, slope, and higher derivatives in the transition
-region between two piecewise domains. The general methodology employed
-to develop this fit is outlined, since it may be used for other
-problems as well.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Segletes 09]{Se09} Segletes, S.B.
-``Improved fits for $E_1(x)$ {\sl vis-\'a-vis} those presented in ARL-TR-1758
-Technical Report ARL-TR-1758, U.S. Army Ballistic Research Laboratory,
-Aberdeen Proving Ground, MD, September 1998
-%\verb|axiom-developer.org/axiom-website/papers/Se09.pdf|
-
-\end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-This is a writeup detailing the more accurate fits to $E_1(x)$,
-relative to those presented in ARL-TR-1758.  My actual fits are to 
-\[F1 =[x\ exp(x) E_1(x)]\] which spans a functional range from 0 to 1.  
-The best accuracy I have been yet able to achieve, defined by limiting 
-the value of \[[(F1)_{fit} - F1]/F1\] over the domain, is approximately 
-3.1E-07 with a 12-parameter fit, which unfortunately isn't quite to 32-bit
-floating-point accuracy.  Nonetheless, the fit is not a piecewise fit,
-but rather a single continuous function over the domain of nonnegative x, 
-which avoids some of the problems associated with piecewise domain splicing.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Goldman 87]{Gold87} Goldman, L.
+``Integrals of multinomial systems of ordinary differential equations''
+J. of Pure and Applied Algebra, 45, 225-240 (1987)
+\verb|www.sciencedirect.com/science/article/pii/0022404987900727/pdf|
+\verb|?md5=5a0c70643eab514ccf47d80e4fc6ec5a&|
+\verb|pid=1-s2.0-0022404987900727-main.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Gold87.pdf|
 
-\subsection{Polynomial GCD} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Knuth 71]{ST-PGCD-Knu71} Knuth, Donald
-``The Art of Computer Programming''
-2nd edition Vol. 2 (Seminumerical Algorithms) 1st edition, 2nd printing,
-Addison-Wesley 1971, section 4.6 pp399-505
+\bibitem[Gollan 90]{GG90} H. Gollan; J. Grabmeier
+``Algorithms in Representation Theory and
+their Realization in the Computer Algebra System Scratchpad''
+Bayreuther Mathematische Schriften, Heft 33, 1990, 1-23
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Ma 90]{ST-PGCD-Ma90} Ma, Keju; Gathen, Joachim von zur
-``Analysis of Euclidean Algorithms for Polynomials over Finite Fields''
-J. Symbolic Computation (1990) Vol 9 pp429-455\hfill{}
-\verb|www.researchgate.net/publication/220161718_Analysis_of_Euclidean_|
-\verb|Algorithms_for_Polynomials_over_Finite_Fields/file/|
-\verb|60b7d52b326a1058e4.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Ma90.pdf|
+\bibitem[Golub 89]{GL89} Golub, Gene H.; Van Loan, Charles F.
+``Matrix Computations''
+Johns Hopkins University Press ISBN 0-8018-3772-3 (1989)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper analyzes the Euclidean algorithm and some variants of it 
-for computing the greatest common divisor of two univariate polynomials
-over a finite field. The minimum, maximum, and average number of
-arithmetic operations both on polynomials and in the ground field
-are derived.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Naylor 00a]{N00} Naylor, Bill
-``Polynomial GCD Using Straight Line Program Representation''
-PhD. Thesis, University of Bath, 2000
-\verb|www.sci.csd.uwo.ca/~bill/thesis.ps|
-%\verb|axiom-developer.org/axiom-website/papers/N00.pdf|
+\bibitem[Golub 96]{GL96} Golub, Gene H.; Van Loan, Charles F.
+``Matrix Computations''
+Johns Hopkins University Press ISBN 978-0-8018-5414-9 (1996)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This thesis is concerned with calculating polynomial greatest common
-divisors using straight line program representation.
-
-In the Introduction chapter, we introduce the problem and describe
-some of the traditional representations for polynomials, we then talk
-about some of the general subjects central to the thesis, terminating
-with a synopsis of the category theory which is central to the Axiom
-computer algebra system used during this research.
-
-The second chapter is devoted to describing category theory. We follow
-with a chapter detailing the important sections of computer code
-written in order to investigate the straight line program subject.
-The following chapter on evalution strategies and algorithms which are
-dependant on these follows, the major algorith which is dependant on
-evaluation and which is central to our theis being that of equality
-checking. This is indeed central to many mathematical problems.
-Interpolation, that is the determination of coefficients of a
-polynomial is the subject of the next chapter. This is very important
-for many straight line program algorithms, as their non-canonical
-structure implies that it is relatively difficult to determine
-coefficients, these being the basic objects that many algorithms work
-on. We talk about three separate interpolation techniques and compare
-their advantages and disadvantages. The final two chapters describe
-some of the results we have obtained from this research and finally
-conclusions we have drawn as to the viability of the straight line
-program approach and possible extensions.
-
-Finally we terminate with a number of appendices discussing side
-subjects encountered during the thesis.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Shoup 93]{ST-PGCD-Sh93} Shoup, Victor
-``Factoring Polynomials over Finite Fields: Asymptotic Complexity vs
-Reality*''
-Proc. IMACS Symposium, Lille, France, (1993)
-\verb|www.shoup.net/papers/lille.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Sh93.pdf|
+\bibitem[Grabmeier]{Grab} Grabmeier, J.
+``On Plesken's root finding algorithm''
+in preparation
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper compares the algorithms by Berlekamp, Cantor and Zassenhaus,
-and Gathen and Shoup to conclude that 
-(a) if large polynomials are factored the FFT should be used for polynomial 
-multiplication and division, 
-(b) Gathen and Shoup should be used if the number of irreducible factors
-of $f$ is small.
-(c) if nothing is know about the degrees of the factors then Berlekamp's
-algorithm should be used
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Gathen 01]{ST-PGCD-Ga01} Gathen, Joachim von zur; Panario, Daniel
-``Factoring Polynomials Over Finite Fields: A Survey''
-J. Symbolic Computation (2001) Vol 31, pp3-17\hfill{}
-\verb|people.csail.mit.edu/dmoshdov/courses/codes/poly-factorization.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Ga01.pdf|
- keywords = "survey",
+\bibitem[Grebmeier 87]{GK87} Grabmeier, J.; Kerber, A.;
+``The Evaluation of Irreducible Polynomial Representations of the General 
+Linear Groups and of the Unitary Groups over Fields of Characteristic 0''
+Acta Appl. Math. 8 (1987), 271-291
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This survey reviews several algorithms for the factorization of
-univariate polynomials over finite fields. We emphasize the main ideas
-of the methods and provide and up-to-date bibliography of the problem.
-This paper gives algorithms for {\sl squarefree factorization},
-{\sl distinct-degree factorization}, and {\sl equal-degree factorization}.
-The first and second algorithms are deterministic, the third is
-probabilistic.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[van Hoeij]{Hoeij04} Hoeij, Mark van; Monagen, Michael
-``Algorithms for Polynomial GCD Computation over Algebraic Function Fields''
-\verb|www.cecm.sfu.ca/personal/mmonagan/papers/AFGCD.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Hoeij04.pdf|
+\bibitem[Grabmeier 92]{REF-GS92} Grabmeier, J.; Scheerhorn, A.
+``Finite fields in Axiom''
+AXIOM Technical Report TR7/92 (ATR/5)(NP2522), 
+Numerical Algorithms Group, Inc., Downer's
+Grove, IL, USA and Oxford, UK, 1992
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Let $L$ be an algebraic function field in $k \ge 0$ parameters
-$t_1,\ldots,t)k$. Let $f_1$, $f_2$ be non-zero polynomials in
-$L[x]$. We give two algorithms for computing their gcd. The first, a
-modular GCD algorithm, is an extension of the modular GCD algorithm
-for Brown for {\bf Z}$[x_1,\ldots,x_n]$ and Encarnacion for {\bf
-Q}$(\alpha[x])$ to function fields. The second, a fraction-free
-algorithm, is a modification of the Moreno Maza and Rioboo algorithm
-for computing gcds over triangular sets. The modification reduces
-coefficient grownth in $L$ to be linear.  We give an empirical
-comparison of the two algorithms using implementations in Maple.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Wang 78]{Wang78} Wang, Paul S.
-``An Improved Multivariate Polynomial Factoring Algorithm''
-Mathematics of Computation, Vol 32, No 144 Oct 1978, pp1215-1231
-\verb|www.ams.org/journals/mcom/1978-32-144/S0025-5718-1978-0568284-3/|
-\verb|S0025-5718-1978-0568284-3.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Wang78.pdf|
+\bibitem[Granville 1911]{Gran1911} Granville, William Anthony
+``Elements of the Differential and Integral Calculus''
+\verb|djm.cc/library/Elements_Differential_Integral_Calculus_Granville_edited_2.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Gran1911.pdf|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A new algorithm for factoring multivariate polynomials over the
-integers based on an algorithm by Wang and Rothschild is described.
-The new algorithm has improved strategies for dealing with the known
-problems of the original algorithm, namely, the leading coefficient
-problem, the bad-zero problem and the occurence of extraneous factors.
-It has an algorithm for correctly predetermining leading coefficients
-of the factors. A new and efficient p-adic algorith named EEZ is
-described. Basically it is a linearly convergent variable-by-variable
-parallel construction. The improved algorithm is generally faster and
-requires less store than the original algorithm. Machine examples with
-comparative timing are included.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Wiki 4]{Wiki4}.
-``Polynomial greatest common divisor''
-\verb|en.wikipedia.org/wiki/Polynomial_greatest_common_divisor|
+\bibitem[Gruntz 93]{Gru93} Gruntz, Dominik
+``Limit computation in computer algebra''
+\verb|algo.inria.fr/seminars/sem92-93/gruntz.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Gru93.pdf|
+  abstract = "
+    The automatic computation of limits can be reduced to two main
+    sub-problems. The first one is asymptotic comparison where one must
+    decide automatically which one of two functions in a specified class
+    dominates the other one asymptotically. The second one is asymptotic
+    cancellation and is usually exemplified by
+    \[e^x[exp(1/x+e^{-x})-exp(1/x)],\quad{}x \leftarrow \infty\]
+
+    In this example, if the sum is expanded in powers of $1/x$, the
+    expansion always yields $O(x^{-k})$, and this is not enough to
+    conclude.
+
+    In 1990, J.Shackell found an algorithm that solved both these problems
+    for the case of $exp-log$ functions, i.e. functions build by recursive
+    application of exponential, logarithm, algebraic extension and field
+    operations to one variable and the rational numbers. D. Gruntz and
+    G. Gonnet propose a slightly different algorithm for exp-log
+    functions.  Extensions to larger classes of functions are also
+    discussed."
 
 \end{chunk}
 
-\subsection{Category Theory} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\subsection{H} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{ignore}
-\bibitem[Baez 09]{Baez09} Baez, John C.; Stay, Mike
-``Physics, Topology, Logic and Computation: A Rosetta Stone''
-\verb|arxiv.org/pdf/0903.0340v3.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Baez09.pdf|
+\begin{chunk}{axiom.bib}
+@article{Hach95,
+  author = "Hach\'e, G. and Le Brigand, D.",
+  title = "Effective construction of algebraic geometry codes",
+  journal = "IEEE Transaction on Information Theory",
+  volume = "41",
+  month = "November",
+  year = "1995",
+  pages = "1615--1628"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In physics, Feynman diagrams are used to reason about quantum
-processes.  In the 1980s, it became clear that underlying these
-diagrams is a powerful analogy between quantum physics and
-topology. Namely, a linear operator behaves very much like a
-``cobordism'': a manifold representing spacetime, going between two
-manifolds representing space.  But this was just the beginning: simiar
-diagrams can be used to reason about logic, where they represent
-proofs, and computation, where they represent programs. With the rise
-of interest in quantum cryptography and quantum computation, it became
-clear that there is an extensive network of analogies between physics,
-topology, logic and computation. In this expository paper, we make
-some of these analogies precise using the concept of ``closed
-symmetric monodial category''. We assume no prior knowledge of
-category theory, proof theory or computer science.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Meijer 91]{Meij91} Meijer, Erik; Fokkinga, Maarten; Paterson, Ross
-``Functional Programming with Bananas, Lenses, Envelopes and Barbed Wire''
-\verb|eprints.eemcs.utwente.nl/7281/01/db-utwente-40501F46.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Meij91.pdf|
+\begin{chunk}{axiom.bib}
+@article{Hach95a,
+  author = "Hach\'e, G.",
+  title = "Computation in algebraic function fields for effective 
+           construction of algebraic-geometric codes",
+  journal = "Lecture Notes in Computer Science",
+  volume = "948",
+  year = "1995",
+  pages = "262--278"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We develop a calculus for lazy functional programming based on
-recursion operators associated with data type definitions. For these
-operators we derive various algebraic laws that are useful in deriving
-and manipulating programs. We shall show that all example functions in
-Bird and Wadler's ``Introduction to Functional Programming'' can be
-expressed using these operators.
-\end{adjustwidth}
+\begin{chunk}{axiom.bib}
+@phdthesis{Hach96,
+  author = "Hach\'e, G.",
+  title = "Construction effective des codes g\'eom\'etriques",
+  school = "l'Universit\'e Pierre et Marie Curie (Paris 6)",
+  year = "1996",
+  month = "Septembre"
+}
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Youssef 04]{You04} Youssef, Saul
-``Prospects for Category Theory in Aldor''
-October 2004
-%\verb|axiom-developer.org/axiom-website/papers/You04.pdf|
+\bibitem[Hall 76]{HW76} Hall G.; Watt J M. (eds), 
+``Modern Numerical Methods for Ordinary Differential Equations''
+Clarendon Press. (1976)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Ways of encorporating category theory constructions and results into
-the Aldor language are discussed. The main features of Aldor which
-make this possible are identified, examples of categorical
-constructions are provided and a suggestion is made for a foundation
-for rigorous results.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Hamdy 04]{Ham04} Hamdy, S.
+``LiDIA A library for computational number theory''
+Reference manual Edition 2.1.1 May 2004
+\verb|www.cdc.informatik.tu-darmstadt.de/TI/LiDIA|
 
-\subsection{Proving Axiom Correct} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Adams 99]{Adam99} Adams, A.A.; Gottlieben, H.; Linton, S.A.; 
-Martin, U.
-``Automated theorem proving in support of computer algebra:''
-`` symbolic definite integration as a case study''
-%\verb|axiom-developer.org/axiom-website/papers/Adam99.pdf|
+\bibitem[Hammarling 85]{Ham85} Hammarling S.
+`` The Singular Value Decomposition in Multivariate Statistics''
+ACM Signum Newsletter. 20, 3 2--25. (1985) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We assess the current state of research in the application of computer
-aided formal reasoning to computer algebra, and argue that embedded
-verification support allows users to enjoy its benefits without
-wrestling with technicalities. We illustrate this claim by considering
-symbolic definite integration, and present a verifiable symbolic
-definite integral table look up: a system which matches a query
-comprising a definite integral with parameters and side conditions,
-against an entry in a verifiable table and uses a call to a library of
-lemmas about the reals in the theorem prover PVS to aid in the
-transformation of the table entry into an answer. We present the full
-model of such a system as well as a description of our prototype
-implementation showing the efficacy of such a system: for example, the
-prototype is able to obtain correct answers in cases where computer
-algebra systems [CAS] do not. We extend upon Fateman's web-based table
-by including parametric limits of integration and queries with side
-conditions.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Adams 01]{Adam01} Adams, Andrew; Dunstan, Martin; Gottliebsen, Hanne;
-Kelsey, Tom; Martin, Ursula; Owre, Sam
-``Computer Algebra Meets Automated Theorem Proving: Integrating Maple and PVS''
-\verb|www.csl.sri.com/~owre/papers/tphols01/tphols01.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Adam01.pdf|
+\bibitem[Hammersley 67]{HH67} Hammersley J M; Handscomb D C.
+``Monte-Carlo Methods''
+Methuen. (1967)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe an interface between version 6 of the Maple computer
-algebra system with the PVS automated theorem prover. The interface is
-designed to allow Maple users access to the robust and checkable proof
-environment of PVS. We also extend this environment by the provision
-of a library of proof strategies for use in real analysis. We
-demonstrate examples using the interface and the real analysis
-library. These examples provide proofs which are both illustrative and
-applicable to genuine symbolic computation problems.
-\end{adjustwidth}
-
 \begin{chunk}{axiom.bib}
-@article{Mahb06,
-  author = "Mahboubi, Assia",
-  title = "Proving Formally the Implementation of an Efficient gcd Algorithm for Polynomials",
-  journal = "Lecture Notes in Computer Science",
-  volume = "4130",
-  year = "2006",
-  pages = "438-452",
-  paper = "Mahb06.pdf"
+@misc{Hath1896,
+  author = "Hathway, Arthur S.",
+  title = "A Primer Of Quaternions",
+  year = "1896"
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe here a formal proof in the Coq system of the structure
-theorem for subresultants which allows to prove formally the
-correctness of our implementation of the subresultants algorithm.
-Up to our knowledge it is the first mechanized proof of this result.
-\end{adjustwidth}
+\begin{chunk}{axiom.bib}
+@book{Haya05,
+  author = "Hayashi, K. and Kangkook, J. and Lascu, O. and Pienaar, H. and 
+            Schreitmueller, S. and Tarquinio, T. and Thompson, J.",
+  title = "AIX 5L Practical Performance Tools and Tuning Guide",
+  publisher = "IBM",
+  year = "2005",
+  url = "http://www.redbooks.ibm.com/redbooks/pdfs/sg246478.pdf",
+  paper = "Haya05.pdf"
+}
 
+\end{chunk}
 \begin{chunk}{ignore}
-\bibitem[Ballarin 99]{Ball99} Ballarin, Clemens; Paulson, Lawrence C.
-``A Pragmatic Approach to Extending Provers by Computer Algebra -- with Applications to Coding Theory''
-\verb|www.cl.cam.ac.uk/~lp15/papers/Isabelle/coding.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Ball99.pdf|
+\bibitem[Hayes 70]{Hay70} Hayes J G.
+``Curve Fitting by Polynomials in One Variable''
+Numerical Approximation to Functions and Data. 
+(ed J G Hayes) Athlone Press, London. (1970) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The use of computer algebra is usually considered beneficial for
-mechanised reasoning in mathematical domains. We present a case study,
-in the application domain of coding theory, that supports this claim:
-the mechanised proofs depend on non-trivial algorithms from computer
-algebra and increase the reasoning power of the theorem prover.
-
-The unsoundness of computer algebra systems is a major problem in
-interfacing them to theorem provers. Our approach to obtaining a sound
-overall system is not blanket distrust but based on the distinction
-between algorithms we call sound and {\sl ad hoc} respectively. This
-distinction is blurred in most computer algebra systems. Our
-experimental interface therefore uses a computer algebra library. It
-is based on formal specifications for the algorithms, and links the
-computer algebra library Sumit to the prover Isabelle.
+\begin{chunk}{ignore}
+\bibitem[Hayes 74]{Hay74} Hayes J G.
+``Numerical Methods for Curve and Surface Fitting''
+Bull Inst Math Appl. 10 144--152. (1974) 
 
-We give details of the interface, the use of the computer algebra
-system on the tactic-level of Isabelle and its integration into proof
-procedures.
-\end{adjustwidth}
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bertot 04]{Bert04} Bertot, Yves; Cast\'eran, Pierre
-``Interactive Theorem Proving and Program Development''
-Springer ISBN 3-540-20854-2
+\bibitem[Hayes 74a]{HH74} Hayes J G.; Halliday J,
+``The Least-squares Fitting of Cubic Spline Surfaces to General Data Sets''
+J. Inst. Math. Appl. 14 89--103. (1974) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Coq is an interactive proof assistant for the development of
-mathematical theories and formally certified software. It is based on
-a theory called the calculus of inductive constructions, a variant of
-type theory.
+\begin{chunk}{ignore}
+\bibitem[Henrici 56]{Hen56} Henrici, Peter
+``Automatic Computations with Power Series''
+Journal of the Association for Computing Machinery, Volume 3, No. 1,
+January 1956, 10-15
 
-This book provides a pragmatic introduction to the development of
-proofs and certified programs using Coq. With its large collection of
-examples and exercies it is an invaluable tool for researchers,
-students, and engineers interested in formal methods and the
-development of zero-fault software.
-\end{adjustwidth}
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Boulme 00]{BHR00} Boulm\'e, S.; Hardin, T.; Rioboo, R.
-``Polymorphic Data Types, Objects, Modules and Functors,: is it too much?''
-%\verb|axiom-developer.org/axiom-website/papers/BHR00.pdf|
+\bibitem[Higham 88]{Hig88} Higham, N.J.
+``FORTRAN codes for estimating the one-norm of a
+real or complex matrix, with applications to condition estimation''
+ACM Trans. Math. Soft., vol. 14, no. 4, pp. 381-396, December 1988.
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Abstraction is a powerful tool for developers and it is offered by
-numerous features such as polymorphism, classes, modules, and
-functors, $\ldots$ A working programmer may be confused by this
-abundance. We develop a computer algebra library which is being
-certificed. Reporting this experience made with a language (Ocaml)
-offering all these features, we argue that the are all needed
-together. We compare several ways of using classes to represent
-algebraic concepts, trying to follow as close as possible mathematical
-specification. Thenwe show how to combine classes and modules to
-produce code having very strong typing properties.  Currently, this
-library is made of one hundred units of functional code and behaves
-faster than analogous ones such as Axiom.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Boulme 01]{BHHMR01}
-Boulm\'e, S.; Hardin, T.; Hirschkoff, D.; M\'enissier-Morain, V.; Rioboo, R.
-``On the way to certify Computer Algebra Systems''
-Calculemus-2001
-%\verb|axiom-developer.org/axiom-website/papers/BHHMR01.pdf|
+\bibitem[Higham 02]{Hig02} Higham, Nicholas J.
+``Accuracy and stability of numerical algorithms''
+SIAM Philadelphia, PA ISBN 0-89871-521-0 (2002)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The FOC project aims at supporting, within a coherent software system,
-the entire process of mathematical computation, starting with proved
-theories, ending with certified implementations of algorithms. In this
-paper, we explain our design requirements for the implementation,
-using polynomials as a running example. Indeed, proving correctness of
-implementations depends heavily on the way this design allows
-mathematical properties to be truly handled at the programming level.
+\begin{chunk}{ignore}
+\bibitem[Hock 81]{HS81} Hock W.; Schittkowski K.
+``Test Examples for Nonlinear Programming Codes''
+Lecture Notes in Economics and Mathematical Systems. 187 Springer-Verlag. 1981
 
-The FOC project, started at the fall of 1997, is aimed to build a
-programming environment for the development of certified symbolic
-computation. The working languages are Coq and Ocaml. In this paper,
-we present first the motivations of the project. We then explain why
-and how our concern for proving properties of programs has led us to
-certain implementation choices in Ocaml. This way, the sources express
-exactly the mathematical dependencies between different structures.
-This may ease the achievement of proofs.
-\end{adjustwidth}
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Daly 10]{Daly10} Daly, Timothy
-``Intel Instruction Semantics Generator''
-\verb|daly.axiom-developer.org/TimothyDaly_files/publications/sei/intel/intel.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Daly10.pdf|
+\bibitem[Householder 70]{Hou70} Householder A S.
+``The Numerical Treatment of a Single Nonlinear Equation''
+McGraw-Hill. (1970)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Given an Intel x86 binary, extract the semantics of the instruction
-stream as Conditional Concurrent Assignments (CCAs). These CCAs 
-represent the semantics of each individual instruction. They can be
-composed to represent higher level semantics.
-\end{adjustwidth}
+\begin{chunk}{axiom.bib}
+@book{Hous81,
+  author = "Householder, Alston S.",
+  title = "Principles of Numerical Analysis",
+  publisher = "Dover Publications, Mineola, NY",
+  year = "1981",
+  isbn = "0-486-45312-X"
+}
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Danielsson 06]{Dani06} Danielsson, Nils Anders; Hughes, John;
-Jansson, Patrik; Gibbons, Jeremy
-``Fast and Loose Reasoning is Morally Correct''
-ACM POPL'06 January 2005, Charleston, South Carolina, USA
-%\verb|axiom-developer.org/axiom-website/papers/Dani06.pdf|
+\bibitem[Huang 96]{HI96} Huang, M.D.; Ierardi, D.
+``Efficient algorithms for Riemann-Roch problem and for addition in the 
+jacobian of a curve''
+Proceedings 32nd Annual Symposium on Foundations of Computer Sciences. 
+IEEE Comput. Soc. Press, pp. 678--687.
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Functional programmers often reason about programs as if they were
-written in a total language, expecting the results to carry over to
-non-toal (partial) languages. We justify such reasoning.
+\subsection{I} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-Two languages are defined, one total and one partial, with identical
-syntax. The semantics of the partial language includes partial and
-infinite values, and all types are lifted, including the function
-spaces. A partial equivalence relation (PER) is then defined, the
-domain of which is the total subset of the partial language. For types
-not containing function spaces the PER relates equal values, and
-functions are related if they map related values to related values.
+\begin{chunk}{ignore}
+\bibitem[IBM]{IBM}.
+SCRIPT Mathematical Formula Formatter User's Guide, SH20-6453,
+IBM Corporation, Publishing Systems Information Development,
+Dept. G68, P.O. Box 1900, Boulder, Colorado, USA 80301-9191.
 
-It is proved that if two closed terms have the same semantics in the
-total language, then they have related semantics in the partial
-language. It is also shown that the PER gives rise to a bicartesian
-closed category which can be used to reason about values in the domain
-of the relation.
-\end{adjustwidth}
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 12]{Davenp12} Davenport, James H.; Bradford, Russell;
-England, Matthew; Wilson, David
-``Program Verification in the presence of complex numbers, functions with
-branch cuts etc.''
-\verb|arxiv.org/pdf/1212.5417.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Davenp12.pdf|
+\bibitem[Itoh 88]{Itoh88} Itoh, T.;, Tsujii, S.
+``A fast algorithm for computing multiplicative inverses
+in $GF(2^m)$ using normal bases''
+Inf. and Comp. 78, pp.171-177, 1988
+%\verb|axiom-developer.org/axiom-website/Itoh88.pdf|
+  abstract = "
+    This paper proposes a fast algorithm for computing multiplicative
+    inverses in $GF(2^m)$ using normal bases. Normal bases have the
+    following useful property: In the case that an element $x$ in
+    $GF(2^m)$ is represented by normal bases, $2^k$ power operation of an
+    element $x$ in $GF(2^m)$ can be carried out by $k$ times cyclic shift
+    of its vector representation.  C.C. Wang et al. proposed an algorithm
+    for computing multiplicative inverses using normal bases, which
+    requires $(m-2)$ multiplications in $GF(2^m)$ and $(m-1)$ cyclic
+    shifts. The fast algorithm proposed in this paper also uses normal
+    bases, and computes multiplicative inverses iterating multiplications
+    in $GF(2^m)$. It requires at most $2[log_2(m-1)]$ multiplications in
+    $GF(2^m)$ and $(m-1)$ cyclic shifts, which are much less than those
+    required in Wang's method. The same idea of the proposed fast
+    algorithm is applicable to the general power operation in $GF(2^m)$
+    and the computation of multiplicative inverses in $GF(q^m)$
+    $(q=2^n)$."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In considering the reliability of numerical programs, it is normal to
-``limit our study to the semantics dealing with numerical precision''.
-On the other hand, there is a great deal of work on the reliability of
-programs that essentially ignores the numerics. The thesis of this
-paper is that there is a class of problems that fall between these
-two, which could be described as ``does the low-level arithmeti
-implement the high-level mathematics''. Many of these problems arise
-because mathematics, particularly the mathematics of the complex
-numbers, is more difficult than expected: for example the complex
-function log is not continuous, writing down a program to compute an
-inverse function is more complicated than just solving an equation,
-and many algebraic simplification rules are not universally valid.
+\begin{chunk}{ignore}
+\bibitem[Iyanaga 77]{Iya77} Iyanaga, Shokichi; Iyanaga, Yukiyosi Kawada
+``Encyclopedic Dictionary of Mathematics''
+1977
+
+\end{chunk}
 
-The good news is that these problems are {\sl theoretically} capable
-of being solved, and are {\sl practically} close to being solved, but
-not yet solved, in several real-world examples. However, there is
-still a long way to go before implementations match the theoretical
-possibilities.
-\end{adjustwidth}
+\subsection{J} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Dolzmann 97]{Dolz97} Dolzmann, Andreas; Sturm, Thomas
-``Guarded Expressions in Practice''
-\verb|redlog.dolzmann.de/papers/pdf/MIP-9702.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Dolz97.pdf|
+\bibitem[Jacobson 68]{Jac68} Jacobson, N.
+``Structure and Representations of Jordan Algebras''
+AMS, Colloquium Publications Volume 39
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Computer algebra systems typically drop some degenerate cases when
-evaluating expressions, e.g. $x/x$ becomes 1 dropping the case
-$x=0$. We claim that it is feasible in practice to compute also the
-degenerate cases yielding {\sl guarded expressions}. We work over real
-closed fields but our ideas about handling guarded expressions can be
-easily transferred to other situations. Using formulas as guards
-provides a powerful tool for heuristically reducing the combinatorial
-explosion of cases: equivalent, redundant, tautological, and
-contradictive cases can be detected by simplification and quantifier
-elimination. Our approach allows to simplify the expressions on the
-basis of simplification knowledge on the logical side. The method
-described in this paper is implemented in the REDUCE package GUARDIAN,
-which is freely available on the WWW.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[James 81]{JK81} James, Gordon; Kerber, Adalbert
+``The Representation Theory of the Symmetric Group''
+Encyclopedia of Mathematics and its Applications Vol. 16
+Addison-Wesley, 1981
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Dos Reis 11]{DR11} Dos Reis, Gabriel; Matthews, David; Li, Yue
-``Retargeting OpenAxiom to Poly/ML: Towards an Integrated Proof Assistants
-and Computer Algebra System Framework''
-Calculemus (2011) Springer
-\verb|paradise.caltech.edu/~yli/paper/oa-polyml.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/DR11.pdf|
+\bibitem[Jaswon 77]{JS77} Jaswon, M A.; Symm G T. 
+``Integral Equation Methods in Potential Theory and Elastostatics''
+Academic Press. (1977)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper presents an ongoing effort to integrate the Axiom family of
-computer algebra systems with Poly/ML-based proof assistants in the
-same framework. A long term goal is to make a large set of efficient
-implementations of algebraic algorithms available to popular proof
-assistants, and also to bring the power of mechanized formal
-verification to a family of strongly typed computer algebra systems at
-a modest cost. Our approach is based on retargeting the code generator
-of the OpenAxiom compiler to the Poly/ML abstract machine.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Dunstan 00a]{Dun00a} Dunstan, Martin N.
-``Adding Larch/Aldor Specifications to Aldor''
-%\verb|axiom-developer.org/axiom-website/papers/Dunxx.pdf|
+\bibitem[Jeffrey 04]{Je04} Jeffrey, Alan
+``Handbook of Mathematical Formulas and Integrals''
+Third Edition, Elsevier Academic Press ISBN 0-12-382256-4
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe a proposal to add Larch-style annotations to the Aldor
-programming language, based on our PhD research. The annotations
-are intended to be machine-checkable and may be used for a variety
-of purposes ranging from compiler optimizations to verification
-condition (VC) generation. In this report we highlight the options
-available and describe the changes which would need to be made to
-the compiler to make use of this technology.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Dunstan 98]{Dun98} Dunstan, Martin; Kelsey, Tom; Linton, Steve;
-Martin, Ursula
-``Lightweight Formal Methods For Computer Algebra Systems''
-\verb|www.cs.st-andrews.ac.uk/~tom/pub/issac98.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Dun98.pdf|
+\bibitem[Jenning 66]{Jen66} Jennings A
+``A Compact Storage Scheme for the Solution of Symmetric Linear 
+Simultaneous Equations''
+Comput. J. 9 281--285. (1966) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Demonstrates the use of formal methods tools to provide a semantics for
-the type hierarchy of the Axiom computer algebra system, and a methodology
-for Aldor program analysis and verification. There are examples of
-abstract specifications of Axiom primitives.
-\end{adjustwidth}
+\subsection{K} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Dunstan 99a]{Dun99a} Dunstan, MN
-``Larch/Aldor - A Larch BISL for AXIOM and Aldor''
-PhD Thesis, 1999
-\verb|www.cs.st-andrews.uk/files/publications/Dun99.php|
-%\verb|axiom-developer.org/axiom-website/papers/Dun99a.pdf|
+\bibitem[Kalkbrener 91]{Kal91} Kalkbrener, M.
+``Three contributions to elimination theory''
+Ph. D. Thesis, University of Linz, Austria, 1991
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this thesis we investigate the use of lightweight formal methods
-and verification conditions (VCs) to help improve the reliability of
-components constructed within a computer algebra system. We follow the
-Larch approach to formal methods and have designed a new behavioural
-interface specification language (BISL) for use with Aldor: the
-compiled extension language of Axiom and a fully-featured programming
-language in its own right. We describe our idea of lightweight formal
-methods, present a design for a lightweight verification condition
-generator and review our implementation of a prototype verification
-condition generator for Larch/Aldor.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Dunstan 00]{Dun00} Dunstan, Martin; Kelsey, Tom; Martin, Ursula;
-Linton, Steve
-``Formal Methods for Extensions to CAS''
-FME'99, Toulouse, France, Sept 20-24, 1999, pp 1758-1777
-\verb|tom.host.cs.st-andrews.ac.uk/pub/fm99.ps|
-%\verb|axiom-developer.org/axiom-website/papers/Dun00.pdf|
+\bibitem[Kalkbrener 98]{Kal98} Kalkbrener, M.
+``Algorithmic properties of polynomial rings''
+Journal of Symbolic Computation 1998
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We demonstrate the use of formal methods tools to provide a semantics
-for the type hierarchy of the AXIOM computer algebra system, and a
-methodology for Aldor program analysis and verification. We give a
-case study of abstract specifications of AXIOM primitives, and provide
-an interface between these abstractions and Aldor code.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@misc{Hard13,
-  author = "Hardin, David S. and McClurg, Jedidiah R. and Davis, Jennifer A.",
-  title = "Creating Formally Verified Components for Layered Assurance with an LLVM to ACL2 Translator",
-  url = "http://www.jrmcclurg.com/papers/law_2013_paper.pdf",
-  paper = "Hard13.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Kantor 89]{Kan89} Kantor,I.L.; Solodovnikov, A.S.
+``Hypercomplex Numbers''
+Springer Verlag Heidelberg, 1989, ISBN 0-387-96980-2
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper describes an effort to create a library of formally
-verified software component models from code that have been compiled
-using the Low-Level Virtual Machine (LLVM) intermediate form. The idea
-is to build a translator from LLVM to the applicative subset of Common
-Lisp accepted by the ACL2 theorem prover. They perform verification of
-the component model using ACL2's automated reasoning capabilities.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@misc{Hard14,
-  author = "Hardin, David S. and Davis, Jennifer A. and Greve, David A. and McClurg, Jedidiah R.",
-  title = "Development of a Translator from LLVM to ACL2",
-  url = "http://arxiv.org/pdf/1406.1566",
-  paper = "Hard14.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Kaufmann 00]{KMJ00} Kaufmann, Matt; Manolios, Panagiotis; 
+Moore J Strother
+``Computer-Aided Reasoning: An Approach''
+Springer, July 31. 2000 ISBN 0792377443
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In our current work a library of formally verified software components
-is to be created, and assembled, using the Low-Level Virtual Machine
-(LLVM) intermediate form, into subsystems whose top-level assurance
-relies on the assurance of the individual components. We have thus
-undertaken a project to build a translator from LLVM to the
-applicative subset of Common Lisp accepted by the ACL2 theorem
-prover. Our translator produces executable ACL2 formal models,
-allowing us to both prove theorems about the translated models as well
-as validate those models by testing.  The resulting models can be
-translated and certified without user intervention, even for code with
-loops, thanks to the use of the def::ung macro which allows us to
-defer the question of termination. Initial measurements of concrete
-execution for translated LLVM functions indicate that performance is
-nearly 2.4 million LLVM instructions per second on a typical laptop
-computer. In this paper we overview the translation process and
-illustrate the translator's capabilities by way of a concrete example,
-including both a functional correctness theorem as well as a
-validation test for that example.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Lamport 02]{Lamp02} Lamport, Leslie
-``Specifying Systems''
-\verb|research.microsoft.com/en-us/um/people/lamport/tla/book-02-08-08.pdf|
-Addison-Wesley ISBN 0-321-14306-X
-%\verb|axiom-developer.org/axiom-website/papers/Lamp02.pdf|
+\bibitem[Knuth 71]{Knu71} Knuth, Donald
+``The Art of Computer Programming''
+2nd edition Vol. 2 (Seminumerical Algorithms) 1st edition, 2nd printing, 
+Addison-Wesley 1971, p. 397-398
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Martin 97]{Mart97} Martin, U.; Shand, D.
-``Investigating some Embedded Verification Techniques for Computer Algebra Systems''
-\verb|www.risc.jku.at/conferences/Theorema/papers/shand.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Mart97.ps|
+\bibitem[Knuth 84]{Knu84} Knuth, Donald
+{\it The \TeX{}book}.
+Reading, Massachusetts, Addison-Wesley Publishing Company, Inc., 
+1984. ISBN 0-201-13448-9
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper reports some preliminary ideas on a collaborative project
-between St. Andrews University in the UK and NAG Ltd. The project aims
-to use embedded verification techniques to improve the reliability and
-mathematical soundness of computer algebra systems. We give some
-history of attempts to integrate computer algebra systems and
-automated theorem provers and discuss possible advantages and
-disadvantages of these approaches. We also discuss some possible case
-studies.
-\end{adjustwidth}
-
 \begin{chunk}{axiom.bib}
-@book{Maso86,
-  author = "Mason, Ian A.",
-  title = "The Semantics of Destructive Lisp",
-  publisher = "Center for the Study of Language and Information",
-  year = "1986",
-  isbn = "0-937073-06-7"
-}
+@book{Knut92,
+  author = "Knuth, Donald E.",
+  title = "Literate Programming",
+  publisher = "Center for the Study of Language and Information, Stanford CA",
+  year = "1992",
+  isbn = "0-937073-81-4"
+} 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Our basic premise is that the ability to construct and modify programs
-will not improve without a new and comprehensive look at the entire
-programming process. Past theoretical research, say, in the logic of
-programs, has tended to focus on methods for reasoning about
-individual programs; little has been done, it seems to us, to develop
-a sound understanding of the process of programming -- the process by
-which programs evolve in concept and in practice. At present, we lack
-the means to describe the techniques of program construction and
-improvement in ways that properly link verification, documentation and
-adaptability.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Newcombe 13]{Newc13} Newcombe, Chris; Rath, Tim; Zhang, Fan;
-Munteanu, Bogdan; Brooker, Marc; Deardeuff, Michael
-``Use of Formal Methods at Amazon Web Services''
-\verb|research.microsoft.com/en-us/um/people/lamport/tla/|
-\verb|formal-methods-amazon.pdf|
+\bibitem[Knu98]{Knu98} Donald Knuth
+``The Art of Computer Programming'' Vol. 3
+(Sorting and Searching)
+Addison-Wesley 1998
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In order to find subtle bugs in a system design, it is necessary to
-have a precise description of that design. There are at least two
-major benefits to writing a precise design; the author is forced to
-think more clearly, which helps eliminate ``plausible hand-waving'',
-and tools can be applied to check for errors in the design, even while
-it is being written. In contrast, conventional design documents
-consist of prose, static diagrams, and perhaps pseudo-code in an ad
-hoc untestable language. Such descriptions are far from precise; they
-are often ambiguous, or omit critical aspects such as partial failure
-or the granularity of concurrency (i.e. which constructs are assumed
-to be atomic). At the other end of the spectrum, the final executable
-code is unambiguous, but contains an overwhelming amount of detail. We
-needed to be able to capture the essence of a design in a few hundred
-lines of precise description. As our designs are unavoidably complex,
-we need a highly-expressive language, far above the level of code, but
-with precise semantics. That expressivity must cover real-world
-concurrency and fault-tolerance. And, as we wish to build services
-quickly, we wanted a language that is simple to learn and apply,
-avoiding esoteric concepts. We also very much wanted an existing
-ecosystem of tools.  We found what we were looking for in TLA+, a
-formal specification language.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Poll 99a]{P99a} Poll, Erik
-``The Type System of Axiom''
-\verb|www.cs.ru.nl/E.Poll/talks/axiom.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/P99a.pdf|
+\bibitem[Kobayashi 89]{Koba89} Kobayashi, H.; Moritsugu, S.; Hogan, R.W.
+``On Radical Zero-Dimensional Ideals''
+J. Symbolic Computations 8, 545-552 (1989)
+\verb|www.sciencedirect.com/science/article/pii/S0747717189800604/pdf|
+\verb|?md5=f06dc6269514c90dcae57f0184bcbe65&|
+\verb|pid=1-s2.0-S0747717189800604-main.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Koba88.pdf|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This is a slide deck from a talk on the correspondence between
-Axiom/Aldor types and Logic.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Poll 99]{PT99} Poll, Erik; Thompson, Simon
-``The Type System of Aldor''
-\verb|www.cs.kent.ac.uk/pubs/1999/874/content.ps|
-%\verb|axiom-developer.org/axiom-website/papers/PT99.pdf|
+\bibitem[Kolchin 73]{Kol73} Kolchin, E.R.
+``Differential Algebra and Algebraic Groups''
+(Academic Press, 1973).
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper gives a formal description of -- at least a part of --
-the type system of Aldor, the extension language of the Axiom.
-In the process of doing this a critique of the design of the system
-emerges.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Poll (a)]{PTxx} Poll, Erik; Thompson, Simon
-``Adding the axioms to Axiom. Toward a system of automated reasoning in
-Aldor''
-\verb|citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.7.1457&rep=rep1&type=ps|
-%\verb|axiom-developer.org/axiom-website/papers/PTxx.pdf|
+\bibitem[Koutschan 10]{Kou10} Koutschan, Christoph
+``Axiom / FriCAS''
+\verb|www.risc.jku.at/education/courses/ws2010/cas/axiom.pdf|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper examines the proposal of using the type system of Axiom to
-represent a logic, and thus to use the constructions of Axiom to
-handle the logic and represent proofs and propositions, in the same
-way as is done in theorem provers based on type theory such as Nuprl
-or Coq.
-
-The paper shows an interesting way to decorate Axiom with pre- and
-post-conditions.
-
-The Curry-Howard correspondence used is
-\begin{verbatim}
-PROGRAMMING                           LOGIC
-Type                                  Formula
-Program                               Proof
-Product/record type     (...,...)     Conjunction
-Sum/union type          \/            Disjunction
-Function type           ->            Implication
-Dependent function type (x:A) -> B(x) Universal quantifier
-Dependent product type  (x:A,B(x))    Existential quantifier
-Empty type              Exit          Contradictory proposition
-One element type        Triv          True proposition
-\end{verbatim}
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Poll 00]{PT00} Poll, Erik; Thompson, Simon
-``Integrating Computer Algebra and Reasoning through the Type System
-of Aldor''
-%\verb|axiom-developer.org/axiom-website/papers/PT00.pdf|
+\bibitem[Kozen 86]{KL86} Kozen, Dexter; Landau, Susan
+``Polynomial Decomposition Algorithms''
+Journal of Symbolic Computation (1989) 7, 445-456
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A number of combinations of reasoning and computer algebra systems
-have been proposed; in this paper we describe another, namely a way to
-incorporate a logic in the computer algebra system Axiom. We examine
-the type system of Aldor -- the Axiom Library Compiler -- and show
-that with some modifications we can use the dependent types of the
-system to model a logic, under the Curry-Howeard isomorphism. We give
-a number of example applications of the logi we construct and explain
-a prototype implementation of a modified type-checking system written
-in Haskell.
-\end{adjustwidth}
+\subsection{L} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\subsection{Interval Arithmetic} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{ignore}
-\bibitem[Boehm 86]{Boe86} Boehm, Hans-J.; Cartwright, Robert; Riggle, Mark;
-O'Donnell, Michael J.
-``Exact Real Arithmetic: A Case Study in Higher Order Programming''
-\verb|dev.acm.org/pubs/citations/proceedings/lfp/319838/p162-boehm|
-%\verb|axiom-developer.org/axiom-website/papers/Boe86.pdf|
+\begin{chunk}{axiom.bib}
+@book{Lamp86,
+  author = "Lamport, Leslie",
+  title = "LaTeX: A Document Preparation System",
+  publisher = "Addison-Wesley Publishing Company, Reading, Massachusetts",
+  year = "1986",
+  isbn = "0-201-15790-X"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Briggs 04]{Bri04} Briggs, Keith
-``Exact real arithmetic''
-\verb|keithbriggs.info/documents/xr-kent-talk-pp.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Bri04.pdf|
+\bibitem[Lautrup 71]{Lau71} Lautrup B.
+``An Adaptive Multi-dimensional Integration Procedure''
+Proc. 2nd Coll. on Advanced Methods in Theoretical Physics, Marseille. (1971) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Fateman 94]{Fat94} Fateman, Richard J.; Yan, Tak W.
-``Computation with the Extended Rational Numbers and an Application to 
-Interval Arithmetic''
-\verb|www.cs.berkeley.edu/~fateman/papers/extrat.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Fat94.pdf|
+\bibitem[Lawson 77]{Law77} Lawson C L.
+``Software for C  Surface Interpolation''
+Mathematical Software III. (ed J R Rice) Academic Press. 161--194. (1977) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Programming languages such as Common Lisp, and virtually every
-computer algebra system (CAS), support exact arbitrary-precision
-integer arithmetic as well as exect rational number computation.
-Several CAS include interval arithmetic directly, but not in the
-extended form indicated here. We explain why changes to the usual
-rational number system to include infinity and ``not-a-number'' may be
-useful, especially to support robust interval computation. We describe
-techniques for implementing these changes.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Lawson 74]{LH74} Lawson C L.;  Hanson R J.
+``Solving Least-squares Problems''
+Prentice-Hall. (1974) 
+
+\end{chunk}
 
 \begin{chunk}{axiom.bib}
-@incollection{Lamb06,
-  author = "Lambov, Branimir",
-  title = "Interval Arithmetic Using SSE-2",
-  booktitle = "Lecture Notes in Computer Science",
-  publisher = "Springer-Verlag",
-  year = "2006",
-  isbn = "978-3-540-85520-0",
-  pages = "102-113"
+@article{Laws79,
+  author = "Lawson, C.L. and Hanson R.J. and Kincaid, D.R. and Krogh, F.T.",
+  title = "Algorithm 539: Basic linear algebra subprograms for FORTRAN usage",
+  journal = "ACM Transactions on Mathematical Software",
+  volume = "5",
+  number = "3",
+  month = "September",
+  year = "1979",
+  pages = "308-323"
 }
 
 \end{chunk}
 
-\subsection{Numerics} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Atkinson 09]{Atk09} Atkinson, Kendall; Han, Welmin; Stewear, David
-``Numerical Solution of Ordinary Differential Equations''
-\verb|homepage.math.uiowa.edu/~atkinson/papers/NAODE_Book.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Atk09.pdf|
+\bibitem[Lawson 79]{LHKK79} Lawson C L; Hanson R J; Kincaid D R;
+ Krogh F T
+``Basic Linear Algebra Subprograms for Fortran Usage''
+ACM Trans. Math. Softw. 5 308--325. (1979)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This book is an expanded version of supplementary notes that we used
-for a course on ordinary differential equations for upper-division
-undergraduate students and beginning graduate students in mathematics,
-engineering, and sciences. The book introduces the numerical analysis
-of differential equations, describing the mathematical background for
-understanding numerical methods and giving information on what to
-expect when using them. As a reason for studying numerical methods as
-a part of a more general course on differential equations, many of the
-basic ideas of the numerical analysis of differential equations are
-tied closely to theoretical behavior associated with the problem being
-solved. For example, the criteria for the stability of a numerical
-method is closely connected to the stability of the differential
-equation problem being solved.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Crank 96]{Cran96} Crank, J.; Nicolson, P.
-``A practical method for numerical evaluations of solutions of partial differential equations of heat-conduction type''
-Advances in Computational Mathematics Vol 6 pp207-226 (1996)
-\verb|www.acms.arizona.edu/FemtoTheory/MK_personal/opti547/literature/|
-\verb|CNMethod-original.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Cran96.pdf|
+\bibitem[Lazard 91]{Laz91} Lazard, D.
+``A new method for solving algebraic systems of positive dimension''
+Discr. App. Math. 33:147-160,1991
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Lef\'evre 06]{Lef06} Lef\'evre, Vincent; Stehl\'e, Damien;
-Zimmermann, Paul
-``Worst Cases for the Exponential Function 
-in the IEEE-754r decimal64 Format''
-in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
-(2006) pp114-125
+\bibitem[Lazard92]{Laz92} Lazard, D.
+``Solving Zero-dimensional Algebraic Systems''
+Journal of Symbolic Computation, 1992, 13, 117-131
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Laza90,
+  author = "Lazard, Daniel and Rioboo, Renaud",
+  title = "Integration of rational functions: Rational computation of the 
+           logarithmic part",
+  journal = "Journal of Symbolic Computation",
+  volume = "9",
+  number = "2",
+  year = "1990",
+  month = "February",
+  pages = "113-115",
+  keywords = "axiomref",
+  paper = "Laza90.pdf",
+  abstract = "
+    A new formula is given for the logarithmic part of the integral of a
+    rational function, one that strongly improves previous algorithms and
+    does not need any computation in an algebraic extension of the field
+    of constants, nor any factorisation since only polynomial arithmetic
+    and GCD computations are used. This formula was independently found
+    and implemented in SCRATCHPAD by B.M. Trager."
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We searched for the worst cases for correct rounding of the 
-exponential function in the IEEE 754r decimal64 format, and computed
-all the bad cases whose distance from a breakpoint (for all rounding 
-modes) is less than $10^{-15}$ ulp, and we give the worst ones. In
-particular, the worst case for 
-$\vert{}x\vert{} \ge 3 x 10^{-11}$ is
-\[
-exp(9.407822313572878x10^{-2} = 1.09864568206633850000000000000000278\ldots
-\]
-This work can be extended to other elementary functions in the decimal64
-format and allows the design of reasonably fast routines that will
-evaluate these functions with correct rounding, at least in some situations.
-\end{adjustwidth}
+\begin{chunk}{axiom.bib}
+@article{LeBr88,
+  author =  "Le Brigand, D.; Risler, J.J.",
+  title = "Algorithme de Brill-Noether et codes de Goppa",
+  journal = "Bull. Soc. Math. France",
+  volume = "116",
+  year = "1988",
+  pages = "231--253"
+}
+
+\end{chunk}
 
 \begin{chunk}{axiom.bib}
-@book{Hamm62,
-  author = "Hamming R W.",
-  title = "Numerical Methods for Scientists and Engineers",
-  publisher = "Dover",
-  year = "1973",
-  isbn = "0-486-65241-6"
+@book{Lege11,
+  author = "Legendre, George L. and Grazini, Stefano",
+  title = "Pasta by Design",
+  publisher = "Thames and Hudson",
+  isbn = "978-0-500-51580-8",
+  year = "2011"
 }
 
 \end{chunk}
 
-\subsection{Advanced Documentation} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem [Bostock 14]{Bos14} Bostock, Mike
-``Visualizing Algorithms''
-\verb|bost.ocks.org/mike/algorithms|
+\bibitem[Lenstra 87]{LS87} Lenstra, H. W.; Schoof, R. J.
+``Primitivive Normal Bases for Finite Fields''
+Math. Comp. 48, 1987, pp. 217-231
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This website hosts various ways of visualizing algorithms. The hope is
-that these kind of techniques can be applied to Axiom.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Leeuwen]{Leexx} van Leeuwen, Andr\'e M.A.
-``Representation of mathematical object in interactive books''
-%\verb|axiom-developer.org/axiom-website/papers/Leexx.pdf|
+\begin{chunk}{axiom.bib}
+@misc{Leop03,
+  author = "Leopardi, Paul",
+  title = "A quick introduction to Clifford Algebras",
+  publisher = "School of Mathematics, University of New South Wales",
+  year = "2003",
+  paper = "Leop03.pdf"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present a model for the representation of mathematical objects in
-structured electronic documents, in a way that allows for interaction
-with applications such as computer algebra systems and proof checkers.
-Using a representation that reflects only the intrinsic information of
-an object, and storing application-dependent information in so-called
-{\sl application descriptions}, it is shown how the translation from
-the internal to an external representation and {\sl vice versa} can be
-achieved. Hereby a formalisation of the concept of {\sl context} is
-introduced. The proposed scheme allows for a high degree of
-application integration, e.g., parallel evaluation of subexpressions
-(by different computer algebra systems), or a proof checker using a
-computer algebra system to verify an equation involving a symbolic
-computation.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Soiffer 91]{Soif91} Soiffer, Neil Morrell
-``The Design of a User Interface for Computer Algebra Systems''
-\verb|www.eecs.berkeley.edu/Pubs/TechRpts/1991/CSD-91-626.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Soif91.pdf|
+\bibitem[Lewis 77]{Lew77} Lewis J G,
+``Algorithms for sparse matrix eigenvalue problems''
+Technical Report STAN-CS-77-595. Computer Science Department, 
+Stanford University. (1977) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This thesis discusses the design and implementation of natural user
-interfaces for Computer Algebra Systems. Such an interface must not
-only display expressions generated by the Computer Algebra System in
-standard mathematical notation, but must also allow easy manipulation
-and entry of expressions in that notation. The user interface should
-also assist in understanding of large expressions that are generated
-by Computer Algebra Systems and should be able to accommodate new
-notational forms.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Victor 11]{Vict11} Victor, Bret
-``Up and Down the Ladder of Abstraction''
-\verb|worrydream.com/LadderOfAbstraction|
+\bibitem[Lidl 83]{LN83} Lidl, R.; Niederreiter, H.
+``Finite Field, Encycoldia of Mathematics and Its Applications''
+Vol. 20, Cambridge Univ. Press, 1983 ISBN 0-521-30240-4
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This interactive essay presents the ladder of abstraction, a technique for
-thinking explicitly about these levels, so a designer can move among
-them consciously and confidently. 
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Victor 12]{Vict12} Victor, Bret
-``Inventing on Principle''
-\verb|www.youtube.com/watch?v=PUv66718DII|
+\bibitem[Linger 79]{LMW79} Linger, Richard C.; Mills, Harlan D.; 
+Witt, Bernard I.
+``Structured Programming: Theory and Practice''
+Addison-Wesley (March 1979) ISBN 0201144611
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This video raises the level of discussion about human-computer interaction
-from a technical question to a question of effectively capturing ideas.
-In particular, this applies well to Axiom's focus on literate programming.
-\end{adjustwidth}
-
-\subsection{Differential Equations} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Abramov 95]{Abra95} Abramov, Sergei A.; Bronstein, Manuel; 
-Petkovsek, Marko
-``On Polynomial Solutions of Linear Operator Equations''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
-%\verb|axiom-developer.org/axiom-website/papers/Abra95.pdf|
+\bibitem[Lipson 81]{Lip81} Lipson, D.
+``Elements of Algebra and Algebraic Computing''
+The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Abramov 01]{Abra01} Abramov, Sergei; Bronstein, Manuel
-``On Solutions of Linear Functional Systems''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
-%\verb|axiom-developer.org/axiom-website/papers/Abra01.pdf|
+\begin{chunk}{axiom.bib}
+@misc{Loet09,
+  author = "Loetzsch, Martin and Bleys, Joris and Wellens, Pieter",
+  title = "Understanding the Dynamics of Complex Lisp Programs",
+  year = "2009",
+  url = "http://www.martin-loetzsch.de/papers/loetzsch09understanding.pdf",
+  paper = "Loet09.pdf"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe a new direct algorithm for transforming a linear system of
-recurrences into an equivalent one with nonsingular leading or
-trailing matrix. Our algorithm, which is an improvement to the EG
-elimination method, uses only elementary linear algebra operations
-(ranks, kernels, and determinants) to produce an equation satisfied by
-the degress of the solutions with finite support. As a consequence, we
-can boudn and compute the polynomial and rational solutions of very
-general linear functional systems such as systems of differential or
-($q$)-difference equations.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Bronstein 96b]{Bro96b} Bronstein, Manuel
-``On the Factorization of Linear Ordinary Differential Operators''
-Mathematics and Computers in Simulation 42 pp 387-389 (1996)
-%\verb|axiom-developer.org/axiom-website/papers/Bro96b.pdf|
+\begin{chunk}{axiom.bib}
+@misc{Loet00,
+  author = "Loetzsch, M.",
+  title = "GTFL - A graphical terminal for Lisp",
+  year = "2000",
+  url = "http://martin-loetzsch.de/gtfl"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-After reviewing the arithmetic of linear ordinary differential
-operators, we describe the current status of the factorisation
-algorithm, specially with respect to factoring over non-algebraically
-closed constant fields. We also describe recent results from Singer
-and Ulmer that reduce determining the differential Galois group of an
-operator to factoring.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Bronstein 96a]{Bro96a} Bronstein, Manuel; Petkovsek, Marko
-``An introduction to pseudo-linear algebra''
-Theoretical Computer Science V157 pp3-33 (1966)
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
-%\verb|axiom-developer.org/axiom-website/papers/Bro96a.pdf|
+\begin{chunk}{axiom.bib}
+@book{Losc60,
+  author = {L\"osch, Friedrich},
+  title = "Tables of Higher Functions",
+  publisher = "McGraw-Hill Book Company",
+  year = "1960"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Pseudo-linear algebra is the study of common properties of linear
-differential and difference operators. We introduce in this paper its
-basic objects (pseudo-derivations, skew polynomials, and pseudo-linear
-operators) and describe several recent algorithms on them, which, when
-applied in the differential and difference cases, yield algorithms for
-uncoupling and solving systems of linear differential and difference
-equations in closed form.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Bronstein xb]{Broxb} Bronstein, Manuel
-``Computer Algebra Algorithms for Linear Ordinary Differential and
-Difference equations''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/ecm3.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Broxb.pdf|
+\bibitem[LTU10]{LTU10}.
+``Lambda the Ultimate''
+\verb|lambda-the-ultimate.org/node/3663#comment-62440|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Galois theory has now produced algorithms for solving linear ordinary
-differential and difference equations in closed form. In addition,
-recent algorithmic advances have made those algorithms effective and
-implementable in computer algebra systems. After introducing the
-relevant parts of the theory, we describe the latest algorithms for
-solving such equations.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Bronstein 94]{Bro94} Bronstein, Manuel
-``An improved algorithm for factoring linear ordinary differential
-operators''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+\begin{chunk}{axiom.bib}
+@book{Luke69a,
+  author = "Luke, Yudell L.",
+  title = "The Special Functions and their Approximations",
+  volume = "1",
+  publisher = "Academic Press",
+  year = "1969",
+  booktitle = "Mathematics in Science and Engineering Volume 53-I"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe an efficient algorithm for computing the associated
-equations appearing in the Beke-Schlesinger factorisation method for
-linear ordinary differential operators. This algorithm, which is based
-on elementary operations with sets of integers, can be easily
-implemented for operators of any order, produces several possible
-associated equations, of which only the simplest can be selected for
-solving, and often avoids the degenerate case, where the order of the
-associated equation is less than in the generic case. We conclude with
-some fast heuristics that can produce some factorizations while using
-only linear computations.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Bronstein 90]{Bro90} Bronstein, Manuel
-``On Solutions of Linear Ordinary Differential Equations in their 
-Coefficient Field''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
-%\verb|axiom-developer.org/axiom-website/papers/Bro90.pdf|
+\begin{chunk}{axiom.bib}
+@book{Luke69b,
+  author = "Luke, Yudell L.",
+  title = "The Special Functions and their Approximations",
+  volume = "2",
+  publisher = "Academic Press",
+  year = "1969",
+  booktitle = "Mathematics in Science and Engineering Volume 53-I"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe a rational algorithm for finding the denominator of any
-solution of a linear ordinary differential equation in its coefficient
-field. As a consequence, there is now a rational algorithm for finding
-all such solutions when the coefficients can be built up from the
-rational functions by finitely many algebraic and primitive
-adjunctions. This also eliminates one of the computational bottlenecks
-in algorithms that either factor or search for Liouvillian solutions
-of such equations with Liouvillian coefficients.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Bronstein 96]{Bro96} Bronstein, Manuel
-``$\sum^{IT}$ -- A strongly-typed embeddable computer algebra library''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
-%\verb|axiom-developer.org/axiom-website/papers/Bro96.pdf|
+\bibitem[Lyness 83]{Lyn83} Lyness J N.
+``When not to use an automatic quadrature routine''
+SIAM Review. 25 63--87. (1983) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe the new computer algebra library $\sum^{IT}$ and its
-underlying design. The development of $\sum^{IT}$ is motivated by the
-need to provide highly efficient implementations of key algorithms for
-linear ordinary differential and ($q$)-difference equations to
-scientific programmers and to computer algebra users, regardless of
-the programming language or interactive system they use. As such,
-$\sum^{IT}$ is not a computer algebra system per se, but a library (or
-substrate) which is designed to be ``plugged'' with minimal efforts
-into different types of client applications.
-\end{adjustwidth}
+\subsection{M} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 99a]{Bro99a} Bronstein, Manuel
-``Solving linear ordinary differential equations over 
-$C(x,e^{\int{f(x)dx}})$
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
-%\verb|axiom-developer.org/axiom-website/papers/Bro99a.pdf|
+\bibitem[Mac Lane 79]{MB79} Mac Lane, Saunders; Birkhoff, Garret
+``Algebra''
+AMS Chelsea Publishing ISBN 0821816462
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe a new algorithm for computing the solutions in
-\[F=C(x,e^{\int{f(x)dx}})\] of linear ordinary differential equations
-with coefficients in $F$. Compared to the general algorithm, our
-algorithm avoids the computation of exponential solutions of equations
-with coefficients in $C(x)$, as well as the solving of linear
-differential systems over $C(x)$. Our method is effective and has been
-implemented.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Bronstein 00]{Bro00} Bronstein, Manuel
-``On Solutions of Linear Ordinary Differential Equations in their Coefficient Field''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
-%\verb|axiom-developer.org/axiom-website/papers/Bro00.pdf|
+\bibitem[Malcolm 72]{Mal72} Malcolm M. A.
+``Algorithms to reveal properties of floating-point arithmetic''
+Comms. of the ACM, 15, 949-951.  (1972) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We extend the notion of monomial extensions of differential fields,
-i.e. simple transcendental extensions in which the polynomials are
-closed under differentiation, to difference fields. The structure of
-such extensions provides an algebraic framework for solving
-generalized linear difference equations with coefficients in such
-fields. We then describe algorithms for finding the denominator of any
-solution of those equations in an important subclass of monomial
-extensions that includes transcendental indefinite sums and
-products. This reduces the general problem of finding the solutions of
-such equations in their coefficient fields to bounding their
-degrees. In the base case, this yields in particular a new algorithm
-for computing the rational solutions of $q$-difference equations with
-polynomial coefficients.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Bronstein 02]{Bro02} Bronstein, Manuel; Lafaille, S\'ebastien
-``Solutions of linear ordinary differential equations in terms of 
-special functions''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac2002.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Bro02.pdf|
+\bibitem[Malcolm 76]{MS76} Malcolm M A.; Simpson R B.
+``Local Versus Global Strategies for Adaptive Quadrature''
+ACM Trans. Math. Softw. 1 129--146. (1976) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We describe a new algorithm for computing special function solutions
-of the form $y(x) = m(x)F(\eta(x))$ of second order linear ordinary
-differential equations, where $m(x)$ is an arbitrary Liouvillian
-function, $\eta(x)$ is an arbitrary rational function, and $F$
-satisfies a given second order linear ordinary differential
-equations. Our algorithm, which is base on finding an appropriate
-point transformation between the equation defining $F$ and the one to
-solve, is able to find all rational transformations for a large class
-of functions $F$, in particular (but not only) the $_0F_1$ and $_1F_1$
-special functions of mathematical physics, such as Airy, Bessel,
-Kummer and Whittaker functions. It is also able to identify the values
-of the parameters entering those special functions, and can be
-generalized to equations of higher order.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Bronstein 03]{Bro03} Bronstein, Manuel; Trager, Barry M.
-``A Reduction for Regular Differential Systems''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mega2003.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Bro03.pdf|
+\bibitem[Marden 66]{Mar66} Marden M.
+``Geometry of Polynomials''
+Mathematical Surveys. 3 Am. Math. Soc., Providence, RI. (1966)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We propose a definition of regularity of a linear differential system
-with coefficients in a monomial extension of a differential field, as
-well as a global and truly rational (i.e. factorisation-free)
-iteration that transforms a system with regular finite singularites
-into an equivalent one with simple finite poles. We then apply our
-iteration to systems satisfied by bases of algebraic function fields,
-obtaining algorithms for computing the number of irreducible
-components and the genus of algebraic curves.
-\end{adjustwidth}
-
-\begin{chunk}{ignore}
-\bibitem[Bronstein 03a]{Bro03a} Bronstein, Manuel; Sol\'e, Patrick
-``Linear recurrences with polynomial coefficients''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
-%\verb|axiom-developer.org/axiom-website/papers/Bro03a.pdf|
+\begin{chunk}{axiom.bib}
+@misc{Mars07,
+  author = "Marshak, U.",
+  title = "HT-AJAX - AJAX framework for Hunchentoot",
+  year = "2007",
+  url = "http://common-lisp.net/project/ht-ajax/ht-ajax.html"
+}
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We relate sequences generated by recurrences with polynomial
-coefficients to interleaving and multiplexing of sequences generated
-by recurrences with constant coefficients. In the special case of
-finite fields, we show that such sequences are periodic and provide
-linear complexity estimates for all three constructions.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Bronstein 05]{Bro05} Bronstein, Manuel; Li, Ziming; Wu, Min
-``Picard-Vessiot Extensions for Linear Functional Systems''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac2005.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Bro05.pdf|
+\bibitem[Maza 95]{MR95} Maza, M. Moreno; Rioboo, R.
+``Computations of gcd over algebraic towers of simple extensions''
+In proceedings of AAECC11 Paris, 1995.
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Picard-Vessiot extensions for ordinary differential and difference
-equations are well known and are at the core of the associated Galois
-theories. In this paper, we construct fundamental matrices and
-Picard-Vessiot extensions for systems of linear partial functional
-equations having finite linear dimension. We then use those extensions
-to show that all the solutions of a factor of such a system can be
-completed to solutions of the original system.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Davenport 86]{Dav86} Davenport, J.H.
-``The Risch Differential Equation Problem''
-SIAM J. COMPUT. Vol 15, No. 4 1986
-%\verb|axiom-developer.org/axiom-website/papers/Dav86.pdf|
+\bibitem[Maza 97]{Maz97} Maza, M. Moreno
+``Calculs de pgcd au-dessus des tours
+d'extensions simples et resolution des systemes d'equations algebriques''
+These, Universite P.etM. Curie, Paris, 1997.
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We propose a new algorithm, similar to Hermite's method for the
-integration of rational functions, for the resolution of Risch
-differential equations in closed form, or proving that they have no
-resolution. By requiring more of the presentation of our differential
-fields (in particular that the exponentials be weakly normalized), we
-can avoid the introduction of arbitrary constants which have to be
-solved for later.
+\begin{chunk}{ignore}
+\bibitem[Maza 98]{Maz98} Maza, M. Moreno
+``A new algorithm for computing triangular
+decomposition of algebraic varieties''
+ NAG Tech. Rep. 4/98.
 
-We also define a class of fields known as exponentially reduced, and
-show that solutions of Risch differential equations which arise from
-integrating in these fields satisfy the ``natural'' degree constraints
-in their main variables, and we conjecture (after Risch and Norman)
-that this is true in all variables.
-\end{adjustwidth}
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Singer 9]{Sing91.pdf} singer, Michael F.
-``Liouvillian Solutions of Linear Differential Equations with Liouvillian Coefficients''
-J. Symbolic Computation V11 No 3 pp251-273 (1991)
-\verb|www.sciencedirect.com/science/article/pii/S074771710880048X|
-%\verb|axiom-developer.org/axiom-website/papers/Sing91.pdf|
+\bibitem[Mignotte 82]{Mig82} Mignotte, Maurice
+``Some Useful Bounds''
+Computing, Suppl. 4, 259-263 (1982), Springer-Verlag
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Let $L(y)=b$ be a linear differential equation with coefficients in a
-differential field $K$. We discuss the problem of deciding if such an
-equation has a non-zero solution in $K$ and give a decision procedure
-in case $K$ is an elementary extension of the field of rational
-functions or is an algebraic extension of a transcendental liouvillian
-extension of the field of rational functions We show how one can use
-this result to give a procedure to find a basis for the space of
-solutions, liouvillian over $K$, of $L(y)=0$ where $K$ is such a field
-and $L(y)$ has coefficients in $K$.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Von Mohrenschildt 94]{Mohr94} Von Mohrenschildt, Martin
-``Symbolic Solutions of Discontinuous Differential Equations''
-\verb|e-collection.library.ethz.ch/eserv/eth:39463/eth-39463-01.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Mohr94.pdf|
+\bibitem[McCarthy 83]{McC83} McCarthy G J.
+``Investigation into the Multigrid Code MGD1''
+Report AERE-R 10889. Harwell. (1983)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Von Mohrenschildt 98]{Mohr98} Von Mohrenschildt, Martin
-``A Normal Form for Function Rings of Piecewise Functions''
-J. Symbolic Computation (1998) Vol 26 pp607-619
-\verb|www.cas.mcmaster.ca/~mohrens/JSC.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Mohr98.pdf|
+\bibitem[Mie97]{Mie97} Mielenz, Klaus D.
+``Computation of Fresnel Integrals''
+J. Res. Natl. Inst. Stand. Technol. (NIST) V102 No3 May-June 1997 pp363-365
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Computer algebra systems often have to deal with piecewise continuous
-functions. These are, for example, the absolute value function,
-signum, piecewise defined functions but also functions that are the
-supremum or infimum of two functions. We present a new algebraic
-approach to these types of problems. This paper presents a normal form
-for a function ring containing piecewise polynomial functions of an
-expression. The main result is that this normal form can be used to
-decide extensional equality of two piecewise functions. Also we define
-supremum and infimum for piecewise functions; in fact, we show that
-the function ring forms a lattice. Additionally, a method to solve
-equalities and inequalities in this function ring is
-presented. Finally, we give a ``user interface'' to the algebraic
-representation of the piecewise functions.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Weber 06]{Webe06} Weber, Andreas
-``Quantifier Elimination on Real Closed Fields and Differential Equations''
-\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber2006a.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Webe06.pdf|
- keywords = "survey",
+\bibitem[Mie00]{Mie00} Mielenz, Klaus D.
+``Computation of Fresnel Integrals II''
+J. Res. Natl. Inst. Stand. Technol. (NIST) V105 No4 July-Aug 2000 pp589-590
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper surveys some recent applications of quantifier elimination
-on real closed fields in the context of differential
-equations. Although polynomial vector fields give rise to solutions
-involving the exponential and other transcendental functions in
-general, many questions can be settled within the real closed field
-without referring to the real exponential field. The technique of
-quantifier elimination on real closed fields is not only of
-theoretical interest, but due to recent advances on the algorithmic
-side including algorithms for the simplification of quantifier-free
-formulae the method has gained practical applications, e.g. in the
-context of computing threshold conditions in epidemic modeling.
-\end{adjustwidth}{2.5em}{0pt}
-
 \begin{chunk}{ignore}
-\bibitem[Ulmer 03]{Ulm03} Ulmer, Felix
-``Liouvillian solutions of third order differential equations''
-J. Symbolic COmputations 36 pp 855-889 (2003)
-\verb|www.sciencedirect.com/science/article/pii/S0747717103000658|
-%\verb|axiom-developer.org/axiom-website/papers/Ulm03.pdf|
+\bibitem[Millen 68]{Mil68} Millen, J. K.
+``CHARYBDIS: A LISP program to display mathematical expressions on 
+typewriter-like devices''
+Interactive Systems for Experimental and Applied Mathematics
+M. Klerer and J. Reinfelds, eds., Academic Press, New York 1968, pp79-90
+%\verb|axiom-developer.org/axiom-website/papers/Mil68.pdf|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The Kovacic algorithm and its improvements give explicit formulae for
-the Liouvillian solutions of second order linear differential
-equations. Algorithms for third order differential equations also
-exist, but the tools they use are more sophisticated and the
-computations more involved. In this paper we refine parts of the
-algorithm to find Liouvillian solutions of third order equations. We
-show that,except for four finite groups and a reduction to the second
-order case, it is possible to give a formula in the imprimitve
-case. We also give necessary conditions and several simplifications
-for the computation of the minimal polynomial for the remaining finite
-set of finite groups (or any known finite group) by extracting
-ramification information from the character table. Several examples
-have been constructed, illustrating the possibilities and limitations.
-\end{adjustwidth}
-
-\subsection{Expression Simplification} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Carette 04]{Car04} Carette, Jacques
-``Understanding Expression Simplification''
-\verb|www.cas.mcmaster.ca/~carette/publications/simplification.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Car04.pdf|
+\bibitem[Minc 79]{Min79} Henryk Minc
+``Evaluation of Permanents''
+Proc. of the Edinburgh Math. Soc.(1979), 22/1 pp 27-32.
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We give the first formal definition of the concept of {\sl
-simplification} for general expressions in the context of Computer
-Algebra Systems. The main mathematical tool is an adaptation of the
-theory of Minimum Description Length, which is closely related to
-various theories of complexity, such as Kolmogorov Complexity and
-Algorithmic Information Theory. In particular, we show how this theory
-can justify the use of various ``magic constants'' for deciding
-between some equivalent representations of an expression, as found in
-implementations of simplification routines.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[More 74]{MGH74} More J J.; Garbow B S.;  Hillstrom K E.
+``User Guide for Minpack-1''
+ANL-80-74 Argonne National Laboratory. (1974)
 
-\subsection{Integration} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Adamchik xx]{Adamxx} Adamchik, Victor
-``Definite Integration''
-\verb|www.cs.cmu.edu/~adamchik/articles/integr/mj.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Adamxx.pdf|
+\bibitem[Mikhlin 67]{MS67} Mikhlin S G.; Smolitsky K L.
+``Approximate Methods for the Solution of Differential and 
+Integral Equations''
+Elsevier.  (1967)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Adamchik 97]{Adam97} Adamchik, Victor
-``A Class of Logarithmic Integrals''
-\verb|www.cs.cmu.edu/~adamchik/articles/issac/issac97.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Adam97.pdf|
+\bibitem[Mitchell 80]{MG80} Mitchell A R.; Griffiths D F.
+``The Finite Difference Method in Partial Differential Equations''
+Wiley. (1980)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A class of definite integrals involving cyclotomic polynomials and
-nested logarithms is considered. The results are given in terms of
-derivatives of the Hurwitz Zeta function. Some special cases for which
-such derivatives can be expressed in closed form are also considered.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Avgoustis 77]{Avgo77} Avgoustis, Ioannis Dimitrios
-``Definite Integration using the Generalized Hypergeometric Functions''
-\verb|dspace.mit.edu/handle/1721.1/16269|
-%\verb|axiom-developer.org/axiom-websitep/papers/Avgo77.pdf|
+\bibitem[Moler 73]{MS73} Moler C B.;  Stewart G W.
+``An Algorithm for Generalized Matrix Eigenproblems''
+SIAM J. Numer. Anal. 10 241--256. 1973
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A design for the definite integration of approximately fifty Special
-Functions is described. The Generalized Hypergeometric Functions are
-utilized as a basis for the representation of the members of the above
-set of Special Functions. Only a relatively small number of formulas
-that generally involve Generalized Hypergeometric Functions are
-utilized for the integration stage.  A last and crucial stage is
-required for the integration process: the reduction of the Generalized
-Hypergeometric Function to Elementary and/or Special Functions.
+\begin{chunk}{axiom.bib}
+@article{Muld97,
+  author = "Mulders, Thom",
+  title = "A Note on Subresultants and the Lazard/Rioboo/Trager Formula in 
+           Rational Function Integration",
+  journal = "Journal of Symbolic Computation",
+  year = "1997",
+  volume = "24",
+  number = "1",
+  month = "July",
+  pages = "45-50",
+  paper = "Muld97.pdf",
+  abstract = "
+    An ambiguity in a formula of Lazard, Rioboo and Trager, connecting
+    subresultants and rational function integration, is indicated and
+    examples of incorrect interpretations are given."
+}
 
-The result of an early implementation which involves Laplace
-transforms are given and some actual examples with their corresponding
-timing are provided.
-\end{adjustwidth}
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Baddoura 89]{Bad89} Baddoura, Jamil
-``A Dilogarithmic Extension of Liouville's Theorem on Integration in Finite Terms''
-\verb|www.dtic.mil/dtic/tr/fulltext/u2/a206681.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Bad89.pdf|
+\bibitem[Munksgaard 80]{Mun80} Munksgaard N.
+``Solving Sparse Symmetric Sets of Linear Equations by Pre-conditioned 
+Conjugate Gradients''
+ACM Trans. Math. Softw. 6 206--219. (1980) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The result obtained generalizes Liouville's Theorem by allowing, in
-addition to the elementary functions, dilogarithms to appear in the
-integral of an elementary function. The basic conclusion is that an
-associated function to the dilogarihm, if dilogarithms appear in the
-integral, appears linearly, with logarithms appearing in a non-linear
-way.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Baddoura 94]{Bad94} Baddoura, Mohamed Jamil
-``Integration in Finite Terms with Elementary Functions and Dilogarithms''
-\verb|dspace.mit.edu/bitstream/handle/1721.1/26864/30757785.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Bad94.pdf|
+\bibitem[Murray 72]{Mur72} Murray W, (ed)
+``Numerical Methods for Unconstrained Optimization''
+Academic Press. (1972) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this thesis, we report on a new theorem that generalizes
-Liouville's theorem on integration in finite terms. The new theorem
-allows dilogarithms to occur in the integral in addition to elementary
-functions. The proof is base on two identities for the dilogarithm,
-that characterize all the possible algebraic relations among
-dilogarithms of functions that are built up from the rational
-functions by taking transcendental exponentials, dilogarithms, and
-logarithms.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Baddoura 10]{Bad10} Baddoura, Jamil
-``A Note on Symbolic Integration with Polylogarithms''
-J. Math Vol 8 pp229-241 (2011)
-%\verb|axiom-developer.org/axiom-website/papers/Bad10.pdf|
+\bibitem[Murtagh 83]{MS83} Murtagh B A.; Saunders M A
+``MINOS 5.0 User's Guide''
+Report SOL 83-20. Department of Operations Research, Stanford University 1983
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We generalize partially Liouville's theorem on integration in finite
-terms to allow polylogarithms of any order to occur in the integral in
-addition to elementary functions. The result is a partial
-generalization of a theorem proved by the author for the
-dilogarithm. It is also a partial proof of a conjecture postulated by
-the author in 1994. The basic conclusion is that an associated
-function to the nth polylogarithm appears linearly with logarithms
-appearing possibly in a polynomial way with non-constant coefficients.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Bajpai 70]{Bajp70} Bajpai, S.D.
-``A contour integral involving legendre polynomial and Meijer's G-function''
-\verb|link.springer.com/article/10.1007/BF03049565|
-%\verb|axiom-developer.org/axiom-website/papers/Bajp70.pdf|
+\bibitem[Musser 78]{Mus78} Musser, David R.
+``On the Efficiency of a Polynomial Irreducibility Test''
+Journal of the ACM, Vol. 25, No. 2, April 1978, pp. 271-282
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this paper a countour integral involving Legendre polynomial and
-Meijer's G-function is evaluated. the integral is of general character
-and it is a generalization of results recently given by Meijer,
-MacRobert and others.  An integral involving regular radial Coulomb
-wave function is also obtained as a particular case.
-\end{adjustwidth}
+\subsection{N} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 89]{Bro89a} Bronstein, M. 
-``An Algorithm for the Integration of Elementary Functions''
-Lecture Notes in Computer Science Vol 378 pp491-497 (1989)
-%\verb|axiom-developer.org/axiom-website/papers/Bro89a.pdf|
+\bibitem[Nijenhuis 78]{NW78} Nijenhuis and Wilf
+``Combinatorical Algorithms''
+Academic Press, New York 1978.
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Trager (1984) recently gave a new algorithm for the indefinite
-integration of algebraic functions. His approach was ``rational'' in
-the sense that the only algebraic extension computed in the smallest
-one necessary to express the answer. We outline a generalization of
-this approach that allows us to integrate mixed elementary
-functions. Using only rational techniques, we are able to normalize
-the integrand, and to check a necessary condition for elementary
-integrability.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Bronstein 90a]{Bro90a} Bronstein, Manuel
-``Integration of Elementary Functions''
-J. Symbolic Computation (1990) 9, pp117-173 September 1988
-%\verb|axiom-developer.org/axiom-website/papers/Bro90a.pdf|
+\bibitem[Nikolai 79]{Nik79} Nikolai P J.
+``Algorithm 538: Eigenvectors and eigenvalues of real generalized 
+symmetric matrices by simultaneous iteration''
+ACM Trans. Math. Softw. 5 118--125. (1979) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We extend a recent algorithm of Trager to a decision procedure for the
-indefinite integration of elementary functions. We can express the
-integral as an elementary function or prove that it is not
-elementary. We show that if the problem of integration in finite terms
-is solvable on a given elementary function field $k$, then it is
-solvable in any algebraic extension of $k(\theta)$, where $\theta$ is
-a logarithm or exponential of an element of $k$. Our proof considers
-an element of such an extension field to be an algebraic function of
-one variable over $k$.
-
-In his algorithm for the integration of algebraic functions, Trager
-describes a Hermite-type reduction to reduce the problem to an
-integrand with only simple finite poles on the associated Riemann
-surface. We generalize that technique to curves over liouvillian
-ground fields, and use it to simplify our integrands.  Once the
-multipe finite poles have been removed, we use the Puiseux expansions
-of the integrand at infinity and a generalization of the residues to
-compute the integral. We also generalize a result of Rothstein that
-gives us a necessary condition for elementary integrability, and
-provide examples of its use.
-\end{adjustwidth}
+\subsection{O} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{axiom.bib}
-@article{Bron90c,
-  author = "Bronstein, Manuel",
-  title = "On the integration of elementary functions",
-  journal = "Journal of Symbolic Computation",
-  volume = "9",
-  number = "2",
-  pages = "117-173",
-  year = "1990",
-  month = "February"
+@misc{OCAM14,
+  author = "unknown",
+  title = "The OCAML website",
+  url = "http://ocaml.org"
 }
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 93]{REF-BS93} Bronstein, Manuel; Salvy, Bruno
-``Full partial fraction decomposition of rational functions''
-In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993
-\verb|www.acm.org/pubs/citations/proceedings/issac/164081/|
+\bibitem[Ollagnier 94]{Olla94} Ollagnier, Jean Moulin
+``Algorithms and methods in differential algebra''
+\verb|www.lix.polytechnique.fr/~moulin/papiers/atelier.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Olla94.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 90]{Bro90b} Bronstein, Manuel
-``A Unification of Liouvillian Extensions''
-%\verb|axiom-developer.org/axiom-website/papers/Bro90b.pdf|
+\bibitem[Olver 10]{NIST10} Olver, Frank W.; Lozier, Daniel W.; 
+Boisvert, Ronald F.; Clark, Charles W. (ed)
+``NIST Handbook of Mathematical Functions''
+(2010) Cambridge University Press ISBN 978-0-521-19225-5
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We generalize Liouville's theory of elementary functions to a larger
-class of differential extensions. Elementary, Liouvillian and
-trigonometric extensions are all special cases of our extensions. In
-the transcendental case, we show how the rational techniques of
-integration theory can be applied to our extensions, and we give a
-unified presentation which does not require separate cases for
-different monomials.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@book{Bron97,
-  author = "Bronstein, Manuel",
-  title = "Symbolic Integration I--Transcendental Functions",
-  publisher = "Springer, Heidelberg",
-  year = "1997",
-  isbn = "3-540-21493-3",
-  url = "http://evil-wire.org/arrrXiv/Mathematics/Bronstein,_Symbolic_Integration_I,1997.pdf",
-  paper = "Bron97.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[OpenM]{OpenM}.
+``OpenMath Technical Overview''
+\verb|www.openmath.org/overview/technical.html|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Bronstein 05a]{Bro05a} Bronstein, Manuel
-``The Poor Man's Integrator, a parallel integration heuristic''
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/pmint/pmint.txt|
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/pmint/examples|
-%\verb|axiom-developer.org/axiom-website/papers/Bro05a.txt|
+\bibitem[Ortega 70]{OR70} Ortega J M.; Rheinboldt W C.
+``Iterative Solution of Nonlinear Equations in Several Variables''
+Academic Press. (1970)
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@article{Bron06,
-  author = "Bronstein, M.",
-  title = "Parallel integration",
-  journal = "Programming and Computer Software",
-  year = "2006",
-  issn = "0361-7688",
-  volume = "32",
-  number = "1",
-  doi = "10.1134/S0361768806010075",
-  url = "http://dx.doi.org/10.1134/S0361768806010075",
-  publisher = "Nauka/Interperiodica",
-  pages = "59-60",
-  paper = "Bron06.pdf"
+@misc{Ostr1845,
+  author = "Ostrogradsky. M.W.",
+  title = "De l'int\'{e}gration des fractions rationelles.",
+  journal = "Bulletin de la Classe Physico-Math\'{e}matiques de 
+    l'Acae\'{e}mie Imp\'{e}riale des Sciences de St. P\'{e}tersbourg,",
+  volume = "IV",
+  pages = "145-167,286-300",
+  year = "1845"
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Parallel integration is an alternative method for symbolic
-integration.  While also based on Liouville's theorem, it handles all
-the generators of the differential field containing the integrand ``in
-parallel'', i.e.  all at once rather than considering only the topmost
-one in a recursive fasion. Although it still contains heuristic
-aspects, its ease of implementation, speed, high rate of success, and
-ability to integrate functions that cannot be handled by the Risch
-algorithm make it an attractive alternative.
-\end{adjustwidth}
+\subsection{P} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{axiom.bib}
-@article{Bron07,
-  author = "Bronstein, Manuel",
-  title = "Structure theorems for parallel integration",
-  journal = "Journal of Symbolic Computation",
-  volume = "42",
-  number = "7",
-  pages = "757-769",
-  year = "2007",
-  month = "July",
-  paper = "Bron07.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Paige 75]{PS75} Paige C C.; Saunders M A.
+``Solution of Sparse Indefinite Systems of Linear Equations''
+SIAM J. Numer. Anal. 12 617--629. (1975) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We introduce structure theorems that refine Liouville's Theorem on
-integration in closed form for general derivations on multivariate
-rational function fields. By predicting the arguments of the new
-logarithms that an appear in integrals, as well as the denominator of
-the rational part, those theorems provide theoretical backing for the
-Risch-Norman integration method.  They also generalize its applicability 
-to non-monomial extensions, for example the Lambert W function.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Charlwood 07]{Charl07} Charlwood, Kevin
-``Integration on Computer Algebra Systems''
-The Electronic J of Math. and Tech. Vol 2, No 3, ISSN 1933-2823
-\verb|12000.org/my_notes/ten_hard_integrals/paper.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Charl07.pdf|
+\bibitem[Paige 82a]{PS82a} Paige C C.; Saunders M A.
+``LSQR: An Algorithm for Sparse Linear Equations and Sparse Least-squares''
+ACM Trans. Math. Softw. 8 43--71. (1982) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this article, we consider ten indefinite integrals and the ability
-of three computer algebra systems (CAS) to evaluate them in
-closed-form, appealing only to the class of real, elementary
-functions. Although these systems have been widely available for many
-years and have undergone major enhancements in new versions, it is
-interesting to note that there are still indefinite integrals that
-escape the capacity of these systems to provide antiderivatves. When
-this occurs, we consider what a user may do to find a solution with
-the aid of a CAS.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Paige 82b]{PS82b} Paige C C.; Saunders M A.
+``ALGORITHM 583 LSQR: Sparse Linear Equations and Least-squares Problems''
+ACM Trans. Math. Softw. 8 195--209. (1982) 
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Charlwood 08]{Charl08} Charlwood, Kevin
-``Symbolic Integration Problems''
-\verb|www.apmaths.uwo.ca/~arich/IndependentTestResults/CharlwoodIntegrationProblems.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Charl08.pdf|
+\bibitem[Parker 84]{Par84} Parker, R. A.
+``The Computer Calculation of Modular Characters (The Meat-Axe)''
+M. D. Atkinson (Ed.), Computational Group Theory
+Academic Press, Inc., London 1984
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A list of the 50 example integration problems from Kevin Charlwood's 2008
-article ``Integration on Computer Algebra Systems''. Each integral along
-with its optimal antiderivative (that is, the best antiderivative found
-so far) is shown.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Parlett 80]{Par80} Parlett B N.
+``The Symmetric Eigenvalue Problem''
+Prentice-Hall. 1980
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Cherry 84]{Che84} Cherry, G.W.
-``Integration in Finite Terms with Special Functions: The Error Function''
-J. Symbolic Computation (1985) Vol 1 pp283-302
-%\verb|axiom-developer.org/axiom-website/papers/Che84.pdf|
+\bibitem[Parnas 10]{PJ10} Parnas, David Lorge; Jin, Ying
+``Defining the meaning of tabular mathematical expressions''
+Science of Computer Programming V75 No.11 Nov 2010 pp980-1000 Elesevier
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A decision procedure for integrating a class of transcendental
-elementary functions in terms of elementary functions and error
-functions is described. The procedure consists of three mutually
-exclusive cases. In the first two cases a generalised procedure for
-completing squares is used to limit the error functions which can
-appear in the integral of a finite number.  This reduces the problem
-to the solution of a differential equation and we use a result of
-Risch (1969) to solve it.  The third case can be reduced to the
-determination of what we have termed $\sum$-decompositions. The resutl
-presented here is the key procuedure to a more general algorithm which
-is described fully in Cherry (1983).
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Parnas 95]{PM95} Parnas, David Lorge; Madey, Jan
+``Functional Documents for Computer Systems''
+Science of Computer Programming V25 No.1 Oct 1995 pp41-61 Elesevier
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Cherry 86]{Che86} Cherry, G.W.
-``Integration in Finite Terms with Special Functions: 
-The Logarithmic Integral''
-SIAM J. Comput. Vol 15 pp1-21 February 1986
+\bibitem[Paul 81]{Paul81} Paul, Richard
+``Robot Manipulators''
+MIT Press 1981
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@book{Pear56,
+  author = "Pearcey, T.",
+  title = "Table of the Fresnel Integral",
+  publisher = "Cambridge University Press",
+  year = "1956"
+}
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Cherry 89]{Che89} Cherry, G.W.
-``An Analysis of the Rational Exponential Integral''
-SIAM J. Computing Vol 18 pp 893-905 (1989)
-%\verb|axiom-developer.org/axiom-website/papers/Che89.pdf|
+\bibitem[Pereyra 79]{Per79} Pereyra V.
+``PASVA3: An Adaptive Finite-Difference Fortran Program for First Order 
+Nonlinear, Ordinary Boundary Problems''
+Codes for Boundary Value Problems in Ordinary Differential Equations. 
+Lecture Notes in Computer Science.
+(ed B Childs, M Scott, J W Daniel, E Denman and P Nelson) 76
+Springer-Verlag.  (1979) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this paper an algorithm is presented for integrating expressions of
-the form $\int{ge^f~dx}$, where $f$ and $g$ are rational functions of
-$x$, in terms of a class of special functions called the special
-incomplete $\Gamma$ functions. This class of special functions
-includes the exponential integral, the error functions, the sine and
-cosing integrals, and the Fresnel integrals. The algorithm presented
-here is an improvement over those published previously for integrating
-with special functions in the following ways: (i) This algorithm
-combines all the above special functions into one algorithm, whereas
-previously they were treated separately, (ii) Previous algorithms
-require that the underlying field of constants be algebraically
-closed. This algorithm, however, works over any field of
-characteristic zero in which the basic field operations can be carried
-out. (iii) This algorithm does not rely on Risch's solution of the
-differential equation $y^\prime + fy = g$. Instead, a more direct
-method of undetermined coefficients is used.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Churchill 06]{Chur06} Churchill, R.C.
-``Liouville's Theorem on Integration Terms of Elementary Functions''
-\verb|www.sci.ccny.cuny.edu/~ksda/PostedPapers/liouv06.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Chur06.pdf|
+\bibitem[Peters 67a]{Pet67a} Peters G.
+``NPL Algorithms Library''
+Document No. F2/03/A. (1967)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This talk should be regarded as an elementary introduction to
-differential algebra. It culminates in a purely algebraic proof, due
-to M. Rosenlicht, of an 1835 theorem of Liouville on the existence of
-``elementary'' integrals of ``elementary'' functions. The precise
-meaning of elementary will be specified. As an application of that
-theorem we prove that the indefinite integral $\int{e^{x^2}}~dx$
-cannot be expressed in terms of elementary functions.
-\begin{itemize}
-\item Preliminaries on Meromorphic Functions
-\item Basic (Ordinary) Differential Algebra
-\item Differential Ring Extensions with No New Constants
-\item Extending Derivations
-\item Integration in Finite Terms
-\end{itemize}
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Davenport 79b]{Dav79b} Davenport, James Harold
-``On the Integration of Algebraic Functions''
-Springer-Verlag Lecture Notes in Computer Science 102
-ISBN 0-387-10290-6
+\bibitem[Peters 67b]{Pet67b} Peters G.
+``NPL Algorithms Library''
+Document No.F1/04/A (1967) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 79c]{Dav79c} Davenport, J. H.
-``Algorithms for the Integration of Algebraic Functions''
-Lecture Notes in Computer Science V 72 pp415-425 (1979)
-%\verb|axiom-developer.org/axiom-website/papers/Dav79c.pdf|
+\bibitem[Peters 70]{PW70} Peters G.; Wilkinson J H.
+``The Least-squares Problem and Pseudo-inverses''
+Comput. J. 13 309--316. (1970) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The problem of finding elementary integrals of algebraic functions has
-long been recognized as difficult, and has sometimes been thought
-insoluble. Risch stated a theorem characterising the integrands with
-elementary integrals, and we can use the language of algebraic
-geometry and the techniques of Davenport to yield an algorithm that will
-always produce the integral if it exists. We explain the difficulty in
-the way of extending this algorithm, and outline some ways of solving
-it. Using work of Manin we are able to solve the problem in all cases
-where the algebraic expressions depend on a parameter as well as on
-the variable of integration.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Davenport 82a]{Dav82a} Davenport, J.H.
-``The Parallel Risch Algorithm (I)
-%\verb|axiom-developer.org/axiom-website/papers/Dav82a.pdf|
+\bibitem[Peters 71]{PW71} Peters G.; Wilkinson J H.
+``Practical Problems Arising in the Solution of Polynomial Equations''
+J. Inst. Maths Applics. 8 16--35. (1971)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this paper we review the so-called ``parallel Risch'' algorithm for
-the integration of transcendental functions, and explain what the
-problems with it are. We prove a positive result in the case of
-logarithmic integrands.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Davenport 82]{Dav82} Davenport, J.H.
-``On the Parallel Risch Algorithm (III): Use of Tangents''
-SIGSAM V16 no. 3 pp3-6 August 1982
+\bibitem[Pierce 82]{Pie82} R.S. Pierce
+``Associative Algebras''
+Graduate Texts in Mathematics 88
+Springer-Verlag,  Heidelberg, 1982, ISBN 0-387-90693-2
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Davenport 03]{Dav03} Davenport, James H.
-``The Difficulties of Definite Integration''
-\verb|www.researchgate.net/publication/|
-\verb|247837653_The_Diculties_of_Definite_Integration/file/72e7e52a9b1f06e196.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Dav03.pdf|
+\bibitem[Piessens 73]{Pie73} Piessens R.
+``An Algorithm for Automatic Integration''
+Angewandte Informatik. 15 399--401. (1973) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Indefinite integration is the inverse operation to differentiation,
-and, before we can understand what we mean by indefinite integration,
-we need to understand what we mean by differentiation.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Fateman 02]{Fat02} Fateman, Richard
-``Symbolic Integration''
-\verb|inst.eecs.berkeley.edu/~cs282/sp02/lects/14.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Fat02.pdf|
+\bibitem[Piessens 74]{PMB74} Piessens R.;; Mertens I.; Branders M.
+``Integration of Functions having End-point Singularities''
+Angewandte Informatik. 16 65--68. (1974) 
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@inproceedings{Gedd89,
- author = "Geddes, K. O. and Stefanus, L. Y.",
- title = "On the Risch-norman Integration Method and Its Implementation in MAPLE",
- booktitle = "Proceedings of the ACM-SIGSAM 1989 International Symposium on Symbolic and Algebraic Computation",
- series = "ISSAC '89",
- year = "1989",
- isbn = "0-89791-325-6",
- location = "Portland, Oregon, USA",
- pages = "212--217",
- numpages = "6",
- url = "http://doi.acm.org/10.1145/74540.74567",
- doi = "10.1145/74540.74567",
- acmid = "74567",
- publisher = "ACM",
- address = "New York, NY, USA",
- paper = "Gedd89.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Piessens 75]{PB75} Piessens R.; Branders M.
+``Algorithm 002. Computation of Oscillating Integrals''
+J. Comput. Appl. Math. 1 153--164. (1975) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Unlike the Recursive Risch Algorithm for the integration of
-transcendental elementary functions, the Risch-Norman Method processes
-the tower of field extensions directly in one step. In addition to
-logarithmic and exponential field extensions, this method can handle
-extentions in terms of tangents. Consequently, it allows trigonometric
-functions to be treated without converting them to complex exponential
-form. We review this method and describe its implementation in
-MAPLE. A heuristic enhancement to this method is also presented.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Geddes 92a]{GCL92a} Geddes, K.O.; Czapor, S.R.; Labahn, G.
-``The Risch Integration Algorithm''
-Algorithms for Computer Algebra, Ch 12 pp511-573 (1992)
-%\verb|axiom-developer.org/axiom-website/papers/GCL92a.pdf|
+\bibitem[Piessens 76]{PVRBM76} Piessens R.; Van Roy-Branders M.; Mertens I.
+``The Automatic Evaluation of Cauchy Principal Value Integrals''
+Angewandte Informatik. 18 31--35. (1976) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Hardy 1916]{Hard16} Hardy, G.H.
-``The Integration of Functions of a Single Variable''
-Cambridge Unversity Press, Cambridge, 1916
-% REF:00002
+\bibitem[Piessens 83]{PDUK83} Piessens R.; De Doncker-Kapenga E.; 
+Uberhuber C.; Kahaner D.
+``QUADPACK, A Subroutine Package for Automatic Integration''
+Springer-Verlag.(1983) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Harrington 78]{Harr87} Harrington, S.J.
-``A new symbolic integration system in reduce''
-\verb|comjnl.oxfordjournals.or/content/22/2/127.full.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Harr87.pdf|
+\bibitem[Polya 37]{Pol37} Polya, G.
+``Kombinatorische Anzahlbestimmungen fur Gruppen,
+Graphen und chemische Verbindungen''
+Acta Math. 68 (1937) 145-254.
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A new integration system, employing both algorithmic and pattern match
-integration schemes is presented. The organization of the system
-differs from that of earlier programs in its emphasis on the
-algorithmic approach to integration, its modularity and its ease of
-revision. The new Norman-Rish algorithm and its implementation at the
-University of Cambridge are employed, supplemented by a powerful
-collection of simplification and transformation rules. The facility
-for user defined integrals and functions is also included. The program
-is both fast and powerful, and can be easily modified to incorporate
-anticipated developments in symbolic integration.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@misc{Herm1872,
-  author = "Hermite, E.",
-  title = "Sur l'int\'{e}gration des fractions rationelles",
-  journal = "Nouvelles Annales de Math\'{e}matiques",
-  volume = "11",
-  pages = "145-148",
-  year = "1872"
-}
+\begin{chunk}{ignore}
+\bibitem[Powell 70]{Pow70} Powell M J D. 
+``A Hybrid Method for Nonlinear Algebraic Equations''
+Numerical Methods for Nonlinear Algebraic Equations. 
+(ed P Rabinowitz) Gordon and Breach. (1970)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Horowitz 71]{Horo71} Horowitz, Ellis
-``Algorithms for Partial Fraction Decomposition and Rational Function Integration''
-SYMSAC '71 Proc. ACM Symp. on Symbolic and Algebraic Manipulation (1971) 
-pp441-457
-%\verb|axiom-developer.org/axiom-website/papers/Horo71.pdf| REF:00018
+\bibitem[Powell 74]{Pow74} Powell M J D.
+``Introduction to Constrained Optimization''
+Numerical Methods for Constrained Optimization. 
+(ed P E Gill and W Murray) Academic Press. pp1-28. 1974
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Algorithms for symbolic partial fraction decomposition and indefinite
-integration of rational functions are described. Two types of
-partial fraction decomposition are investigated, square-free and
-complete square-free. A method is derived, based on the solution of
-a linear system, which produces the square-free decomposition of any
-rational function, say A/B. The computing time is show to be 
-$O(n^4(ln nf)^2)$ where ${\rm deg}(A) < {\rm\ deg}(B) = n$ and $f$
-is a number which is closely related to the size of the coefficients
-which occur in A and B. The complete square-free partical fraction
-decomposition can then be directly obtained and it is shown that the
-computing time for this process is also bounded by $O(n^4(ln nf)^2)$.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Jeffrey 97]{Jeff97} Jeffrey, D.J.; Rich, A.D.
-``Recursive integration of piecewise-continuous functions''
-\verb|www.cybertester.com/data/recint.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Jeff97.pdf|
+\bibitem[Powell 83]{Pow83} Powell M J D.
+``Variable Metric Methods in Constrained Optimization''
+Mathematical Programming: The State of the Art. 
+(ed A Bachem, M Groetschel and B Korte) Springer-Verlag. pp288--311. 1983
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-An algorithm is given for the integration of a class of
-piecewise-continuous functions. The integration is with respect to a
-real variable, because the functions considered do not in general
-allow integration in the complex plane to be defined. The class of
-integrands includes commonly occurring waveforms, such as square
-waves, triangular waves, and the floor function; it also includes the
-signum function.  The algorithm can be implemented recursively, and it
-has the property of ensuring that integrals are continuous on domains
-of maximum extent.
-\end{adjustwidth}
+\begin{chunk}{axiom.bib}
+@inproceedings{Prat73,
+  author = "Pratt, Vaughan R.",
+  title = "Top down operator precedence",
+  booktitle = "Proc. 1st annual ACM SIGACT-SIGPLAN Symposium on Principles 
+               of Programming Languages",
+  series = "POPL'73",
+  pages = "41-51",
+  year = "1973",
+  url = "http://hall.org.ua/halls/wizzard/pdf/Vaughan.Pratt.TDOP.pdf",
+  keywords = "axiomref",
+  paper = "Prat73.pdf"
+}
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Jeffrey 99]{Jeff99} Jeffrey, D.J.; Labahn, G.; Mohrenschildt, M.v.;
-Rich, A.D.
-``Integration of the signum, piecewise and related functions''
-\verb|cs.uwaterloo.ca/~glabahn/Papers/issac99-2.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Jeff99.pdf|
+\bibitem[Press 95]{PTVF95} Press, William H.; Teukolsky, Saul A.; 
+Vetterling, William T.; Flannery, Brian P.
+``Numerical Recipes in C''
+Cambridge University Press (1995) ISBN 0-521-43108-5
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-When a computer algebra system has an assumption facility, it is
-possible to distinguish between integration problems with respect to a
-real variable, and those with respect to a complex variable.  Here, a
-class of integration problems is defined in which the integrand
-consists of compositions of continuous functions and signum functions,
-and integration is with respect to a real variable.  Algorithms are
-given for evaluating such integrals.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Kiymaz 04]{Kiym04} Kiymaz, Onur; Mirasyedioglu, Seref
-``A new symbolic computation for formal integration with exact power series''
-%\verb|axiom-developer.org/axiom-website/Kiym04.pdf|
+\bibitem[Pryce 77]{PH77} Pryce J D.; Hargrave B A.
+``The Scale Pruefer Method for one-parameter and multi-parameter eigenvalue 
+problems in ODEs''
+Inst. Math. Appl., Numerical Analysis Newsletter. 1(3)  (1977)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper describes a new symbolic algorithm for formal integration
-of a class of functions in the context of exact power series by using
-generalized hypergeometric series and computer algebraic technique.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Knowles 93]{Know93} Knowles, P.
-``Integration of a class of transcendental liouvillian
-functions with error-functions i''
-Journal of Symbolic Computation Vol 13 pp525-543 (1993)
+\bibitem[Pryce 81]{Pry81} Pryce J D. 
+``Two codes for Sturm-Liouville problems''
+Technical Report CS-81-01. Dept of Computer Science, Bristol University (1981)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Knowles 95]{Know95} Knowles, P.
-``Integration of a class of transcendental liouvillian
-functions with error-functions ii''
-Journal of Symbolic Computation Vol 16 pp227-241 (1995)
+\bibitem[Pryce 86]{Pry86} Pryce J D.
+``Error Estimation for Phase-function Shooting Methods for 
+Sturm-Liouville Problems''
+J. Num. Anal. 6 103--123. (1986)
 
 \end{chunk}
 
 \begin{chunk}{axiom.bib}
-@article{Krag09,
-  author = "Kragler, R.",
-  title = "On Mathematica Program for Poor Man's Integrator Algorithm",
-  journal = "Programming and Computer Software",
-  volume = "35",
-  number = "2",
-  pages = "63-78",
-  year = "2009",
-  issn = "0361-7688",
-  paper = "Krag09.pdf"
+@misc{Puff09,
+  author = "Puffinware LLC",
+  title = "Singular Value Decomposition (SVD) Tutorial",
+  url = "http://www.puffinwarellc.com/p3a.htm"
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this paper by means of computer experiment we study advantages and
-disadvantages of the heuristical method of ``parallel integrator''. For
-this purpose we describe and use implementation of the method in
-Mathematica. In some cases we compare this implementation with the original
-one in Maple.
-\end{adjustwidth}
+\subsection{Q} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Lang 93]{Lang93} Lang, S.
-``Algebra''
-Addison-Wesly, New York, 3rd edition 1993
+\bibitem[Quintana-Orti 06]{QG06} Quintana-Orti, Gregorio; 
+van de Geijn, Robert
+``Improving the performance of reduction to Hessenberg form''
+ACM Transactions on Mathematical Software, 32(2):180-194, June 2006.
 
 \end{chunk}
 
+\subsection{R} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Leerawat 02]{Leer02} Leerawat, Utsanee; Laohakosol, Vichian
-``A Generalization of Liouville's Theorem on Integration in Finite Terms''
-\verb|www.mathnet.or.kr/mathnet/kms_tex/113666.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Leer02.pdf|
+\bibitem[Rabinowitz 70]{Rab70} Rabinowitz P.
+``Numerical Methods for Nonlinear Algebraic Equations''
+Gordon and Breach. (1970)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-A generalization of Liouville's theorem on integration in finite
-terms, by enlarging the class of fields to an extension called
-Ei-Gamma extension is established. This extension includes the
-$\mathcal{E}\mathcal{L}$-elementary extensions of Singer, Saunders and
-Caviness and contains the Gamma function.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Leslie 09]{Lesl09} Leslie, Martin
-``Why you can't integrate exp($x^2$)''
-\verb|math.arizona.edu/~mleslie/files/integrationtalk.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Lesl09.pdf|
+\bibitem[Ralston 65]{Ral65} Ralston A.
+``A First Course in Numerical Analysis''
+McGraw-Hill. 87--90. (1965) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Lichtblau 11]{Lich11} Lichtblau, Daniel
-``Symbolic definite (and indefinite) integration: methods and open issues''
-ACM Comm. in Computer Algebra Issue 175, Vol 45, No.1 (2011)
-\verb|www.sigsam.org/bulletin/articles/175/issue175.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Lich11.pdf|
+\bibitem[Ramakrishnan 03]{Ram03} Ramakrishnan, Maya
+``A Gentle Introduction to Lyapunov Functions''
+ORSUM August 2003
+\verb|www.or.ms.unimelb.edu.au/handouts/lyaptalk.1.pdf|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The computation of definite integrals presents one with a variety of
-choices. There are various methods such as Newton-Leibniz or Slater's
-convolution method. There are questions such as whether to split or
-merge sums, how to search for singularities on the path of
-integration, when to issue conditional results, how to assess
-(possibly conditional) convergence, and more. These various
-considerations moreover interact with one another in a multitude of
-ways. Herein we discuss these various issues and illustrate with examples.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Ramsey 03]{Ra03} Ramsey, Norman
+``Noweb--A Simple, Extensible Tool for Literate Programming''
+\verb|www.eecs.harvard.edu/~nr/noweb|
 
-\begin{chunk}{axiom.bib}
-@article{Liou1833a,
-  author = "Liouville, Joseph",
-  title = "Premier m\'{e}moire sur la d\'{e}termination des int\'{e}grales dont la valeur est alg\'{e}brique",
-  journal = "Journal de l'Ecole Polytechnique",
-  volume = "14",
-  pages = "124-128",
-  year = "1833"
-}
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Redfield 27]{Red27} Redfield, J.H.
+``The Theory of Group-Reduced Distributions''
+American J. Math., 49 (1927) 433-455.
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Liou1833b,
-  author = "Liouville, Joseph",
-  title = "Second m\'{e}moire sur la d\'{e}termination des int\'{e}grales dont la valeur est alg\'{e}brique",
-  journal = "Journal de l'Ecole Polytechnique",
-  volume = "14",
-  pages = "149-193",
-  year = "1833"
-}
+\begin{chunk}{ignore}
+\bibitem[Reinsch 67]{Rei67} Reinsch C H.
+``Smoothing by Spline Functions''
+Num. Math. 10 177--183. (1967) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Liouville 1833c]{Lio1833c} Liouville, Joseph
-``Note sur la determination des int\'egrales dont la
-valeur est alg\'ebrique''
-Journal f\"ur die Reine und Angewandte Mathematik,
-Vol 10 pp 247-259, (1833)
+\bibitem[Renka 84]{Ren84} Renka R L.
+``Algorithm 624: Triangulation and Interpolation of Arbitrarily Distributed 
+Points in the Plane''
+ACM Trans. Math. Softw. 10 440--442. (1984) 
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Renka 84]{RC84} Renka R L.; Cline A K.
+``A Triangle-based C Interpolation Method''
+Rocky Mountain J. Math. 14 223--237. (1984) 
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Liouville 1833d]{Lio1833d} Liouville, Joseph
-``Sur la determination des int\'egrales dont la valeur est
-alg\'ebrique''
-{\sl Journal de l'Ecole Polytechnique}, 14:124-193, 1833
+\bibitem[Reutenauer 93]{Re93} Reutenauer, Christophe
+``Free Lie Algebras''
+Oxford University Press, June 1993 ISBN 0198536798
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Liouville 1835]{Lio1835} Liouville, Joseph
-``M\'emoire sur l'int\'gration d'une classe de fonctions
-transcendentes''
-Journal f\"ur die Reine und Angewandte Mathematik,
-Vol 13(2) pp 93-118, (1835)
+\bibitem[Reznick 93]{Rezn93} Reznick, Bruce
+``An Inequality for Products of Polynomials''
+Proc. AMS Vol 117 No 4 April 1993
+%\verb|axiom-developer.org/axiom-website/papers/Rezn93.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Marc 94]{Marc94} Marchisotto, Elena Anne; Zakeri, Gholem-All
-``An Invitation to Integration in Finite Terms''
-College Mathematics Journal Vol 25 No 4 (1994) pp295-308
-\verb|www.rangevoting.org/MarchisottoZint.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Marc94.pdf|
+\bibitem[Rich xx]{Rixx} Rich, A.D.; Jeffrey, D.J.
+``Crafting a Repository of Knowledge Based on Transformation''
+\verb|www.apmaths.uwo.ca/~djeffrey/Offprints/IntegrationRules.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Rixx.pdf|
+  abstract = "
+    We describe the development of a repository of mathematical knowledge
+    based on transformation rules. The specific mathematical problem is
+    indefinite integration. It is important that the repository be not
+    confused with a look-up table. The database of transformation rules is
+    at present encoded in Mathematica, but this is only one convenient
+    form of the repository, and it could be readily translated into other
+    formats. The principles upon which the set of rules is compiled is
+    described. One important principle is minimality. The benefits of the
+    approach are illustrated with examples, and with the results of
+    comparisons with other approaches."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Marik 91]{Mari91} Marik, Jan
-``A note on integration of rational functions''
-\verb|dml.cz/bitstream/handle/10338.dmlcz/126024/MathBohem_116-1991-4_9.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Mari91.pdf|
+\bibitem[Rich 10]{Ri10} Rich, Albert D.
+``Rule-based Mathematics''
+\verb|www.apmaths.uwo.ca/~arich|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Let $P$ and $Q$ be polynomials in one variable with complex coefficients
-and let $n$ be a natural number. Suppose that $Q$ is not constant and
-has only simple roots. Then there is a rational function $\varphi$
-with $\varphi^\prime=P/Q^{n+1}$ if and only if the Wronskian of the
-functions $Q^\prime$, $(Q^2)^\prime,\ldots\,(Q^n)^\prime$,$P$ is 
-divisible by $Q$.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Moses 76]{Mos76} Moses, Joel
-``An introduction to the Risch Integration Algorithm''
-ACM Proc. 1976 annual conference pp425-428
-%\verb|axiom-developer.org/axiom-website/papers/Mos76.pdf| REF:00048 
+\bibitem[Richardson 94]{RF94} Richardson, Dan; Fitch, John
+``The identity problem for elementary functions and constants''
+ACM Proc. of ISSAC 94 pp285-290 ISBN 0-89791-638-7
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Risch's decision procedure for determining the integrability in closed
-form of the elementary functions of the calculus is presented via
-examples.  The exponential and logarithmic cases of the algorithsm had
-been implemented for the MACSYMA system several years ago. The
-implementation of the algebraic case of the algorithm is the subject
-of current research.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Moses 71a]{Mos71a} Moses, Joel
-``Symbolic Integration: The Stormy Decade''
-CACM Aug 1971 Vol 14 No 8 pp548-560
-\verb|www-inst.eecs.berkeley.edu/~cs282/sp02/readings/moses-int.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Mos71a.pdf| REF:00017
+\bibitem[Richtmyer 67]{RM67} Richtmyer R D.; Morton K W.
+``Difference Methods for Initial-value Problems''
+Interscience (2nd Edition).  (1967)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Three approaches to symbolic integration in the 1960's are
-described. The first, from artificial intelligence, led to Slagle's
-SAINT and to a large degree to Moses' SIN. The second, from algebraic
-manipulation, led to Monove's implementation and to Horowitz' and
-Tobey's reexamination of the Hermite algorithm for integrating
-rational functions. The third, from mathematics, led to Richardson's
-proof of the unsolvability of the problem for a class of functions and
-for Risch's decision procedure for the elementary functions. 
-Generalizations of Risch's algorithm to a class of special
-functions and programs for solving differential equations and for
-finding the definite integral are also described.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Norman 79]{Nor79} Norman, A.C.; Davenport, J.H.
-``Symbolic Integration -- The Dust Settles?''
-%\verb|axiom-developer.org/axiom-website/papers/Nor79.pdf|
+\bibitem[Rioboo 92]{REF-Rio92} Rioboo, R.
+``Real algebraic closure of an ordered field, implementation in Axiom''
+In Wang [Wan92], pp206-215 ISBN 0-89791-489-9 (soft cover)
+In proceedings of the ISSAC'92 Conference, Berkeley 1992 pp. 206-215.
+0-89791-490-2 (hard cover) LCCN QA76.95.I59 1992
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-By the end of the 1960s it had been shown that a computer could find
-indefinite integrals with a competence exceeding that of typical
-undergraduates. This practical advance was backed up by algorithmic
-interpretations of a number of clasical results on integration, and by
-some significant mathematical extensions to these same results. At
-that time it would have been possible to claim that all the major
-barriers in the way of a complete system for automated analysis had
-been breached. In this paper we survey the work that has grown out of
-the above-mentioned early results, showing where the development has
-been smooth and where it has spurred work in seemingly unrelated fields.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Ostrowski 46]{Ost46} Ostrowski, A.
-``Sur l'int\'egrabilit\'e \'el\'ementaire de quelques classes
-d'expressions''
-Comm. Math. Helv., Vol 18 pp 283-308, (1946)
-% REF:00008
+\bibitem[Rioboo 96]{Rio96} Rioboo, R.
+``Generic computation of the real closure of an ordered field''
+In Mathematics and Computers in Simulation Volume 42, Issue 4-6,
+November 1996.
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Raab 12]{Raab12} Raab, Clemens G.
-``Definite Integration in Differential Fields''
-\verb|www.risc.jku.at/publications/download/risc_4583/PhD_CGR.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Raab12.pdf|
+\bibitem[Ritt 50]{Ritt50} Ritt, Joseph Fels
+``Differential Algebra''
+AMS Colloquium Publications Volume 33 ISBN 978-0-8218-4638-4
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The general goal of this thesis is to investigate and develop computer
-algebra tools for the simplification resp. evaluation of definite
-integrals. One way of finding the value of a def- inite integral is
-via the evaluation of an antiderivative of the integrand. In the
-nineteenth century Joseph Liouville was among the first who analyzed
-the structure of elementary antiderivatives of elementary functions
-systematically. In the early twentieth century the algebraic structure
-of differential fields was introduced for modeling the differential
-properties of functions. Using this framework Robert H. Risch
-published a complete algorithm for transcendental elementary
-integrands in 1969. Since then this result has been extended to
-certain other classes of integrands as well by Michael F. Singer,
-Manuel Bronstein, and several others. On the other hand, if no
-antiderivative of suitable form is available, then linear relations
-that are satisfied by the parameter integral of interest may be found
-based on the principle of parametric integration (often called
-differentiating under the integral sign or creative telescoping).
-
-The main result of this thesis extends the results mentioned above to
-a complete algo- rithm for parametric elementary integration for a
-certain class of integrands covering a majority of the special
-functions appearing in practice such as orthogonal polynomials,
-polylogarithms, Bessel functions, etc. A general framework is provided
-to model those functions in terms of suitable differential fields. If
-the integrand is Liouvillian, then the present algorithm considerably
-improves the efficiency of the corresponding algorithm given by Singer
-et al. in 1985. Additionally, a generalization of Czichowski’s
-algorithm for computing the logarithmic part of the integral is
-presented. Moreover, also partial generalizations to include other
-types of integrands are treated.
-
-As subproblems of the integration algorithm one also has to find
-solutions of linear or- dinary differential equations of a certain
-type. Some contributions are also made to solve those problems in our
-setting, where the results directly dealing with systems of
-differential equations have been joint work with Moulay A. Barkatou.
-
-For the case of Liouvillian integrands we implemented the algorithm in
-form of our Mathematica package Integrator. Parts of the
-implementation also deal with more general functions. Our procedures
-can be applied to a significant amount of the entries in integral
-tables, both indefinite and definite integrals. In addition, our
-procedures have been successfully applied to interesting examples of
-integrals that do not appear in these tables or for which current
-standard computer algebra systems like Mathematica or Maple do not
-succeed. We also give examples of how parameter integrals coming from
-the work of other researchers can be solved with the software, e.g.,
-an integral arising in analyzing the entropy of certain processes.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Raab 13]{Raab13} Raab, Clemens G.
-``Generalization of Risch's Algorithm to Special Functions''
-\verb|arxiv.org/pdf/1305.1481|
-%\verb|axiom-developer.org/axiom-website/papers/Raab13.pdf|
+\bibitem[Rote 01]{Rote01} Rote, G\"unter
+``Division-free algorithms for the determinant and the Pfaffian''
+in Computational Discrete Mathematics ISBN 3-540-42775-9 pp119-135
+\verb|page.mi.fu-berlin.de/rote/Papers/pdf/Division-free+algorithms.pdf|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Symbolic integration deals with the evaluation of integrals in closed
-form. We present an overview of Risch's algorithm including recent
-developments. The algorithms discussed are suited for both indefinite
-and definite integration. They can also be used to compute linear
-relations among integrals and to find identities for special functions
-given by parameter integrals. The aim of this presentation is twofold:
-to introduce the reader to some basic idea of differential algebra in
-the context of integration and to raise awareness in the physics
-community of computer algebra algorithms for indefinite and definite
-integration.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Raab xx]{Raabxx} Raab, Clemens G.
-``Integration in finite terms for Liouvillian functions''
-\verb|www.mmrc.iss.ac.cn/~dart4/posters/Raab.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Raabxx.pdf|
+\bibitem[Rubey 07]{Rub07} Rubey, Martin
+``Formula Guessing with Axiom''
+April 2007
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Computing integrals is a common task in many areas of science,
-antiderivatives are one way to accomplish this.  The problem of
-integration in finite terms can be states as follows. Given a
-differential field $(F,D)$ and $f \in F$, compute $g$ in some
-elementary extension of $(F,D)$ such that $Dg = f$ if such a $g$
-exists.
+\begin{chunk}{ignore}
+\bibitem[Rutishauser 69]{Rut69} Rutishauser H.
+``Computational aspects of F L Bauer's simultaneous iteration method''
+Num. Math. 13 4--13.  (1969) 
 
-This problem has been solved for various classes of fields $F$.  For
-rational functions $(C(x), \frac{d}{dx})$ such a $g$ always exists and
-algorithms to compute it are known already for a long time. In 1969
-Risch published an algorithm that solves this problem when $(F,D)$ is
-a transcendental elementary extension of $(C(x),\frac{d}{dx})$. Later
-this has been extended towards integrands being Liouvillian functions
-by Singer et. al. via the use of regular log-explicit extensions of
-$(C(x),\frac{d}{dx})$. Our algorithm extends this to handling
-transcendental Liouvillian extensions $(F,D)$ of $(C,0)$ directly
-without the need to embed them into log-explicit extensions. For
-example, this means that
-\[\int{(z-x)x^{z-1}e^{-x}dx} = x^ze^{-x}\]
-can be computed without including log(x) in the differential field.
-\end{adjustwidth}
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Rich 09]{Rich09} Rich, A.D.; Jeffrey, D.J.
-``A Knowledge Repository for Indefinite Integration Based on Transformation Rules''
-\verb|www.apmaths.uwo.ca/~arich/A%2520Rule-based%2520Knowedge%2520Repository.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Rich09.pdf|
+\bibitem[Rutishauser 70]{Rut70} Rutishauser H.
+``Simultaneous iteration method for symmetric matrices''
+Num. Math. 16 205--223. (1970) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Taking the specific problem domain of indefinite integration, we
-describe the on-going development of a repository of mathematical
-knowledge based on transformation rules. It is important that the
-repository be not confused with a look-up table. The database of
-transformation rules is at present encoded in Mathematica, but this is
-only one convenient form of the repository, and it could be readily
-translated into other formats. The principles upon which the set of
-rules is compiled is described. One important principle is
-minimality. The benefits of the approach are illustrated with
-examples, and with the results of comparisons with other approaches.
-\end{adjustwidth}
+\subsection{S} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{axiom.bib}
-@techreport{Risc68,
-  author = "Risch, Robert",
-  title = "On the integration of elementary functions which are built up using algebraic operations",
-  type = "Research Report",
-  number = "SP-2801/002/00",
-  institution = "System Development Corporation, Santa Monica, CA, USA", 
-  year = "1968"
-}
+\begin{chunk}{ignore}
+\bibitem[Schafer 66]{Sch66} Schafer, R.D.
+``An Introduction to Nonassociative Algebras''
+Academic Press, New York, 1966
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@techreport{Risc69a,
-  author = "Risch, Robert",
-  title = "Further results on elementary functions",
-  type = "Research Report",
-  number = "RC-2042",
-  institution = "IBM Research, Yorktown Heights, NY, USA",
-  year = "1969"
-
-}
+\begin{chunk}{ignore}
+\bibitem[Schoenberg 53]{SW53} Schoenberg I J.; Whitney A.
+``On Polya Frequency Functions III''
+Trans. Amer. Math. Soc. 74  246--259. (1953) 
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Risc69b,
-  author = "Risch, Robert",
-  title = "The problem of integration in finite terms",
-  journal = "Transactions of the American Mathematical Society",
-  volume = "139",
-  year = "1969",
-  pages = "167-189",
-  paper = "Ris69b.pdf",
-  abstract = "This paper deals with the problem of telling whether a
-    given elementary function, in the sense of analysis, has an elementary
-    indefinite integral."
-
-}
+\begin{chunk}{ignore}
+\bibitem[Schoenhage 82]{Sch82} Schoenhage, A.
+``The fundamental theorem of algebra in terms of computational complexity''
+preliminary report, Univ. Tuebingen, 1982
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper deals with the problem of telling whether a given elementary
-function, in the sense of analysis, has an elementary indefinite integral.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@article{Risc70,
-  author = "Risch, Robert",
-  title = "The Solution of the Problem of Integration in Finite Terms",
-  journal = "Bull. AMS",
-  year = "1970",
-  issn = "0002-9904",
-  volume = "76",
-  number = "3",
-  pages = "605-609",
-  paper = "Risc70.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Schonfelder 76]{Sch76} Schonfelder J L.
+``The Production of Special Function Routines for a Multi-Machine Library''
+Software Practice and Experience. 6(1) (1976)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The problem of integration in finite terms asks for an algorithm for
-deciding whether an elementary function has an elementary indefinite
-integral and for finding the integral if it does.  ``Elementary'' is
-used here to denote those functions build up from the rational
-functions using only exponentiation, logarithms, trigonometric,
-inverse trigonometric and algebraic operations.  This vaguely worded
-question has several precise, but inequivalent formulations. The
-writer has devised an algorithm which solves the classical problem of
-Liouville. A complete account is planned for a future publication. The
-present note is intended to indiciate some of the ideas and techniques
-involved.
-\end{adjustwidth}
-
 \begin{chunk}{axiom.bib}
-@article{Risc79,
-  author = "Risch, Robert",
-  title = "Algebraic properties of the elementary functions of analysis",
-  journal = "American Journal of Mathematics",
-  volume = "101",
-  pages = "743-759",
-  year = "1979"
+@book{Segg93,
+  author = "{von Seggern}, David Henry",
+  title = "CRC Standard Curves and Surfaces",
+  publisher = "CRC Press",
+  year = "1993",
+  isbn = "0-8493-0196-3"
 }
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Ritt 48]{Ritt48} Ritt, J.F.
-``Integration in Finite Terms''
-Columbia University Press, New York 1948
-% REF:00046
+\bibitem[Seiler 95a]{Sei95a} Seiler, W.M.; Calmet, J.
+``JET -- An Axiom Environment for Geometric Computations with Differential
+Equations''
+%\verb|axiom-developer.org/axiom-website/papers/Sei95a.pdf|
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Rosenlicht 68]{Ro68} Rosenlicht, Maxwell
-``Liouville's Theorem on Functions with Elementary Integrals''
-Pacific Journal of Mathematics Vol 24 No 1 (1968)
-\verb|msp.org/pjm/1968/24-1/pjm-v24-n1-p16-p.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Ro68.pdf| REF:00047
+\bibitem[Shepard 68]{She68} Shepard D.
+``A Two-dimensional Interpolation Function for Irregularly Spaced Data''
+Proc. 23rd Nat. Conf. ACM. Brandon/Systems Press Inc., 
+Princeton. 517--523. 1968
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Defining a function with one variable to be elemetary if it has an
-explicit representation in terms of a finite number of algebraic
-operations, logarithms, and exponentials. Liouville's theorem in its
-simplest case says that if an algebraic function has an elementary
-integral then the latter is itself an algebraic function plus a sum of
-constant multiples of logarithms of algebraic functions. Ostrowski has
-generalized Liouville's results to wider classes of meromorphic
-functions on regions of the complex plane and J.F. Ritt has given the
-classical account of the entire subject in his Integraion in Finite
-Terms, Columbia University Press, 1948. In spite of the essentially
-algebraic nature of the problem, all proofs so far have been analytic.
-This paper gives a self contained purely algebraic exposition of the
-probelm, making a few new points in addition to the resulting
-simplicity and generalization.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@article{Rose72,
-  author = "Rosenlicht, Maxwell",
-  title = "Integration in finite terms",
-  journal = "American Mathematical Monthly",
-  year = "1972",
-  volume = "79",
-  pages = "963-972",
-  paper = "Rose72.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Shirayanagi 96]{Shir96} Shirayanagi, Kiyoshi
+``Floating point Gr\"obner bases''
+Mathematics and Computers in Simulation 42 pp 509-528 (1996)
+%\verb|axiom-developer.org/axiom-website/papers/Shir96.pdf|
+  abstract = "
+    Bracket coefficients for polynomials are introduced. These are like
+    specific precision floating point numbers together with error
+    terms. Working in terms of bracket coefficients, an algorithm that
+    computes a Gr{\"o}bner basis with floating point coefficients is
+    presented, and a new criterion for determining whether a bracket
+    coefficient is zero is proposed. Given a finite set $F$ of polynomials
+    with real coefficients, let $G_\mu$ be the result of the algorithm for
+    $F$ and a precision $\mu$, and $G$ be a true Gr{\"o}bner basis of
+    $F$. Then, as $\mu$ approaches infinity, $G_\mu$ converges to $G$
+    coefficientwise. Moreover, there is a precision $M$ such that if 
+    $\mu \ge M$, then the sets of monomials with non-zero coefficients of
+    $G_\mu$ and $G$ are exactly the same. The practical usefulness of the
+    algorithm is suggested by experimental results."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Rothstein 76]{Ro76} Rothstein, Michael
-``Aspects of symbolic integration and simplifcation of exponential
-and primitive functions''
-PhD thesis, University of Wisconsin-Madison (1976)
-\verb|www.cs.kent.edu/~rothstei/dis.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Ro76.pdf| REF:00051
+\bibitem[Sims 71]{Sims71} Sims, C.
+``Determining the Conjugacy Classes of a Permutation Group''
+Computers in Algebra and Number Theory, SIAM-AMS Proc., Vol. 4,
+American Math. Soc., 1991, pp191-195
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this thesis we cover some aspects of the theory necessary to obtain
-a canonical form for functions obtained by integration and
-exponentiation from the set of rational functions.
-
-These aspects include a new algorithm for symbolic integration of
-functions involving logarithms and exponentials which avoids
-factorization of polynomials in those cases where algebraic extension
-of the constant field is not required, avoids partial fraction
-decompositions, and only solves linear systems with a small number of
-unknowns.
-
-We have also found a theorem which states, roughly speaking, that if
-integrals which can be represented as logarithms are represented as
-such, the only algebraic dependence that a new exponential or
-logarithm can satify is given by the law of exponents or the law of
-logarithms.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Rothstein 76a]{Ro76a} Rothstein, Michael; Caviness, B.F.
-``A structure theorem for exponential and primitive functions: a preliminary report''
-ACM Sigsam Bulletin Vol 10 Issue 4 (1976)
-%\verb|axiom-developer.org/axiom-website/papers/Ro76a.pdf|
+\bibitem[Singer 89]{Sing89} Singer, M.F.
+``Formal Solutions of Differential Equations''
+J. Symbolic COmputation 10, No.1 59-94 (1990)
+%\verb|axiom-developer.org/axiom-website/papers/Sing89.pdf|
+ keywords = "survey",
+  abstract = "
+    We give a survey of some methods for finding formal solutions of
+    differential equations. These include methods for finding power series
+    solutions, elementary and liouvillian solutions, first integrals, Lie
+    theoretic methods, transform methods, asymptotic methods. A brief
+    discussion of difference equations is also included."
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this paper a generalization of the Risch Structure Theorem is reported.
-The generalization applies to fields $F(t_1,\ldots,t_n)$ where $F$ 
-is a differential field (in our applications $F$ will be a finitely 
-generated extension of $Q$, the field of rational numbers) and each $t_i$ 
-is either algebraic over $F_{i-1}=F(t_1,\ldots,t_{i-1})$, is an exponential 
-of an element in $F_{i-1}$, or is an integral of an element in $F_{i-1}$. 
-If $t_i$ is an integral and can be expressed using logarithms, it must be 
-so expressed for the generalized structure theorem to apply.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Rothstein 76b]{Ro76b} Rothstein, Michael; Caviness, B.F.
-``A structure theorem for exponential and primitive functions''
-SIAM J. Computing Vol 8 No 3 (1979)
-%\verb|axiom-developer.org/axiom-website/papers/Ro76b.pdf| REF:00104
+\bibitem[Sit 92]{REF-Sit92} Sit, William
+``An Algorithm for Parametric Linear Systems''
+J. Sym. Comp., April 1992
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this paper a new theorem is proved that generalizes a result of
-Risch.  The new theorem gives all the possible algebraic relationships
-among functions that can be built up from the rational functions by
-algebraic operations, by taking exponentials, and by integration. The
-functions so generated are called exponential and primitive functions.
-From the theorem an algorithm for determining algebraic dependence
-among a given set of exponential and primitive functions is derived.
-The algorithm is then applied to a problem in computer algebra.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@article{Roth77,
-  author = "Rothstein, Michael",
-  title = "A new algorithm for the integration of exponential and logarithmic functions",
-  journal = "Proceedings of the 1977 MACSYMA Users Conference",
-  year = "1977",
-  pages = "263-274",
-  publisher = "NASA Pub CP-2012"
-}
+\begin{chunk}{ignore}
+\bibitem[Smith 67]{Smi67} Smith B T.
+``ZERPOL: A Zero Finding Algorithm for Polynomials Using Laguerre's Method''
+Technical Report. Department of Computer Science, University of Toronto,
+Canada.  (1967)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Seidenberg 58]{Sei58} Seidenberg, Abraham
-``Abstract differential algebra and the analytic case''
-Proc. Amer. Math. Soc. Vol 9 pp159-164 (1958)
+\bibitem[Smith 85]{Smi85} Smith G D.
+``Numerical Solution of Partial Differential Equations: Finite Difference 
+Methods''
+Oxford University Press (3rd Edition). (1985)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Seidenberg 69]{Sei69} Seidenberg, Abraham
-``Abstract differential algebra and the analytic case. II''
-Proc. Amer. Math. Soc. Vol 23 pp689-691 (1969)
+\bibitem[Sobol 74]{Sob74} Sobol I M.
+``The Monte Carlo Method''
+The University of Chicago Press. 1974
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Singer 85]{Sing85} Singer, M.F.; Saunders, B.D.; Caviness, B.F.
-``An extension of Liouville's theorem on integration in finite terms''
-SIAM J. of Comp. Vol 14 pp965-990 (1985)
-\verb|www4.ncsu.edu/~singer/papers/singer_saunders_caviness.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Sing85.pdf|
+\bibitem[Steele 90]{Ste90} Steele, Guy L.
+``Common Lisp The Language''
+Second Edition ISBN 1-55558-041-6 Digital Press (1990)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In Part 1 of this paper, we give an extension of Liouville's Theorem
-and give a number of examples which show that integration with special
-functions involves some phenomena that do not occur in integration
-with the elementary functions alone. Our main result generalizes
-Liouville's Theorem by allowing, in addition to the elementary
-functions, special functions such as the error function, Fresnel
-integrals and the logarithmic integral (but not the dilogarithm or
-exponential integral) to appear in the integral of an elementary
-function. The basic conclusion is that these functions, if they
-appear, appear linearly. We give an algorithm which decides if an
-elementary function, built up using only exponential functions and
-rational operations has an integral which can be expressed in terms of
-elementary functions and error functions.
-\end{adjustwidth}
+\begin{chunk}{axiom.bib}
+@misc{Stic93,
+  author = "Stichtenoth, H.",
+  title = "Algebraic function fields and codes",
+  publisher = "Springer-Verlag",
+  year = "1993"
+}
+
+\end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Slagle 61]{Slag61} Slagle, J.
-``A heuristic program that solves symbolic integration problems in freshman calculus''
-Ph.D Diss. MIT, May 1961; also Computers and Thought, Feigenbaum and Feldman.
-% REF:00014
+\bibitem[Stinson 90]{Stin90} Stinson, D.R.
+``Some observations on parallel Algorithms for fast exponentiation 
+in $GF(2^n)$''
+Siam J. Comp., Vol.19, No.4, pp.711-717, August 1990
+%\verb|axiom-developer.org/axiom-website/Stin90.pdf|
+  abstract = "
+    A normal basis represention in $GF(2^n)$ allows squaring to be
+    accomplished by a cyclic shift. Algorithms for multiplication in
+    $GF(2^n)$ using a normal basis have been studied by several
+    researchers. In this paper, algorithms for performing exponentiation
+    in $GF(2^n)$ using a normal basis, and how they can be speeded up by
+    using parallelization, are investigated."
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Terelius 09]{Tere09} Terelius, Bjorn
-``Symbolic Integration''
-%\verb|axiom-developer.org/axiom-website/papers/Tere09.pdf|
+\bibitem[Stroud 66]{SS66} Stroud A H.; Secrest D.
+``Gaussian Quadrature Formulas''
+Prentice-Hall. (1966) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Symbolic integration is the problem of expressing an indefinite integral
-$\int{f}$ of a given function $f$ as a finite combination $g$ of elementary
-functions, or more generally, to determine whether a certain class of
-functions contains an element $g$ such that $g^\prime = f$.
-
-In the first part of this thesis, we compare different algorithms for
-symbolic integration. Specifically, we review the integration rules
-taught in calculus courses and how they can be used systematically to
-create a reasonable, but somewhat limited, integration method. Then we
-present the differential algebra required to prove the transcendental
-cases of Risch's algorithm. Risch's algorithm decides if the integral
-of an elementary function is elementary and if so computes it. The
-presentation is mostly self-contained and, we hope, simpler than
-previous descriptions of the algorithm. Finally, we describe
-Risch-Norman's algorithm which, although it is not a decision
-procedure, works well in practice and is considerably simpler than the
-full Risch algorithm.
+\begin{chunk}{ignore}
+\bibitem[Stroud 71]{Str71} Stroud A H.
+``Approximate Calculation of Multiple Integrals''
+Prentice-Hall 1971
 
-In the second part of this thesis, we briefly discuss an
-implementation of a computer algebra system and some of the
-experiences it has given us.  We also demonstrate an implementation of
-the rule-based approach and how it can be used, not only to compute
-integrals, but also to generate readable derivations of the results.
-\end{adjustwidth}
+\end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Trag76,
-  author = "Trager, Barry",
-  title = "Algebraic factoring and rational function integration",
-  journal = "Proceedings of SYMSAC'76",
-  year = "1976",
-  pages = "219-226",
-  paper = "Trag76.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Swarztrauber 79]{SS79} Swarztrauber P N.; Sweet R A.
+``Efficient Fortran Subprograms for the Solution of Separable Elliptic Partial
+Differential Equations''
+ACM Trans. Math. Softw. 5 352--364. (1979)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This paper presents a new, simple, and efficient algorithm for
-factoring polynomials in several variables over an algebraic number
-field. The algorithm is then used interatively to construct the
-splitting field of a polynomial over the integers. Finally the
-factorization and splitting field algorithms are applied to the
-problem of determining the transcendental part of the integral of a
-rational function. In particular, a constructive procedure is given
-for finding a least degree extension field in which the integral can
-be expressed.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Trager 76a]{Tr76a} Trager, Barry Marshall
-``Algorithms for Manipulating Algebraic Functions''
-MIT Master's Thesis.
-\verb|www.dm.unipi.it/pages/gianni/public_html/Alg-Comp/fattorizzazione-EA.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Tr76a.pdf| REF:00050
+\bibitem[Swarztrauber 84]{SS84} Swarztrauber P N.
+``Fast Poisson Solvers''
+Studies in Numerical Analysis. (ed G H Golub) 
+Mathematical Association of America. (1984)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Given a base field $k$, of characteristic zero, with effective
-procedures for performing arithmetic and factoring polynomials, this
-thesis presents algorithms for extending those capabilities to
-elements of a finite algebraic symbolic manipulation system. An
-algebraic factorization algorithm along with a constructive version of
-the primitive element theorem is used to construct splitting fields of
-polynomials. These fields provide a context in which we can operate
-symbolically with all the roots of a set of polynomials. One
-application for this capability is rational function integrations. 
-Previously presented symbolic algorithms concentrated on finding the 
-rational part and were only able to compute the complete
-integral in special cases. This thesis presents an algorithm for
-finding an algebraic extension field of least degreee in which the
-integral can be expressed, and then constructs the integral in that
-field.  The problem of algebraic function integration is also
-examined, and a highly efficient procedure is presented for generating
-the algebraic part of integrals whose function fields are defined by a
-single radical extension of the rational functions.
-\end{adjustwidth}
+\subsection{T} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{axiom.bib}
-@phdthesis{Trag84,
-  author = "Trager, Barry",
-  title = "On the integration of algebraic functions",
-  school = "MIT",
-  year = "1984",
-  url = "http://www.dm.unipi.it/pages/gianni/public_html/Alg-Comp/thesis.pdf",
-  paper = "Trag76.pdf"
+@book{Tait1890,
+  author = "Tait, P.G.",
+  title = "An Elementary Treatise on Quaternions",
+  publisher = "C.J. Clay and Sons, Cambridge University Press Warehouse, 
+               Ave Maria Lane",
+  year = "1890"
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We show how the ``rational'' approach for integrating algebraic
-functions can be extended to handle elementary functions. The
-resulting algorithm is a practical decision procedure for determining
-whether a given elementary function has an elementary antiderivative,
-and for computing it if it exists.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[W\"urfl 07]{Wurf07} W\"urfl, Andreas
-``Basic Concepts of Differential Algebra''
-\verb|www14.in.tum.de/konferenzen/Jass07/courses/1/Wuerfl/wuerfl_paper.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Wurf07.pdf|
+\bibitem[Taivalsaari 96]{Tai96} Taivalsaari, Antero
+``On the Notion of Inheritance''
+ACM Computing Surveys, Vol 28 No 3 Sept 1996 pp438-479
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Modern computer algebra systems symbolically integrate a vast variety
-of functions. To reveal the underlying structure it is necessary to
-understand infinite integration not only as an analytical problem but
-as an algebraic one. Introducing the differential field of elementary
-functions we sketch the mathematical tools like Liouville's Principle
-used in modern algorithms. We present Hermite's method for integration
-of rational functions as well as the Rothstein/Trager method for
-rational and for elementary functions. Further applications of the
-mentioned algorithms in the field of ODE's conclude this paper.
-\end{adjustwidth}
-
-\subsection{Partial Fraction Decomposition} %%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 \begin{chunk}{ignore}
-\bibitem[Angell]{Angell} Angell, Tom
-``Guidelines for Partial Fraction Decomposition''
-\verb|www.math.udel.edu/~angell/partfrac_I.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Angell.pdf|
+\bibitem[Temme 87]{Tem87} Temme N M.
+``On the Computation of the Incomplete Gamma Functions for Large Values of 
+the Parameters''
+Algorithms for Approximation. (ed J C Mason and M G Cox) 
+Oxford University Press. (1987)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Laval 08]{Lava08} Laval, Philippe B.
-``Partial Fractions Decomposition''
-\verb|www.math.wisc.edu/~park/Fall2011/integration/Partial%20Fraction.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Lava08.pdf|
+\bibitem[Temperton 83a]{Tem83a} Temperton C.
+``Self-sorting Mixed-radix Fast Fourier Transforms''
+J. Comput. Phys. 52 1--23. (1983)
 
 \end{chunk}
 
 \begin{chunk}{ignore}
-\bibitem[Mudd 14]{Mudd14} Harvey Mudd College
-``Partial Fractions''
-\verb|www.math.hmc.edu/calculus/tutorials/partial_fractions/partial_fractions.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Mudd14.pdf|
+\bibitem[Temperton 83b]{Tem83b} Temperton C.
+``Fast Mixed-Radix Real Fourier Transforms''
+J. Comput. Phys. 52 340--350. (1983)
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Rajasekaran 14]{Raja14} Rajasekaran, Raja
-``Partial Fraction Expansion''
-\verb|www.utdallas.edu/~raja1/EE4361%20Spring%2014/Lecture%20Notes/|
-\verb|Partial%20Fractions.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Raja14.pdf|
+\begin{chunk}{axiom.bib}
+@article{Thur94,
+  author = "Thurston, William P.",
+  title = "On Proof and Progress in Mathematics",
+  journal = "Bulletin AMS",
+  volume = "30",
+  number = "2",
+  month = "April",
+  year = "1994",
+  url = "http://www.ams.org/journals/bull/1994-30-02/S0273-0979-1994-00502-6/S0273-0979-1994-00502-6.pdf",
+  paper = "Thur94.pdf"
+}
 
 \end{chunk}
 
+\subsection{U} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
 \begin{chunk}{ignore}
-\bibitem[Wootton 14]{Woot14} Wootton, Aaron
-``Integration of Rational Functions by Partial Fractions''
-\verb|faculty.up.edu/wootton/calc2/section7.4.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Woot14.pdf|
+\bibitem[Unknown 61]{Unk61} Unknown
+``Chebyshev-series''
+Modern Computing Methods
+Chapter 8. NPL Notes on Applied Science (2nd Edition). 16 HMSO. 1961
 
 \end{chunk}
-\subsection{Ore Rings} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-This is used as a reference for the LeftOreRing category, in particular,
-the least left common multiple (lcmCoef) function.
+\subsection{V} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Abramov 97]{Abra97} Abramov, Sergei A.; van Hoeij, Mark
-``A method for the Integration of Solutions of Ore Equations''
-Proc ISSAC 97 pp172-175 (1997)
-%\verb|axiom-developer.org/axiom-website/papers/Abra97.pdf|
+\bibitem[Van Dooren 76]{vDDR76} Van Dooren P.;  De Ridder L.
+``An Adaptive Algorithm for Numerical Integration over an N-dimensional 
+Cube''
+J. Comput. Appl. Math. 2 207--217. (1976) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We introduce the notion of the adjoint Ore ring and give a definition
-of adjoint polynomial, operator and equation. We apply this for
-integrating solutions of Ore equations.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Delenclos 06]{DL06} Delenclos, Jonathon; Leroy, Andr\'e
-``Noncommutative Symmetric functions and $W$-polynomials''
-\verb|arxiv.org/pdf/math/0606614.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/DL06.pdf|
+\bibitem[van Hoeij 94]{REF-vH94} van Hoeij, M.
+``An algorithm for computing an integral
+basis in an algebraic function field''
+{\sl J. Symbolic Computation}
+18(4):353-364, October 1994
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Let $K$, $S$, $D$ be a division ring an endomorphism and a
-$S$-derivation of $K$, respectively. In this setting we introduce
-generalized noncommutative symmetric functions and obtain Vi\'ete
-formula and decompositions of different operators. $W$-polynomials
-show up naturally, their connetions with $P$-independency. Vandermonde
-and Wronskian matrices are briefly studied. The different linear
-factorizations of $W$-polynomials are analysed. Connections between
-the existence of LLCM (least left common multiples) of monic linear
-polynomials with coefficients in a ring and the left duo property are
-established at the end of the paper.
-\end{adjustwidth}
-
 \begin{chunk}{ignore}
-\bibitem[Abramov 05]{Abra05} Abramov, S.A.; Le, H.Q.; Li, Z.
-``Univariate Ore Polynomial Rings in Computer Algebra''
-\verb|www.mmrc.iss.ac.cn/~zmli/papers/oretools.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Abra05.pdf|
+\bibitem[Van Loan 92]{Van92} Van Loan, C.
+``Computational Frameworks for the Fast Fourier Transform''
+SIAM Philadelphia. (1992)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present some algorithms related to rings of Ore polynomials (or,
-briefly, Ore rings) and describe a computer algebra library for basic
-operations in an arbitrary Ore ring. The library can be used as a
-basis for various algorithms in Ore rings, in particular, in
-differential, shift, and $q$-shift rings.
-\end{adjustwidth}
-
-\subsection{Number Theory} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\subsection{W} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{ignore}
-\bibitem[Shoup 08]{Sho08} Shoup, Victor
-``A Computational Introduction to Number Theory''
-\verb|shoup.net/ntb/ntb-v2.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Sho08.pdf|
+\bibitem[Wait 85]{WM85} Wait R.; Mitchell A R.
+``Finite Element Analysis and Application''
+Wiley. (1985)
 
 \end{chunk}
 
-\subsection{Polynomial Factorization} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\subsection{Branch Cuts} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\begin{chunk}{axiom.bib}
-@article{Beau03,
-  author = "Beaumont, James and Bradford, Russell and Davenport, James H.",
-  title = "Better simplification of elementary functions through power series",
-  journal = "2003 International Symposium on Symbolic and Algebraic Computation",
-  series = "ISSAC'03",
-  year = "2003",
-  month = "August",
-  paper = "Beau03.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Wang 92]{Wang92} Wang, D.M.
+``An implementation of the characteristic set method in Maple''
+Proc. DISCO'92 Bath, England
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In [5], we introduced an algorithm for deciding whether a proposed
-simplification of elementary functions was correct in the presence of
-branch cuts. This algorithm used multivalued function simplification
-followed by verification that the branches were consistent.
-
-In [14] an algorithm was presented for zero-testing functions defined
-by ordinary differential equations, in terms of their power series.
-
-The purpose of the current paper is to investigate merging the two
-techniques. In particular, we will show an explicit reduction to the
-constant problem [16].
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Ward 75]{War75} Ward, R C.
+``The Combination Shift QZ Algorithm''
+SIAM J. Numer. Anal. 12 835--853. 1975
 
-\begin{chunk}{axiom.bib}
-@article{Beau07,
-  author = "Beaumont, James C. and Bradford, Russell J. and Davenport, James H. and Phisanbut, Nalina",
-  title = "Testing elementary function identities using CAD",
-  journal = "Applicable Algebra in Engineering, Communication and Computing",
-  year = "2007",
-  volume = "18",
-  number = "6",
-  issn = "0938-1279",
-  publisher = "Springer-Verlag",
-  pages = "513-543",
-  paper = "Beau07.pdf"
-}
-   
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-One of the problems with manipulating function identities in computer
-algebra systems is that they often involve functions which are
-multivalued, whilst most users tend to work with single-valued
-functions.  The problem is that many well-known identities may no
-longer be true everywhere in the complex plane when working with their
-single-valued counterparts. Conversely, we cannot ignore them, since
-in particular contexts they may be valid. We investigate the
-practicality of a method to verify such identities by means of an
-experiment; this is based on a set of test examples which one might
-realistically meet in practice.  Essentially, the method works as
-follows. We decompose the complex plane via means of cylindrical
-algebraic decomposition into regions with respect to the branch cuts
-of the functions. We then test the identity numerically at a sample
-point in the region. The latter step is facilitated by the notion of
-the {\sl adherence} of a branch cut, which was previously introduced
-by the authors. In addition to presenting the results of the
-experiment, we explain how adherence relates to the proposal of 
-{\sl signed zeros} by W. Kahan, and develop this idea further in order to
-allow us to cover previously untreatable cases. Finally, we discuss
-other ways to improve upon our general methodology as well as topics
-for future research.
-\end{adjustwidth}
-
 \begin{chunk}{axiom.bib}
-@article{Brad02,
-  author="Bradford, Russell and Corless, RobertM. and Davenport, JamesH. and Jeffrey, DavidJ. and Watt, StephenM.",
-  title="Reasoning about the Elementary Functions of Complex Analysis",
-  journal="Annals of Mathematics and Artificial Intelligence",
-  year="2002",
-  issn="1012-2443",
-  volume="36",
-  number="3",
-  doi="10.1023/A:1016007415899",
-  url="http://dx.doi.org/10.1023/A%3A1016007415899",
-  publisher="Kluwer Academic Publishers",
-  keywords="elementary functions; branch cuts; complex identities",
-  pages="303-318",
-  paper = "Brad02.pdf"
+@misc{Watt03,
+  author = "Watt, Stephen",
+  title = "Aldor",
+  url = "http://www.aldor.org",
+  year = "2003"
 }
 
 \end{chunk}
-
-\begin{adjustwidth}{2.5em}{0pt}
-There are many problems with the simplification of elementary
-functions, particularly over the complex plane, though not
-exclusively. Systems tend to make ``howlers'' or not to simplify
-enough. In this paper we outline the ``unwinding number'' approach to
-such problems, and show how it can be used to prevent errors and to
-systematise such simplification, even though we have not yet reduced
-the simplification process to a complete algorithm. The unsolved
-problems are probably more amenable to the techniques of artificial
-intelligence and theorem proving than the original problem of complex
-variable analysis.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@inproceedings{Chyz11,
-  author = "Chyzak, Fr\'ed\'eric and Davenport, James H. and Koutschan, Christoph and Salvy, Bruno",
-  title = "On Kahan's Rules for Determining Branch Cuts",
-  booktitle = "Proc. 13th Int. Symp. on Symbolic and Numeric Algorithms for Scientific Computing",
-  year = "2011",
-  isbn = "978-1-4673-0207-4",
-  location = "Timisoara",
-  pages = "47-51",
-  doi = "10.1109/SYNASC.2011.51",
-  acmid = "258794",
-  publisher = "IEEE",
-  paper = "Chyz11.pdf"
+
+\begin{chunk}{axiom.bib}
+@misc{Weil71,
+  author = "Weil, Andr\'{e}",
+  title = "Courbes alg\'{e}briques et vari\'{e}t\'{e}s Abeliennes",
+  year = "1971"
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In computer algebra there are different ways of approaching the
-mathematical concept of functions, one of which is by defining them as
-solutions of differential equations. We compare different such
-appraoches and discuss the occurring problems. The main focus is on
-the question of determining possible branch cuts. We explore the
-extent to which the treatment of branch cuts can be rendered (more)
-algorithmic, by adapting Kahan's rules to the differential equation
-setting.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Weisstein]{Wein} Weisstein, Eric W.
+``Hypergeometric Function''
+MathWorld - A Wolfram Web Resource
+\verb|mathworld.wolfram.com/HypergeometricFunction.html|
+
+\end{chunk}
 
 \begin{chunk}{axiom.bib}
-@article{Dave10,
-  author = "Davenport, James",
-  title = {The Challenges of Multivalued "Functions"},
-  journal = "Lecture Notes in Computer Science",
-  volume = "6167",
-  year = "2010",
-  pages = "1-12",
-  paper = "Dave10.pdf"
+@misc{Weit03,
+  author = "Weitz, E.",
+  title = "CL-WHO -Yet another Lisp markup language",
+  year = "2003",
+  url = "http://www.weitz.de/cl-who/"
 }
-  
-\end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Although, formally, mathematics is clear that a function is a
-single-valued object, mathematical practice is looser, particularly
-with n-th roots and various inverse functions. In this paper, we point
-out some of the looseness, and ask what the implications are, both for
-Artificial Intelligence and Symbolic Computation, of these practices.
-In doing so, we look at the steps necessary to convert existing tests
-into
-\begin{itemize}
-\item (a) rigorous statements
-\item (b) rigorously proved statements
-\end{itemize}
-In particular we ask whether there might be a constant ``de Bruij factor''
-[18] as we make these texts more formal, and conclude that the answer
-depends greatly on the interpretation being placed on the symbols.
-\end{adjustwidth}
+\end{chunk}
 
 \begin{chunk}{axiom.bib}
-@article{Dave12,
-  author = "Davenport, James H. and Bradford, Russell and England, Matthew and Wilson, David",
-  title = "Program Verification in the presence of complex numbers, functions with branch cuts etc",
-  journal = "14th Int. Symp. on Symbolic and Numeric Algorithms for Scientific Computing",
-  year = "2012",
-  series = "SYNASC'12",
-  pages = "83-88",
-  publisher = "IEEE",
-  paper = "Dave12.pdf"
+@misc{Weit06,
+  author = "Weitz, E.",
+  title = "HUNCHENTOOT - The Common Lisp web server formerly known as TBNL",
+  year = "2006",
+  url = "http://www.weitz.de/hunchentoot"
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In considering the reliability of numerical programs, it is normal to
-``limit our study to the semantics dealing with numerical precision''.
-On the other hand, there is a great deal of work on the reliability of
-programs that essentially ignores the numerics. The thesis of this
-paper is that there is a class of problems that fall between the two,
-which could be described as ``does the low-level arithmetic implement
-the high-level mathematics''. Many of these problems arise because
-mathematics, particularly the mathematics of the complex numbers, is
-more difficult than expected; for example the complex function log is
-not continuous, writing down a program to compute an inverse function
-is more complicated than just solving an equation, and many algebraic
-simplification rules are not universally valid.
+\begin{chunk}{ignore}
+\bibitem[Wesseling 82a]{Wes82a} Wesseling, P.
+``MGD1 - A Robust and Efficient Multigrid Method''
+Multigrid Methods. Lecture Notes in Mathematics. 960
+Springer-Verlag. 614--630. (1982)
 
-The good news is that these problems are theoretically capable of
-being solved, and are practically close to being solved, but not yet
-solved, in several real-world examples. However, there is still a long
-way to go before implementations match the theoretical possibilities.
-\end{adjustwidth}
+\end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Jeff04,
-  author = "Jeffrey, D. J. and Norman, A. C.",
-  title = "Not Seeing the Roots for the Branches: Multivalued Functions in Computer Algebra",
-  journal = "SIGSAM Bull.",
-  issue_date = "September 2004",
-  volume = "38",
-  number = "3",
-  month = "September",
-  year = "2004",
-  issn = "0163-5824",
-  pages = "57--66",
-  numpages = "10",
-  url = "http://doi.acm.org/10.1145/1040034.1040036",
-  doi = "10.1145/1040034.1040036",
-  acmid = "1040036",
-  publisher = "ACM",
-  address = "New York, NY, USA",
-  paper = "Jeff04.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Wesseling 82b]{Wes82b} Wesseling, P.
+``Theoretical Aspects of a Multigrid Method''
+SIAM J. Sci. Statist. Comput. 3 387--407. (1982)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We discuss the multiple definitions of multivalued functions and their
-suitability for computer algebra systems. We focus the discussion by
-taking one specific problem and considering how it is solved using
-different definitions. Our example problem is the classical one of
-calculating the roots of a cubic polynomial from the Cardano formulae,
-which contains fractional powers. We show that some definitions of
-these functions result in formulae that are correct only in the sense
-that they give candidates for solutions; these candidates must then be
-tested. Formulae that are based on single-valued functions, in
-contract, are efficient and direct.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Wicks 89]{Wic89} Wicks, Mark; Carlisle, David, Rahtz, Sebastian
+``dvipdfm.def''
+\verb|web.mit.edu/texsrc/source/latex/graphics/dvipdfm.def|
 
-\begin{chunk}{axiom.bib}
-@inproceedings{Kaha86,
-  author = "Kahan, W.",
-  title = "Branch cuts for complex elementary functions",
-  booktitle = "The State of the Art in Numerical Analysis",
-  year = "1986",
-  month = "April",
-  editor = "Powell, M.J.D and Iserles, A.",
-  publisher = "Oxford University Press"
-}
+\end{chunk}
 
-\end{chunk}  
+\begin{chunk}{ignore}
+\bibitem[Wiki 3]{Wiki3}.
+``Givens Rotations''
+\verb|en.wikipedia.org/wiki/Givens_rotation|
+
+\end{chunk}
 
 \begin{chunk}{axiom.bib}
-@article{Rich96,
- author = "Rich, Albert D. and Jeffrey, David J.",
- title = "Function Evaluation on Branch Cuts",
- journal = "SIGSAM Bull.",
- issue_date = "June 1996",
- volume = "30",
- number = "2",
- month = "June",
- year = "1996",
- issn = "0163-5824",
- pages = "25--27",
- numpages = "3",
- url = "http://doi.acm.org/10.1145/235699.235704",
- doi = "10.1145/235699.235704",
- acmid = "235704",
- publisher = "ACM",
- address = "New York, NY, USA"
+@misc{Wiki14a,
+  author = "ProofWiki",
+  title = "Euclidean Algorithm",
+  url = "http://proofwiki.org/wiki/Euclidean_Algorithm"
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Once it is decided that a CAS will evaluate multivalued functions on
-their principal branches, questions arise concerning the branch
-definitions. The first questions concern the standardization of the
-positions of the branch cuts. These questions have largely been
-resolved between the various algebra systems and the numerical
-libraries, although not completely. In contrast to the computer
-systems, many mathematical textbooks are much further behind: for
-example, many popular textbooks still specify that the argument of a
-complex number lies between 0 and $2\pi$. We do not intend to discuss
-these first questions here, however. Once the positions of the branch
-cuts have been fixed, a second set of questions arises concerning the
-evaluation of functions on their branch cuts.
-\end{adjustwidth}
-
 \begin{chunk}{axiom.bib}
-@article{Patt96,
- author = "Patton, Charles M.",
- title = "A Representation of Branch-cut Information",
- journal = "SIGSAM Bull.",
- issue_date = "June 1996",
- volume = "30",
- number = "2",
- month = "June",
- year = "1996",
- issn = "0163-5824",
- pages = "21--24",
- numpages = "4",
- url = "http://doi.acm.org/10.1145/235699.235703",
- doi = "10.1145/235699.235703",
- acmid = "235703",
- publisher = "ACM",
- address = "New York, NY, USA",
- paper = "Patt96.pdf"
+@misc{Wiki14b,
+  author = "ProofWiki",
+  title = "Division Theorem",
+  url = "http://proofwiki.org/wiki/Division_Theorem"
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-Handling (possibly) multi-valued functions is a problem in all current
-computer algebra systems. The problem is not an issue of technology.
-Its solution, however, is tied to a uniform handling of the issues by
-the mathematics community.
-\end{adjustwidth}
-
-\begin{chunk}{axiom.bib}
-@article{Squi91,
- author = "Squire, Jon S.",
- title = "Rationale for the Proposed Standard for a Generic Package of Complex Elementary Functions",
- journal = "Ada Lett.",
- issue_date = "Fall 1991",
- volume = "XI",
- number = "7",
- month = "September",
- year = "1991",
- issn = "1094-3641",
- pages = "166--179",
- numpages = "14",
- url = "http://doi.acm.org/10.1145/123533.123545",
- doi = "10.1145/123533.123545",
- acmid = "123545",
- publisher = "ACM",
- address = "New York, NY, USA",
- paper = "Squi91.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Williamson 85]{Wil85} Williamson, S.G.
+``Combinatorics for Computer Science''
+Computer Science Press, 1985.
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This document provides the background on decisions that were made
-during the development of the specification for Generic Complex
-Elementary fuctions. It also rovides some information that was used to
-develop error bounds, range, domain and definitions of complex
-elementary functions.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Wilkinson 71]{WR71} Wilkinson J H.; Reinsch C.
+``Handbook for Automatic Computation II, Linear Algebra''
+Springer-Verlag. 1971
+
+\end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Squi91a,
- editor = "Squire, Jon S.",
- title = "Proposed Standard for a Generic Package of Complex Elementary Functions",
- journal = "Ada Lett.",
- issue_date = "Fall 1991",
- volume = "XI",
- number = "7",
- month = "September",
- year = "1991",
- issn = "1094-3641",
- pages = "140--165",
- numpages = "26",
- url = "http://doi.acm.org/10.1145/123533.123544",
- doi = "10.1145/123533.123544",
- acmid = "123544",
- publisher = "ACM",
- address = "New York, NY, USA"
-}
+\begin{chunk}{ignore}
+\bibitem[Wilkinson 63]{Wil63} Wilkinson J H.
+``Rounding Errors in Algebraic Processes''
+ Chapter 2. HMSO. (1963)
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-This document defines the specification of a generic package of
-complex elementary functions called Generic Complex Elementary
-Functions. It does not provide the body of the package.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Wilkinson 65]{Wil65} Wilkinson J H.
+``The Algebraic Eigenvalue Problem''
+ Oxford University Press. (1965) 
 
-\subsection{Square-free Decomposition } %%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Bern97,
-  author = "Bernardin, Laurent",
-  title = "On square-free factorization of multivariate polynomials over a finite field",
-  journal = "Theoretical Computer Science",
-  volume = "187",
-  number = "1-2",
-  year = "1997",
-  month = "November",
-  pages = "105-116",
-  keywords = "axiomref",
-  paper = "Bern97.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Wilkinson 78]{Wil78} Wilkinson J H.
+``Singular Value Decomposition -- Basic Aspects''
+Numerical Software -- Needs and Availability. 
+(ed D A H Jacobs) Academic Press. (1978) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In this paper we present a new deterministic algorithm for computing
-the square-free decomposition of multivariate polynomials with
-coefficients from a finite field.
+\begin{chunk}{ignore}
+\bibitem[Wilkinson 79]{Wil79} Wilkinson J H.
+``Kronecker's Canonical Form and the QZ Algorithm''
+Linear Algebra and Appl. 28 285--303. 1979
 
-Our algorithm is based on Yun's square-free factorization algorithm
-for characteristic 0. The new algorithm is more efficient than
-existing, deterministic algorithms based on Musser's squarefree
-algorithm
+\end{chunk}
 
-We will show that the modular approach presented by Yun has no
-significant performance advantage over our algorithm. The new
-algorithm is also simpler to implement and it can rely on any existing
-GCD algorithm without having to worry about choosing "good" evaluation
-points.
+\begin{chunk}{ignore}
+\bibitem[Wisbauer 91]{Wis91} Wisbauer, R.
+``Bimodule Structure of Algebra''
+Lecture Notes Univ. Duesseldorf 1991
 
-To demonstrate this, we present some timings using implementations in
-Maple (Char et al. 1991), where the new algorithm is used for Release
-4 onwards, and Axiom (Jenks and Sutor, 1992) which is the only system
-known to the author to use and implementation of Yun's modular
-algorithm mentioned above.
-\end{adjustwidth}
+\end{chunk}
 
-\begin{chunk}{axiom.bib}
-@article{Chez07,
-  author = "Ch\'eze, Guillaume and Lecerf, Gr\'egoire",
-  title = "Lifting and recombination techniques for absolute factorization",
-  journal = "Journal of Complexity",
-  volume = "23",
-  number = "3",
-  year = "2007",
-  month = "June",
-  pages = "380-420",
-  paper = "Chez07.pdf"
-}
+\begin{chunk}{ignore}
+\bibitem[Woerz-Busekros 80]{Woe80} Woerz-Busekros, A.
+``Algebra in Genetics''
+Lectures Notes in Biomathematics 36, Springer-Verlag,  Heidelberg, 1980
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-In the vein of recent algorithmic advances in polynomial factorization
-based on lifting and recombination techniques, we present new faster
-algorithms for computing the absolute factorization of a bivariate
-polynomial. The running time of our probabilistic algorithm is less
-than quadratic in the dense size of the polynomial to be factored.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Wolberg 67]{Wol67} Wolberg J R.
+``Prediction Analysis''
+Van Nostrand. (1967)
 
-\begin{chunk}{axiom.bib}
-@article{Lece07,
-  author = "Lecerf, Gr\'egoire",
-  title = "Improved dense multivariate polynomial factorization algorithms",
-  journal = "Journal of Symbolic Computation",
-  volume = "42",
-  number = "4",
-  year = "2007",
-  month = "April",
-  pages = "477-494",
-  paper = "Lece07.pdf"
-}
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wolfram 09]{Wo09} Wolfram Research
+\verb|mathworld.wolfram.com/Quaternion.html|
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We present new deterministic and probabilistic algorithms that reduce
-the factorization of dense polynomials from several variables to one
-variable.  The deterministic algorithm runs in sub-quadratic time in
-the dense size of the input polynomial, and the probabilistic
-algorithm is softly optimal when the number of variables is at least
-three. We also investigate the reduction from several to two variables
-and improve the quantitative versions of Bertini's irreducibility theorem.
-\end{adjustwidth}
+\begin{chunk}{ignore}
+\bibitem[Wu 87]{WU87} Wu, W.T.
+``A Zero Structure Theorem for polynomial equations solving''
+MM Research Preprints, 1987
 
-\begin{chunk}{axiom.bib}
-@article{Wang77,
-  author = "Wang, Paul S.",
-  title = "An efficient squarefree decomposition algorithm",
-  journal = "ACM SIGSAM Bulletin",
-  volume = "11",
-  number = "2",
-  year = "1977",
-  month = "May",
-  pages = "4-6",
-  paper = "Wang77.pdf"
-}
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wynn 56]{Wynn56} Wynn P.
+``On a Device for Computing the $e_m(S_n )$ Transformation''
+Math. Tables Aids Comput. 10 91--96. (1956) 
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-The concept of polynomial squarefree decomposition is an important one
-in algebraic computation. The squarefree decomposition process has
-many uses in computer symbolic computation. A recent survey by D. Yun
-[3] describes many useful algorithms for this purpose. All of these
-methods depend on computing the greated common divisor (gcd) of the
-polynomial to be decomposed and its first derivative (with repect to
-some variable). In the multivariate case, this gcd computation is
-non-trivial and dominates the cost for the squarefree decompostion.
-\end{adjustwidth}
+\subsection{Y} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{axiom.bib}
-@article{Wang79,
-  author = "Wang, Paul S. and Trager, Barry M.",
-  title = "New Algorithms for Polynomial Square-Free Decomposition over the Integers",
-  journal = "SIAM Journal on Computing",
-  volume = "8",
-  number = "3",
-  year = "1979",
-  publisher = "Society for Industrial and Applied Mathematics",
-  issn = "00975397",
-  paper = "Wang79.pdf"
-}
+\subsection{Z} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\end{chunk}
+\begin{chunk}{ignore}
+\bibitem[Zakrajsek 02]{Zak02} Zakrajsek, Helena
+``Applications of Hermite transform in computer algebra''
+\verb|www.imfm.si/preprinti/PDF/00835.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Zak02.pdf|
+  abstract = "
+    let $L$ be a linear differential operator with polynomial
+    coefficients.  We show that there is an isomorphism of differential
+    operators ${\bf D_\alpha}$ and an integral transform ${\bf H_\alpha}$
+    (called the Hermite transform) on functions for which $({\bf
+    D_\alpha}{\bf L})f(x)=0$ implies ${\bf L}{\bf H_alpha}(f)(x)=0$. We
+    present an algorithm that computes the Hermite transform of a rational
+    function and use it to find $n+1$ linearly independent solutions of
+    ${\bf L}y=0$ when $({\bf D_\alpha}{\bf L})f(x)=0$ has a rational
+    solution with $n$ distinct finite poles."
 
-\begin{adjustwidth}{2.5em}{0pt}
-Previously known algorithms for polynomial square-free decomposition
-rely on greatest common divisor (gcd) computations over the same
-coefficient domain where the decomposition is to be performed. In
-particular, gcd of the given polynomial and its first derivative (with
-respect to some variable) is obtained to begin with. Application of
-modular homomorphism and $p$-adic construction (multivariate case) or
-the Chinese remainder algorithm (univariate case) results in new
-square-free decomposition algorithms which, generally speaking, take
-less time than a single gcd between the given polynomial and its first
-derivative. The key idea is to obtain one or several ``correct''
-homomorphic images of the desired square-free decomposition
-first. This provides information as to how many different square-free
-factors there are, their multiplicities and their homomorphic
-images. Since the multiplicities are known, only the square-free
-factors need to be constructed. Thus, these new algorithms are
-relatively insensitive to the multiplicities of the square-free factors.
-\end{adjustwidth}
+\end{chunk}
 
 \begin{chunk}{axiom.bib}
-@inproceedings{Yun76,
-  author = "Yun, D.Y.Y",
-  title = "On square-free decomposition algorithms",
-  booktitle = "Proceedings of SYMSAC'76",
-  year = "1976",
-  keywords = "survey",
-  pages = "26-35"
+@misc{Zdan14,
+  author = "Zdancewic, Steve and Martin, Milo M.K.",
+  title = "Vellvm: Verifying the LLVM",
+  url = "http://www.cis.upenn.edu/~stevez/vellvm"
 }
 
 \end{chunk}
 
+\begin{chunk}{ignore}
+\bibitem[Zhi 97]{Zhi97} Zhi, Lihong
+``Optimal Algorithm for Algebraic Factoring''
+\verb|www.mmrc.iss.ac.cn/~lzhi/Publications/zopfac.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Zhi97.pdf|
+  abstract = "
+    This paper presents an optimized method for factoring multivariate
+    polynomials over algebraic extension fields which defined by an
+    irreducible ascending set. The basic idea is to convert multivariate
+    polynomials to univariate polynomials and algebraic extensions fields
+    to algebraic number fields by suitable integer substitutions, then
+    factorize the univariate polynomials over the algebraic number fields.
+    Finally, construct multivariate factors of the original polynomial by
+    Hensel lemma and TRUEFACTOR test. Some examples with timing are
+    included."
+
+\end{chunk}
 
 \subsection{To Be Classified} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \begin{chunk}{axiom.bib}
 @PhdThesis{Kalt82,
   author = "Kaltofen, E.",
-  title = "On the complexity of factoring polynomials with integer coefficients",
+  title = "On the complexity of factoring polynomials with integer 
+           coefficients",
   school = "RPI",
   address = "Troy, N. Y.",
   year = "1982",
@@ -10712,7 +10341,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt82a,
   author = "Kaltofen, E.",
-  title = "A polynomial-time reduction from bivariate to univariate integral polynomial factorization",
+  title = "A polynomial-time reduction from bivariate to univariate 
+           integral polynomial factorization",
   booktitle = "Proc. 23rd Annual Symp. Foundations of Comp. Sci.",
   year = "1982",
   pages = "57--64",
@@ -10772,11 +10402,13 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt84a,
   author = "Kaltofen, E. and Yui, N.",
-  title = "Explicit construction of the {Hilbert} class field of imaginary quadratic fields with class number 7 and 11",
+  title = "Explicit construction of the {Hilbert} class field of imaginary 
+           quadratic fields with class number 7 and 11",
   booktitle = "Proc. EUROSAM '84",
   pages = "310--320",
   crossref = "EUROSAM84",
-  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/84/KaYui84_eurosam.ps.gz",
+  url = 
+    "http://www.math.ncsu.edu/~kaltofen/bibliography/84/KaYui84_eurosam.ps.gz",
   paper = "Kalt84a.ps"
 }
 
@@ -10789,7 +10421,8 @@ relatively insensitive to the multiplicities of the square-free factors.
   institution = "RPI",
   address = "Dept. Comput. Sci., Troy, New York",
   year = "1984",
-  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/84/Ka84_integration.pdf",
+  url = 
+    "http://www.math.ncsu.edu/~kaltofen/bibliography/84/Ka84_integration.pdf",
   paper = "Kalt84b.pdf"
 }
 
@@ -10802,7 +10435,8 @@ relatively insensitive to the multiplicities of the square-free factors.
   booktitle = "Proc. EUROSAM '84",
   pages = "275--284",
   crossref = "EUROSAM84",
-  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_infcontr.ps.gz",
+  url = 
+    "http://www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_infcontr.ps.gz",
   paper = "Kalt85.ps"
 }
  
@@ -10826,7 +10460,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt85b,
   author = "Kaltofen, E.",
-  title = "Computing with polynomials given by straight-line programs {II}; sparse factorization",
+  title = "Computing with polynomials given by straight-line programs {II}; 
+           sparse factorization",
   booktitle = "Proc. 26th Annual Symp. Foundations of Comp. Sci.",
   year = "1985",
   pages = "451--458",
@@ -10867,7 +10502,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @Article{Kalt85e,
   author = "Kaltofen, E.",
-  title = "Polynomial-time reductions from multivariate to bi- and univariate integral polynomial factorization",
+  title = "Polynomial-time reductions from multivariate to bi- and univariate 
+           integral polynomial factorization",
   journal = "{SIAM} J. Comput.",
   year = "1985",
   volume = "14",
@@ -10887,7 +10523,8 @@ relatively insensitive to the multiplicities of the square-free factors.
   year = "1985",
   volume = "31",
   pages = "265--287",
-  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/85/GaKa85_mathcomp.ps.gz",
+  url = 
+    "http://www.math.ncsu.edu/~kaltofen/bibliography/85/GaKa85_mathcomp.ps.gz",
   paper = "Gath85.ps"
 }
 
@@ -10910,7 +10547,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @Article{Kalt87,
   author = "Kaltofen, E. and Krishnamoorthy, M.S. and Saunders, B.D.",
-  title = "Fast parallel computation of Hermite and Smith forms of polynomial matrices",
+  title = "Fast parallel computation of Hermite and Smith forms of 
+           polynomial matrices",
   journal = "SIAM J. Alg. Discrete Math.",
   year = "1987",
   volume = "8",
@@ -10941,7 +10579,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt87b,
   author = "Kaltofen, E.",
-  title = "Single-factor Hensel lifting and its application to the straight-line complexity of certain polynomials",
+  title = "Single-factor Hensel lifting and its application to the 
+           straight-line complexity of certain polynomials",
   booktitle = "Proc. 19th Annual ACM Symp. Theory Comput.",
   year = "1987",
   pages = "443--452",
@@ -10955,7 +10594,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @Article{Kalt87c,
   author = "Kaltofen, E.",
-  title = "Deterministic irreducibility testing of polynomials over large finite fields",
+  title = "Deterministic irreducibility testing of polynomials over 
+           large finite fields",
   journal = "Journal of Symbolic Computation",
   year = "1987",
   volume = "4",
@@ -10969,7 +10609,9 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt88,
   author = "Kaltofen, E. and Trager, B.",
-  title = "Computing with polynomials given by black boxes for their evaluations: Greatest common divisors, factorization, separation of numerators and denominators",
+  title = "Computing with polynomials given by black boxes for their 
+    evaluations: Greatest common divisors, factorization, separation of 
+    numerators and denominators",
   booktitle = "Proc. 29th Annual Symp. Foundations of Comp. Sci.",
   pages = "296--305",
   year = "1988",
@@ -10983,7 +10625,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @Article{Mill88,
   author = "Miller, G.L. and Ramachandran, V. and Kaltofen, E.",
-  title = "Efficient parallel evaluation of straight-line code and arithmetic circuits",
+  title = "Efficient parallel evaluation of straight-line code and 
+           arithmetic circuits",
   journal = "SIAM J. Comput.",
   year = "1988",
   volume = "17",
@@ -11011,7 +10654,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @Article{Kalt88b,
   author = "Kaltofen, E.",
-  title = "Greatest common divisors of polynomials given by straight-line programs",
+  title = "Greatest common divisors of polynomials given by 
+           straight-line programs",
   journal = "J. ACM",
   year = "1988",
   volume = "35",
@@ -11025,8 +10669,10 @@ relatively insensitive to the multiplicities of the square-free factors.
 
 \begin{chunk}{axiom.bib}
 @Article{Free88,
-  author = "Freeman, T.S. and Imirzian, G. and Kaltofen, E. and Yagati, Lakshman",
-  title = "DAGWOOD: A system for manipulating polynomials given by straight-line programs",
+  author = "Freeman, T.S. and Imirzian, G. and Kaltofen, E. and 
+            Yagati, Lakshman",
+  title = "DAGWOOD: A system for manipulating polynomials given by 
+           straight-line programs",
   journal = "ACM Trans. Math. Software",
   year = "1988",
   volume = "14",
@@ -11076,7 +10722,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @Article{Kalt89a,
   author = "Kaltofen, E.; Rolletschek, H.",
-  title = "Computing greatest common divisors and factorizations in quadratic number fields",
+  title = "Computing greatest common divisors and factorizations in 
+           quadratic number fields",
   journal = "Math. Comput.",
   year = "1989",
   volume = "53",
@@ -11091,7 +10738,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @Unpublished{Kalt89b,
   author = "Kaltofen, E.",
-  title = "Processor efficient parallel computation of polynomial greatest common divisors",
+  title = "Processor efficient parallel computation of polynomial greatest 
+           common divisors",
   year = "1989",
   month = "July",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_gcd.ps.gz",
@@ -11108,7 +10756,8 @@ relatively insensitive to the multiplicities of the square-free factors.
   address = "Dept. Comput. Sci., Troy, New York",
   year = "1989",
   month = "July",
-  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_parallel.ps.gz",
+  url = 
+    "http://www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_parallel.ps.gz",
   paper = "Kalt89c.ps"
 }
 
@@ -11172,7 +10821,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @Article{Kalt90b,
   author = "Kaltofen, E.",
-  title = "Computing the irreducible real factors and components of an algebraic curve",
+  title = "Computing the irreducible real factors and components of an 
+           algebraic curve",
   journal = "Applic. Algebra Engin. Commun. Comput.",
   year = "1990",
   volume = "1",
@@ -11206,7 +10856,9 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @Article{Kalt90d,
   author = "Kaltofen, E.; Trager, B.",
-  title = "Computing with polynomials given by black boxes for their evaluations: Greatest common divisors, factorization, separation of numerators and denominators",
+  title = "Computing with polynomials given by black boxes for their 
+    evaluations: Greatest common divisors, factorization, separation of 
+    numerators and denominators",
   journal = "J. Symbolic Comput.",
   year = "1990",
   volume = "9",
@@ -11240,7 +10892,8 @@ relatively insensitive to the multiplicities of the square-free factors.
   author = "Kaltofen, E. and Singer, M.F.",
   editor = "D. V. Shirkov and V. A. Rostovtsev and V. P. Gerdt",
   title = "Size efficient parallel algebraic circuits for partial derivatives",
-  booktitle = "IV International Conference on Computer Algebra in Physical Research",
+  booktitle = 
+    "IV International Conference on Computer Algebra in Physical Research",
   pages = "133--145",
   publisher = "World Scientific Publ. Co.",
   year = "1991",
@@ -11254,8 +10907,10 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InCollection{Kalt91b,
   author = "Kaltofen, E. and Yui, N.",
-  editor = "D. V. Chudnovsky and G. V. Chudnovsky and H. Cohn and M. B. Nathanson",
-  title = "Explicit construction of {Hilbert} class fields of imaginary quadratic fields by integer lattice reduction",
+  editor = "D. V. Chudnovsky and G. V. Chudnovsky and H. Cohn and 
+            M. B. Nathanson",
+  title = "Explicit construction of {Hilbert} class fields of imaginary 
+           quadratic fields by integer lattice reduction",
   booktitle = "Number Theory New York Seminar 1989--1990",
   pages = "150--202",
   publisher = "Springer-Verlag",
@@ -11282,7 +10937,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt91c,
   author = "Kaltofen, E. and Pan, V.",
-  title = "Processor efficient parallel solution of linear systems over an abstract field",
+  title = "Processor efficient parallel solution of linear systems over 
+           an abstract field",
   booktitle = "Proc. SPAA '91 3rd Ann. ACM Symp. Parallel Algor. Architecture",
   pages = "180--191",
   publisher = "ACM Press",
@@ -11312,7 +10968,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt92,
   author = "Kaltofen, E. and Pan, V.",
-  title = "Processor-efficient parallel solution of linear systems {II}: the positive characteristic and singular cases",
+  title = "Processor-efficient parallel solution of linear systems {II}: 
+           the positive characteristic and singular cases",
   booktitle = "Proc. 33rd Annual Symp. Foundations of Comp. Sci.",
   year = "1992",
   pages = "714--723",
@@ -11359,7 +11016,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 @InProceedings{Kalt93,
   author = "Kaltofen, E.",
   title = "Computational Differentiation and Algebraic Complexity Theory",
-  booktitle = "Workshop Report on First Theory Institute on Computational Differentiation",
+  booktitle = "Workshop Report on First Theory Institute on Computational 
+               Differentiation",
   editor = "C. H. Bischof and A. Griewank and P. M. Khademi",
   publisher = "Argonne National Laboratory",
   address = "Argonne, Illinois",
@@ -11384,7 +11042,8 @@ relatively insensitive to the multiplicities of the square-free factors.
   publisher = "Morgan Kaufmann Publ.",
   year = "1993",
   address = "San Mateo, California",
-  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_synthesis.ps.gz",
+  url = 
+    "http://www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_synthesis.ps.gz",
   paper = "Kalt93a.ps"
 }
 
@@ -11394,7 +11053,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 @InProceedings{Diaz93,
   author = "Diaz, A. and Kaltofen, E. and Lobo, A. and Valente, T.",
   editor = "A. Miola",
-  title = "Process scheduling in {DSC} and the large sparse linear systems challenge",
+  title = "Process scheduling in {DSC} and the large sparse linear 
+           systems challenge",
   booktitle = "Proc. DISCO '93",
   series = "Lect. Notes Comput. Sci.",
   pages = "66--80",
@@ -11416,7 +11076,8 @@ relatively insensitive to the multiplicities of the square-free factors.
   volume = "27",
   number = "4",
   pages = "2",
-  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_sambull.ps.gz",
+  url = 
+    "http://www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_sambull.ps.gz",
   paper = "Kalt93b.ps"
 }
 
@@ -11425,7 +11086,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt94,
   author = "Kaltofen, E. and Pan, V.",
-  title = "Parallel solution of Toeplitz and Toeplitz-like linear systems over fields of small positive characteristic",
+  title = "Parallel solution of Toeplitz and Toeplitz-like linear 
+           systems over fields of small positive characteristic",
   booktitle = "Proc. First Internat. Symp. Parallel Symbolic Comput.",
   crossref = "PASCO94",
   pages = "225--233",
@@ -11455,7 +11117,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt94a,
   author = "Kaltofen, E. and Lobo, A.",
-  title = "Factoring high-degree polynomials by the black box Berlekamp algorithm",
+  title = "Factoring high-degree polynomials by the black box 
+           Berlekamp algorithm",
   booktitle = "Proc. 1994 Internat. Symp. Symbolic Algebraic Comput.",
   crossref = "ISSAC94",
   pages = "90--98",
@@ -11468,7 +11131,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt94b,
   author = "Kaltofen, E.",
-  title = "Asymptotically fast solution of {Toeplitz}-like singular linear systems",
+  title = "Asymptotically fast solution of {Toeplitz}-like singular 
+           linear systems",
   booktitle = "Proc. 1994 Internat. Symp. Symbolic Algebraic Comput.",
   pages = "297--304",
   crossref = "ISSAC94",
@@ -11482,13 +11146,15 @@ relatively insensitive to the multiplicities of the square-free factors.
 @InProceedings{Sama95,
   author = "Samadani, M. and Kaltofen, E.",
   title = "Prediction based task scheduling in distributed computing",
-  booktitle = "Languages, Compilers and Run-Time Systems for Scalable Computers",
+  booktitle = "Languages, Compilers and Run-Time Systems for Scalable 
+               Computers",
   editor = "B. K. Szymanski and B. Sinharoy",
   publisher = "Kluwer Academic Publ.",
   address = "Boston",
   pages = "317--320",
   year = "1996",
-  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/95/SaKa95_poster.ps.gz",
+  url = 
+    "http://www.math.ncsu.edu/~kaltofen/bibliography/95/SaKa95_poster.ps.gz",
   paper = "Sama95.ps"
 }
 
@@ -11497,7 +11163,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @Article{Kalt95,
   author = "Kaltofen, E.",
-  title = "Analysis of {Coppersmith}'s block {Wiedemann} algorithm for the parallel solution of sparse linear systems",
+  title = "Analysis of {Coppersmith}'s block {Wiedemann} algorithm for the 
+           parallel solution of sparse linear systems",
   journal = "Math. Comput.",
   year = "1995",
   volume = "64",
@@ -11512,7 +11179,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InProceedings{Diaz95,
   author = "Diaz, A. and Kaltofen, E.",
-  title = "On computing greatest common divisors with polynomials given by black boxes for their evaluation",
+  title = "On computing greatest common divisors with polynomials given by 
+           black boxes for their evaluation",
   booktitle = "Proc. 1995 Internat. Symp. Symbolic Algebraic Comput.",
   crossref = "ISSAC95",
   pages = "232--239",
@@ -11554,8 +11222,10 @@ relatively insensitive to the multiplicities of the square-free factors.
 
 \begin{chunk}{axiom.bib}
 @Article{Diaz95a,
-  author = "Diaz, A. and Hitz, M. and Kaltofen, E. and Lobo, A. and Valtente, T.",
-  title = "Process scheduling in {DSC} and the large sparse linear systems challenge",
+  author = "Diaz, A. and Hitz, M. and Kaltofen, E. and Lobo, A. and 
+            Valtente, T.",
+  title = "Process scheduling in {DSC} and the large sparse linear 
+           systems challenge",
   journal = "Journal of Symbolic Computing",
   year = "1995",
   volume = "19",
@@ -11611,7 +11281,8 @@ relatively insensitive to the multiplicities of the square-free factors.
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt96a,
   author = "Kaltofen, E. and Lobo, A.",
-  title = "Distributed matrix-free solution of large sparse linear systems over finite fields",
+  title = "Distributed matrix-free solution of large sparse linear systems 
+           over finite fields",
   booktitle = "Proc. High Performance Computing '96",
   year = "1996",
   editor = "A. M. Tentner",
@@ -11629,13 +11300,15 @@ relatively insensitive to the multiplicities of the square-free factors.
 @InProceedings{Kalt96b,
   author = "Kaltofen, E.",
   title = "Blocked iterative sparse linear system solvers for finite fields",
-  booktitle = "Proc. Symp. Parallel Comput. Solving Large Scale Irregular Applic. (Stratagem '96)",
+  booktitle = "Proc. Symp. Parallel Comput. Solving Large Scale Irregular 
+               Applic. (Stratagem '96)",
   editor = "C. Roucairol",
   publisher = "INRIA",
   address = "Sophia Antipolis, France",
   pages = "91--95",
   year = "1996",
-  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/96/Ka96_stratagem.ps.gz",
+  url = 
+    "http://www.math.ncsu.edu/~kaltofen/bibliography/96/Ka96_stratagem.ps.gz",
   paper = "Kalt96b.ps"
 }
 
@@ -11653,24 +11326,23 @@ relatively insensitive to the multiplicities of the square-free factors.
   note = "Special issue on education, L. Lambe, editor.",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/97/Ka97_jsc.pdf",
   keywords = "axiomref,read",
-  paper = "Kalt97.pdf"
+  paper = "Kalt97.pdf",
+  abstract = "
+    We report on the contents and pedagogy of a course in abstract algebra
+    that was taught with the aid of educational software developed within
+    the Mathematica system. We describe the topics covered and the
+    didactical use of the corresponding Mathematica packages, as well as
+    draw conclusions for future such courses from the students' comments
+    and our own experience."
 }
 
 \end{chunk}
 
-\begin{adjustwidth}{2.5em}{0pt}
-We report on the contents and pedagogy of a course in abstract algebra
-that was taught with the aid of educational software developed within
-the Mathematica system. We describe the topics covered and the
-didactical use of the corresponding Mathematica packages, as well as
-draw conclusions for future such courses from the students' comments
-and our own experience.
-\end{adjustwidth}
-
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt97a,
   author = "Kaltofen, E. and Shoup, V.",
-  title = "Fast polynomial factorization over high algebraic extensions of finite fields",
+  title = "Fast polynomial factorization over high algebraic extensions of 
+           finite fields",
   booktitle = "Proc. 1997 Internat. Symp. Symbolic Algebraic Comput.",
   crossref = "ISSAC97",
   pages = "184--188",
diff --git a/changelog b/changelog
index a6c878c..14f3319 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140920 tpd src/axiom-website/patches.html 20140920.01.tpd.patch
+20140920 tpd books/bookvolbib add abstracts, rearrange, add new entries
 20140919 tpd src/axiom-website/patches.html 20140919.01.tpd.patch
 20140919 tpd books/axiom.bst use axiom specific bib style
 20140919 tpd books/Makefileuse axiom.bst for bib style
diff --git a/patch b/patch
index 22d4a58..a644f10 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-books/axiom.bst use axiom specific bib style
+books/bookvolbib add abstracts, rearrange, add new entries
 
-All of the books now use an axiom-specific bibtex format for the biblography.
+Expand and cleanup bibliography
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 7a7c5e0..5e0a8d3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4646,6 +4646,8 @@ books/bookvol*pamphlet rebuild Axiom using bibtex<br/>
 books/bookvolbib add references<br/>
 <a href="patches/20140919.01.tpd.patch">20140919.01.tpd.patch</a>
 books/axiom.bst use axiom specific bib style<br/>
+<a href="patches/20140920.01.tpd.patch">20140920.01.tpd.patch</a>
+books/bookvolbib add abstracts, rearrange, add new entries<br/>
  </body>
 </html>
 
